GNU bug report logs - #51362
python font-lock-mode in emacs 28 seems broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeff Spencer <jeffspencerd@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 51362 <at> debbugs.gnu.org and Jeff Spencer <jeffspencerd@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 16 May 2022 13:41:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 09:41:09 2022
Received: from localhost ([127.0.0.1]:52146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqayD-0005zU-2W
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 09:41:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nqayA-0005yf-OM
 for 51362 <at> debbugs.gnu.org; Mon, 16 May 2022 09:41:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jefoiwSkSuroyDgezvj0GiAvz9jGTpEHv5F+eKxEaYs=; b=fVPObCmaf3aQjoK7oc31j9rDzO
 bQYxBBhjaQqBIB2hrcWsGby7R02AbPFJIklBEHBb3H52JZBjYvfphSWT4WVmcQQMnk4IuJCkxkJ/K
 Apr5U5tQWO1I212DWaGN4/o7Rr2HwQIfrqGC5ZvS2glNCYbBAuzGXjXGmboK8CYZHuvM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nqay1-0005M7-ML; Mon, 16 May 2022 15:41:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: kobarity <kobarity@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
 <87bkwyk9ev.fsf@HIDDEN>
 <CAMQkrSog=4Bh6LCGX4pNpww5jQn=AzHW+4H8eN1_GB7RLsDbqg@HIDDEN>
 <87ee1uh8kc.fsf@HIDDEN>
Date: Mon, 16 May 2022 15:40:56 +0200
In-Reply-To: <87ee1uh8kc.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Apr 2022 14:36:51 +0200")
Message-ID: <87o7zxegt3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  The copyright paperwork is now on file, so I've applied your
 patch and am therefore closing this bug report. -- (domestic pets only, the
 antidote for overdose, milk.) bloggy blog: http://lars.ingebrigtsen.no 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

The copyright paperwork is now on file, so I've applied your patch and
am therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 18 Apr 2022 12:37:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 08:37:05 2022
Received: from localhost ([127.0.0.1]:38434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngQcr-0005cd-DA
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 08:37:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngQcp-0005cA-Nd
 for 51362 <at> debbugs.gnu.org; Mon, 18 Apr 2022 08:37:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5AauNYNBQH3joAfzGBxi7rqDF1J5WxUaXLILdVAEyvg=; b=AmvUnJ9g7goza9o5qZLRFrF8AT
 WN2P9G6Vo8M3Uo9XS8LAof4MqqfbbDGvW2jIryuJMVCyRCmb8mzgStxrtKCniq9YtCydpaDUlWOVE
 s8fM2tk7mkH02B7bZqllc4oHZS8/0Lp2X8TTdkzhvYhJBYhyminjplQRnpkMTHAVwO6s=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngQcg-0001xM-FB; Mon, 18 Apr 2022 14:36:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: kobarity <kobarity@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
 <87bkwyk9ev.fsf@HIDDEN>
 <CAMQkrSog=4Bh6LCGX4pNpww5jQn=AzHW+4H8eN1_GB7RLsDbqg@HIDDEN>
Date: Mon, 18 Apr 2022 14:36:51 +0200
In-Reply-To: <CAMQkrSog=4Bh6LCGX4pNpww5jQn=AzHW+4H8eN1_GB7RLsDbqg@HIDDEN>
 (kobarity@HIDDEN's message of "Mon, 18 Apr 2022 21:34:14 +0900")
Message-ID: <87ee1uh8kc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  kobarity <kobarity@HIDDEN> writes: > Yes, I'm willing to
 assign copyright to the FSF. Actually, I once > assigned copyright to the
 FSF for another project with a different > email address in 2007. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

kobarity <kobarity@HIDDEN> writes:

> Yes, I'm willing to assign copyright to the FSF. Actually, I once
> assigned copyright to the FSF for another project with a different
> email address in 2007.

What was the address?  

> I'm going to ask how to process assignments this time. Sorry for the
> inconvenience.

Here's the form to get started:

Please email the following information to assign@HIDDEN, and we
will send you the assignment form for your past and future changes.

Please use your full legal name (in ASCII characters) as the subject
line of the message.
----------------------------------------------------------------------
REQUEST: SEND FORM FOR PAST AND FUTURE CHANGES

[What is the name of the program or package you're contributing to?]
Emacs

[Did you copy any files or text written by someone else in these changes?
Even if that material is free software, we need to know about it.]

[Do you have an employer who might have a basis to claim to own
your changes?  Do you attend a school which might make such a claim?]

[For the copyright registration, what country are you a citizen of?]

[What year were you born?]

[Please write your email address here.]

[Please write your postal address here.]

[Which files have you changed so far, and which new files have you written
so far?]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 18 Apr 2022 12:34:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 08:34:36 2022
Received: from localhost ([127.0.0.1]:38430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngQaS-0005Yn-1f
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 08:34:36 -0400
Received: from mail-ej1-f53.google.com ([209.85.218.53]:33443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kobarity@HIDDEN>) id 1ngQaQ-0005Yb-Rx
 for 51362 <at> debbugs.gnu.org; Mon, 18 Apr 2022 08:34:35 -0400
Received: by mail-ej1-f53.google.com with SMTP id s18so26690987ejr.0
 for <51362 <at> debbugs.gnu.org>; Mon, 18 Apr 2022 05:34:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=wXJWGaSiGR9rXAmrkx0VeFcdOrz06R77wC3MRnXbw7o=;
 b=oVS1r/MTSuFu2ckhkvqZ4ASTuZA+3VDy+nIToBysF838QHlSrx+mOL+d/aN8T8OQFZ
 sJsiUL1zim9Azy14QBBJwzn6CR4S4Tx5JGiwiWE3EcB51/J5hkRJCn5wmcZy0vnFEG9l
 Y0sYuGZj3I0YXPRqlXbQxIsrzDvXbH3/rfXgpNZYvA5f+UFsqoIUNi5/UjvEExvEy8/O
 J2/0lGX4Ivd9yopcfAQCl2F0FqaL/XcEV2BJpL/1YtbseJ3q7p9suZz401CInwUiVJyk
 UOVk4rQInH6jLQNzdSJZNPDkv9Qx2hFB8xji/qqTiZzcXZECrugT1CKssTf58Z6NsK4C
 qpbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=wXJWGaSiGR9rXAmrkx0VeFcdOrz06R77wC3MRnXbw7o=;
 b=dOthnlviU6CaQwUDvILSq9oW4CXq3jQ5uVxN9rMFeLdj0756XLJrpt8S3/Dpk24riz
 scQjVs5qA9wow2jI18YZclPCGP2XAPO6fgWg3PLETM1FltHORsNAH3QYT3OSi91WzNJQ
 7A+NLsOeoIWq7xWSYh+p0DnJgRY7TPRdltTviuImTHF8qDsLLUooagu3keKf5wlwFRFt
 n6uZcXZ6n3Iei1yviq9E6tPivWnFYvIg2UBTgi0vXFvpnadRCbUR9MfP/I8AZatXg592
 CHYovx5GHiue+EQb4Qy+vVp3d42UmdTU0NYyG5QZqPycDtIrEw8EnxMh3TS55u5PWNe4
 6UZQ==
X-Gm-Message-State: AOAM530Ibd7Ake+PmUmjWYjyNezcbeZRza/sdJbR62psan428+rMOoWN
 DaqupvrkMHy/nAmtirn5koSUiuL464fUGz+q6Zs=
X-Google-Smtp-Source: ABdhPJwkInDutFOTw1iy6gTmdZkFUj8EzB2WVG2mgHl6MH12vrVIf5uHpEdOrWCTLxxmVFzbnSq8Z6DXdZAWn85ySXc=
X-Received: by 2002:a17:906:478e:b0:6db:7c67:c7e0 with SMTP id
 cw14-20020a170906478e00b006db7c67c7e0mr8726999ejc.335.1650285268641; Mon, 18
 Apr 2022 05:34:28 -0700 (PDT)
MIME-Version: 1.0
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
 <87bkwyk9ev.fsf@HIDDEN>
In-Reply-To: <87bkwyk9ev.fsf@HIDDEN>
From: kobarity <kobarity@HIDDEN>
Date: Mon, 18 Apr 2022 21:34:14 +0900
Message-ID: <CAMQkrSog=4Bh6LCGX4pNpww5jQn=AzHW+4H8eN1_GB7RLsDbqg@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars,

Thank you for reviewing my patches.

> Would you be willing to assign copyright to the FSF for this code?

Yes, I'm willing to assign copyright to the FSF. Actually, I once
assigned copyright to the FSF for another project with a different
email address in 2007. I'm going to ask how to process assignments
this time. Sorry for the inconvenience.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 18 Apr 2022 09:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 05:50:28 2022
Received: from localhost ([127.0.0.1]:38069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngO1c-0006X0-CE
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:50:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngO1b-0006Wj-6B
 for 51362 <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:50:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=PZIvTB2JcZxk7KX8ZOVv6rdSOHZOXK/V1sgo4cEvD2s=; b=bLZQU4WzMjkK2XU18kWx46+WiM
 UY9/JdLooyBBdItwrKRx+W0UY0RJwrZ16VOd0vwS1stOudGrQ0HeRdWdv9JPvfNFbObkiEQwg9v8/
 f2LGlYrATEi7XBx1r9riWtPUlvPFObYmHnmtCTj1sh7LsgcLdjt6styXs0xblgHiowuE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngO1S-0000RY-Re; Mon, 18 Apr 2022 11:50:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: kobarity <kobarity@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
Date: Mon, 18 Apr 2022 11:50:16 +0200
In-Reply-To: <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
 (kobarity@HIDDEN's message of "Mon, 18 Apr 2022 08:32:14 +0900")
Message-ID: <87bkwyk9ev.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  kobarity <kobarity@HIDDEN> writes: > Remaining two following
    bugs mentioned in Message #24 and Bug #45679 > are the same: > > - The y
   in y = x + 1 is not highlighted — this is fixed by subsequent > edits >
   - The CustomInt in -> Custo [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

kobarity <kobarity@HIDDEN> writes:

> Remaining two following bugs mentioned in Message #24 and Bug #45679
> are the same:
>
> - The y in y =3D x + 1 is not highlighted =E2=80=94 this is fixed by subs=
equent
>   edits
> - The CustomInt in -> CustomInt is highlighted =E2=80=94 this is fixed by
>   subsequent edits
>
> Is it better to discuss in Bug #45679?

Either is fine, I think.

> These bugs are caused by not-simple-operator matching characters
> including EOLs. So rx '(+ not-simple-operator)' may span multiple
> lines.
>
> This problem can be fixed with the following patch. Behavior of
> python-font-lock-assignment-matcher is same as Dario's patch, but I'm
> just showing another option using cl-loop. I also modified docstring.

Looks good to me.

> I wrote some tests as the attached patch. Both the above patch and the
> patch shown in Bug #54992 are necessary for all of the tests to pass.

The two functional patches are small enough to include without a
copyright assignment, but the tests are over the limit, size-wise.
Would you be willing to assign copyright to the FSF for this code?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 18 Apr 2022 00:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 20:15:41 2022
Received: from localhost ([127.0.0.1]:37562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngF3M-0006iU-IW
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 20:15:40 -0400
Received: from mail-ed1-f51.google.com ([209.85.208.51]:47084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kobarity@HIDDEN>) id 1ngENZ-0005gK-UQ
 for 51362 <at> debbugs.gnu.org; Sun, 17 Apr 2022 19:32:30 -0400
Received: by mail-ed1-f51.google.com with SMTP id s25so15388183edi.13
 for <51362 <at> debbugs.gnu.org>; Sun, 17 Apr 2022 16:32:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=5nV629Grm9qQDZRqAXorQEpsfszc+qnl/Fp3a6pnuag=;
 b=EKonqmSuT8x7UDp4p5ZpwGo51zEvkn7rcXFDbITX4rkNsjfcWC2b747Kt36/UVxwqf
 ZJmGbYFWwJqDc21TqlDYhIcAR4idY6XMrqOPKZW+bqCb1gzNpFsDkc8hKtT1xPVL10L9
 NYOrxfXHfDUo8JvOmFG7xiG6wvFYmaieAzP/ooBtaqVZbs7iV4BKdWA202r4Wov7AEsv
 9ESyO3+cQLZXuc5+NlP0HMU61pSkWP62INkeOLXDnEJKRt/R0dIiYsrAUQsXNC3tM1Lu
 i48/42f/AFk+9D+WMOvhM7R7+YS+AWARJR0UAdhBO8MCao61oxbEh2jKZn+os6bnXVKX
 80Bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=5nV629Grm9qQDZRqAXorQEpsfszc+qnl/Fp3a6pnuag=;
 b=Ewvqa/xyJLh4sz06rt3lZ5TnOJ6b+J5sJn9eqCqqHfylHgSyXlD+E6C3PiD6dtpnjC
 3pXNbf4zalT4hei4J1nkiCOJHlJY1kwsnxjbzAw4iQOo/9MBVXzCNdq+dRpLJ0Pm6YOZ
 7rqHEx5uthz9BgAGhatlWseu27RDUos53HrLRn36TB0tFJhLXB7SsB1QEqHZUCCbCij/
 YKa93obhxNaZOK4FaIjrfpvxFtNwJ2m/anyhgQG0wTASvjqyfLEvWEWMW2k3ub9lMw23
 huFGUQyJmFF4SdopSd4idOXzUKAgWBnP/8zGHSz9KH/m4izJyJ3nzmk97dbLkKp85Ev4
 0DEQ==
X-Gm-Message-State: AOAM5323Wcl3RDCeMLjj8Q6xKQp4jlhG5ONKdz2fzgeSbp2bfjTF9WAl
 iORjWX+rvzROFTSJPp8yVhXPYnpDjRaLufkM4rHvxHyh99U=
X-Google-Smtp-Source: ABdhPJyhNssyDtb3rp27CZX4LVT8wADjTpcAdF4jujB8FUHb4FuoM+9PrK0N7qX6hqsBuz9Km7zoz7lbDwKYOFSwFFo=
X-Received: by 2002:aa7:d0c9:0:b0:41d:9137:fcea with SMTP id
 u9-20020aa7d0c9000000b0041d9137fceamr9833957edo.110.1650238343684; Sun, 17
 Apr 2022 16:32:23 -0700 (PDT)
MIME-Version: 1.0
From: kobarity <kobarity@HIDDEN>
Date: Mon, 18 Apr 2022 08:32:14 +0900
Message-ID: <CAMQkrSoOiCKC3EOyGcfjFnj6+v2J+H0U05BJujhjm7HOz4++jA@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: 51362 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="00000000000045382105dce20ed0"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51362
X-Mailman-Approved-At: Sun, 17 Apr 2022 20:15:39 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000045382105dce20ed0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

I reported a new Bug #54992 for the following bug mentioned in Message #24:

- The CustomInt in Sequence[CustomInt] is highlighted =E2=80=94 this is *no=
t*
  fixed by subsequent edits

Remaining two following bugs mentioned in Message #24 and Bug #45679
are the same:

- The y in y =3D x + 1 is not highlighted =E2=80=94 this is fixed by subseq=
uent
  edits
- The CustomInt in -> CustomInt is highlighted =E2=80=94 this is fixed by
  subsequent edits

Is it better to discuss in Bug #45679?

These bugs are caused by not-simple-operator matching characters
including EOLs. So rx '(+ not-simple-operator)' may span multiple
lines.

This problem can be fixed with the following patch. Behavior of
python-font-lock-assignment-matcher is same as Dario's patch, but I'm
just showing another option using cl-loop. I also modified docstring.

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index c4d8b123a8..d31861dd83 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -394,7 +394,7 @@ python-rx
             (open-paren        (or "{" "[" "("))
             (close-paren       (or "}" "]" ")"))
             (simple-operator   (any ?+ ?- ?/ ?& ?^ ?~ ?| ?* ?< ?> ?=3D ?%)=
)
-            (not-simple-operator (not simple-operator))
+            (not-simple-operator (not (or simple-operator ?\n)))
             (operator          (or "=3D=3D" ">=3D" "is" "not"
                                    "**" "//" "<<" ">>" "<=3D" "!=3D"
                                    "+" "-" "/" "&" "^" "~" "|" "*" "<" ">"
@@ -603,15 +603,15 @@ python-font-lock-keywords-level-2

 (defun python-font-lock-assignment-matcher (regexp)
   "Font lock matcher for assignments based on REGEXP.
-Return nil if REGEXP matched within a `paren' context (to avoid,
-e.g., default values for arguments or passing arguments by name
-being treated as assignments) or is followed by an '=3D' sign (to
-avoid '=3D=3D' being treated as an assignment."
+Search for next occurrence if REGEXP matched within a `paren'
+context (to avoid, e.g., default values for arguments or passing
+arguments by name being treated as assignments) or is followed by
+an '=3D' sign (to avoid '=3D=3D' being treated as an assignment."
   (lambda (limit)
-    (let ((res (re-search-forward regexp limit t)))
-      (unless (or (python-syntax-context 'paren)
-                  (equal (char-after (point)) ?=3D))
-        res))))
+    (cl-loop while (re-search-forward regexp limit t)
+             unless (or (python-syntax-context 'paren)
+                        (equal (char-after) ?=3D))
+               return t)))

 (defvar python-font-lock-keywords-maximum-decoration
   `((python--font-lock-f-strings)


Please note that not-simple-operator is also used in
python-info-assignment-statement-p, but the patch does not affect it.
Because python-info-assignment-statement-p calls re-search-forward
with BOUND argument set to (line-end-position).

I wrote some tests as the attached patch. Both the above patch and the
patch shown in Bug #54992 are necessary for all of the tests to pass.

--00000000000045382105dce20ed0
Content-Type: application/x-patch; name="python-font-lock-tests.patch"
Content-Disposition: attachment; filename="python-font-lock-tests.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_l23drem20>
X-Attachment-Id: f_l23drem20
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=
--00000000000045382105dce20ed0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 11 Nov 2021 12:38:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 07:38:01 2021
Received: from localhost ([127.0.0.1]:40361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ml9L7-00026b-Er
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2021 07:38:01 -0500
Received: from quimby.gnus.org ([95.216.78.240]:53914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ml9L5-00026H-W8
 for 51362 <at> debbugs.gnu.org; Thu, 11 Nov 2021 07:38:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ASCik4QmrzQ87eRSgyFmLH3PsMb0DmbpOIoV7GjYZMo=; b=BYBux3OLq6dDsvdb8vpHYMDXUQ
 JhMc1lBgJ1K8wAxoqyANXd3FodsTqHpeLlCnvUe77HHaEk6kmyJG3MVl0pJGa0vQxl/kjnU8wjRHO
 hjNX0HyjGHJmHlxpF5NF66+yBkAOcvbqfLYHq0WJMya7zq/K3DPvsUeCM0xNFi+1a+8Y=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ml9Kw-0005j1-Di; Thu, 11 Nov 2021 13:37:53 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dario Gjorgjevski <dario.gjorgjevski@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
 <87bl35v8pl.fsf@HIDDEN>
 <CAJm4QYPhW9oeZ6sttc5PEu=RBHChj5CFrq1B_AVmGHMMxEmcQA@HIDDEN>
X-Now-Playing: Hype Williams's _Junt-Deez Ruins You See_: "Bawlin"
Date: Thu, 11 Nov 2021 13:37:49 +0100
In-Reply-To: <CAJm4QYPhW9oeZ6sttc5PEu=RBHChj5CFrq1B_AVmGHMMxEmcQA@HIDDEN>
 (Dario Gjorgjevski's message of "Thu, 11 Nov 2021 09:04:01 +0100")
Message-ID: <87a6ia6f6q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dario Gjorgjevski <dario.gjorgjevski@HIDDEN> writes: >
 Would you be able to give it a try? Or if it's easier in patch form: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51362
Cc: Jeff Spencer <jeffspencerd@HIDDEN>, 51362 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>,
 =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dario Gjorgjevski <dario.gjorgjevski@HIDDEN> writes:

> Would you be able to give it a try?

Or if it's easier in patch form:

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index b12b22e992..eebc9055bf 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -606,10 +606,11 @@ python-font-lock-assignment-matcher
 being treated as assignments) or is followed by an '=' sign (to
 avoid '==' being treated as an assignment."
   (lambda (limit)
-    (let ((res (re-search-forward regexp limit t)))
-      (unless (or (python-syntax-context 'paren)
-                  (equal (char-after (point)) ?=))
-        res))))
+    (let ((res nil))
+      (while (and (setq res (re-search-forward regexp limit t))
+                  (or (python-syntax-context 'paren)
+                      (equal (char-after (point)) ?=))))
+      res)))
 
 (defvar python-font-lock-keywords-maximum-decoration
   `((python--font-lock-f-strings)


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 11 Nov 2021 08:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 03:48:58 2021
Received: from localhost ([127.0.0.1]:40135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ml5lS-0001sc-8I
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2021 03:48:58 -0500
Received: from mail-pj1-f53.google.com ([209.85.216.53]:42764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ml5lQ-0001sO-Vg
 for 51362 <at> debbugs.gnu.org; Thu, 11 Nov 2021 03:48:57 -0500
Received: by mail-pj1-f53.google.com with SMTP id
 fv9-20020a17090b0e8900b001a6a5ab1392so4167185pjb.1
 for <51362 <at> debbugs.gnu.org>; Thu, 11 Nov 2021 00:48:56 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=gHrrIBIz6rssCnC6kzFxyd3iC81ilfEjdeFe/jbSnEY=;
 b=7AyTYAO3+8OKMOTsDyxDdndGVHdW3x+6ISRl5udJEGGbBSSOBM0eeOE/sy3ecEDZi7
 RUjIRs7FwAE94a7UphQzt1lFsp7H5c/XjP3E2k5frNjuLrXlhnBYwR86ZbrB8n0GN3wc
 MpzFGBRMmPjvpBsFApZ09dih8Dx9ZoUQGlczSBxVv33EvWQ2vsKiagVYm2eIk2eeO/EM
 7OWKYRthpdzovJSgAW0HvnEGZA0EXPDwKEO+nD3yMW2oOdGDoNEqX7jnvPUzxVRPGzZH
 oeNPCzi4Tgij5Lb1DMpMRBxlY12Kvr3+9JInhyQF02qWDYzYex1Nx61DQiH7PZNmFhon
 SMJw==
X-Gm-Message-State: AOAM5327PCCyc1cLbHcqDkxxcE1jhRIKurc229mUNQXWURRPmTDIxPIj
 ZCd8QQtTOlL1e6+UID8sQNQR8/c/7i/b8ASajzw=
X-Google-Smtp-Source: ABdhPJz4Q0q+r9QZTY5M0Hj0XaVq4sgp9GZqT2NTtRnSOwVRFTQJ7AReqBDgpUOJXFo3/8FcJUkeSP/QZJM/o9nNxgA=
X-Received: by 2002:a17:90a:4414:: with SMTP id
 s20mr24767684pjg.132.1636620531156; 
 Thu, 11 Nov 2021 00:48:51 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 11 Nov 2021 00:48:50 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CAJm4QYPhW9oeZ6sttc5PEu=RBHChj5CFrq1B_AVmGHMMxEmcQA@HIDDEN>
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
 <87bl35v8pl.fsf@HIDDEN>
 <CAJm4QYPhW9oeZ6sttc5PEu=RBHChj5CFrq1B_AVmGHMMxEmcQA@HIDDEN>
MIME-Version: 1.0
Date: Thu, 11 Nov 2021 00:48:50 -0800
Message-ID: <CADwFkmmaaahjWWmP5fOEU32vebsBxKWb-zPPXfxTYY4-kZCzuQ@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: Dario Gjorgjevski <dario.gjorgjevski@HIDDEN>, 
 =?UTF-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51362
Cc: Jeff Spencer <jeffspencerd@HIDDEN>, 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Dario Gjorgjevski <dario.gjorgjevski@HIDDEN> writes:

> Thanks a lot for the report and the reproducer, and sorry for the
> regression that my patch introduced.

Thanks for looking into it!

> Unfortunately some issues still remain,

Are these regressions, or old bugs?

Could you report these issues as separate bug reports?  I guess it would
be three separate bugs, unless you happen to think otherwise.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 11 Nov 2021 08:04:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 03:04:46 2021
Received: from localhost ([127.0.0.1]:40094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ml54g-0000gn-DZ
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2021 03:04:46 -0500
Received: from mail-ed1-f50.google.com ([209.85.208.50]:43759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dario.gjorgjevski@HIDDEN>) id 1ml54d-0000gT-OI
 for 51362 <at> debbugs.gnu.org; Thu, 11 Nov 2021 03:04:44 -0500
Received: by mail-ed1-f50.google.com with SMTP id w1so20940678edd.10
 for <51362 <at> debbugs.gnu.org>; Thu, 11 Nov 2021 00:04:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jsbR+PDiKWJewaz/dPmZhsChTjlqW3+cDDa5gbtm5Rc=;
 b=JM1hfyLlsPz9qEfJn0F9IjsEY09NlqzFEm5+V3YVDlvOrE/R5OHRMbHTiM8D/xSIYW
 tyLDE693hvKGYxNG+ogOs8KsRugkGZsrgSROgflMSAD3m2fV9NKLbLLVeCTxKZDYpN/e
 IBbHuO7hPgZovTOwhFNpOALnjAnh121iylEAF5J9woRGI43HoGx99aBu5FCf8VvJqBf5
 eFtv8Aeju+Jb+zApt3r98W7R6kzLs/Ltp61540gE+FizfhBYIJFjxp6IhIe5Kxo2LLKp
 2EhtxfL0hoG8VEd7V1QwpUnh8+v6wxdbmHSPmng6SKc3O68NMG3yNDWY6CwZrCaZXCO4
 yNwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jsbR+PDiKWJewaz/dPmZhsChTjlqW3+cDDa5gbtm5Rc=;
 b=bstbKHTHOhn9BaKUdAJwAOijT7yRl5eLocBVfx+VSDFW37Mxaj/6ncvXegkzL6F5HC
 tZDTNLrfq/QGxhWzsai5EGdn5PWkgUvIX+RCJ1xvsQaI+QElEbW6BUsLNdBCHQ1F/Uhb
 XJXQSCYybuo4s+TgYsO4AAoyxwkFe6KM4hvtbxtYmW2qNw9S5JVTiO9oL67s4QZgrnz/
 5UHGNkvTegnL+4UiShQrZUq7j5Lxsn3/kMdFf8xJ9m7nURMEbh/5aGiGj68yPQMuuczy
 nGRt/UHIxZmfpmHPveAFeigpZMGfY0IYcG6sDC/vGAIFXbPz9j6OdlIQx+HFJqDmgoJX
 p/Bw==
X-Gm-Message-State: AOAM531/KZbFjnugeRG4EU8Gf12jNYZOt+WftKReV3FLcfRF0Hfsod28
 YOYHA0mxEick1s5Vz7C1ortYgyRz3zAJpmPI/bI=
X-Google-Smtp-Source: ABdhPJyNjsRPLQUpP2YjCkEWRKvRiX+BpgKN4AHwiwoJ3kZXweMTbE2OKWqPEPRrwdPfO4lcA6f/2vCMZ1VqSys+Vio=
X-Received: by 2002:a05:6402:27ca:: with SMTP id
 c10mr7471756ede.53.1636617877671; 
 Thu, 11 Nov 2021 00:04:37 -0800 (PST)
MIME-Version: 1.0
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
 <87bl35v8pl.fsf@HIDDEN>
In-Reply-To: <87bl35v8pl.fsf@HIDDEN>
From: Dario Gjorgjevski <dario.gjorgjevski@HIDDEN>
Date: Thu, 11 Nov 2021 09:04:01 +0100
Message-ID: <CAJm4QYPhW9oeZ6sttc5PEu=RBHChj5CFrq1B_AVmGHMMxEmcQA@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: =?UTF-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003b53e905d07ecbab"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51362
Cc: Jeff Spencer <jeffspencerd@HIDDEN>, 51362 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000003b53e905d07ecbab
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

Thanks a lot for the report and the reproducer, and sorry for the
regression that my patch introduced.
It has been a while since I wrote any Python, so I did not notice it.

What seems to be happening is that python-font-lock-assignment-matcher is
giving up too early.
Replacing its definition by
(defun python-font-lock-assignment-matcher (regexp)
  "Font lock matcher for assignments based on REGEXP.
Return nil if REGEXP matched within a `paren' context (to avoid,
e.g., default values for arguments or passing arguments by name
being treated as assignments) or is followed by an '=3D' sign (to
avoid '=3D=3D' being treated as an assignment."
  (lambda (limit)
    (let ((res nil))
      (while (and (setq res (re-search-forward regexp limit t))
                  (or (python-syntax-context 'paren)
                      (equal (char-after (point)) ?=3D))))
      res)))
should fix the issue.
Would you be able to give it a try?

Unfortunately some issues still remain, all of which can be illustrated by
a file containing the following code:
CustomInt =3D int

def f(x: CustomInt) -> CustomInt:
    y =3D x + 1
    ys: Sequence[CustomInt] =3D [y, y + 1]
    res: CustomInt =3D sum(ys) + 1
    return res
When such a file is first opened:

   - The y in y =3D x + 1 is not highlighted =E2=80=94 this is fixed by sub=
sequent
   edits
   - The CustomInt in -> CustomInt is highlighted =E2=80=94 this is fixed b=
y
   subsequent edits
   - The CustomInt in Sequence[CustomInt] is highlighted =E2=80=94 this is =
*not*
   fixed by subsequent edits

These are caused by the type hints (in the case of 1. =E2=80=94 by the type=
 hints
in the function's signature).
I am not sure how one would fix them.

Regarding reverting the patch: It can be done easily, but the previous code
had even more bugs happening around type hints.

Best regards,
Dario

--0000000000003b53e905d07ecbab
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">Hi,</div><div dir=3D"ltr"><br></div><div =
dir=3D"ltr">Thanks a lot for the report and the reproducer, and sorry for t=
he regression that my patch introduced.</div><div dir=3D"ltr">It has been a=
 while since I wrote any Python, so I did not notice it.<br><br>What seems =
to be happening is that <span style=3D"font-family:monospace">python-font-l=
ock-assignment-matcher</span> is giving up too early.</div><div dir=3D"ltr"=
>Replacing its definition by</div><div style=3D"margin-left:40px"><span sty=
le=3D"font-family:monospace">(defun python-font-lock-assignment-matcher (re=
gexp)<br>=C2=A0 &quot;Font lock matcher for assignments based on REGEXP.<br=
>Return nil if REGEXP matched within a `paren&#39; context (to avoid,<br>e.=
g., default values for arguments or passing arguments by name<br>being trea=
ted as assignments) or is followed by an &#39;=3D&#39; sign (to<br>avoid &#=
39;=3D=3D&#39; being treated as an assignment.&quot;<br>=C2=A0 (lambda (lim=
it)<br>=C2=A0 =C2=A0 (let ((res nil))<br>=C2=A0 =C2=A0 =C2=A0 (while (and (=
setq res (re-search-forward regexp limit t))<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (or (python-syntax-context &#39;paren)<=
br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 (equal (char-after (point)) ?=3D))))<br>=C2=A0 =C2=A0 =C2=A0 res)))<=
/span></div><div><span style=3D"font-family:monospace"><font face=3D"arial,=
sans-serif">should fix the issue.</font></span></div><div><span style=3D"fo=
nt-family:monospace"><font face=3D"arial,sans-serif">Would you be able to g=
ive it a try?</font></span></div><div><span style=3D"font-family:monospace"=
><font face=3D"arial,sans-serif"><br></font></span></div><div><span style=
=3D"font-family:monospace"><font face=3D"arial,sans-serif">Unfortunately so=
me issues still remain, all of which can be illustrated by a file containin=
g the following code:</font></span></div><div style=3D"margin-left:40px"><s=
pan style=3D"font-family:monospace">CustomInt =3D int<br><br>def f(x: Custo=
mInt) -&gt; CustomInt:<br>=C2=A0 =C2=A0 y =3D x + 1<br>=C2=A0 =C2=A0 ys: Se=
quence[CustomInt] =3D [y, y + 1]<br>=C2=A0 =C2=A0 res: CustomInt =3D sum(ys=
) + 1<br>=C2=A0 =C2=A0 return res</span></div><div><span style=3D"font-fami=
ly:monospace"><span style=3D"font-family:arial,sans-serif">When such a file=
 is first opened:</span><br></span></div><div><ul><li>The <span style=3D"fo=
nt-family:monospace">y</span> in <span style=3D"font-family:monospace">y =
=3D x + 1</span> is not highlighted =E2=80=94 this is fixed by subsequent e=
dits</li><li>The <span style=3D"font-family:monospace">CustomInt</span> in =
<span style=3D"font-family:monospace">-&gt; CustomInt</span> is highlighted=
 =E2=80=94 this is fixed by subsequent edits</li><li>The <span style=3D"fon=
t-family:monospace">CustomInt</span> in <span style=3D"font-family:monospac=
e">Sequence[CustomInt]</span> is highlighted =E2=80=94 this is <b>not</b> f=
ixed by subsequent edits</li></ul><div>These are caused by the type hints (=
in the case of 1. =E2=80=94 by the type hints in the function&#39;s signatu=
re).</div><div>I am not sure how one would fix them.</div><div><br></div><d=
iv>Regarding reverting the patch: It can be done easily, but the previous c=
ode had even more bugs happening around type hints.</div><div><br></div><di=
v>Best regards,</div><div>Dario<br></div></div></div>

--0000000000003b53e905d07ecbab--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 31 Oct 2021 09:34:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 31 05:34:40 2021
Received: from localhost ([127.0.0.1]:58991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mh7Ed-0000PV-W5
	for submit <at> debbugs.gnu.org; Sun, 31 Oct 2021 05:34:40 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:43871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1mh7Eb-0000PH-Qz
 for 51362 <at> debbugs.gnu.org; Sun, 31 Oct 2021 05:34:38 -0400
Received: by mail-wm1-f48.google.com with SMTP id
 67-20020a1c1946000000b0030d4c90fa87so9860576wmz.2
 for <51362 <at> debbugs.gnu.org>; Sun, 31 Oct 2021 02:34:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=2aBqoDg8KaTzwl/DBC9VOBhLy8DrA8Ee7DUHsbCvADo=;
 b=aeznLGeSH2AkNxoxAiSXkBk6jmHYCVryD0nB/BTBO5z5n22Dl+q/hoMPJ2WvocrVq9
 GbdXgI34E3hCCkRUfnDDIFT+E2WyjCljQoJ51nUJpYJJxsc4ttWfplLy5VWnEusG4Xv+
 hzW/PO105jl9pFDOxgbAt4/IVqkNKmbiN0AM2x84zyVKaPajxJN6gk+l0LH91K+3RYDU
 13T+5m+ZhPPn546yUGgRr/ztJ0gyjs/FidhahsPJ+XCY7I2EYa7h/tx9e4o8JKvFAfWW
 V5ZApQfXj24rjWTHO2jKWg057H5mJ6vjUnR4by+pM0fBdyvPw6LbUYRq96nle+lUsbM8
 LqCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=2aBqoDg8KaTzwl/DBC9VOBhLy8DrA8Ee7DUHsbCvADo=;
 b=dmrAuUrNB+q8UQLfmVQdDulI81EbVXXbb3KRk9ur1GaiGWYp4SV0AN57FgmZfsWZs+
 qMXufMizta1L6gLKRdKERvKHrcJwrIAtAW3JoM5gzp7vwD5HbFJwNms30gMV8umekFwg
 7u3FUFr6yvkCvqWBeGlDKVJdrtJxv2JyvYdi74HsZPOXmf9FU1QZ8NduAqfvJOW2urEx
 kPik0UWdqQHPSgAXtvEM29ES9DjKF8RyxFpHZxf3oWJHyMcMe/2/jlleW4IdTvlTlzVd
 z9cJOo26FDZhFTzHJjtZv3yAcwjde1p+oIGe9CBIABOO+LQ5RooQi/F8Bot5cmRBdvtg
 Fafw==
X-Gm-Message-State: AOAM530ghuBoTkv3bCTK3Ih2QboePFvKGk75uIUFnCH3C/1IXRuruiv0
 vj1meK8WyReR7yAPkafqR4k=
X-Google-Smtp-Source: ABdhPJzZQHYfHwAvnPI9JeSWBHFzYU9UAxTbErUdniXpIyeiraiNAUPpYI2TPEkPfb7Eremh3/5Swg==
X-Received: by 2002:a1c:a711:: with SMTP id q17mr13843671wme.158.1635672871958; 
 Sun, 31 Oct 2021 02:34:31 -0700 (PDT)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id g2sm10254233wrq.62.2021.10.31.02.34.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 31 Oct 2021 02:34:31 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
Date: Sun, 31 Oct 2021 10:34:30 +0100
In-Reply-To: <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
 (Stefan Kangas's message of "Sun, 24 Oct 2021 05:45:38 -0700")
Message-ID: <87bl35v8pl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 51362
Cc: Jeff Spencer <jeffspencerd@HIDDEN>, 51362 <at> debbugs.gnu.org,
 Dario Gjorgjevski <dario.gjorgjevski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Stefan Kangas <stefan@HIDDEN> writes:

> Do you have an example file or snippet where font-lock fails?

I've tried to come up with a minimal reproducer; see attached file, and
screenshots.  In Emacs 28, the second assignment is not fontified until
the user starts editing the buffer.

I glanced at python.el's font-lock rules and tried to revert recent
changes, but tripped over conflicts.  I'm speculatively CC'ing Dario, in
case the issue looks obvious to him?


--=-=-=
Content-Type: text/x-python
Content-Disposition: inline; filename=repro.py

a = foo(x='a')
b = a.bar()

--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=Screenshot_20211031_103332.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAABUIAAALECAIAAABCF90RAAAACXBIWXMAAA7EAAAOxAGVKw4bAAAg
AElEQVR4XuzdZ0AU1xYA4DOzhV6XDhbEAoiKCpZn7L0bY03sRk2sUWPBHrsmRmOvib13QbGLWMEG
oggCSu+9bpv7fgwsu8MuLmJBPd97wd07d2buzs7O2TP3zizl0aK1VC4TCoQ0RQMFCCGEEPoQCLcA
gKgpYxVPUK3AKSTKiyx+Uvyn5BkhDGFkUimP5gEFhDCGxmZCgZCi6dI5EUIIIfRFIQyRyiR5uTk8
ms3YKX5OTpaxibmkqEjGyAij8fsFQgghhCqrNCMvhyI1Vy0sea6cvpdOYKfSFJ/i8XV08nKyKJpn
Z1dDLC3MFRdifEcIIYS+XBRN8fkCE1PzpISY4hJ3j/9JpWKiuYMAIYQQQh8GIfABcvjSEtU++eI/
FFA0j29kbCKXyzC+I4QQQl8HiqL4fEF6WjJN0zSDMR4hhBD6BLSMttxaFcvhAYAQwshl7AO2BCGE
EEJfOkIIYYM7Ab6cyLnTlVCEp0eMdSkjAV+PAJHI8gtJnoTKJRTDrYoQQgihdyk3sVYZIK9colSo
WkddIk+AMHJGzsjYKmpRDK3DGOmAgYCnRygilRUUQb6Elw8Y3xFCCKGqSs6epgfC13S9HEVoM7qa
rbmrpW0tAzNznkBA5IxMLM5NT0tNjkjMCc2lUghgsEcIIYS0pT7iqiq3jvJoe/Wd8WwpIUw58d0Y
7KyN61nY1DQwNSuN7xnpaalRKXnh+fw05dUghBBCqIogDMMO7qNcGzbhTgQQEH0Hg0bO9dsZWlvw
hAIgAAwBOaEIAQLivMLspKTQyJspsnAZJebOjBBCCCEOba6KL5s9q9wST7lnXvUxpwYhDMOYmImK
ayjhM3q2OvXrOH+nMb4nJ4W/8U+HKDkt4c6MEEIIoc8tOzOdpmmepbUtZ4KQ6NcRta7ftJOhtQWP
xwOG0BRlqC+oXcesiadNA3crRgZFRQIzAztZriRHkkKo8oblI4QQQui9KOfwqqXKmXvpn+IcngAQ
hujq6RfPUELA6DqatHR2b19efC8UmOjZSHPEefI0vIAOIYQQqmqKCgspmuKm8TShHfSbuDbtpC8y
pQCInABDaAADfQEjY/T1BO7NbK1tDcOCUygiNBCaZ2WmFJCM9/jB+V8njPP0aPro8RPuBIQQQugr
8+5bzZXtiFfO0KE0SVcuU5PDA2H/EoaTxlOEthU2dHZvp0181xeYZ2emFFLZ7xHfx40d1bSJ+5On
z7gTEEIIIVRpRYUFFEXzOaUmtL2za1s9cxNgiKmpToOGltbWBnr6AkNDgZGxkGFAXCRLjMmRFsiI
jDEyFDnbfJcXl1rIy+Qsp3y/Thj364Rx7ONtO3apTkQIIW01dm/0959r2nfuxp1QYvkfi5OSkzdv
3a5lOUIfT9k8nUO1QvEz53p1BHzB8xcvSoqKE3ZXV2eJRPI6IrK0iB1qz+bxZRiBTZ1632kd381r
W7YMTs4oEmRzF1SucWNHjR87mn28a89elWkIoSrp4Z2bg4eNevs2mjsBAAB69+zet3evn3+ZpGU5
QkhLzvXq6ugIg4JDOOWNGrqJxZJXYeGcclVEJY2nCG1r5mpkbQkMIQyxsTbwaG6rpyd48zoz4HZy
SnyuRCyXieW5meKifCnICTDE1NhGJKgRK8+ktD5hr5zDsw8wk0ffCIqi+vXp3f/7vrUcawqEwqSk
JG+fSzt3/wsA27dsdHKq1X/AkNy8PLbyqBHD6tWt67VgkZGR0V2/6527905OTmYnmZma+t240rZD
l8ysLMXCAeDRgztCoVDxdNjIMcHPuYeGT+/7vn3OnDvPLa0ymjZpPGHc2AZublKp9MXLlytWrY2L
jwcAB3v7JYvmu9V3zc7O2bZz19lzF7hzIqS1Zs08AeBhQCB3QjHlS91Ly9g/AoFw1fKli5cue/z4
qSI/b+zeyGvOrMVLl5fOVroMQsrm8YS2NqpnZG1RgfhuZG2a6pBIsrWP78o5PPsAM3mEKqOBW/0f
hwyqV7e2XM5QFBUWHv7v3oORUVHcep+Vgb7+8J+Gdu/W2cTEJDs7++ixk0eOnwQAoVAw5/cZ7dq2
BgCfi74bNm1lGLxOB31tPD2aAEDgo/cZYK6jI1y3ZqXXwiXKs3t6NFm1bMnMOfOUKnKxUZ5WLtIF
Q5F1TZ5AAHICchIVlvH8cYq4SJYUlxv6NOVtWGZCVHZyTG5BthhkhMgJyImQr2OpX43P6CgvpxzK
OTxC35plSxZNGD92/8HDffoP7NCp27wFiwMfPVZMFfD5M36bqlT9ffw0YnRjz5bs/6tCDu/oWHPs
6JHc0qrE1sbmyLET7Tt369i1R2Ji0uKFxcfN1SuXhYWFt+vYdebsubNm/FbbqZbqfOjr5Ori7N6o
Ibe0hHujhq4uztzSd2nm6bFj66YdWzc18/TgTgMom3EDAFvITngeErJ46bIlCxc0aezOTmns3mi+
15yVq9e+fBkKbP5eMkvpL8WrDuPXYfTNLatXNL6L9Ox4coHycsqhnMMjhCpv6KABs2ZMO37ydP9B
Pw0cOnzQjyMu+PiuXvFHM8+m3KqfFUXTADBx6ox2nbrPmDVvwrgxjRo2AIDxY8fUqF69/6CfBv04
ommTxj9834c7J0KfkHO9uo0aunFLSzRq6OZcry639F08PZps3bh+68b1bDJfUUHBIV4Ll6xatkQx
O5vDey1cUraLXgUhwEnjhcTI0MQc5ITIGCIjRXmSW5eiLp4Is7Yz/H6Eq3sLWxMzXRqAyBgiZ0DO
gIyh5MRY3/Kdabz32VPNm3mWzeG37diFXfGoQpb/sbhP754rli0JvH+nZ49uAPB93z4Xz5+563d9
1/Yt9nZ2AGBvZ3fl4oUf+ve76uvtf/PaimVLDA0M2HLvs6c8PZpe8j574exJAHB1ddm7Z+edW9eu
XLwwdvRIqkyv0/I/Fo8dPXLX9i33/G+ePXmsbZvWAHDgv93DfxqqqHNg754Rw34qnUeDFs2bde3S
efyvk69eu56enpGXnx/y4uXTZ0GKCtt37enSpZOGL/rakjOMvARb4utzrk/vnmdPHntw59Z/u3fU
qe30z99/3r1947LP+a6dO7F12nzX6ujBfTeuXLp22WfMqBFsoVAonDVz+s2rvgH3/Q/8t5umaRfn
egf+233rmu/Nq74rli1hqynUqF59x9ZNV329b12/vGblMoFA4FSr1qb16+zt7Xx9zu3/b7dyZT6f
v3L5H74+5/xuXNn37y4HB3sAsLez8/U5N3TIoKu+3vf9by1dvNCtvuuxwwfu+986fuRgndpO7LzV
q1fbvWPrXb/r506fcHOrr1im2lcBAHp6eps3rr9z69pln/M/fN9XUc7yvnjp5i2/oqIiqVTqf/ee
vb0dADjY27u6OG/fubtILA558dL3ytXv++L3j2+CUCjcuH5d82ae3AkAzZt5bly/TnnAizaaeXqs
Wbl8wsQp43+dvGblcu0+4Nyu+cdPni5eunzRgnlNGrs3buw+32vO8pWr2aNHyXB61fvgl7kUX0AM
DYwrHN+N9Cx58nfE99PHD3l6NCmbw+/c8x92xaOvg0hk/teaFdd8L/icOzl08EC2cPECr7GjR2zb
vMHvuu/JowebNG40bfLEyz5nr106P2XiBLYOn89fumj++dPHrl48v3v7Zja+AIB7o4Z7d2+/e+vq
ZZ+znTq2p2l60i/jvc+cuHbp/NGDe5s2dgeAhg3cevfqMe7XKeZmZkcO/Hdo355jh/ZJJOJZc+fP
mvEbTdMAMHL4jyePHrzsc/bEkQMtWzTTvmH6enoL5825evH8xfOnBv7QTyIp/lmK6tUcNm34y+fc
ySs+55b/sUggKD6LJ5PLpk7+9YrPuSs+5+b8Pp1du0JeXt72XXvi4xMAIDIqKj4h0cHeDgC6du74
374D2dnZ6ekZ+w4c7tu7l/JcCH1ibNe32nzb06PJujUrdXQqFt/ZlHvi1OkTp05XTsUrJPDRE0Um
r8jhterbJ0Tlcyjg6fJ5fJAzICfsXz5NMXKSmpinbyDoNdTlh7ENXNytaKDY0/kgJyAHHVqPBp7y
cspatnL1+r/WYA6PPojpU6e8eBHapkPnK1evt2jebPq0KVN+m9m6fecXL0P/XLOSrWNjY12vbt2e
ffr37Nvfwd7+t2mTFeUTfxk//tfJA4cMMzU12bFl08lTZ9p06DJ2wq99+/QaPGhA6WpKjBox/M+/
N7Rq02Hzth1/rVllZ2t7/OTp7/sVZ4MODvb1XV28L15SnUmNdm1b37t/PyYmljuhRFZm1t8bNi5Z
OF9PT487rXIGDxww6ufx7Tp2BYDDB/YdPX6iVZsOG7dsXbJoAY+mASAuIWH+oj86dOk+acr0KZN+
tbW1AYApk35t2qTxiDE/t27XcdHS5QzDzJo5/fLVa+06deveq+/efQc4a0lPT9/z375uPfr07jfA
rX79bl06R0ZFrVr7V0JCYreefUeM/lm5skwmu+R7uV//QR06dUtNTRtXkgDY2do61qzZo/f33w8c
3L5d29Urls2cPbdV2w4hIS9+mzoFACiK+mvNqojIyHaduo3+eUK3Lp0Vy1T7KgCgX59eW7ft+K5d
p/mLlsz3mmNubq6YRYGiKMeaNcaMGsEOnq9Zs0ZScrLiAofXEZGOjjUVldFX7FlQ8Ky58/5cvZKT
yTdv5vnn6pWz5s57FhSsXF6+Zp4ea1etmDNvQUBAYEDgoznzFqxesUw1k2eTcPU98gCgqPD4ydM/
lq9YsnDBkoXzlq9a/TRIOYeHkhyeTeYJKcnrFQT0e8V3So9W/Z5Q1qq169auWo45PPqKrVmxLDk5
pWvPfuMnTh09Ytj/WjZny4cOHrhu/cZ2nbr7+d/Z8s/fhYWFPfr8MHbCpEED+rPDdmQy2eWr1wcO
HdG1V7/UtPQxI4cDgIWFaMO6NRd8LnXo2mvEmPGBj540btSwa5eOg4eN6tS9z2yvBewNL4YNHbx9
5x6RufmsmdNmzPL6aeTY6JgYfT39t9ExBQUFNtbWABAUHDL+1ylde/Y7efrsnJnTFQ1+Z8N+mfCz
Y80aA4YM6zdgqFOtWrq6uuyM6RmZ+w4c7v39oB+G/FTfxblzx/ZseRP3Rm/fRnfr/f2PI8e0a9O6
bZvvFOtSpqOj079fHxMT43sPHuro6NjYWEe+ecNOioiMrFG9mmp1hD6psl3fLG07wFUpp9zKqTi3
nhbY2f9ctfzPVcu1zOEJIYTTGw9AiJwQGQE5MTIU9hniPGVhywGj3dyaWKcl5vscfHlud/CLBwmM
RAZyAjICMoono3lyqpwvIKyHAYHTf5+jONsHmMOjSnj67Nnho8cKCwulUmmf3j0vePtERkUxDHPw
8BG3+q7WVlZstX/37pNIJDk5OTt3/9upYwe2UCgUrli1JjY2rqioqE3r7+ITErwvXmIYJjY2bv/B
w/369C5dTYkbt26Fh78mhFy7fiP89es2rVtduXbNQiRyq+8KAL16dL/tfzcjI4M7WxkikSguPoF9
XNup1u0bV9n/s4k0APD5/FOnz8bGxU+Z9GvpbBV09OC+4CcBwU8Cnj56oCg8duJkVlZ2kVh89979
V2Fh9x8EAMD16zcNDPQtLCwAICrqDXutXVh4eGpqmp2tLQD06N51+87dsbFxYrHkzZu3ABAdHdO5
U8f6rq5FYjH7PUNZXn5+QOAjOcPk5uY+Cw5WdDto4n/nXpFYLGeYu/fuO9jbK8r37jsglUqTkpJf
hoZeuXY9Li6eYZgbt/zYbwAODvb16tbZsnWHVCrNyMg4ePioYka1rwIAbvrdfhn6CgAePX6Sk5tb
vZqDYhbWqBHDHt67fe70iYSEhGMnTgKArq5uQX6BokJ+Xr6ZmWnpDOir9jAgkJPJK3J4zRe3q8Hm
8LO95geUzBUQ+Gju/IWrli9VyeS5AVSRm5f8UZQDlKbniilKt7UrSebLLhOAMETOvEd8L7skjsBH
T2Z7LZBIpIoSzOHR18TBwb5hg/rbd+2Ry+Xx8Qk3/W63b9uGnXTb/25EZBQh5JafP4/H23vgkFwu
j46JjYx6o0hZ795/IBaLGYa5/+ChnZ0tALRu9b+4uPhTZ86JxeLk5JTs7OzUtDRDA8M+vXoY6OvH
xMbl5OYCQMMGboGPH9ev7/I85GViUhIAmJqY5BcUAAAhhMfjAcCzoOCMzEwAuHPvPrtw1jsb1qFd
m//2H8zOyZFIJLv/26eYMT8//9HjJwzD5ObmBYe8YEc4AkBycsp574sMw6SlpT8Lfu5Ys6ZiFoVr
l87737g8bsyodRs2ZWZmsacG8vPz2an5BQW6urqK8wUIfRZl8+2KdYCXKDtX2SV/dARUbnEnkRfJ
xBKQM/r6go69ndwaWwFFRbxIv30hMjUutyhPStgT+QwAQ2gZRTM0T05JJWI5JVNejiZsmBcKhZjD
o8p4o3QzVWsrq/Zt2/boXnyj8sLCQmNjo4KCQgDIzCz+AYXk5GRzMzM25gHA2+gY9oGtjU1SUvFN
4wAgISFRZG6meKqQmVH6QwzJyckikUgslpz39u7fr2/Ii5c9unddt36jUnUYO3rktCmTAODmLb9p
M2YpyrOysi0sROzjt9ExA4cOq+Zg/++u7aA6kn/JsuUnjx66fPUawxR/fyYMA6BSix38r7YDb8iw
kezlsspSU9PYBzKZTHHGQSqTAQCfzweA7l27fN+vj6GhISHE3NyMXb7I3DwhMbF4EQAAsHzl6oED
f1i9cmleXt6f6zZwflDKrb7r6JHDbW1tCSH29nbHjp9UnsphaWExftxYVxdniqJMjI2TU1IUk1LT
ilsrlckUb6JMJuML+ABgIRLl5uYq+smTkpLYB6DhVQBASkqqoo5UKmVfsrK9+w/u3X/Q3Mxs6JBB
Rw7s6zdgcFZWlr5+6Y91GRgaFBYWKc2BvnKKTH7W3HkA8B45fKOGDZRzeMVnNSDwkdeCRauWL53x
++wgLe9eQYAANGnsvnCe1+I/lhMg8+bMXr5qzbOg0ktyoHQVbJrPPThImSKZWFrR+C6TiBnt4rtU
KgEAoVCAOTz6ylhaWADAiSPFA9AEAsGDhwHs47T0dPaBTCbLz89XdFbJZHI20FhYiMaOGuHiXA8A
TIyNU1LTAMBCJEpU+u4BADGxcT//Mmn0yOFjRw2/4OO7becuiUQqEAoKC4sSEhKrOdgJhQJLS8ta
jo5GhoY1qlfT09OLT0jg8XijRvzUsnlzPp/H5/OVrwp8d8NEosTE4uiZlpauuPNcfVeX4T8NYbv6
7WxtT8SfYcsVcRkApFIpj6dmkE6n7n14PJ5zvbrLlyw0NTE5d8GHYRh9ff3c3DwAMNDXZxhGuT8P
oc9CkW97LVwCAO+Rwzdq6KZ2LsWSZ86Z9x4d+7O8FkDF2qN6p3ox5OVmpRmbWPB5lIWlPs2jxUWy
x7diY8My2BveAEOAISAHmqF4MprH0LScysxPltNi5eWUxXZlTP99NgCs/2sN/pwsqgzlwaJpaWkH
Dx/Zsm2H0nRgzx9bWVnFxsYBgL29fUZGhuJaccXsaWlpinHXAGBvZ6ec1StYWRd37wOAvb09+1X+
5KmzB/ftOXv+gqGB4Z2790prA+z5b98epXPbCg8DAv9YvMDczCwjM1MmkyUnJ+vrqxk8n5iYtH7j
5qWLFpw+e44tycvPz8nJcbC3VzSvWjUHsViSk5NbOlu5OMNrORo1bLB44byRY8aHhYcDwI0rxRcI
ZGZm2Vhbh4e/VtSUM8zRYyeOHT/Zu2ePHVs3t27fqaioOLkVCoU7t2/5a92GM+fOE0LWrFrOlmta
9fKlixMSk8aMmyAWSwb+0L97ty6KSeXfyTY9I8PQ0FBPT6+wsBAAFJ3kml4FvGuBChmZmf/u3T9h
3FgHB/uYmFgrK0tDA4O8/HwAqO1UKzLqDXcG9FVjM/ld27cAwLhfJlUohwcAiUQybcbvQepG4AcE
Ppoxa45EWtp9rfIhUfeJadLYfdF8rz+Wr3zyLAiArFi1xmv2zFVr/noWFFxyQo9N3pX+qpJQBXnZ
acYmoorF94JkhlfaTrWUv3+sXbW8QhcdIFT1sd8f+vQfXDYFZU+yl2PxAq+kpOTxE6dKJJL+/fqw
96PJyMy0UfpewYp683bhkmUikfmfq5aPGjFs5+7/MjOzLCxEL16GXr/pt3v7luSU1AmTps75fUZB
QcGCxUsZhhk9Ylj7tm2mTp+VkZlZs0Z1xYkG0KJh6RkZVlaWEZFRAGBkZMhe6y4UCrb8s279xi3n
vS8SQlYsXaSor+hXKJ9cLn/xMvTmbf9mHk3PnLsQExvnVMsxOTkFAJycakXHxGgZjhH6qNh8e+vG
9QAwcep07XLmUmKxRFOiHvjoycw588Ri7rGiHJyOfcUpBm1apXI6TULlpaa8lRWKc9OL/C5EpsTn
EYa07V2r08C67q3snRpY1HQ2r1HXvHptc2sbYwHh8WS0VFyUKn4ro8trrvJwRHZ0/cJ5c7mVEHov
Z89fGDigf6OGDSiK0tXRaaB0w7NxY0br6ugYGhj8Mn7slavXlWYqdvPWbTtb2949e/Bo2sHBfviw
oWfOXQAAa2vrFcuW2NhYs9XatW1T39UVALp361rL0dHP/w4AvI2ODgt/PWvm9As+FxUnCMp34+at
0NBXO7Ztaubpoa+vLxQKywZy1slTZ5KSU5Qv1D93wWfWzOn16tbV0RHWdqo1+/cZ57291YZDHk3z
SnCnaSASmefm5rLD0b9r9T/FkIHLV69OGDfWxsaax+PVrVsHANwbNdTV0SGEvHgZyuPRAqVubV1d
XUMDg6dBQYQQezu75iVjhrOysiwtLUQic84dcUTm5qGhr8Riia6urnIO/06xsXEREZG/ThjH5/NN
TU1+GjqELdf0Kt6pQ/u2ZqamAKCvrz929MiMjIz4+PiU1NTHT57+MuFnHR1hfVfX7l27aHP7A/SV
eRgQOO6XSe+RwwNA6KuwoODn3NISQcHPQ1+FsRm46rdj5WfF3epu9V3ZHP7p02ds4bOg4FVr/5oz
a6azc93iSoo/JSPrOWfQpLyCtLToisb3NGmMvNw0nnNx4GyvBV6zZ3IrIfQli46JfRn6asa0yQYG
BhRF2dnaKr4evJPI3PxVWLhEItHV1e3SuSNbeOfu/Zo1qvfu2Z3P55uYmLALZK/2yszMiotPYEee
37x1e2D/fgCwa8/eEWPGz5o7/3VE5M+/TJo6YxZ7UZuZuVlMTGxGZiZFUb16dC9dqxZu3ro9cthP
RkaGAoFgzMgRbKGujq6BgUHQ8xBCiJ2trUdTbccGO9VydK5Xlx0RUKe2U8f2bUNehgLAxUuXR48Y
ZmJiIhKZjxz24yXfq9w5EfpMAh89YW9Np022zPEqLFxtDs8KCg551++9lyrbsa/o0i/npvoAxdfG
q/TGE4pJzn9VPd3NTGQT9jQlJSanlovI0dXcpal1k9YOUgkjlzK6BgK+gM5OKTw6/ZGkUJaaH5fK
vKXKzRcWzpurPBzxYUBgr34/qFZB6D3dfxDw17oNSxbNt7O1LSwquuV3+3nICwCQSqUvQ0O9z58W
CAT+/nf/2byFOydARmbmhElTvGb/7jV3VkZ6xvGTp9mfN9fX12vVssW//+1nq3l7X5w+bbKrq0ty
cvKMWbMVXeLHT5z6c83KRX8sUyywfAzDTJzy289jRi2YN8fO1pZhmLT09EuXr6jtr16ybPnp46VX
fW/cvOXnMaP//nO1tbVVenrGJd/L23aqvyzl0P7/FI+1/N14/zv3unYJunj+THJKSuCjx4rBBRs2
bpk5fdrxwwd1dXVehr4aNXZ8965dNvz9JyNncnJy5i/6QzGyHQBycnI2bNqyc+umtPT0mJjY02fP
s+Whr8IuX7l25sSx5JTkgUOGKer//c8mrzm/DxrQPzMr64L3xd69eigmlY8Q8vuceYsWePnduJKW
mrZp6/b5c2eD5lfxTi1btJg3d7axkZFUKg1+HjJ+4hT2NOqSZSuWLl7of/NaZmbW3/9sUtutir56
75HAfxDKBwWJRLJg0ZKQFy+LCwkQIM+CgpeuWCmVSlVSeMU8ZY4qhGJSiyJy0l21j+9p+XEZVFyZ
n+9Q4TV7Juf7R/9B7/7ZDoS+LLO9Fs74bfKF08dpHp2UlLRq7Tq1Y/fK2rhl+6wZ0374vm9WVvbF
S5d7du8GAMkpKTPnzJs66de5s2bk5eev/vPvhITEpYsXiMzNJFJp8POQffsPAcB/+w7s2LrRyMjo
0JFjiUnJNE071XKsWaP65ZJuiaPHTq5Yuujk0YM5OTknTp1hx65raduO3b/PmHbm+GGJVLr7333R
MbEAkJObu3nbjs0b/kpPz4iNiz93wYc7mwYGBgYzf5tSo3o1mualpadd8Ll05NgJADh45Jidne3Z
E4flDHP5yrX9h45w50To83mPBP6DU9uxr22XPiGUa0PVk22EduA3alSni76uEWFH2RFiYCgUWevb
VDOxsDE0tdBPjcx97Zea9aYgszDFL/t0Gv8NvPsmOAh9OvZ2dpe8zzb2aCFX119dIcv/WJyYlMQZ
tM/64fu+/fr2GT5qLHcCQgixlO46V0Zx/q0ytST9Vp6m6LJX91zxP1IyN3uOHhi5XGRVetEQAACh
bEh9t1odtIzvd/LPZ+nGQrlpPELo4xEKhUMG/tCm9Xfm5qaEQEpKyulzF65eu8GthxD6xqSnJNE8
HvdWT0AxydJXr98a1XForis0pCnK3MrAxFSXZujk0JzEJ9niLJk0hwExyS5Me5pzI4MXgzk8qqLK
70XSWtkfkwcAkcj8lwnjVq9dx52AEEJa4uTwJc+UC7nxtUwOrzpXaS88d0YAoEga8zoyxsDJzvOd
8T0o3y9bmIA5PEKfkUQi2X/oCHZiI4Q42BBfJo0HkNKFbwoCCqKy61r9z0RflBlDst8U8hiKJ6PZ
W9fKpdLUwvhHedfSeG8ZWqt72CL0Ndm7Z6ejY83jJ05dv3GTOw0hhFhlRrZXhOEoffUAACAASURB
VCLFV5PbKylO6QFKVlfSI19aRYmMJ46VPiuMzq1t0cxYT1N8T3haeDNTJ47wtLrrB0IIIYQ+MaJm
UH0JilBGjI21Tm0bA0cTvpkQdGg5JZNJc8QpsUURCczrfH4G9sMjhBBC6qmMkC+j7Hh7lRKVbvfi
8uIKJSWEqGTtir/soHqGseAMqi9BMZS+zMKS72itX9OYbyYkQlpOy+SSHHFqvDgyiYoq0snB+I4Q
QghVTWkpSTRNq+mNZxGK5PAScyUpb4ue6BIDHdqAEFJE8iRUvowuIgIM8AghhND7KRtDlUsUj4sf
KBJ5JWxKX1Jc/FftQrgITfKFqQXy9Lic50JGXwh6BIiY5Et5hXIdCdAaZ0QIIYRQFUBA7aB6ZYSW
S+l8KeRr+/vUCCGEEAKAcjJpAHjXVLVKhtor5+sqJaUd8+9aOuExMl6hDAoLuFMQQgghVIURIISo
/JIzQgghhD4DTtZdThpeemM7xeh6tlxlDo2zI4QQQuhLxoZ4TOMRQgihT01tms1m5Zxnin/KSe1V
Faf1nFKEEEIIfRUIYBqPEEIIfVplE+yyJRqUZuhs53vJX5Wb3CnVRAghhNBXhgC889p4hBBCCFWM
6vh2NVSmq6lcXKSYUk59zjPl7B4hhBBCXyVCMI1HCCGEPr/SzJubg6tJ4gmUl7ITAAIgLirkTkAI
IYTQFy4u5g3goHqEEELoEyqbdKst4xapvzReqaQ4qUcIIYTQNwDTeIQQQujD05hVcyao6WsvB1tB
UY0AlOmPx4vjEUIIoa8dpvEIIYRQ1cNm6CUPlMrUPC4uYW9xV/xEZRJCCCGEviaYxiOEEEKflIbE
XH0BV+nvxiuVqe+QRwghhNDXCdN4hBBC6DPT3M3O5uxlc3fFD8qrwgQeIYQQ+gZgGo8QQghVBdwM
nPO85KmmjndFok+IIstHCCGE0NcI03iEEELoU6lkcs3OXrwQlWVhNzxCCCH07cA0HiGEEPp0VJNv
5SdK1CXqmpS5ML74P4QQQgh9rbRO43muk4+cW97eEHguU09dX91eyK3wodHWg/bc2TbUmi5d9efy
2RugDX3nH1cfuuF3/bb34k7GFPdpFfepdio1PuOqtVT1W4gQ+nC4+Tf3OUvDb8op8nlSdppmGN8/
YwO0gfH9/XzGVWup6rcQIVSF8bkFAABGvTdcWtFGcVgheRdntVv4+Mq2jbovCpTrVYK6VSy4LVGu
osBEK1atU6djB/79S6EVagbP0mPQpLF9WrtVM9eR58SH3fPZv2X/nTj1KyumsiKlBnwSRr03XFr+
HZ8QwsjFealvn944umm7b0Qht54SyrLbpClOARN7bAySCmgJWPZXfqr9t7mK47lMPf7vz448lUKS
c/63Hgv8y93EH5LSFpPmp7x9fuPQ5k0+kZo22HvtRR+EUe8NF0aE/jxkR4S8uETwv4UXlskXdVsZ
IFWpiRD6JqnrhC+5yl1d5q7aD0/KFnGpC74Y3z/Ya38njO8VhfEdIYTUU5vGA4A8fOfwH3exByNC
CGEICb99HQBA9XheCWVWwa1QguQXrxr0Wwyb1jf4mW9ogdaBizJrPee/lU1Cd6wbvyAoLp9vUa/1
iJmL97n+M+J373iNq1RdUWkDPhlZ+K5RQ3ZEyGldS+euv69dsDI/YuhORWwoi7apZkten3qZTxiQ
MMBTffoxyUM3D2y1haKA33DmyXWi9T3n+UnKfz8/juItRvQsXTr9unL+amn00PUhMm4tAO6bixBC
n5u2xyI2TVd6rKTkeWk5t0aJMsEX4/snhfG9ojC+I4SQGpoG1RNC5CUYhiFqR/7QIo+fV+/3vXbZ
z/folilt7TSdE1CvzCoAdGp0mbPj9G3/azfP7Zjf2bZ4rBi76g6WrWdsXtTFqunkfZd8Tm8eXE1T
01Xwag+d3F18dMH8g/cj0wvERTnxQT5rZm0N9/hlbHNd4LlMPX5ozg/D/zzi4+9/8+aJvyf9z5Km
TLkrUnrttEWzn1fvvXzj+p0bF46v+6WdnQCAPWN9aHb/ocv3nr7pd+uOz+7FvWrqAADPpu2U9acu
Xr7td8Pv/K5F3ey0arMypij15UXvRwW29tY8ABA0X3zlwnwPATuRMum15c6/o6qbt5r099J+dvpt
vc75nPqrb53Wyk/7WNGa3imey9Tj/05o0fa3bWfuPTg/14P/fg1mGIZ9E4niPWUYEKnbUJo2oMJ7
NUAZU5j64uKJ64lWtZ3qjNhz89DIGiVLMGi/zPf6H906l92LiExQe8CK/Wdv+d3y9965sEcNdi9X
31RN7/WHoP5tUlC7u6pWQQh9fuV1h3MmKT/lzlVO1bIFhCivt7wWqAm+GN8xvmuA8R3jO0KoyqpY
ZFZBOwxeubJnzLKR3f1T9RtP2/bn6uzoUfvfvv9JWn69MavntQheOHCKfwqveq8Fm34QJFxVTCXZ
/hvm/et6tO2lkRNOpZf7HaUUbdXEs3qC383XysO/mJTbN0Kmj2jmxAtggOfYv5/JlMl9Z2UIa/Vb
tGPlwpShv53grIjnUrK4msPXrOwZtXx0d78ERtRswtq/1tOTR2wNlgHwHAcOtp85dciCZLDrvnCv
1+Qud2b51hk5v2v6ih+7+2WBvk0dW1lShTcOJTCt3a1Xk0K/9S81DsoiWXe3zMwTHNti8U+f4oGL
M3OUn9IOQzW9U7Tjj3P6H183tduMVLFEJmhS6QazNG0oqYbykrPqlW4ArWNi69pxaBeriJPB4d7S
Rz+P6el6aGuIDCiTVr2+K7wy88bVZ8+sOG8uZdSmvfX06YPms+/d3MnP7s2+kFNDY1PVvdcXsrTc
JTXT5gOldndNrOBGQgh9KUoTc+XSYmwZKcnZS6sQeFcm/y7aHI4qBON7WRjfVZb7ThjfEUJIhaaT
fXyn4duuXfW9edX35tXzKzurufsLXaNzX7fI47vvJkuByQ46diGyXodW9pqWpwa/3oTDT58EBD8J
CH5yZ1s/M55jmw7VXx7ZczdZAqQw5uJB3zeaB5lpiTI2NSbZGZxDMMnNyGaMTYxpAADZ0zOHA9Nl
QAqizu89n96oQ3MTTXeMoR079HQOO7LTL0FMQJoWsGffHYuefd3Z882yoJP7/JMlAJKEG7eCKfvq
1rQ8JTpW371P35ZOxlRBUlhkmvaHY36dn/c9fHDncYC/38Ffra6t3eSf+d5hpLx3iuLHnft7253Y
nMIisRwq0WAVmjaUpnLFjJVoAL/ehMNPH9+777N7SXf5qZlzD7yRZ9w6fUO/a9+mugCUqF33Fqm+
54LUXs4ne3bm4F3Fe0c7VLemy22qmveas0TNlD9ZvjevXljbw4SdUN7bVKoCuytCqAp67yN5qcou
AuO7GhU95lcmWmF8r2ADML4jhJAamnrj5dEnvSYceMMAABBxbj53OgDPwtJC6Db54MXx7HO+UJ74
yKAChxxZ2I5RSvcCAYGHmakkOTmr+MhO0lPTtT/Ia0Cys3IoE3NTChKUSiljkSmdnZjDAADIsjPz
Svoy0lPSoIWpEQVqgwHwzC3MJCnJ2SUBV5KSlGXoZF586E9PK5lA5HJC0zQw0cemjUv5ceTIree8
UvyPbtx4OFDbuCV7vZu9UQrP0K7RoPnLDyz5a8jCGxncalpt7nLfKWlcdOnJ3ko0WIWmDcVj1JeX
zFeZBnB3JwCAgsATFws392u1KfBFp54NIy6sC5erPXMlyyjz3ml6CWz9su+11pQ/WQAg8JixbxYA
vONtUlC7u77/V0CE0GdX5vOrKCgzpaSPveQgULamUid82bmLYXxXo6LH/MpEK4zvFWwAd3cCwPiO
EEIa03giK8xKT08vPWiWufONPDM9oyjw4ICZ5xWHwsphcjKzhdUsjChgh9SVnE5XRghoGdtYTOqT
gJjJndrX3f4yVBG6aes2Hd2yA/dFysERgC+yNKUhhQEAytLGkmRl5BDQVbsieXpqutDTpqQ66FjZ
mOWlpLGj4dSOYCR5kTd2Lrqx28T5h3lr1s9L7z3zUgUPyfK8hCdHzgX/MrulM//GPSAMoamSzUKZ
mpqW2URlaXyneFCm2ZVvMIDmDaWpXGnWD9OAErLQs+ei93Zr62LVtc7zc/OL73lU5s1V896V21Q1
9bXG+WQJcoqKF1bu26SgdndFCFUtlf1UvmN+7uQKHpIwvkPZFVX8mF/5aIXx/X0aUALjO0LoW6dF
lNCAibp6LrT+qCmdnQxpAFrH3LF+zQr9gClFUbwSNE1T8qg7fvENBo9qZskHSseuw9ButTnfLZi8
zGxSzaWOEQUUpd2q5BFHN/vqDFm6bKhnDRMhT2Bg26DHnLUTnQK27QkoAgAAgfsPw1paCYDSr/39
6N5mT68/zCEaVsS8vXom2Gno+HYOuhQIRJ5jRrZOv+QdpPGiNtqqbqNqRnwAJifmxdssWiCo+Oam
dSzdh/ZtLIsIeysHkCfEJho2aOKkCwCUkXu/bs5lvn6Vpf079SEaDKB5Q2kqV8z4oRqgwMT7ngxy
HTKzR/UHF66lEQBt96J3NvWD0+5tUre7cusghL525X3sy5umJe0OR+XA+K4NjO+VgvEdIfSN09Qb
rwUm5sicOdS0if+cnSvSpcTpETe3L1n2VvuDDq/u+AOPigcYFf+u7M45a43ne52+aShNj7z+78lL
rdqpzAH5/vv+7bZwofd1Jnzfb+P3RWgxHotk+q8ZM2PQxLG//zvRQaQrz45/dc97yaj9dxIYAB4A
ybp9K7PvhpOrqpkwSY+Pz1t5NpnhruhgycKYuBNec4Qzpuz0mWfKEyc+u7jkt11BEjVdGSzKrOnP
K0Y0seJLxOKsiFsr117W9tY97LVzowkAMIWpYfePztxwJoEBgPiTf22vP2/N2U6ZyVm58fdu3cxo
zp21LK3fqUo0WJWmDQUayks24AdrgALJvHHq3m8bWvrtulfygjW8uRyaXoKG9/oD0OZtUr+7IoS+
RGWObiU/EK9OedNKkZI/2lQuhzaHo/JgfC8HxvfKNUAB4ztC6NtGuTZswi37dvBcph7fZLuph9ct
9RfLoS8fZdJp2dmJydMGbwr+iKfaPwncXRH6IijuHa+G8rTizLykgJQWKP4pLWNnLP5T8qT0QfHf
4v8IEGAYxkxkUbzsbxAeML9+GN8RQt+ol8FPoDKD6r8W5Qy8Ql882txzwjjPsMMnQ770GF8Md1eE
vj3KZwU0nyEopnya4FuHB8yvGcZ3hNA3rhKD6hGqyni1x+7cPLaO7LX36rmn8adXEUJfEk4KrmVG
rmU1hL5sGN8RQuhbH1SPEEIIfVjvM6i++I/iH3aUvOJJaVHxX+6/7BTFuHogwDByM5ElIIQQQujr
goPqEUIIoS+L5lMEqrSthxBCCKEvEKbxCCGE0CfwkTJrttNepaC4Xx8hhBBCXylM4xFCCKFPQpvk
WmMd1QlqRu6XLUEIIYTQ1wnTeIQQQqiqUZOTqylCCCGE0DcJ03iEEELoi6Exmdc4ASGEEEJfG0zj
EUIIoaqo4pe4V7Q+QgghhL5ImMYjhBBCn1wFMu7yqqq5Rp6lqRwhhBBCXz5M4xFCCCGEEEIIoS8G
pvEIVWmeHk25RVVJFW/etwDfgi8aUfzRXjnVKz4KHyH0uVTxo3cVb963AN8CVD5M4xFCCKGvCyn+
DyGEEEJfJUzjEUIIoc8NO9IRQgghpDVM4xFCCKEq4v1z+fefEyGEEEJfGkzjEUIIoa8GpvMIIYTQ
1w/TeIQQQgghhBBC6IuBaTxCCCFUdeHt6hBCCCHEgWk8Qggh9CXAZB4hhBBCAIBpPEIIIfRlwXQe
IYQQ+sZhGo8QQgh9eQgpSecVDxBCCCH0bcA0HiGEEPp64C/QI4QQQl+9qpfG81wnHzm3vL0h8Fym
nrq+ur2QWwFVnmIjfwVwP6k0StehabvG1XQp7gSEtIGfQaQljO+fAMZ3pATjO6oU/AxWbXxuAZdR
7w2XltW/u2CYl3cywxYJPGZ7zyucNWhTsEy1boUZ9d5waUUbxc5B8i7Oarfw8ZVtG3VfFCjXqxye
pcegSWP7tHarZq4jz4kPu+ezf8v+O3ESbr2P71O2xKj3hkvLv+MTAGAkuSlvn/l7791z6nGaHACA
ia78Rtap07ED//6l0EotpIIow9pdxowb3NXTydaIV5QZH+a/b/HqN9xaHxclNKtW18lOZKTLI9Ki
vOz416HR2XJurU+G0q/h4SFKePAkXrEb0Rau/6sne34vPLuKdMnxDa1rOjpYmxno8im5pCg3PTr0
VVKBhsbRhlZWVHpSbsU2aYVW8aGVfNYIYaT5KW+f3zi0eZNPZCG3mkYf+aNEW3gMmzn5+++crfVl
uYmRz06t/+O/Zx9pXejLgvH9A/qULcH4/pFgfK+wCgVfjO8fGsb3b90703gAkGUS9xmzuwXOulgS
6D8gefjO4T/uipADABBCCENI+O3rAAA81YrviTJrPee/lU1Cd6wbvyAoLp9vUa/1iJmL97n+M+J3
7/gP/3LK8elbIgvfNWrIjgiGr29Z27PP2Kmb9zVcOnbRpSQGSH7xRn5/+i2GTesb/Mw39FMdSwH0
G47fubm/9Nw/84ffeZUmM7R3cbdKS2L0ufU+KqG1S0MHiAp58DRPzhPqGRpQhR/lzftq8Ewcm7jb
MwkRIYHpeWKGp2dkqiMp0rjT8ETVnWyzsyoU5iu4io+h+LNG9CxdOv26cv5qafTQ9SFapkEf96NE
ibov/msw2TGn/8TXhboi+9qOgtgibiX07cL4/kF8+pZgfP8IML5XUAWDL8b3DwzjO9ImjWeC9/6T
P2zKvB6PpyvO2JegRR5jZk0d4GGtJ8sM8dm2Yntw879PDw3+eciuSAZ4blOPHhiSuLzPtFNpBPTa
rvSemj598DqVk/yEELlcLi/9TPNcph7fbLe5+9zbpZW4a9nml6DlJ4hXe+jk7uKj4+YffMWezIwP
8lkzS1j9xC9jm19bGuA49cgCvWO+FgOGtHDQlyU9Pbl+1bZ7qYymNfJcph5ZoHvU27jPwFaO5oK8
iKvblq/2fivmrFStz9cSIitIeeW3e+4b8Y79M372vLn8YVHpRnaaemSW+O99eiN/G9SYd35y/7Vv
3NWsDoC2bDZmxq8DWjqJePkJDw/uT+w4sYuVcZt9l8ZIIvZPm3osFiyajfl94sBm1QygIOGpz9Z1
e24lSIHnorL8KVPif9nb7fao4fuiGQAAg/bLTi1gVvRZ7J+v2mY16BqDZv5kdnn2oL8f5BIAgKKo
x9eiAHgupVXUt8Gm7cQ5U7u7WhoISHbk9a2Ll/smgNqtqgVKqKdH5ccm54jlAPKi3Az2iEkJRTVd
alkZ6Qp4lDw/Oerl61yrph6ipIAnsWy44VvVb15XHnr/VQYjNKtR18nBTJcmkpzEqFdRaR8xIFFG
tZs503FJAlt7kYGQkuWlRL0KSyxgAGh9qzrOtWyMBESalxqXWzqHjlnNOrXszfV5IC/KSowKj04t
qsT3GErfoU41QXLIw9cZ7AaW52el5APQ5i7/cyYvHrzKZAAABDburewzHz7Pd2jgbK0jsPD4riaT
Fx0UFFf47m2jaRWaXgtlVLuZMy8uWWjvYK7HI+Ls+NdhURl0tSYe1mmPH0WzsZZvWb+5Mwm795Lt
3tIWU5j64uKJ66M61qtlQIXkilqNWzChc307Ez06P+Lq1kV/XokhqnvjtnW3XGYv4nyU3nfnVIs2
t7MVRB298iK1gEBBQlhAQnG5+rXQFmrarPopntx/bXQTpaPBrqleoUBkgtoDVowe1KqGKS83/MrW
FWsuRn+Ubkj0gWF8f5+oyvX5WoLxHeM7xneM7xjfv1naXBtPCQvu/7XmXt1ps3rbqNanHQavXNkz
d9fI7l3bD14T0XLh6qGmgfdfV/dsak0D8Oq0b0Ui4uq1a2lKAQhcPZtIAu+9qvgOW3YtP9bUpt0A
QFs18aye4HfztfIOx6TcvhFi7NnMiQcAPMf+/UxOTO7buk3PsYcl/VYu/MGWLm+NPMeBg+2vzBnS
vm2XQZsTW82e3MVUqyuOPn9L5HFXr4aaejSrw+kGoR1/nNNfemhqt/aD1gfZqF8dz3HE2pX9ZCem
9O3QsuuI6f9cPLN+3r8vip5uHtm9Z//Jx2IZuubwNSt75u4d3b3Td11H//Wm2dL14xrqlFn+kxif
U4+q9e7pygcAoExa9fqu8Mq5h++O8QC0ZbPWdVOvnn/Exng1NLRB0GTk/K7pG3/s3qZtp+7j/zr0
KIkpZ6u+CylITc43dnStaWkoUNrcRFaYFf/q6b07d/wD3kis6jiai5MSc4xsrPXZSgKRjUiWnJgl
p/Qc3Orbyt4G3r3j/zA8X+TcoFpxlY+FMnBw0E0OCbjtdycgskhU18laAEAZ1nRzNs+PeODvf/th
WJaRZfG+Q+lXd3OzkcU8vuPvd+fR63xz10Y1TbTcNOpQQjMLI0lKYqZ2H3tpWsSLtzlMVuSjO3cf
PNMmxpezinJeC2VgZyeIf3bfz+/e4xjG1s3ZTqcoKT5L39bGqPj9MrcVyVMSMioU4wFoHRP7xn2H
drGKCHyeS4DJjnt8ZuWEXl06t/9pd2aHmRNa6XH3xsDw2xs4H6X33znVkr+97RvpMm7x2A61TUo/
+hrXoqbNAKqf4uBqqkeDm7EMAGXUpr31pVmD2rXtMnhLcus5k7uWfzhCVQXG90pE1RKfvyUY3zG+
Y3zH+M7SuBY1bQbA+P5l02r/4fHozNv/rPCrNW1uTzulOeganfu6RR7ffTdZCkx20LELkfU6/I8X
+DCmnmdTI4pXu00bnYe7T4a5tW1mTPGcmjXRe/IgmHsCh+80fNu1q743r/revHp+ZWc1N2VRt5ZW
9lo1HChjU2OSnZGlergguRnZjLGJMQ0AIHt65nBgugxIQdT5vefTG3VobsIrb42yoJP7/JMlAJKE
G7eCKfvq1lo1pQq0hMnKyiEGhoacWhQ/7tzf2+7E5hQWSR3Ur4527NCjbviBTb6vs2WygtSoWPYU
aynasUNP57AjO/0SxASkaQF79t2x6NnXXcBZvlhOMm6dvqHftW9TXQBK1K57i1Tfc0HcfUItytTc
lKSnZmg8c6ypDfKU6Fh99z59WzoZUwVJYZFpTGX2KGDy3jx98jpHv2ajFt81q+9kbcAeOpmCzLRc
CUOAKcrMyKN1dPnilKRMPWsbQwoAhJbW5kXJiTkMpW9la5wf9zZdzACRZscm5htaiT7yrWeYrPiY
tCIGgClMSc0GPX1dijKwsNTPiX2bLmYA5AVJMcnsOWpK38rGKDf2TWohA8BIMt5Gpwlt7Ey13DTq
CIUCIhFr9Q6/Lw2rKPe1MFkJsRkSAiDPT4xOFJtYmfMlqfEpPGs7Mx4ACC1tzMXJCdkad7Yy+PUm
HH76+N59n91LustPzZx74A0DANLoR36v0sUMSJMe3o/UsbY2JGX2Rs6CKrVzqiUN2/Pr+L9f1hi9
8dSVQ6smd3Y0oMpbS9k206B6lKiu9mgge3bm4F3F4Yh2eNfhCFUVGN8rEVWLVYGWYHzH+I7xHeM7
xvdvjjaD6gEAgOTc3bjm+v4/vPo8+j2OYYMVz8LSQug2+eDF8WwdvlCe+Egv5v6DjAHNG+qHuXxn
9HCT323HgePaNDcOsfawCjr9tMyNF+TRJ70msJ8JIOJcNedt1a7FQLsjI8nOyqFMzE0pKB5pAgAA
lLHIlM5OzGH3zuzMvOLYS9JT0qCFqRG/vDXK0tNK7ixC5HJC09rtzFWgJbSFpYjKjOKGaJDGRSey
ZZo2Nc/MwlySnJTFnVOBZ25hJklJVtxyRZKSlGXoZC4AAOXlAwAUBJ64WLi5X6tNgS869WwYcWFd
uHZnRElOVg5lbmFGQTx3EktTG5iHx6aNS/lx5Mit57xS/I9u3Hj4mYaXqS1ZfnLUy+Q3fAOLavXq
NW7If/wsXmpgU72mrZk+HwhQQn2qKBVAkpaQ7lTHxvhNntjaxiQ3MTyfACXU0aGNnTz/58guiqJJ
UZbWH0K13vnbUkQilpY+AQAASiAUMOIiqWJbFUdJSigUMOLS6oxYLOUbCLXfNGVIpVJKoCMAeMcN
YT78Ksp9LUQmUZzcl4glIBAIKHlmfJLc3c48MjPX2sYkL/F1yadRG7KwHaOG7GCvAS5BGdTtNnJM
H48aRhTD8Mxr8uNvUEw0d28MzFCeR+NnsDJIftTl7Qsv7zRyavvTXK+d60xGT4vWsBZ1bQYAlaOE
+qOBLKNihyNUlWB8f8+oWqwKtATjO8Z3jO8Y3zG+f3MqcIQhOQH/rLh2aOXsvn/HsJ8deWZ6RlHg
wQEzz6vcMlNoGiid59m2XUOTu9uDi1ISbseMbNOmuXGt8LtqBkwRWWFWenq60rVzShMBQONatMKk
PgmImdypfd3tL0MVp/No6zYd3bID90XKwRGAL7I0pSGFAQDK0saSZGXkyDStkQcApMKNAICq0BJh
nd7d6yY/2BQp52zk0uVo2tS87Iwsobu1CQWppeWEgOLoLE9PTRd62pQ0H3SsbMzyUtLY3YTTTlno
2XPRe7u1dbHqWuf5ufna3v2HSXkaGDule9eGO0LKflkEKK8NJC/yxs5FN3abOP8wb836eel9t6p/
mRVDZPmpbyOMrZqKjPkFxu71DOKeBr/IkRJKt1qTZlYAALL0hNS6LlamCUXWhlnxIUUEAKQSCZMZ
8yA4sTTyVg6RSaSgo6tDgaT4xVACPV1amlHeCohUKqP1dPgA7L4oELAHAiIRS2gzHQEFYgIAQOvo
CGVi9vF7IeKszAInGxuTqJws1a9zBKA0uFMCAfuVUDFFe5pWUe5roYSlE3R0hSCRSAmQ3ITEAg8b
CyNdK8PshBdaDfkrh7DprxvnOJ2Y9Nv8Fzly2uannUfbA5TdG3vPeqryUdLwGfwAmNzIm7s21G//
b8v6wmfq1yL0UNtmUP4UM+qOBmU+5ugLg/H9faJqic/fEozvGN9LYHzHWFTESQAAIABJREFU+K52
LRjfv0oVOqNC8gK3Lr1kO2liG3ZsHBN19Vxo/VFTOjsZ0gC0jrlj/ZrGFEiC7z8zajm0q8XD60/F
wCTe9k/yGD7QLeb+g1QtD+kqNKxFO/KIo5t9dYYsXTbUs4aJkCcwsG3QY87aiU4B2/YEsDcvEbj/
MKyllQAo/drfj+5t9vT6wxx5ZdaoyedrCS00qe7ebdqGdSP1Lv65L7icw7+mTS2Punk5yuWnXztW
16eBZ2Bf28GI5GVmk2oudYwooCiKeXv1TLDT0PHtHHQpEIg8x4xsnX7JO0j9qph435NBrkNm9qj+
4MK1NK0PDvLXRzb70j8sW/dLB1cbIx2hvqmNU+M6Foo9WFMbaKu6jaoZ8QGYnJgXb7NogQDeqH+Z
2qD0zKzMDPWEPJqihYZW9hbC/Jw8IhDyZQU5+VICFN/Q2sqweGFMVlIyI6rmZKWXnpQqAQAg+SkJ
OUY1nKwM+BQARQsNjA1KA9x7kaYnpvHt6zhZGghoiuLrmlWrW8MwJyG5vChF8tNSC00capjrUAC0
rmU1a7bJpCAlIduwmqOFHg+AFprVrGEhSU6swNizMkheXGQyZefasJalsS6fpnkCXQNTQyFFigqK
+Cam7JBFvomddfFFa0QmlRI9I8MKbBQNq4DyXgttYl/dXIcG4Bna1bAVZqVkygCAFCbHZxtVq2Oj
n5GUqvZ2UhXBNzM3zn/7IipHDrRhvW4d6/EBoOzeSDOqHyUNn8H3Rjs07eRR285cX8DTEdXtNKCN
5ZuXkfka1qK2zRxqjgaVaR+qKjC+V8LnawnGd4zvHBjfMb6rXYvaNnOoORpUpn3o41PzLpar4PH2
VWdbbBkhBAAAJubInDnUtIn/nJ0r0qXE6RE3ty9Z9jan8MmDYNsuDa5seyIGACbmzt2cieMEewPj
3u9woWEt5RzFlJBM/zVjZgyaOPb3fyc6iHTl2fGv7nkvGbX/TgIDwAMgWbdvZfbdcHJVNRMm6fHx
eSvPJjMAlVmjJp++Jfy64w4+HkcYaUFG/OvHt7aOnusbWv6smja1LOK/2YuEv0/Yc2mRqUCccHvj
5Hne/vv+7bZwofd1Jnzfb+P3RZzwmiOcMWWnzzxTnjjx2cUlv+0KkqjpewEAIJk3Tt37bUNLv133
ym+OKpJ5e/WY6UMnjZ2wedhyc10oyowLPrx0YlTJKVomTm0beGZNf14xookVXyIWZ0XcWrn2crpc
rP5lqqxOA76hbR0HF30dPk1kRXkZSaHPY/JlVHSEZT3nZp4ymVyak5iUXGTNVia5iUmy5rV0Ep6l
F4/xIgVxISFU7VqNWtYT8oCR5KdGhebmK0a/vQ9JSthTXq06tRq1chPyiLQgO+3ts6h33D6G5L4J
CRc412vRhkck+Slv45NEFgAApDA+5Dldx6nJ/5wFtLwoKyk06G1lojwASNLCHgVXc6pZy726noAG
RlqYHRv6NC8nPvyNsbNbCyuJWCorTE9NlZoDAIAsLSba2tnlf21IXnTQk+j8cl9GMY2rUPtaKACQ
pqVK7Bo1d9MTEHFm3IuwxOK7CUtS4tNrNxKlPUtX/xW1Igr8925o6zX/8KG83KKsF+cvXU7sAkCV
3RuJhPNRev+dUx3KsG6fmUMW17AyEspzE8Mf+iyesT+CYUDtWtS2mavs0WBhBLcO+iJhfH9vn74l
GN8xvmuA8R3ju7q1qG0zV9mjAcb3qo1ybdiEW/bt4LlMPb7JdlMPr1tlbqDxiVWdlnwKlEmnZWcn
Jk8bvKm8vgMEAACeHk0DHz3mllYZVbx5alBGtZu760beDVHXeSiwqt+yVlFQQGQlv9x8Sl/eW/DV
I5qGIBKVa10JAWCfFv/h/lNSnZDSf0ueESBE6TkhpQ8IW4Nh5OYWVvDNqjpRteq05FPA+F4BVfzo
XcWbpwbGd/TNeBn8BKBig+q/ShRVVUaMVJ2WfFy0ueeEcZ5hh0+GYIxHVQklNHN0NMuNjWfvSYUQ
+sJVnahadVrycWF8R1UTxnf0VarooHqEKoFXe+zOzWPryF57r557Wun2tgh9XpRhzSaNahqSvMSw
kITiEXgIIYS0hfEdVU0Y39HX69seVI9QlVfFh1RV8eZ9C/AtqHJwUD1CSAtV/OhdxZv3LcC3AGmC
g+oRQgghhBBCCKEvDKbxCCGEEEIIIYTQFwPTeIQQQgghhBBC6IuBaTxCCCGEEEIIIfTFwDQeIYQQ
QgghhBD6YmAajxBCCCGEEEIIfTHwB+cQQgihDwd/cA4hhBBCHw3+4BxCCCGEEEIIIfSFwTQeIYQQ
QgghhBD6YlA5OTncMgAAMDIy4hYhhBBC3zzOqPmyTxXD3RWT2MfKGIYBAIZhlB8QQuRyeW5uLvtU
LpcTQmQyGftYV1dXLpczDCOVSuVyuVwul8lkMplM8YAtZx/n5eWNGTNGqV2lML4jhBBCn15ubi63
CAAqHpcpigLsjUcIIYQQQgghhL4gmMYjhBBCCCGEEEJfjM+fxsvenJjcto59tXqN/9fN63KWhhv8
akccfmjh+jvqRyt8OtLQfxdsDMiu1CtBCCGEvmwY3xFCCKGP5HOn8STr3PzpTzocfRUT9tT/1Pw2
phS3htaYhONjhxw079CkYhcXqJLHPegzeNuCYDl3ggbq6gvqdGzweOLADSESpUKEEELoG4LxHSGE
EPpo+NyCT0weHRxq2ua3RkYUAM/AUI87XWtMwrHpywqnX5rWSJ87qSIoAV+X4usKtP22obY+v8bg
rRufdJi0vvO1OW4C5SkIIYTQBzFm3C/O9era2tgwDImLjw0Pj1izajm30meE8R0hhBCquAaNPZs3
86xTuzYAhL8ODwh8/PxpILdSub3xRPLG+8k/47yndjs+spPP1jOZYm6NyhFfnd3Mza3Pppevd3xf
x9HRsU639S/lAAAk8/GO8e1cajhUq91s8Mpr8dLiGTSVAwDIQ3atixyweKiD4gUxiceG1PJY/KgI
AEjysaG12/z5UnkO9WgTQ0uBgbWZUtgmRS9v+8/440CXX7Y2HXdo7o20gtJp6uoDAIBByxm/GO9a
fzWfU44QQgh9CM7OdZ1q1dLV1dHV1XF0dKxduxa3hkYY31kY3xFCCFU5zTybujdqaGCgb2Cg39jd
vZlnU24NACg/jZelp+u0mtt5ve+gHVtrpmx6eDW2vMvBZI/Xdm/aWEmLmb7KAbEMnc5rA0JCTv1S
13nShddv3rx57TvdlQfAxO4b2Wsj/OYbHvf2wd/OF4d9v+aZFDSXAwAA8/bqdXm33q5Kgwto24Hr
VzodmPzXs6LMS/9n777Do6gWPo6f2d10QkI6CQQpoTfpSO9VigoIiAoIIlaECygIikgTRLkqRaRJ
xwb6IleKIITeESH0EkIKSUg2pO3OzPvHpmw2u0lA2sTv57mPd+bs2bNnZ4bM/nbOmZ344bUhX75d
3UkU2k+nEkE+nqXzjP0z37zt2m1on80LRu6eWDly1fZ10VbbwU59IYQQUkCXpyvt2nyo8E8WAADc
tdAyZa1Xg0sHW68WiPN7Fs7vAIDHTZXKla1XK4flWc1RwKB6nXuDl2oIoaZFJ16Ncw7wun3hvCLK
6m2rZTPUH/vbkbG2pXdNufbjkj/rjTnfs5yLEC7Nx0/qufSN7w6Nq9vkhv3yp5yEEMJ8+cL1Mo3K
5e2crnTfuVN/bPna4GNpV55f8t/azkKIQvup839+WEMvF6sSqUS7Hg2FUFJu3YpIcC3rGXfymiyC
sjdc/vpZJJ/y5UwbLyaprf3yfQYAAOCfcXF1UWQld9XFzpnIAc7vFpzfAQCPHXf3PHPIPDzsTykr
IMYL+ebW48u+i1XK+lYK81ANcmZGQd/W3yfyzciYUhUrZH/97Vy+UkjskZuyw3JhmZsmm2WDU74Z
b7rgnkPbju22tsHShU+62jzmgOQSVjMob5H5yr69036JNAeVrlOuhKKX0zOttoOd+lkkg5NBls22
xQAAPFqc3y04vwMANMpxjFeunPnvvPTeyzs39JGEyNx55ORB2yp5mI/Menr4mmirKwNtp++Y09n+
tweO6YOCA27vuJKstvKVhBCma5dv+gUH6R2WZz0ruGxgTGSULErm+cI+7dDMSQe7TuoT/um0P3vO
aVVSEnffTznq6H9Wp746tX97L0mI9B//3r/Vtop9qVFRmcFd8w/HAwDgEeL8bsH5HQCgWY5jvJqU
niIZXJ0loZij/ji17aRSsqttHWuFDGYrKl25Z19+atacSZvbf96tdMqB2R//6PvC5oZODsst9JVb
NY3/eNuNsVVDc2f7px2e8fr3daeHT3zqSFzTke93Df9ve2/prvupGlNvS07uzpJQTZcPHlh3TvFp
YVvHHuPO3483aN/IznA8AAAeHc7vFpzfAQCa5fgWd/pa1QY0S1z4zE+jB21fd96vbVv3h/O9sy50
yHcbR6TPaBcWWqHR68fbrdg4oZ5zAeUWLs2GD05fOi88Jack7fDMkWtrzvykcymdV7tP5nfa9ea4
LQn3MGrQEFZvTN24ie982/29n764VrpP4xKOt1ku5cqqBSc6j+zFvDkAwOOF87sF53cAgGZJycnJ
tmVCCCE8PT1tix5z6Uc/7jDi1uTfPm/v+6jPraknZvccemHU7/O7+jzqrgAA7i9VzRMZ869aSnIW
cpatKYoihFAUxXpBVVVZlo1Go2VVlmVVVc1ms2XZ1dVVlmVFUUwmkyzL3//4kyIriiIriiorsiIr
7du1kWXZbDabzeaUlJQhQ4ZY9SsX5/d/gPM7AOAeGY1G2yIhRL7z8pdfL7BeFUK8MXKE9aokSaKg
q/Ga41pvwvqPDPNnbre/fR4e019fT/vrhdVfcI4HAOAf4/wOAEBejufGa5CudJc5P3SxLX3onGqO
WbfMthAAANwbzu8AAFgrRlfjAQAAAAAo7orV1XgAAAAAAIqrp59+2tnZmRgPAAAAAIAG/PLLL4JB
9QAAAAAAaIjjGC+f//Sp0BFbM23LH5UH0Z+Mc6s+mLsn+863pjNLJs47mHQPvz0LAIBWKNf+er/j
vhMm2/JHhfM7AAB3yXGML/aUqPVDn1/p07Ze9g/1OYW1q3VkZJ/P/7qvHyUAAMBDxPkdAFDc/Wtj
vBK1btTHaaO+ebuOe06ZoVy/r+c9ufb1uX89NtcoAADAXeD8DgAo/gqO8bqko18NbVWzbFCZOr2n
7oxTbB//R9TE4ysnvNC+frUngnzLNB665NQd2xr52O2Pw3aUK5+3bT7j1MVfPx7UrmZpv9BOn5+W
s1uS//pmzsXnJvcvY7MBPJq+O6LkN3O3Ft4XAAC0Sme6tHbvB703DG2/aeai6GTO7wAAaEmBMV6N
3f1H+sDVh69d/XOc25KX3tuSbFvDivnIrC71n7TSZPSWVNtK1tS06zGl+s3bevLKzaub+1yZ8OY3
Fwv5HGG/PwW1o9z85c0X52f2mPG/izdPrR5cWZ9dfmXrdrnz09Xz36hfCujydKVdmw/xfT0AoLhS
42P+yig/am2fBctqOf+0Z2V4QSc9zu8AADxm8p/nrEh+3UePbhviLESFvm/3+fjZjQcyu3Zwtq2V
xVB/7G9HxtqWFkAX/PToMUKYk6//dSqqVHnfU4dOZYqKrrbVrNjvT0HtyDfj6n7z25S2JSUhhLtX
Tkvmyxeul2lULvusb03yKV/OtPFiktraT7J9DACAYkAqVabHS6V9nIQo80T3jidm/RFnbhHs6BMB
53cAAB4zjk7atnS+/qVSrtzfYXfp57+fPHruHnPFho1ql1EMmWlpZtsqDln3p4B2JO/mXZuXtHO6
ls2ywcnJzgNCSAYngywXvSsAAGiXZynn9CjTfb2LewHn5UJxfgcAoFBFjfEZl85HBoYG2/t6O4v5
yKynh6+Jzg36Lm2n75jTOfcGMzbkiHkvT4gbt3t3jwCdEInLd03dmOfx9LiriW5lS5ewP+w/tz+F
tWOXPrhsYExklCxK5n9HqVFRmcFdve1+BAAAoFhRYq6lepd2t3+yFUJwfgcA4LFj/ySaRU06sHHz
xTRVuX1w7rSNfs/3r+9kWyWXof7Y344cs7K/gHO8EEJJiI2X3D1cJaHcOffT9MX7rWerqbGrBlSp
UKH19FM5N60RDvpTYDuO6Cu3ahq/bdsNO6MLjDt/P96gTSMX23IAAIoJNeXWod3GTFW989ffP/zh
0qyLb/7Qm4PzOwAAj5kCY7yhcoPgnW80rRRa86VdjRb8MKGeo3nx98Kp0VvTOp0cUbNK3aee/vBU
4yG989xU1sWvTGBJ3zJBJay/NLfbn4LbccSl2fDB6UvnhafYlCtXVi040XlkL+bNAQCKLX0531KH
DrzX7ft3JkRX+qDNc9WKcuYsqoLPy5zfAQD4x6TkZPu3n/f09LQtKmbSj37cYcStyb993t43+5ye
emJ2z6EXRv0+v6sPp3kAgD2qmmceef5VS0nOQs6yNUVRhBCKolgvqKoqy7LRaLSsyrKsqqrZbLYs
u7q6yrKsKIrJZJJl+fsff1JkRVFkRVFlRVZkpX27NrIsm81ms9mckpIyZMgQq37l4vwOAMDDZzQa
bYuEEPnOy19+vcB6VQjxxsgR1quSJIlCrsYXb671Jqz/yDB/5vbs7Wn66+tpf72w+gvO8QAAaBbn
dwBAcVfUW9wVS7rSXeb80CVn1anmmHXLch8FAABaxPkdAFC8/YuvxgMAAAAAoDUOr8Zbxtznp+ad
BAgAADSE8zsAAFrnMMYLe2d0R+d+AAAAAADwEDCoHgAAAAAAzSDGAwAAAACgGcR4AAAAAAA0gxgP
AAAAAIBmEOMBAAAAANAMYjwAAAAAAJpBjAcAAAAAQDOI8QAAAAAAaAYxHgAAAAAAzSDGAwAAAACg
GcR4AAAAAAA0gxgPAAAAAIBmEOMBAAAAANAMYjwAAAAAAJphsC2wIkmSbREAAAAAAHh0HMZ4VVVt
iwAAgMZxfgcAQOsYVA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEe
AAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABA
M4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAA
AAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ
4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAA
ADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYD
AAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABo
BjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAA
AABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0Axi
PAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAA
gGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgA
AAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADN
IMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAA
AABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGM
BwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA
0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8A
AAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZ
xHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAA
AADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jx
AAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAA
mkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEA
AAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSD
GA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAA
AKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEe
AAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABA
M4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ4wEAAAAA0AxiPAAA
AAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAAAAAADNIMYDAAAAAKAZxHgAAAAAADSDGA8AAAAAgGYQ
4wEAAAAA0AxiPAAAAAAAmkGMBwAAAABAM4jxAAAAAABoBjEeAADtyUjPyLOakWcVAAAUY8R4AAC0
51rkdevVG1FR1qsAAKAYM9gWAACAx97Zs+cUWQ0JLq0o6vXI6xcvXrKtAQAAiiliPAAA2qMoytmI
iDNnzwpVVYXlPwAA4F+BQfUAAAAAAGgGMR4AAAAAAM0gxgMAAAAAoBnEeAAAAAAANIMYDwAAAACA
ZhDjAQAAAADQDGI8AAAAAACaQYwHAAAAAEAziPEAAAAAAGgGMR4AAAAAAM0gxgMAAAAAoBnEeAAA
AAAANIMYDwAAAACAZhhsCwAAwGNv2beLzGaz2WyWZdmyYDKZbCsBAIDiiKvxAAAAAABoBjEeAAAA
AADNIMYDAAAAAKAZxHgAAAAAADTD4O7unpiYmP++OCkpKTYlAABAVdWCVy0l1uWWQmuKoljKLQuK
oiiKYllVVVWWZUVRZFkWQpjNZstySkqKpdxyWzuLnGXr290JIfKf1gEAQLFhSEhIOH36tG0xAACw
R82b221YUrplwaYwpzxn2RLacxbU7BhvSfU5kd7y35xCS27Pv5AT+GVZPn/+/KuvvprTAQAAUJzo
LF/bAwCAYiMpKcm2CAAAFBfMjcc/lrJr1ov9+/fv27Pzc58dtvpWyFF5cWKK3LZkw6lU2+K7YbkU
Z0WJXPtGv0ewxR78/jJf/e3bH8/eKehCJgAAAIBCGGwLgIKZ/1445J3NYRNXf9DSw1JSotXYFa2E
Ern2rdFR1jUdlTtmPvzZwGXBc+Y9XybP90ty4qmNS5ZvORGVnKHzrdV92Ov96paSrCs8Imr8zllT
tlYeN8Xdsp62fVLvT096lXKTVEVyC67f+7WRT1d2L7in8vmlr30bMHN694f4juSz3wx564cEd1e9
Zd1Q+9VFH3XxcbS/5DMLB7+9KcXbXacYvMOa9XllSMeKhbwrBwxl6lVYPenD78dP71OePz0AAADA
veGzNO6OfGHv8bIdG14NP5basnlWfH3A1JQLJ2PDBs98u0YpEfvHzLenflN+5djGrrbVHjY1fseX
KzKem/lcRZfcQkOd4YtmdPWS1NQrG6eOmbaq8rfDqmaFZftUY5JRDbAtFULcU04uMl3A09OWvV6r
qP/+pZCe0xYPr6omRWz+Ysp/PjJ9NaN76XvpoD6wzai3zo36fEODOf0J8gAAAMA9+QeD6lOPfDW4
Z79JW2Ie/RBZ5dLyV9p3fGvD5Uu/fzVhRL/uXZ+fsz9NCCHU1Etbvx4/tG/3zt36DP9o1bFEVQih
xm8a3bFdn0mLF08a1qdHz4Fvf74tMrPgdpTEkxumv/lC7+49nh/+wZLwqIzc187PQftq7MbRXdp2
fG3NdUUIIeQzCwe1a9fvi2OWl9YK+dLew95NB7StfC78eLrtgw+I5NVw4IgeNUoZhDD416tXLj0h
IfMxOOgu/7o+qtXL7fztxlnJvdxTDcveunYjQ8iXlg9/8cuT2TeNVm//PnHg9PBUocZvmzV88JBp
W2NPLB4xoH///v1fGLvhqmKp5WQwHlk15c1Bz/Ts89qsbZFy1nON536Z885L/fr0HfjaR6uO3LKM
fFci1749au3pw/nr328Gryo9Rr/e6NK6n/42C+GoP0IINfXK9oUThg/s++wzzw0eP39n1j8wIYRw
rd63h8evG448rKMHAAAAKG7uPcarGfFRcSmJN2NTsoLHoybf+H36+Fkb/84sXa1KzUohLkKoNzdP
GTXjhzP62k/37VwhJXzJ5NlbbmXlP+XWng3bk8s9GVbi1qlNs2dtjMx5F/nbMZ9fOX7c/G1XnKs3
q+8Tv2/l5Hfn7TcWkiPzty/5t+rcwN18YdefkYoQ8uX9B2+KgOatazrbPvVxJl8JP+jeoEFQ7YZP
nA4/UeC3GfedajLePLV54c+32vZs6mk3Oz9MavTho0qjp8o5uNR8yJ2YAAAgAElEQVSuGCO27r5a
tmpFV6Ev37lbwL4thy0T6NXEfTuvPtmuvruQfNuPXbT027eauNd+ZcHqNWvWrFk5q085y79INXH7
6p3ez3+8ZP23r5c9tmDNkQwhhBr7vxnv/Siem7Vyw9qvR4bu/+SDNReygrP5wvp5O2zrPxgedRtW
TTx7Jk513B81+reP310S3fQ/C9b+8MOKD7uWFrLVHxrJu/FTISf2n30gs+8BAACA4q/Aca3y+XUf
fPZHQm5gNdQdOmdEQ8sQYqlUx0nLayS5BQfkBBlH9e+2PGf9rigJl5Jaj18+oUPprDelXNr685Fk
qWz33h3q+emqmSKOrzuy52hK5w5CCCH0ZZ6dPHt4VfWYxwtjfj6750Dcc2UC7bdjPvF/v1zIcK47
YubUnv7p+2YOnPi/HRv3DGvcxbugLJm//WcDm3Vp7r13+64/r/cfIA4cuKYG9WpVw8n2iY8z5dre
A4YG7wfoPFyblF2y51RG4wb3uLfuWmr43Ne/2HUzI6THuEkNCtzyD4d880asf9VA2+/BzCcWDR/w
naQKJ++w1qMm9n1CJ4QIaNu9yvote5OatPcS8Xt33mj4fN1CpgRIbs2GjupW2VkI8VTLGnM3RN5W
GwXE7P7tRFjflc0CnYTwqjXgpWZbvvg9on+lGjohJJcmQ96xqR9Y0EZSYjeO771FJ4QQTtVfWTCj
Z0BBtfNwLuHpnJqSqqgO+3Pl958j6ryyrFuYpySEe7mWvcrlaUAqGRRo3hN1R63rVeQXBQAAAJCt
wBivD+s3bX4/29JcLr4heSb1Oqp/t+X3yFC199B22dlbCKHEx8YrQr7666zxv2YVOZkyc64BOjkZ
JCF0vv4+OhF/x3hHyZ6ObNtOelxcsiKVLBtaShLCJaRsoE69EBeXoIqcMKmqqiTZJhI77bs36NIm
YOum8PDrbV0PXlKCerWuXuAOeNwo1/eGX7x8a/yLmyVhSo4T/qczG9R7SKMJ3Ju9u7TZqIyYQ8un
jp2WNndSO1/bDf6QKbKiNxhsO5E9Nz5PoeTZ9OlGS1fvjGvXQ+zZFdfk5VqFbjS9QZ/1DYHO2cVJ
zjSpQo6PS/QMCS6R1bZTUIhf4rl4xTKkxk79AmfX6wJ6zriLufHWMpKTMz0qltDJtxz0R8TFJPiV
fyL7ATv0BoOiPKCB/wAAAEBxZ3sx8a5k3o6JTytkcPlDJLl75Ll/ti4gyE8nOVUdtnzbH1l+n5V7
Q3BLx9Mjr8YoksEv0CdnU9i24+rvX1KnGm9EJqlCZERFxiqSwc/fx1JFTT25+LVenboOmr4jNu+m
sNe+c83OHULViwf+2HHkvBLcsnWVe4lRj4wStW+/ue/cdatWrly5cu3CV4IOh5/JnvEthKTTSbY/
nVZQ+b2QXAIb9ukUeGT3qQc3aLyIdL4BpRLjbhVxRolL7e5tjVu3XYsO35PUrF1V693u7Oxkyszd
jI7pfXy9U25Gp2ZtS3NsdLyXX+5he78Usr/UlGOHzvpUr+4nOeyP5OPnHX/tevYD+WXEx5v8/AuI
+QAAAAAcu/cQoN7eNvXFAQPeWXWpiEnmodOFtu/VwFOO+O699z9f+t2yr6a8M/nH3CnwytWfZ02Z
PW383B23RcnGHRo7Ht9rqNm1W0XnzKPfjJv86Sfj5mxNFP5tejTPqi9f+HP7uWRT+o2dO06mWT/L
fvv6ih07VRF/f7/2qCm4RavKmkrxasy+ffE165e3TKKQAurVdTu4J3eGs+Qd6J954cy1TCGnGlNz
DwpH5UWmJu5e8OmawzEZqhCK8ezmHReDKpR95HMRdGXr1Eg+ciT7XguF0Vfo3Nlt5+rvdqc1b1vJ
ej69vkz54GuHDsaYhRDm1NQCbngoBbXqXCNi/ZIDt8xCNZ5Zt+LPkh065PlG4L4oaH/JxvP/99n8
I2H9elbVO+6PvkKHLqGHFv9329U0VagZ0Yc2bDiQaLWdUo8fulClbtVHvgsBAAAAbfoHIcDJy7+U
e0l/HzeH+fdRk4K6TPxU/ebbnw/8sf6UzqdczRbNTJlCWGZz60pXCUk+uv+yKN9mxNtvt826uG6X
U+VBM2a6Lfhm08Gd+12CGw14a+Sgp7LvsWYIa9Ol1s51l73bdqrrZv0kB+3rQtp1rrN87mFTaK/W
Yf9g6z98asy+8Mjqz+akL325+nWU2eERr9aqYXkf7k0HDt7xybgBm3TuVQZOm9Ij+7ffHZXbZz63
fOQza7OqODV6Z/n7rb3rtq52bNnEIbONZlXvVbnNqEnPV3RwZ7mHyKlm986Z03841fm12nl2vANS
QNuuIUunx/RfknUXuyy6kK7Dex+f80a/lW4l3H1bvzNrcG1Hh4UU0GXCJ6b5X7/7wtxMg3eVju9/
MuCeDyEl9pf3n9uatRV1pXvP+PKlyllr+faXEEKN2jRx4A69WZSo1GzQrDGdgiRRQH90ZZ6Z/LGy
YMmHQxanSq4+lVr0H5b7V0KN3rbpYqM+bzv+3gwAAAD4l0pNTXV3z/1Z7zt3LPfJtiVFRUVFRETY
FhdravymMf3nngh9edHClyo8gDhYSPtpB2YNen+r94sL7T4KDck8v2LMZ0kvzXyjfskiZNKMY/OG
rywzc/YzQUWoXFxlXFw3YdaNPrNHNX70PzYA3Cu1gHknQqiqaqlgXc1SmFOes6woivWCqqqWBSWb
qqqyLFv+m1Moy7Jl1WbBbDbnLB8+fHjjxo05HbDm6elpWwQAAB4wo9FoWySEyHdeHjp8xJN16+as
Hj12fMk3C6weF5Z7shV4YbR4U5V7GOB9F/K3r8YeWLfw0/dmb030bNK3W9bgdGiXc9igyS/rN645
av87Mmtq6rnvVxyu0qt9gfePL+7Ml39eebnDB2+S4QEAAAA7Dh46cvTY8Tt3Uu/cST167Pihw0ds
awghhDAYDPc6LBd3SU05vmnZ98c9nmg65PV3O/gRZIoBybfxyCmNbUttpOyaMeLrk25Vuo8Z07wo
l+2LL0P5fpPH2xYCeBC8vLxsiwAAwGNPUZQDBw8dOHjI9oG8pNTU1Pnz50dFRdk+AgAACmMZFW+3
xPohy7LNQ5aB9NYLiqLk/6/lUesFy3LOfy0LsixbVr28vJ588smRI0dmvXZeDKoHAODhK+Kg+hp1
6luvCiFOn8hzQd4yqN5gNpuHDRtm/YAFp3kAAPKz5O0CVi0lOQs5y9ZyIrr1gqqqsiwbjUbLqiWW
58x4d3V1tcyEN5lMOZPhzWZzzoKl3LKckpJi1SkAAFCs/IvnxgMAAAAAoDXEeAAAAAAANOMBxPjU
Xw/X6hpxRrYtBx4TGRciJ72ws1WbAysu2U5pFUIIoV5fGl5r8LV4uw8CAAAAwKPkMMYbv+rx2+B1
GZYgI1+68EyNXfPOWtbU6JX7aj138erjE9RNyf/39dVDCbbFdimmQ79eHv6fk22GHuv07tlx39+O
MgshhDAbZ79z7JnFSbdzsltawrhX/154RVXiYl8bcf6H3ObVPYtO9F5ptDxPCMtzjzZ7Ofd/Lcbd
OP34bJ5/haIfA2r6T5+cCg8JW7iq7rOhVjeOL3oLDjyAQ8t06cagaTHXM42zR52cejzv1wqptz8a
dWbRZa1812C1eZO3HH2q29mTD/9fyD/exQAAAMBjwOGvzXk0bOC8/PDtjH6BrkKN3hN7zpyiD099
o6qHTsgnDycHNqga8vj87rnJ+Mv8q7U6hjb0KeznvJS/f74w8aDbyFertg81pEffXrzo6ljVaUkf
D2chhFBj9l7/sp7HhHqGwtrJRzJ0fqvm+3WynidJks7hNyR4EO7iGEiPjJJqDyhdNTjvLsptIU9x
UT2IQ0s5vifJv2lYiC7d9hEhhFuJQcNC3crcTXuPktUO8mwSNjtAX+Xh/wEp+kECaMCQYSOqVqlc
OihIUdTIG9fPnbswc/pU20oAAKA4chjjdTUbl1LmJETIgXV0meE7jfU7+p3fc+vWEI8AOfnwSenJ
HiUNQgihXPvt7Adzrh+NEUENyk2cUaVVoNXnY9V86rtTkxfFnE0UgU+WHTu9WpeyOiHk8z/9/eG8
GydiRalqQcMn1XihtuHaN+HdfnXr5XvnYERaglPJ594tH7z74upDqbfSnZ96o+7MF7zcHL+Q+cDf
T7997Wq6vPf5bafGtvi6r9NF2/adcvqUnrzhD3OLoWV7VtILITxCfd4eLv18Rb2jCmchhKSvXct5
76rIPys90apk9lOKTNJJen3uu1diYkZ8kBjUzBB5Ni3aqKvYonQ/X+OqP1JuJCmlagRNHOof5iyS
zsfMWRl74KasL+XRpW+51+o7G4S4cznus+9i9lw3S6U8uvYJfa2hi5NQrx+InPVD4t+JSolgr4Ev
hfapYPVKVuxs28ile7tuLjEoIHnbydQEfcl+U+qNbumic7w9hbiPO67kraV7u25y61HSeOBShtHV
a+CUum82dZHsNVXkforr+Wq+7XKxZ55jwDU7oOd7oWpJ07sfWXPFLI/d1qxRlQ3zy1myfN6jqPn7
Qgjj7eXvXFm/3Zjm5/OCw87kbrQHcWilJf922rVLbyedsBfjM42L50VXmFB1iGvc6xMTy7V3ung0
NcooVWxV9sPnSnrHxoyYnNJrTsWuHkLIKXPHXkp/udbw1CtD10mjPnqilad8ZOXZCZH+i/4TEJqd
pvNtK8tOsbP78m8HcX3p3i4/OLd3StyeUmbF5krKslMfLY27ZJQCnywz9pNq7aLOWv8jneMe8erX
nut/qVxihe2uHN3SRadmHvj6+KSlcddV96f6+CSvSuu9o0l//5y3fef/ZpycvTExJtOpUrtKU6aU
r6PceL3tmcCv205uohNK+soX/1jbqNnGEfoteavVPGPzh8I5Mt+7uFrI8ezllt0L4DFQtWrliuUr
KIqsKGr58uUtd7wHAAD/Bo4vGbvV9a0enXAsWlWTbu087dXlrZA6EXH7k4USlXgswatxXb0QIvXw
2eGTbzec3vro0Vbjgm+O/TgqwWqIb8ruv99YYOq1qN2pY60/qZ3wwejLl2WRuv/MiE+MTWe3PX6y
3cIemfNHnPpfghBCKPFSk6nNfw9vv7KvvGLMXyfa1Pt1Z4edX/qfnx2xOb6gFzI0rv7bjlotXT1f
Xdt+QV/XdAftCyGEkOPSLma61a2YexnQNbTU8y1LlMq+iB7SKnR4cPLna28n3pehyqpZXzV04fRa
P47zNW27OvdSyY+m1Nj4afmGN6IWHTQraUnzvrql71J508LaCzvr/rfkxu40IdKSv/oqOuWpCt8v
qLPyZfdTK65+H62qSQlfLDNWfLn67wtqTq9vWvJNzFm745EdbVvzpVSvEU227O6wdqDy3cwrEXJB
21Pc1x0nhJDj1AZTW2zb3X7dUGnV6DM7jA6bKno/bWpebJDnGMg5qO28kNHv/c2NXyxn6PJp+/CF
WRle5DuKJCHMEbdTutfferDdos6m5QV2RgjxYA6txGMJf4f5NivKLz/KGVHuQXOn1fzpfT/z9hs/
Rdp/Dd9GZUaWNy74xZh0Oea/+51eetE/J8Pb21YJQtjdfQ62g3zTHPZeywO/Vq2w6/Sbq6RX1nY4
eaj5K6433v80Ji3f5s2Rf6cnbz89aqnc65v2R3c3Geyccj7vsR638a8J4Z6fbOtyaneDTjERYxfe
VrwCujWT/9iaaBJCTYzb+Zd7p06eCfmqSTZ/KBy8i0KPZ+CxEVqmrPVqcOlg61UAAFCMOY7xkp9P
oyeMh4+bUw/FHKsU2KKCX6sqiX8eMhuPJ1ys6FvfSwihHFwfaewUNqyhi5OTa5tBwf77og+m5TQg
H9h009AjbEB1J72za9PXan3Q2UMR8t7vb5ierjK8vrNB71R9YLUBvjHrt2eqQujD/JqW1gmhr9So
VKCXX/cObgYhStQqFaamXY+RC3whaw7bF0IIoWYo6ULv7iqEEDe2RLS2zGMfff1YTlLQufR4MbjC
qch5R8x3d11DNf/2+bGsufGDT2RNY9a71qvm7CSEa3CJ6t76eo29A/RCcnOvGSJi4kyqk8eQsWGj
G7u4SLoy9bwqyZnRRpERkbBL7zOojbunXvKrFjR6gHeIKoQk6XVqYmxGvMlQvWvFlWMCytsbj2z/
vQshDLVDnqvppBO6J5709o1Ni1Ee2o5ThRD6MP+WZXRC6J54pnwHEbv9mMluU3fVz3w1czpvzWGf
i8JQv9zI9h6e7q712/n6FdgZIcSDOLTUzB3h6Y2bebrbPmCPwb1DC/cSknAO9KjqaYpOtH08i+TU
fmBw6KFrby665dal7HPBuXna/rYSdnaf2dF2MNQOeb6hq7uLzq1+5RWra3UP1etcPdq3KZkZlZro
+B3n25XK4f/FSl0qDXnSxdXdrenzwVXzHus6g06XmXntSnpGyVLDF7ZeNtRTLzm17Op/54/ok2Zh
3B9zPLR0p0qSnWp5mnG4Nws9noHHhourS55VlzyrAACgGHM4qF4IvUfD+k4bDifuz0wo07pKkN6l
WQuPhbsTjoukUg0qldULoZqiY023Dh1u/IslDahmtdRtY/bTVfOteMW/hovliwLJ07vnECHU9IOx
Sukablkvq3cLDRH/i05XXLOfJYSQhNBJWZ+5JSEJVVEcvFD+gKOa4uy2L5z1QgghuejchJyaLoST
COlcZWdnYTp6pfsq6xaEzt93zLO3h66+vnOsV54HCiYZurxTa2Jd60H1Vo8KISSRPVtekoRQVFUY
dPKN2JnLki4aVVWR48zOjVQ1Ncmc4eXum7XR9FWbBlQVQgif90YpKzZff+37TJdy3n2eCe7lm9Nu
DkfvvYRVHUkIVVUUU2wB2/M+7jib1KN3CfSVTydm/tN+WrPUtBuvHG2QvLUckqSsnakTUgGdyToI
7/uhpUQn/C/Z+93Kjr9oc0x1/B51PqX61rs5ap/n5NZuTrnFjraV9U7J3n32/zFacXZTzy89OXF7
crxJyMlppjL+qt0dZCNrp8uJiUpAg+ye5OPbs8636ecXTgmffUNfvVP5UaOfCBbCs0Vwiw/PbD1V
OfGPhOCOVSrqhd5etVwF/+2yKPR4BgAAAB4NRx+WhRBCV7OR951vrm247dL6JXe9kIJb+Huvu/6D
u/Lk6yUNQgjJ4FPK8MTgxpvHeFtf6Uq1/J9k8PXV3YrJUIS7TgiRmX76WGZgAw9/f1309TSzcHcW
QshpkTeFX2sXnc0HaBsOXsgOycl++1kP6wM9qrrGHTxj7taogDuNSaVbho44enbeasVPFRUsCU01
J6eqwnJjLFU2pqruPvZnpxedfD3mgxV3Oo+t/FFZvZR8a/TYeCGEe0mDc7IpQRGl9UIINfZqSnKp
EhWkjJuuXiPe8ntLNp/bcXX0vBulPy3XxNmmPUfvPf+whYK3533ccTYy0yPj9D6lnO03VdR+qtdz
lwvkaIOI/K9UBPY7k+N+H1rq+b2JonH5yvZeq0h0kl6o+afKytG3lh3S1whM+W7LnebPemRfvHO0
raw3Vdbuc7K3Hax3inpm4ZEPjpf5bm29ap5S/Lr9rTfkPlY4Se/jo4uLSpdFCXvvXU28kurRrtqC
/jXk20krxxx4bYb7HzMC3Er4dWthnvXrlcQDrp1eLaF3VC2nGft7U72auwwAAAA8tgq81udWz7fa
+ZjdTv6tKkpCCH0F/6fUmK2XvRo9afnoq2/SMyjth4ilJzJloSQcv/LJnGir4c36Jk8HZf5yYUOE
STZlHP7m6NDpMQlC3/SZYN0v5xYfy5QVc8SGiNWxAc+2c3GceywKfiEhdDoXvSnmptkkF9K+s2f/
bm6H115Z+VdGiqxmJqftPJ5qdtPbXtbXOXd/MSTsUtIZWQghJE/PZhUzN/0YdzJRkc3miwej1kQ4
N6/rai9l3AX1jtloVk0mJdWYcfCPxHNmVVaES1WflqaEVX+mpShqwrmYjz+7EZ4slJj4j2Ze2XDJ
bNLpPD31zqqwOzXe/nu3rSVEYdvzPu44IYSQT9/8+VSmLJuOL7mwVR/YoZ6T3aZsnyZEYf3MK/cY
yCm6yz7bacFaIZ25v4eWKWXzYUOnprnT/O+WztM5yCntwPGM1Ezzhf23DiQJIYSQM35eEZ3UInTO
q4GeO69/d9lqp9vdVsLe7it4OwihJt82mc1KRro58XLc6v9LNpsVsyh08+bQNegSpP52YfnJzIzU
tH1rb1i2VDb1yvpjA8ZcOpGgSK5OPiV1qmy5RG5o2j0gef35LT6lO1aQHFaz+kNR2LuwT01M2ro9
OYnL8gAAAHiUCroaL3R+Pg3LichmAVnTU/UlWzZ3XnLMt753VoWSrWosHPX3lHd2fHFLdS/j98KE
Wn46kZH99BItq88bfurDIdumGvVlG5Wd+t+KlfVCNKu+YPzpD9/d8VWs6l058JWva3XzF9eyn+KI
3RfK5eL7TB/n/4zYdnFsq+9estN+LumJDhU+d41asCZiebRsdjaUq+o76a2gKnohcn8FXgghdH6+
o/vePr08QwghJJfeIyqa1kdNnRgVnSH5lS3ZfUSlQZXyJizV/Nvnx37LXtOV9Pt0vN1kmstQOfDd
Vle/+PSvpTqXRm28GwUb7xiFKF3yjdcD53x34Zk1iot/iW4vlR9QRjKoQR/1jpzz1enFSapbgGeP
oaFNnYX615xdL9+stnd2YM5leQ972zbS+jWzFbw97+OOE0Lo/PUX54Q3PpyqlPZ7eXa11iWEZK+p
ovczyraWEMLmGHC3vBu7G8T+dyDCuoWW020fE8JBZ3Ldz0Mr9XjCgdK+L1v/8l3eA8y5Yfktr1g9
mp+r1+Dnkz5cf6bLd/qKdUqGeAkh1Kg/r397y/ujNz3c3dzf6pDw5oqYFu+XrmIZW293W0Xa3X32
toPVTtE1GF6z339Ov9zinD7Uv38n/0rhcqKSZwctsjMnJJdn62pzB5+YOHjrZ8K9aacSQXrrHaar
+0a9UR+deqNtRJzZUK5xuRmfZF1jd28c3NYz8q+OQRX0jqtZHyQv2nkXdg9Ca6lHLk2eop/VvHbz
Qv51AwAAAPfg9IkjtkX2SMnJybZlQgghPD2LcoNsPDLK3g92TPaov2V8qX84KuBBUq8v3dv1z7I7
l4T6OrwIDluqeevXEXubVJ1c/xHv2ke1+1RFkSx3kpDPRPTolzwsvGGvQv8cmRKmdzvt9XXzkZUe
al/xr6Tmvd1D/lVLSc5CzrI1y+/DKYpivaCqqizLRqPRsirLsqqqZrPZsuzq6irLsqIoJpNJluXv
f/xJkRXLD87JiqzISvt2bWRZNpvNZrM5JSVlyJAhVv3KxfkdAICHz2i0Px/5bs/Lljt4FXg1vthp
9vJR2yKtyvi57EG3vl/anaeNh+/+H1qHTvxuW3T/hS+rZ1v0yMlnL7zyqRgxo2KjEmmbv71xo3aF
+h62dWyYUzMiNlzY7BeyqgIZHgAAAMXevyvGP46h5V6pxg2lSpQktDwmitOh9YjpK4YMqHZ6aq/f
rxh1wY1C535armzBtwhQUlcO3TU3zn/Mf8uFFlwTAAAAKA4YVA8AwF1Q842it1m1lOQs5CxbY1A9
AAD/KgyqBwAAhXB3d09MTDSZTDblKSkpNiUAAOBRKfp52cnJycMja7YpMR4AgGIoISHh9OnTtqUA
AECzjh7NuiEXU0kBACiGzOa8P3cJAAA0Lioq63eeifEAAADIJ2XXrBf79+/ft2fn5z47bPWtkKPy
4sQUuW3JhlOptsV3Q8173wwhlMi1b/R7BFvswe8v89Xfvv3x7B2b9wvgQWJQPQAAwL+e+e+FQ97Z
HDZx9Qcts2Zelmg1dkUroUSufWt01tWfgssdMx/+bOCy4Dnzni+T5/qRnHhq45LlW05EJWfofGt1
H/Z6v7qlHoff4FHjd86asrXyuCnulvW07ZN6f3rSq5SbpCqSW3D93q+NfLqye8E9lc8vfe3bgJnT
uz/EdySf/WbIWz8kuLtm/Ryxofariz7q4uNof8lnFg5+e1OKt7tOMXiHNevzypCOFQt5Vw4YytSr
sHrSh9+Pn96nPNECeDj4twYAAPBvJ1/Ye7xsx4ZXw4+ltmyeFV8fMDXlwsnYsMEz365RSsT+MfPt
qd+UXzm2satttYdNjd/x5YqM52Y+V9Elt9BQZ/iiGV29JDX1ysapY6atqvztsKpZYdk+1ZhkVANs
S4UQ95STi0wX8PS0Za/XKurneymk57TFw6uqSRGbv5jyn49MX83oXvpeOqgPbDPqrXOjPt/QYE5/
gjzwUDCoHgAAWEk98tXgnv0mbYl59ENklUvLX2nf8a0Nly/9/tWEEf26d31+zv40IYRQUy9t/Xr8
0L7dO3frM/yjVccSVSGEGr9pdMd2fSYtXjxpWJ8ePQe+/fm2yMyC21EST26Y/uYLvbv3eH74B0vC
ozJyXzs/B+2rsRtHd2nb8bU11xUhhJDPLBzUrl2/L45ZXlor5Et7D3s3HdC28rnw4+m2Dz4gklfD
gSN61ChlEMLgX69eufSEhMzH4KC7/Ov6qFYvt/O3G2cl93JPNSx769qNDCFfWj78xS9PZv8WhHr7
94kDp4enCjV+26zhg4dM2xp7YvGIAf379+//wtgNVxVLLSeD8ciqKW8OeqZnn9dmbYuUs55rPPfL
nHde6ten78DXPlp15JZl5LsSufbtUWtPH85f/34zeFXpMfr1RpfW/fS3WQhH/RFCqKlXti+cMHxg
32efeW7w+Pk7s/6BCSGEa/W+PTx+3XDkYR09wL8dMR4AAORSM+Kj4lISb8amZAWPR02+8fv08bM2
/p1ZulqVmpVCXIRQb26eMmrGD2f0tZ/u27lCSviSybO33MrKf8qtPRu2J5d7MqzErVObZs/aGJnz
LvK3Yz6/cvy4+duuOFdvVt8nft/Kye/O228sJEfmb1/yb9W5gbv5wq4/IxUh5Mv7D94UAc1b13S2
ferjTL4SftC9QYOg2g2fOB1+osBvM+471WS8eWrzwp9vtbBdYN0AACAASURBVO3Z1NNudn6Y1OjD
R5VGT5VzcKldMUZs3X21bNWKrkJfvnO3gH1bDlsm0KuJ+3ZefbJdfXch+bYfu2jpt281ca/9yoLV
a9asWbNyVp9ylk/cauL21Tu9n/94yfpvXy97bMGaIxlCCDX2fzPe+1E8N2vlhrVfjwzd/8kHay5k
BWfzhfXzdtjWfzA86jasmnj2TJzquD9q9G8fv7skuul/Fqz94YcVH3YtLWSrICF5N34q5MT+sw9k
9j0AW4x7AQDgX0Y+v+6Dz/5IyA2shrpD54xoaBlCLJXqOGl5jSS34ICcIOOo/t2W56zfFSXhUlLr
8csndCid9aFFubT15yPJUtnuvTvU89NVM0UcX3dkz9GUzh2EEELoyzw7efbwquoxjxfG/Hx2z4G4
58oE2m/HfOL/frmQ4Vx3xMypPf3T980cOPF/OzbuGda4i3dBWTJ/+88GNuvS3Hvv9l1/Xu8/QBw4
cE0N6tWqhpPtEx9nyrW9BwwN3g/Qebg2Kbtkz6mMxg3ucW/dtdTwua9/setmRkiPcZMaFLjlHw75
5o1Y/6qBtte5zCcWDR/wnaQKJ++w1qMm9n1CJ4QIaNu9yvote5OatPcS8Xt33mj4fN1CpgRIbs2G
jupW2VkI8VTLGnM3RN5WGwXE7P7tRFjflc0CnYTwqjXgpWZbvvg9on+lGjohJJcmQ96xqR9Y0EZS
YjeO771FJ4QQTtVfWTCjZ0BBtfNwLuHpnJqSqqgO+3Pl958j6ryyrFuYpySEe7mWvcrlaUAqGRRo
3hN1R63rVeQXBXCviPEAAPzL6MP6TZvfz7Y0l4tvSJ5JvY7q3235PTJU7T20XXb2FkIo8bHxipCv
/jpr/K9ZRU6mzJxrgE5OBkkIna+/j07E3zHeUbKnI9u2kx4Xl6xIJcuGlpKEcAkpG6hTL8TFJagi
J0yqqipJtonETvvuDbq0Cdi6KTz8elvXg5eUoF6tq2vqA5ZyfW/4xcu3xr+4WRKm5DjhfzqzQb2H
NJrAvdm7S5uNyog5tHzq2Glpcye187Xd4A+ZIit6g8G2E9lz4/MUSp5Nn260dPXOuHY9xJ5dcU1e
rlXoRtMb9FnfEOicXZzkTJMq5Pi4RM+Q4BJZbTsFhfglnotXLENm7dQvcHa9LqDnjLuYG28tIzk5
06NiCZ18y0F/RFxMgl/5J7IfsENvMCjKAxr4DyAv2y8bAQDAv1zm7Zj4tEIGlz9EkrtHnvtn6wKC
/HSSU9Vhy7f9keX3Wbk3BLd0PD3yaowiGfwCfXI+6ti24+rvX1KnGm9EJqlCZERFxiqSwc/fx1JF
TT25+LVenboOmr4jNu+msNe+c83OHULViwf+2HHkvBLcsnWVe4lRj4wStW+/ue/cdatWrly5cu3C
V4IOh5/JnvEthKTTSbY/nVZQ+b2QXAIb9ukUeGT3qQc3aLyIdL4BpRLjbhVxRolL7e5tjVu3XYsO
35PUrF1V693u7OxkyszdjI7pfXy9U25Gp2ZtS3NsdLyXX+5he78Usr/UlGOHzvpUr+4nOeyP5OPn
HX/tevYD+WXEx5v8/AuI+QDun/v+RwIAAGiYenvb1BcHDHhn1aUiJpmHThfavlcDTzniu/fe/3zp
d8u+mvLO5B9zp8ArV3+eNWX2tPFzd9wWJRt3aOx4fK+hZtduFZ0zj34zbvKnn4ybszVR+Lfp0Tyr
vnzhz+3nkk3pN3buOJlm/Sz77esrduxURfz9/dqjpuAWrSprKsWrMfv2xdesX94yiUIKqFfX7eCe
3BnOknegf+aFM9cyhZxqTM09KByVF5mauHvBp2sOx2SoQijGs5t3XAyqUPaRz0XQla1TI/nIkex7
LRRGX6FzZ7edq7/bnda8bSXr+fT6MuWDrx06GGMWQphTUwu44aEU1KpzjYj1Sw7cMgvVeGbdij9L
duiQ5xuB+6Kg/SUbz//fZ/OPhPXrWVXvuD/6Ch26hB5a/N9tV9NUoWZEH9qw4UCi1XZKPX7oQpW6
VR/5LgT+He77HwkAAKBlTl7+pdxL+vu4Ocy/j5oU1GXip+o33/584I/1p3Q+5Wq2aGbKFMIym1tX
ukpI8tH9l0X5NiPefrtt1sV1u5wqD5ox023BN5sO7tzvEtxowFsjBz2VfY81Q1ibLrV2rrvs3bZT
XTfrJzloXxfSrnOd5XMPm0J7tQ7T1KcrNWZfeGT1Z3PSl75c/TrK7PCIV2vVsLwP96YDB+/4ZNyA
TTr3KgOnTemR/dvvjsrtM59bPvKZtVlVnBq9s/z91t51W1c7tmzikNlGs6r3qtxm1KTnKzq4s9xD
5FSze+fM6T+c6vxa7Tw73gEpoG3XkKXTY/ovybqLXRZdSNfhvY/PeaPfSrcS7r6t35k1uLajw0IK
6DLhE9P8r999YW6mwbtKx/c/GXDPh5AS+8v7z23N2oq60r1nfPlS5ay1fPtLCKFGbZo4cIfeLEpU
ajZo1phOQZIooD+6Ms9M/lhZsOTDIYtTJVefSi36D8v9K6FGb9t0sVGftx1/bwbgfpKSk5Nty4QQ
Qnh6etoWAQDwr6fmHZeaf9VSkrOQs2xNURQhhKIo1guqqsqybDQaLauyLKuqajabLcuurq6yLCuK
YjKZZFn+/sefFFlRFFlRVFmRFVlp366NLMtms9lsNqekpPTt2zciIsKqa8WfGr9pTP+5J0JfXrTw
pQoPIA4W0n7agVmD3t/q/eJCu49CQzLPrxjzWdJLM9+oX7IImTTj2LzhK8vMnP1MUBEqF1cZF9dN
mHWjz+xRjR/9jw0Axdqvv/46Z84cwaB6AABQrKjKPQzwvgv521djD6xb+Ol7s7cmejbp2y1rcDq0
yzls0OSX9RvXHLX8llxB1NRz3684XKVX+wLvH1/cmS//vPJyhw/eJMMDD8+9jtkBAACPMYOBU/xD
oqYc37Ts++MeTzQd8vq7HfwIMsWA5Nt45JTGtqU2UnbNGPH1Sbcq3ceMaV6Uy/bFl6F8v8njbQsB
PAjBwcGWBQbVAwBwF9R8o+htVi0lOQs5y9YewqD64cOHz58/Pyoqyqp3AABAq0JCQoYMGeLt7S0K
uBqf/3dSRb4PKwAA4PFkNpuHDRtmW8rX9AAAPApGo9G2SAhxr+dlhzFe5AvtdoM9AAAAAAB4aLjF
HQAAAAAAmkGMzysj8f0RZxZf/5fOHVAuf97Cs/Pi2Af79pXLn7fwbL8g6sG+iiOP9tUfFOXSZ809
OyyMLl7vCsBjJvXXw7W6RpyRbcuBx0TGhchJL+xs1ebAikt2T4jq9aXhtQZfi7f7IABoSUExfvY7
R5u9nPs/IcTph3TuVrbOO2790s1ePtrs5WOvbsmw/YmXLOrFA9Ebz5mL9Fc59fZHo84sulykuo+L
zB0jy/i+9GuGbfnj5vYPA8vUmXjIbFv+wGWeWjdt0e44Te1UAHg0jF/1+G3wugzLX0z50oVnauya
d9aypkav3FfruYtXH9LJvghMyf/39dVDCbbFdimmQ79eHv6fk22GHuv07tlx39+OspyOzMbZ7xx7
ZnHS7ZyTRFrCuFf/XnhFVeJiXxtx/ofc5tU9i070XmnMPY2ZjTafhVqMu/GwPgvBoujHgJr+0yen
wkPCFq6q+2yo1UTQorfgwAM4tEyXbgyaFnM90zh71Mmpx/N+ftHYJ1WrzZu85ehT3c6efPj/Qv7x
LgY0qKC58UIydH6r5vt1sv4SGpaLGg/pp1B17d+s01YRQsibP//rp7AqC7u56oSQdJKDbx3USwei
N5b3frqyodDp+6pbiUHDQt3KFFqxeFKFeIDv3KvNe8tLl6hV4EH1QGSeWjt9YYP/Z+++45o4+wCA
/+4uCUlI2EsQcCAiijjAUURFRQEXauusiloRF+5t66xaR2tVXBWr1lHr3nuAEyeCqMjeeyRhZdzd
+0cYIVwCKq7X5/vhj+TuuWce9zzPjZzvBHdT1T304xYWQRDk66Tr6sLZ/6RQOsycC3Tm3ey3iiLi
Xsk0B10cyIgnYnMXB6tP1NnXgVxybkeSU28bV6PajufUq9OxSx/xpkxy6GXDKsss3LM7aT7N3vuD
LgcAgM66n7Ktne6SdrWPE9RVHwthGIZrGIsgH8c77ANlqelY65ENHCyrN1FVDNUW19XH2LWo8Lsi
087NrPAy9TUA8JWNVFUaSNip2UYzovmnP4DUfSdBvmiVr3HBKqiH+DY4tXXt2MG1mZ0dALyNefvo
8dPI54/VA2m/Gg8AGI4RRPkfAFBZWf7+b37ZHzt+UaTPtKjpR/PvXk+avCRqwLTIsTtyYmQAAKKY
rF+WRfbxD/dZELP1qUx53rE4IWfVypd9JoZ7zY/Z8lgqBwCgU8JSps+P6DkxfOCyhP/iSdWzjhiG
EQRG4IBhAMrPBIZjQGVl+QfEXSwGAACy6I85EWtfSLYtjdoYScVdeDtkS14ODWVp+ZvWRXn7h/eZ
E736RkkRDVRO9mT/1wt3vhkQ8Gp7tHjPluQLmTRoyOpXRBp3fG7v5iYCgamD9+JL6SQAAJ13b+Pw
9lYGukITe885JxPkytvIddv4juzQQOgw/+Qmd4HbxIXfd2xha2bSpOeiK1lqdzjQubdW929hwuMZ
Ne+7/GY2zRwngDTmaGAPO2NdntCq/cg/wwppACi5usw34O9oBQAtfrJtTEcbAx7fyK7nrOPxsuqJ
lCPTT09s0aDb2idFADWLQ+cdHmLUaPotKQAAlbq9p7DNigiyRrrykLlOzaZeLon8rVujQcEpcVWF
XfBQXhL1z1QPO2NdvoFtZ7+gxyLVnUx76ioBNRWnZuRk7MbOui7DA3xcWlibmDTpMe/w2a1+7q2a
WJo0cB6+Pbyk9gCMtU0lbGZqNTovdK1vSxMez8RxwNo7+cqGrFE/VaVAEAQBAMBbdTSkXuRHkwC0
7N5tSfveJml3c3NpAIX4SQTWtoMeCwCASr70amyvK05OVzzHvQnJqn4woRWRB54P7nLZseVljx+j
LqUoD0BkzKnIUR6XW7W87P59+D8RchropL/uthr4dOn40N5uV1y6P1h3NvPAvHte3a+5dAoJPCgq
1ZqQIuyVd4/I0DLJruHXA/4roxjir1ImPnZL4T7ceqAdR5eDG9sYzfC36WdOFyvDYERrJ879Q6mh
zO/YrYXqWAjHP91YSFXNstMpf99z+uHF+ql3ertfcen+YEOo8pZFjfUJUI8NR6f8fc9p0LMlY0N6
uV/t6Bm25YHy/g6GqOqcT4aQMvV9oFKNhOS5a3zC9icqrsy/7jYpKb0iqNpeRAOApHD/zNBOrS44
a8tMlY+xa5WKL0VxvV3YzKNwmUQ5UqVysidPil53LH7iopd9p0UFHhPn00wj4Ug6LyzBd3ZiiAQA
yKcHo7zWZSerjGNq1JXG5qtZD3TK3/da9Xs8c9BVJ89Xz+Wyp389HfDd5VZOV3qOibqSQqlVb8nd
6ElLU+JJhqakAICWhQU96uNywbH9rZ/WvRjq9PBITlUuQVZ8YeUDj/YXHZ2uDZiZEC4GujBtSrvr
Kx4qm6js4I+X+m0RkzWC1ThQMJSitv0Z+RIoX7CqnL0r37T6zb4irYNr+zbOrXV1+bq6/LZt2nRw
ba8eAgBqncYzoBWEg82utU4nFxjLryf9Ea+3YmXLMxsau6al736koEpFW4JyCW/7s7ta7/LCr+xN
u1MKUCoOCsos+q7J8Z3OB/34kQeSjmfStCj/z32Spn6OV3e2WttevvevrDfvdw8OLpi2uuVcJ7xp
X/sTgcamUsmOLakJjrZHdjifmGEkORe36amCBgBKXmzZcM9mh0mNys/r0IxZ/YoU3106cOoT9z2v
8vPD11ufGDfjWA5Ni87OGrqdNSc0Q5L9YA7v4MRFZ0QAAECmiB03Ps4IX+1MgOJNvOHCq1FJyXcm
y4Pm74isfvpCEZsoDLycmJ9yxZ/cPnr+eRFjnHTmoZmTbjjtihZJEk8OSlvh99sT1WjEV+f9sK5w
9JkEScHLXa73J4/Z+rZG69K5Nxb093/i/c+JhS4CpuLkGnoP7VV04UyYDIDOvX7xqd3gwY45NdLF
um2MjAny4jstCEk8NcEKryrsr453Fw6aHdVj/5tCSeKZUflrBk05WXHjfa2pq96hz1icolvMkVPZ
RPed91+nJN38SbptTOCjvoefx6fFH/OMWrz0v+xaA1BMtQ0ANVuNFp2fO/L3otHnk/ITL880z06n
AGprFwRBEADgtTF2zMx/nknTotzbUfregVbO0TkPxUClFzzP1+/YhgCAkidv/JcVuq7t/uxZtwWW
GfNXpeerHBWL7ryatlPuu7tn5PPuv7bO/3lOQgIJJQ9fB/wq6byxR3hEz10DZDsCIq/kAwBQeVin
1V2u3ut1cCh5YO7LFx7tzt/2vL3NNGZj9MU8bQmxOjpeuunUlSuc9G+vnUO5ZRriBwAAMqc0TsZr
07TqMiDXxnB4V4FhxUV0q242/pbizf8WFtTLsPATj4U01a0ivkQ/oNPlO57/jqL++S0xmtRWn1Cv
DQcAZA7tstr9+p1eRydgh+a8vinRGFXd86kWMs6l2j5QOWhlSEhisvhixzG2LO8Nve7tsq28Hq+2
F2EAiujCon7trz3qudtLvl9rZgDg4+xaBc/zXzUzdqvLG6ZIaTrf4o81rU4tNlHcSDuVypyGcYeG
UxpLdp6TiBKytj5kjx1jalOZX4a6ygdgbD4N9UBmKJot6hp23qFJSNT0Q9hP/3pGPO7yEzdt8Yas
0hrVW6lmo4tvRM36m/T9q9ezO53GcYpiqu/rOWdeLrkn/PW6d+Qdlz5Z0fN3FVL6Zn3dyFvXCuQA
dEHO7Zf8Pn2E+TWCYWoHCg2lqHV/Rj43iqLkcjmO4ydOnCAIQi6Xf7Mz+eb29qpf7ZtV+1pJ6zSe
Vlza/Lz8ebBxL8oXEtx2LThsAK6lwNGAaNfRwIwAjMdvZQVZOXKarTt+frM5HXV0MLxhO307UpYp
AWl0fghhNNqDLyQwkxYWc0YaWNEAGEbgdEG2NE/OcvRpenCuWeP6uAen7HXeNYXhBB+BAYEJbEwm
9WDdDRWJaQAWv3d3gRkXr7znCWPK6lekLCT4gGjw0nnuZhyOlc+0ERY3T4eWYFy3ZddvBw1vysN5
dgP7OsuSk3IpAAC260h/94YCLhsHYLuOGNdeHweuXef2phlJadUvx7M7jZvhaSvgmbhOmzsEv3z2
oZwxTpzFwsuy42Izygw7zj/z8srsliq30peGHD7FHrFoUltDlo5lj0VBm4c0par/E9Kl4RuHjDjt
GHR2Qy8TDJiLU2roNdSz6MKZx3JadOvCwyaDBzsSWtMtV1FY+e2/j8iGL5/vZsomDNpMXhNgei74
XC5dx9RLKuNjLE7JTQ2Rsxw9elhzAHRbdO1gaeQxfKA1GzA9l84t6eSEdBJqCUAx1jYwtJr07skL
xLAlszqZ8QQ2PcYPacUCAO3tgiAIAgCAmRh1aCR5Eq4oeZz13M7cvYlJt+YFoY8VkvD8uKbG7fUB
gHr0X6qkT7OJrjpsNtdjtKXpg8xHVae6ybCzGawBzUY6sgkOt/Nkp5+9dCkg7x9Pk/dv7t+ewyLY
jqNajDTO+u+GjAYgmpl0boADEHYdDM31Tfp58lgAAifDZnRpShapNSFVGuMHAABaSpUBwecCAKRd
ju6ufI59TsrzypkCrjNgjGWTyNQtTxVqd6HVovpYqPwx5k87FmIuOwCwWlt934qNA96orYFxdmkW
9ckajgYAoplp14Y4AN5ocGNPyL7xXM4Y1Tvls0bIysyr0pjnumC1t53SS1fI57bvaWyiNTMA8DF2
LVp2815ZRzchX30FExbf050vwIBjrusglGcWqK8vh7F7jbK0eZw8fXcuz9v6e8uq+TRzXQFD8yk0
1QOrtdVwVy5fB+e1tz9w2KmfDYFzdXt56MnSSwo0l7hGU1JPrmRj3nbj2+pw+bzOwy0dqu/rOAvH
ZbLkxDKpnqH/ru77JggJjN3Vx7T4VmaEAiQPs8JtGvSxwxiCVYtGY2vWuj8jnxVN08qr8QDwzz//
nD17lsViyWSyb3Mmz+dXOzzo6jIfLbSO8TGW90ynpW0qzjfuq7YSAACDiifEMAyAomlg4WRa9m/7
RHESmqbIHAWnA02XiBRSfb6xMiRGOHQ2cwAAMFo0izpwMWXycZmOrcEPgy19jSvjfX/FhXKZMd+i
/F8aszDToZ/I8oCpV2TKqnqYLxctTksXZd4ZYnFE2TyknHbLE9E6hoqozf6TzkVky2iyMFXWqLe2
QmEYUJTaBLsKy8ravPhxnlRHt2acmNmPey6Urlkf6L44idd2cOCq1QE2lRvSkqysUou2DZS1jum7
jJrlUrlSSf5gT7CQLzSXlz/0oqE4+r2H9p626MzTpbkX7toOWtaCwAgt6aqhRRkZZdbtbNnKr4Rt
00b0ydRMSq+uqYMuBqChOHRGCEPkWZTqvxmGYThesSsq61plrYYATLWtvhVQFEWV5OaUWrW0Ls9A
xTpt7YIgCKJE6Lq2Zx97UvBQlt+we3MLQsfNXXfXnfxwEBm62FkTALQ8M1ue+/hJx3PlR0kFbVhY
eaqbVuTmUaYtdcq7daHBwPEAdNmjbKpBS175sILg2VjBlcwyiluxFQBgADhWcdADDGiK0pBQzSEL
Lc9hjB84BAAApoPzgCwpA2CDlVfz214gf5bY75BqDICbGs8dUjjhcMrt+frVVmhXfSwEAFSWylqA
jz8W0lR2gUoYDICmKUqeraU+67Hh1DomQsfcmIwqkH1oPlUpQzIOUTRVSPVQGlU+b4sDpiUz5Tth
ve9aVGb+FbHBbHutF9I0oDWXETcyHNouY9YD4bLuPJWhgaa6Um2UiuZj/mdUweHRMX9HLL0hzpMD
KS6VNzRVH6IwKm90sqCAMnOpyEkNxgOdg8tidq28tzGNcOzTeNacRpYAQndL9+Wvr0XaF9zKt+zd
vCkBBFOwKtqPXUq17s/I51H5YDwA7Nu3j8fj9erVSy6Xs9lsHMe/2efktdD0z/SeyJSsnw8Ue823
X2FNYOLcOfPzAICvx+KI5fkUNCAAgM5OKhIbCppg0gyufkCgSSCpeHszac6WtAYbbDtx1CNUh2ME
0OqzIRW6+mxOvjSThAYsAKCzc2Sgr2cIDBswZvXrgQlMTATNZl6OWOOi0oaKF8uHTQ4bfT30sLM+
nr3Hu2lw1bp3pkhPyRKYGBMvfqsZJ5kbkygcsPbUpD8U+c+3j/EeNL9RXLB3+YaY0MyMm5WeSUIj
HACkqc8e5Fu5tzZXOZnCcpxz6Uyn3b0mTdjpcmGKPYu5OADgOazP1AX/BuWGWA1a0ILQkG7N8R4A
AKZvYcFNjU+WQ2MdACBTElPA3McML6576gCgqTh2TJGb4so74N+fgqm2mWB8E2NuRnKaAuxU/mve
pX4QBPl24a06GBT/lXysUKf7WD4BmKW7qcHRlBN8qu1UPRYAYCwjQ1ajcR0vzjVQPQ1efpcSxjI2
xnOzpBTwcQCQlUU9l5m76Jqa4pkppQrgcwCALE3NAJPuOrj2+9w0JMQAYzPHX76aMNd14OY8eq3o
20HLL41hDbraBDx7s+UwZUJDE+UMjVaIS2hQ/jAWTUpKaL4RoTmGOmEcYHzAWEhT2WvetqC9Puux
4dTIylJzCCNDDnNUdc0nnVL1WStNFQI1U6oD5sxUqu9di465XwAdG9szpVUnGkbCZGbuvsdES/Oi
fy4Xdxmiq1O+WFNdqVZVefOxmepBtVHo17ue/hze8J9/27UQYnlHH3Y/VrWudhhhZITnpJeRIGAq
O12QWKLbs8XOES3JQtHBuWGT1/FvrTPjCUz6uivWn08sCOP2mSQgNAWrjIa5Nemkqs/Il6zywjtN
0zt27OByuW5ubmgmr8n7nAvUgi5WSBS0XE6VSKSPbhW8VdAkBToORl3l+YdCS4soOv9t1qrf0+6J
gcrKW/Fb4rF4hRzHhUKCQwPj42BqcCHHgl0aFi4tkSliH+aGVUyaOGxMUiArVtA6jsY98YK9l4pF
JBSn5u2+Je/cRd+AqdEZs/oV4XmM8i3Z9/Ofj3IVIM8J2zF7yek0ii7IK5DLpWWlRblvr+48+lyu
kL/ro9Hyh3s3X0sqLst7vHX9CfDx7cxmipOK2fOjx5gtj3JkOM/Q1IBLk6rNx+s+wld6ZP3eSBEp
y7q7YXTfeedUf8QEAHCLxo2b+G7ZOzL1Z7/14WUaigMAgh7DvAv3rDthOmiQAwGa0iW4XKIgLVUs
q/bSQX6PsUOJf1dsepCroMSRwT/vTPf262+GvUPqSozF0Rj5h6l7C+p0+b6v/OjarY9zy4qTb+w5
HqkAjfWDIAhSHa+dcYuYrDts025NMQAgmph+R2ddS9Dv0FY59CU6DbQoPRH99wsZCVR+eOKvmzJV
bm8mOvW3kJ2LPRYtJ+XSJ389m7A2Kx+IzoMt8XNv9zyXkZQi+lj04WyzIT11ajsqak8IAMd1CHlW
hkJO1hI/RziiL+/Jv4kHX0qLSFomLr0dXqLgEeqnMXFOvzFWzeJFr0kAAEwodGsqO3syJ6KAIhWK
uEfpR6I5XdpwmWYZ74BxgPEhYyHmsquHAqitPuux4QAAyKiM05EykpSH7429Rph7tmMzRqW+GUBt
+ayuah+oXPSOeWaIQVUtmanfXUtedPEJq0/nqsf83xXzSJiUnj6QKXK32TTJXHg75Z8ElUZnrCtg
aj7t9QBAiwvlCgUlLVMUJOQcviBWKCgF1Fq9lXAXbwv6Uuz+CJm0pPTBv2nKmqpAJ/73fOTc+Bf5
FMZlG+nhdPnPPbI69zMT/xdz2ahB7yaYxmAqB4raSsGMLhBduyGu9kvIyGdG0/TmzZvDwsK+8efk
tdB6GFF9HszvGQA8quU/FFj25rO7Yec2vOy/MO6kXLeDJVYsAeDpTZtqrhMaOzggYuz+4pZjG49s
iLGaWqwYxAkJiuo9MWLCWdJzgmVn9dPPTLj644brGxDHcQAAIABJREFUpR1/7T3t9ZpwzKr83iXc
2c1Y/0n8oI05GTrCqYFWNi8Th00OH/R7ro5Xk3kd2IwHduasfrHowgP9ucofb8QwjPfDf2UG3n+c
WWVzdkRzQ4Gx009XDLp3tMDZ7vO3/kQE97E1bz4wqKxD7xa4JLe2NlPDadsGtnrZGFj1+Ys1df86
Hz3GONmdfj680urUD830eSauqwpGBq+udslXz2vD0Xm8PT42QhPngIeddh6d14phUITpe6zZH6jY
NPaXOxKMqTgAALrdh/bTVzRTzuJBQ7pc9zHjTU742vTZrtJzAQh7rT+13v7Kj/Z6AmufPbzZJ3YO
s6jcGeqUuhJjcbRG/t4Ya1s9EAAAYAb9Nh2eobPHq6GBde/NpfYtWKCxfhAEQarDTYxcbcGsu1n5
46mEXtcuHGhs3N6gPIBet5a7ZvFuzLzZxumK96IcvY4GJipHRUFXxy3+xNHx11u3D1n63HD11qb2
BOi6Oe5cqHtn9s3WTtfGH8UnbG/d17RqE020JwQ6xoN/4FwOuO53sISnPX6skWeTzb46z49E+/qH
914Qe1Bi8EugRc1XX+EmxnOG6pcPHzCdQQFNh/ELVy+N8AiImneZ7B5g95Nd9aFR9bGQe2Dyxx4L
0S833XaZm6X6ipe61632+qzHhgMA3JSI23SvY+ur408RfhtbdBe8Q1Ta81mNyj5Q2cXXPSGAajEw
zgJqyUx97lolUflhDYx7qL75rvoO5hFUIFVZyYBhJEynh6YE5xpM76fLtzAN9ITjB7Ki5RXhNdVV
zearpR4Ad/FvNQxP9nO/2mtSgtTZ1A4nC6jaq7eSsHuLP8YRx8Zda+P+MDhXp+IJWCW8zbR2s8wz
p/W45OhyZ5uo4bo55dfY+R0tewjpRr0tmhCag6nkQVBLKZiVPI1ftiIxkvnFSsjnQlHU77///uLF
C4IgvvHfrmeEicXMr8jQ09NTqykMw1DdIZ+c7P5c51lGJ+8vblGjx0QQBPkM1LrCml+VSyo/VH5W
pXwCkKIo1Q80TZMkKZFIlF9JkqRpWjl2IUmSy+WSJElRlFwuJ0ny+MlTFElRFElRNEmRFEn16ulB
kqRCoVAoFEVFRePHj1fJVxWhsC4/kI18NtT9n28u021/eaHhF9zt0Sl/3/cJtb6918b4w89gfzNo
xbXt0fc7OSxr/5mb9nM1H01RmPKXJMjX0QOGiSfec/Wt9XAkz1/bN0p/e5cpdp80r8inpezsioqK
DA0NBwwYoLqKw+EsW7asefPmNE2z2WzlFU3VAF8RiYT5orFav7xt+07VrwAwbUqA6ldlDTA8ClxJ
eQVe+5L/V/f2tVNfhHxytLw4JzJ4zTHzETdrnvVGEARBkHL/R+MT6WnrR7yh2xif00Y+vfrftR6/
uKq+qP59ieNY8k3sTxsgYF3TDoLSi8Fpaa2btNdVD6NGUSKNPhZ70cTqUJOvdd6GfDCZTLZy5crl
y5fb2dkpn5OHinnsN07bNF7tEIDtV1+CIB8TlbDdx/mXzN5r/pvUtA43RCEIgiDfqv+n8QktOWYo
0END1C/E/9Ou9ZkRTa1Gtoha7Xs1UYJbdrD5Y4OttfbRHVVycELIHzmmc7fa2mgPifyfk0qlq1at
Wr16tbW1tXImj6bxoH0ajyoI+azwJjNCJDPUlyIIgiDI/zFMqKdtcPZlwKzHuUWOU1+KfCU+U/Ox
+Z5zXT3nqi/WCOf7HfH2U1+KfJtKSkqWL1++Zs0aMzMzhULBYrHwild9frM0lr/6Q3zl1AMhCIIg
CIIgCIIgyMckFouXLFmSm5tL07Tyt2PUQ3xjNE7jEQRBEARBEARBEORLIBKJgoKCOByOQqFA03g0
jUcQBEEQBEEQBEG+aKampjNmzFC+zwVN4/+vp/G09N9fw2fektfeyHUPibyrslcHpvRs1diu77bo
2l61+wl9mblCEARBEARBEKQGU1PTX3/9lc1mS6VSHMfRj7hp/hUVhWTj3JhThVULcHPznWusWn6y
N6BQ8scXU/8KkcTkkxx9XpvvLGb4Glhqym9J4YolGQ0CHfwb10uLUte2RCx/RlVfiLUa7rjDS+fz
nPmg8x9uX7Dwz1OPkksFtp0Gz/5tnb+LQb2UFQAKT4xqtbLxqaerXTXV73ujM/6ZPf267c4zf/ds
3KBq35HdnNLYc0d6VQ0TzebdjVrfiV254KPSkKvaySKPbnxgOXGiu2l91X0dfJZEEQRBEARBEORL
sXbtWgzD5HK5rq4ui8VC03it0zaM5RXYarFzeR1hGPYJfxGQenU6dukj3pRJDr1sWGWZhXt2J82n
2Xt/0OWohwQAAJ5g9EQbXsP6ak6813TnHhQAkBc3vzzVrPmuvlwcAMOx96sAGuDDciaLWN+/7y7z
JbvvH22rl/9437yJXkOk964ENtfafswYMqPvsWh/A4HTe0RWKzItIRl3DRjc2kZHbQ1mMPp08t6+
5YsxDCfeZT79YTTnqhayyH/X7nLxneBuWmtmGer5Pb1DovWu/kqBIAiCIAiCIO/JzMwsNTVVKBTq
6OgQBIGm8bVMSzEcI4jyPxwHKivL3//NL/tjxy+K9JkWNf1o/t3rSZOXRA2YFjl2R06MDABAFJP1
y7LIPv7hPgtitj6VKQAAoDghZ9XKl30mhnvNj9nyWCoHAKBTwlKmz4/oOTF84LKE/+LJaje0l4mP
3VK4D7ceaMfR5eDGNkYz/G36mdPFNFBZWf4BcReLAQCALPpjTsTaSBpkkj1bki9k0gAgis5cuDjC
Y2LEqM1ZL5TBAOTZhds2vPKZFO6zKHZnhFx5FZgxpBKGYQSBEThgGIDyM4HhGABAWVr+pnVR3v7h
feZEr75RUqQhS1RO9mT/1wt3vhkQ8Gp73IfdrV90aePvSQO37Jvdy97c2KKF14J9GzwiNm0JlRZf
nNCw0bRbUmWoc34N7Ofel4E07vjc3s1NBAJTB+/Fl9JJACphs7tuG9+RHRoI7X8YYKW+SeHVZb4B
f0crAGpuK70xxabRtNsyAKBSd/QStl0ZSQIAGbmyndmIE+LKPAJASdQ/Uz3sjHX5Brad/YIei2jZ
rTnO3ltixCfH2VoP3J2sdncDYASrEkHgZOzGzrouwwN8XFpYm5g06THv8Nmtfu6tmliaNHAevj28
BADovHsbh7e3MtAVmth7zjmZoNyRxE+2jeloY8DjG9n1nHU8XgYAII05GtjDzliXJ7RqP/LPsEKV
BmDIVY1SM6UlD5nr1Gzq5ZLI37o1GhSc/HZjZ2Hfffk0AIA8JLCR+YTLMpV6dljwUM4UrZaM1Z5o
WlUV0jm3Vw9wNOHxjFv0m/dTF6HnrkwyYbO7wG3iwu87trA1M2nSc9GVLArIWIZ8VsYCDK2murc4
LHgoq5nQh+3NCIIgCIIgCFINhmE4jkul0rMqxo4dqxpGR0dHR0cHvW1O6d2rgFYQDja71jqdXGAs
v570R7zeipUtz2xo7JqWvvuRgioVbQnKJbztz+5qvcsLv7I37U4pQKk4KCiz6Lsmx3c6H/TjRx5I
Op5J06L8P/dJmvo5Xt3Zam17+d6/st6oPKNM5pTGyXhtmlZdfeTaGA7vKjCs7bQLXSratjO71K3p
yaBWv/dmFRQAAIC0aPefyW+a2xwKct4/lHN7T+pNiYaQtSqT7NiSmuBoe2SH84kZRpJzcZueKjTO
aih5sWXDPZsdJjWpLd9aKd6EPSlx6dlVr2IBZtSlu1Pe0ydJXI8R/eHS6YdSACi5c/q64ZChrvK7
SwdOfeK+51V+fvh66xPjZhzLoQEAyBSx48bHGRF7pw9Q36TyDofimttyOvbpXnb39msF0DlXzj9V
xFy8FEcCnXXvTlJHr67Cii0Bim4tHDQ7qsf+N4WSxDOj8tcMmnJS1H3Ti4vT7fS/35+Ucsbfpg47
G5VNdN95/3VK0s2fpNvGBD7qe/h5fFr8Mc+oxUv/y6ZEZ2cN3c6aE5ohyX4wh3dw4qIzIgDx1Xk/
rCscfSZBUvByl+v9yWO2viXpzEMzJ91w2hUtkiSeHJS2wu+3J8rzSQAAHA+1XDGUmqZrplXSbWNk
TJAX32lBSOKpCVaaSlNez+G/tgxjiFZbxqDuidKFZ+eO2lw8+lxSfvKVmdzoqIpYFG/iDRdejUpK
vjNZHjR/R6RK7IwYWi2HhqpSrLa/xJwQgiAIgiAIgtQHDMMwDGOz2WKxODk5OSEhIS4uLi4urm/f
vqozeYIg0FPxlTTNRQAAgFZc2vzcze+Zm98zt3EvVofTAAAEt10LDhuAaylwNCDadTQwIwDj8VtZ
QVaOnGbrjp/fbE5HHR0Mb9hO346UZUpAGp0fQhiN9uALCcykhcWckQZWNACGEThdkC3Nk7McfZoe
nGvWWOWOYVpKlQHB5wIApF2O7u73zM3vmfuclOe1/RyZ/G3hfdxwbB9dQw5u7mjcvSEAgCw671Kp
wVhvgSELM21t6mkgCY2mGEPWqux13jWF4QQfgQGBCWxMJvVg3Q0VidRDVWDxe3cXmHFx1oftbHSR
uIitJ1S5/xsX6gmgSFxE89xHDMQunn4kg9J7p68bDxnajgwJPiAavHSeuxmHY+UzbYTFzdOhJQAA
bNeR/u4NBVy9ruqbVD6QXsa0ra6713epIaHpZP61C3G+c0bmX7qUQhY9CIls49XDuKpgJTf/PiIb
vny+mymbMGgzeU2A6bngc7kaz3AA0IUH+nOV/7QYbjT2vBQAgOXo0cOaA6DbomsHSyOP4QOt2YDp
uXRuSScnpFNct2XXbwcNb8rDeXYD+zrLkpNyqdKQw6fYIxZNamvI0rHssSho85CmFA04i4WXZcfF
ZpQZdpx/5uWV2S01PzHAWGqMKS31LRlV1DN5hyFa7Rmre6LSu6cu4j8smtXZjKdr02PiD60rYmG7
jhjXXh8Hrl3n9qYZSSqX7xlpbLWKUlD3NSSEIAiCIAiCIPUEx3E2m62rq6uvr29gYGBgYKCrq5uT
k9OvX78RI0a0atWKpmk0h1eldVCOsbxnOi1tU1VZVJbKWgDAoOKOBgwDoGgaWDiZlv3bPlGchKYp
MkfB6UDTJSKFVJ9vrAyJEQ6dzRwAAIwWzaIOXEyZfFymY2vww2BLX+PKeAHTwXlAlpQBsMHKq/lt
L5A/S+x3qCqAJmUShdRQYFb9GeLiAnmxqGhJYIGyJCQJrYvIUhZDyFoVF8plxnyL8q0wCzMd+oks
j9Z6NuSDYQI9gTxVIgWomMlTEnERCPQEGOh0Hj6I5Xf6yUr56WsmQ860JsRP0kWZd4ZYHCkvrJx2
yxNVm02rb8KCMuUKWpzGsC0Yeni1n3nlborZ+ajvRv81jHd0/eWU1q8eN+693LKq3LQoI6PMup1t
+SkBwrZpI/pkaqaWWSRmMOZc+v5+VScnyFiVtco7ayrqGcOAoijQ0VVEbfafdC4iW0aThamyRr1p
SpKVVWrRtvx36jB9l1GzXAAAftxzoXTN+kD3xUm8toMDV60OsKmMWQ1zqWkdwxppaTknURNztGCm
NWMMBWRMlC7JzS1r0KWhtl8EVNYZ4+aVNLVa5X0fdUkIQRAEQRAEQT4IhmHKu+U5HA5N0xRFKRSK
srKy3NzcQYMGDRkyJD8/n8PhoGl8pXqef5IpWT8fKHYcbX9wrePhJQ2Ul+74eiyOWJ5fPqOjs5Mk
sWKakpRlcPUDAh1O/Om4vI1875a0MJUndglzXQduyaPXTPer4xgBNKVhfsgVEJxCWU71i/Y8AYtn
brZlm/OVHc5Xdjhf3+38e3c2jylkrXT12Zx8aWb5VnR2jgz02UZas/ThWM07tuc/uRFa+SA6XXg/
NNKonYstAcB2HT6Yc/Ho9uPXzL7/wZHABCYmgmYzb+QWKkmKRZf9Lavv72qbVC7XsC1m3rNP80dn
fzv+zLWfu9F3Az3iz247dV/Qy1PlmQfA9C0suKnxyXLlVzIlMQXMG5jV6/6lePHbsMlhHbaGvnzz
+vW9VV04AIAJzcy4WekVLSJNfXY7Ioskc2MShQPWnnqUmPn6cP+UFYPmXy6pFpUK5lKTDGlV3wzH
CaBIjY3OHC2lNWNMBWSE8U1NeZnJ6XW4w11rPmtttXdICEEQBEEQBEHeG4ZhBEEQBMFisdhsto6O
Dp/P5/P5IpEoPz9febkeXZCvVK/TLAC6WCFR0HI5VSKRPrpV8FZBkxToOBh1lecfCi0touj8t1mr
fk+7JwYqK2/Fb4nH4hVyHBcKCQ4N1SbUHOGIvrwn/yYefCktImmZuPR2eImCR/ABcCHHgl0aFi4t
kSliH+aGVb+jnW1v+B1Z8M/1EpGcynqVdysVAECnhVFXad5f14pFJCgkxaeOpIcWMIesFdfRuCde
sPdSsYiE4tS83bfknbvoG+lpy1I9EHrNnWVzOnDc5tvx+ZK8uJt/jJ9/o9WcwK46AAAs52Hfc/et
OmL6/ff2BADPY5Rvyb6f/3yUqwB5TtiO2UtO17izWm2TShq2xRt5epqcCb7Zup+HEON1Gej+ckdw
gUfvVtVu5eD3GDuU+HfFpge5CkocGfzzznRvv/5m9fpfRhfkFcjl0rLSoty3V3cefS5XyBXA6z7C
V3pk/d5IESnLurthdN9553KAitnzo8eYLY9yZDjP0NSAS5NaTtcwlpoxLQCCyyUK0lLFMgVm1rgR
N/LKuVhJaW7Ekb2XM9QrmTFa7RmrNdHKs1rcLt/3p4//tvVxbllxys3dR19onGfjjPmkc5+ePvei
gK611eqeEIIgCIIgCIJ8oPInbnGcIAgOh8Pn84VCoVAo5PF4bDYbzeEraZ3Gqz4b7/fMPTD5kZbJ
EAAAsOzNZ3fDzm142X9h3Em5bgdLrFgCwNObNtVcJzR2cEDE2P3FLcc2HtkQYzW1WDGIExIU1Xti
xISzpOcEy87Vrj1ijTybbPbVeX4k2tc/vPeC2IMSg18CLZoTAFz9ccP10o6/9p72ek04ZqWvuhVg
fP3pAWbskFjfyZEzr1LWDZQL9QJnWpo/Txw+Ndx7SXIYX9BSnzlk7bjCqYFWNi8Th00OH/R7ro5X
k3kd2JjWLNUHHecF5y7ONjw10dXKxLpjwFnT+RdPBjqUT6NZLYcObY45DR3SlAAAzMD7jzOrbM6O
aG4oMHb66YpB944WNVq5+iaVNG1LOPT2tOa79e9pgAHodh3YTVe/Rx8XtWvFwl7rT623v/KjvZ7A
2mcPb/aJncMstP2fqT4bj2GEhf+18mvCGrHd52/9iQjuY2vefGBQWYfeLXBJLgl6XhuOzuPt8bER
mjgHPOy08+i8VgS708+HV1qd+qGZPs/EdVXByODV3nz12Coxlpo5LeC6jxlvcsLXps/2BH7fnzf1
jl/sbGziNO480bTiQYtaotWasdoTrTxXoO+z/tBMbrBXQwMbz9+zzBuqp15FwJTPontbpk3f+URa
e6vVPSEEQRAEQRAEqSfKybzysjyXy+VwOOhSvCpMLK72zrBKQqHKj5AjCPKFoSiq/GUbihfL27s/
n5dy5sf6P4EEnzAhBPla0NV/tKLmV+WSyg+Vn1VRFAUAFEWpfqBpmiRJiUSi/EqSJE3TCoVC+ZnL
5ZIkSVGUXC4nSfL4yVMUSVEUSVE0SZEUSfXq6UGSpEKhUCgURUVF48ePV8lXFdS/IwiCIMinJ5FI
1BcBQI1+edv2napfAWDalADVr8pzGRp/4s7N75n6IuR93dvXTn0RgnwIRcS6fouoRcELuuolHdt0
MMl1ltvHGZd/soQQBEEQBEEQBKkbjdN4NPNEkC8Xy2F4gPPsma5mMSKObdefDu2b1LjGoxP14pMl
hCAIgiAIgiBI3WicxiMI8gXjNPFdc9p3jfri+vfJEkIQBEEQBEEQpE7QNB5BEARBviGMvw9EV3/C
H0EQBEGQLxmaxiMIgiDIt0Vt0s44sUcQBEEQ5IuFHnNFEARBEARBEARBkK8GmsZ/KtKCxQGv96R8
0XctUgmb3YVee7K/6Ex+fsX/DhG2XvZCob78S1D26sCUnq0a2/XdFk2qr0MQBPmGfQ298Mfzafp3
KmGzu7DXzvSPm4omnzf1j4WK/72L0HNX5v9XqRAEqQcap/H3gyP7bM0XqRw2ckNiPeekPBUVrpj1
enfChx1PFJKNM5+5+VX9uS9Ii/pk0w6FZOPMZ12XZsRUS5GOO/O627jI9VEfVrT6V3RhvKXh4EO5
Vfmi0//y0ms07WbmiVENnZc+/sD5pCzy6Jrdd3Les9iym1OsCEwFy37+Q7l6KKRc4Qc0mSL8FyeB
d7CWlqIz/pk9/brtkjM3/x7bhFBfiyAIUk6tCwaAT9UFU9e2hKsm7eb3zM3v+aTLUko9pBIdF5Z5
5q1C83FPRUl9jE8+MdnNKQ2Nx56Xqi//0nxI5/VBPmyIgiAI8v9L47PxLm4Gwj8L7kmMfPQAAICW
hTwsMunYwFlPx3CiDa/hBz9Hh7G8Alstdi6PB8MwXOMphY8AwyAz/3yM+SyHilQVxRfuldG4xgr5
fAQ9xwwx8P33fPZIP3MMAIBKOXXknuWwFe7mzcz2NxA4fWCeZZH/rt3l4jvB3fQ9GxUzGH06eW9f
nfJvGE6gGaQm+h6L6qHJNCHTEpJx14DBrW3KGwNBEIRR9S6YtR9afqLjNt5runMPCgDIi5tfnmrW
fFdfLg6A4ZiGIQAdH5Z5prFBf3tWrT0UzROMrpfxydeJBviIJf+4nZcWVUMU1T304xYWQRDka6Ch
3wTgNDPqZVB047lceQaUyim8Hs/t/R2fJZPs2ZJ8IZMGAHl24bYNr3wmhfssit0ZIaeAfnLg5ZB/
JHIAoOWn1of7nSmlAIAq/XtZxLIn6qf6MRwjiPI/HAcqK8vf/80v+2PHL4r0mRY1/Wj+3etJk5dE
DZgWOXZHTowMAEAUk/XLssg+/uE+C2K2PpUpTwsXJ+SsWvmyz8Rwr/kxWx5L5QAAdEpYyvT5ET0n
hg9clvBfPKl+HhfjuDpit0PFRRULiiPzbrKErqblX2smROVkT54Uve5Y/MRFL/tOiwo8Js6ngcrK
8g+Iu1gMAABk0R9zItZG0oybfwiu2+jhDUKPniu/pYpKOH7kUbNRo13YJVeX+Qb8Ha0AAGnc8bm9
m5sIBKYO3osvpZMgvTHFptG02zIAoFJ39BK2XRlJAgAZubKd2YgT4vKo5SFznZpNvVwS+Vu3RoOC
0ygAWvR468j2DXS5+k16LrqSRQFT5OowglWJIHAydmNnXZfhAT4uLaxNTJr0mHf47FY/91ZNLE0a
OA/fHl4CAHTevY3D21sZ6ApN7D3nnExQtpr4ybYxHW0MeHwju56zjsfLAACkMUcDe9gZ6/KEVu1H
/hlWqNqU75cQlbDZXeA2ceH3HVvYmpmUF5OM3dhZ2HdfPg0AIA8JbGQ+4bKMcfOaNGzLlPOKJmPM
AwCdc3v1AEcTHs+4Rb95P2m+j45pc9mtOc7eW2LEJ8fZWg/cnUwBQEnUP1M97Ix1+Qa2nf2CHqve
XIMgyDdOtQsG+HRdMIZhBIEROGAYgPIzgeEYU3/6QrJtadTGSCruwtshW/JyaChLy9+0LsrbP7zP
nOjVN0qKaKBysif7v164882AgFfbo8WV4xPGrH5FmLpdhv6IStjsrtvGd2SHBkKH+Sc31egXqkdK
595a3b+FCY9n1Lzv8pvZNHOc2jsvDT11DWT66YktGnRb+6QIoGZx6LzDQ4waTb8lBQCgUrf3FLZZ
EUHWSLf6ECUlrqqwCx7KtXVw2lNXCaipODUjr3W8UWsAxtpm6s0BgM4LXevb0oTHM3EcsPZOvrIh
a9RPVSkQBPkWaZzGA8Hv3Vkn8lFhDg0AdMrjghhbo95WKmc/pUW7/0x+09zmUJDz/qGc23tSb0qw
lq0EspiiJBJoifheIqS+EKdRQIuLX+Tqdmpeh1P9tIJwsNm11unkAmP59aQ/4vVWrGx5ZkNj17T0
3Y8UVKloS1Au4W1/dlfrXV74lb1pd0oBSsVBQZlF3zU5vtP5oB8/8kDS8UyaFuX/uU/S1M/x6s5W
a9vL9/6V9abG1LNhJxPbl3mhIgAAoBWhoWLrrkY2NAAAzZgQAJDSdL7FH2tanVpsoriRdiqV+RCq
cfP3xm4/apTd/aOn0ygAIN8eO/qi7eiRjir1WXx36cCpT9z3vMrPD19vfWLcjGM5nI59upfdvf1a
AXTOlfNPFTEXL8WRQGfdu5PU0aursCLmbhsjY4K8+E4LQhJPTbDCARSRT8TD/n2TnXDm+8It83dE
KpgiZy54NVQ20X3n/dcpSTd/km4bE/io7+Hn8WnxxzyjFi/9L5sSnZ01dDtrTmiGJPvBHN7BiYvO
iADEV+f9sK5w9JkEScHLXa73J4/Z+pakMw/NnHTDaVe0SJJ4clDaCr/fnqgNx94jIQBQvIk3XHg1
Kin5zmR50PwdkcxjPFrT5nVQe85r5IEuPDt31Obi0eeS8pOvzORGRzHnqpz65rjHphcXp9vpf78/
KeWMvw0ORbcWDpod1WP/m0JJ4plR+WsGTTlZl5ZDEORb9Qm74DrBBdNWt5zrhDfta38i0NhUKtmx
JTXB0fbIDucTM4wk5+I2PVXQAEDJiy0b7tnsMKlR+RCl/nvhT4yp29XYH5EpYseNjzPCVzsTNfqF
6p2IIjZRGHg5MT/lij+5ffT88yLGOGvpvJh6apXVAABA595Y0N//ifc/Jxa6CJiKk2voPbRX0YUz
YTIAOvf6xad2gwc75tRIF6sxRKko7K+OdzV2cLWmrtoTMhZHU++pdbxRa4C6D0ho0fm5I38vGn0+
KT/x8kzz7HQK6jKoQBDkG6N5Gg9Yo85GTeMLQvIAqLKbYWWt3QwbqMziZdF5l0oNxnoLDFmYaWtT
TwNJaDTFba7nlF8UXkiLX4rS2pl5Fosf5NOlsZI4W732gqptAQBoxaXNz8ufixv3YnU4DQBAcNu1
4LABuJYCRwOiXUcDMwIwHr+VFWTlyGm27viOjZkkAAAgAElEQVT5zeZ01NHB8Ibt9O1IWaYEpNH5
IYTRaA++kMBMWljMGWlgRQNgGIHTBdnSPDnL0afpwblmjdXPIVAKPcOBDiXnHkgpACo3/3yCwLcT
Wy4HAMCYEgIAYPE93fkCDDjmug5CeWZBtRgradz8/RGOI39s/fjoyWQKyFf/HY12GzO0sUrTlYUE
HxANXjrP3YzDsfKZNsLi5unQEl13r+9SQ0LTyfxrF+J854zMv3QphSx6EBLZxquHseab0dhuAYsH
NtPXbeDW3908IymNYoy82iZ04YH+3PIn43Gj8mf8WI4ePaw5ALotunawNPIYPtCaDZieS+eWdHJC
OsV1W3b9dtDwpjycZzewr7MsOSmXKg05fIo9YtGktoYsHcsei4I2D2lK0YCzWHhZdlxsRplhx/ln
Xl6Z3VLtnr53TwgAgO06Ylx7fRy4dp3bm2YkpTE/lYlp2rwuas15jTxI7566iP+waFZnM56uTY+J
P7TWevtijc3V1pfc/PuIbPjy+W6mbMKgzeQ1Aabngs+p/MICgiDfsOpdcPnCT9cFv4+y13nXFIYT
fAQGBCawMZnUg3U3VCSmAVj83t0FZly88rb7j9ALf1KM3a7G/ojtOtLfvaGAy8Zr6xfYncbN8LQV
8Excp80dgl8++1DOGKfWzou5p1ZFl4ZvHDLitGPQ2Q29TDBgLk6poddQz6ILZx7LadGtCw+bDB7s
SGhNt1xFYeW3NXRwdUq9agzDWByNvafW8QYJtQSo+4BEevfkBWLYklmdzHgCmx7jh7RiAdRhUIEg
yDdG2zEANzH0tsu49ETq61BwI184tj1bddJfXCAvFhUtCSxQ9pskCa2LSOALOzZKDYuRG74oc/rO
picn+lCk3C6tpEHLBiZqM0eM5T3TaWmbqqVUlspaAMCg4ml5DAOgaBpYOJmW/ds+UZyEpikyR8Hp
QNMlIoVUn2+sDIkRDp3NHAAAjBbNog5cTJl8XKZja/DDYEtf48p4AQCApmUky627wc4jeTGeDYh7
edntG7oJ6EdyIAAYE6r5GBatPm+qwLj5h8EbDR3TadX+kwmTuh39L6Xn4sGWKm1Bi9PSRZl3hlgc
KW8LOe2WJwJDD6/2M6/cTTE7H/Xd6L+G8Y6uv5zS+tXjxr2Xq25cA1bx/mAcxyiKosQZDJHToFtV
H5jBmHPp+/tVPY5NxlZ+BFD+7kH5GA7DMKAoCnR0FVGb/Sedi8iW0WRhqqxRb5qSZGWVWrRtoAyJ
6buMmuUCAPDjngula9YHui9O4rUdHLhqdYBNZcxq6piQWlsoA2pooNo31wgze5ecA0VRVElublmD
Lg3Z6qtrw1gEWpSRUWbdzrY8NsK2aSP6ZGomBdWeL0QQ5NtUvQvG9lVbCfCRu+D3UlwolxnzLSoO
8hZmOvQTWR4wHdGYsqoe5svF3KfTOobv0h8x9guVWFbW5sWP86RMfZzWzovW0FOrkD/YEyzkC83l
5YMJDcXR7z2097RFZ54uzb1w13bQshYERmhJV42mDk6vrqmXj2EYi0NnhDBEnkXxld+VQRnGG9Uw
BWCqbfWtygcDOaVWLa2rDwa0tguCIN8ibfM5wNjd3ITJjwquPSgUtzb+rvrldJ6AxTM327LN+coO
5ys7nK/vdv69OxvD2C6tuK+fZ95K5LvZs5zaCtOf54TE4q6tdLSmVCdkStbPB4odR9sfXOt4eEkD
5aVKvh6LI5aXPzcEdHaSJFZMU5KyDK5+QKDDiT8dl7eR792SFlbj4S2aBm5zEy+s4EKU5NwDzKub
gAugPKAyJsQMxwig1Y7e77B53eGWg8Z4vP3v8JFDx/N9xvardjkdE5iYCJrNvJFbqCQpFl32t8Qw
8559mj86+9vxZ6793I2+G+gRf3bbqfuCXp5NmUY9mmiIXD3Yu1G8+G3Y5LAOW0Nfvnn9+t6qLhwA
wIRmZtys9Mzyu/Okqc9uR2SRZG5MonDA2lOPEjNfH+6fsmLQ/MvVbwXQjikhZhiOE0CR1Zuyjpsz
bvvuOcf4pqa8zOT0+rlNDtO3sOCmxieXP81PpiSmgHkDsw//P0QQ5JvE2LW9dxfMgKk/VaWrz+bk
Syv6CDo7Rwb6bMPqYZQYs/r1YO52ybr1R3WjSE/JEpgYE0xxau28mHvqytUAACzHOZee7e/1ZOaE
nW8VoKk4GOh5DusjPv9v0JkQq0GDWxDa01WjuYOra+rl8TAVh2KM3PSDe886jigAML6JMTcjOa36
YOBd6gdBkG9CLYclfWfjjrlZf96lunYR6lZfpdPCqKs0769rxSISFJLiU0fSQwsAABq0Euo/y3tq
rd+OCzr2+s6pOeeLhR1UH6p/X3SxQqKg5XKqRCJ9dKvgrYImKdBxMOoqzz8UWlpE0flvs1b9nnZP
DFRW3orfEo/FK+Q4LhQSHBpqPLkFAAAEr283zu39ybeNjftaV+WQMSFGuJBjwS4NC5eWyBSxD3PD
RADvsvm7wEz6jemT+PusfWW+Yz2Vbw+oxPMY5Vuy7+c/H+UqQJ4TtmP2ktNpFADeyNPT5Ezwzdb9
PIQYr8tA95c7ggs8eivvzqpCcLlEQVqqWMb8Rh8NkX8QuiCvQC6XlpUW5b69uvPoc7lCrgBe9xG+
0iPr90aKSFnW3Q2j+847lwNUzJ4fPcZseZQjw3mGpgZcmmRuSg0YE2KEmzVuxI28ci5WUpobcWTv
5QwK6rw547bvkXNul+/708d/2/o4t6w45ebuox/2anp+j7FDiX9XbHqQq6DEkcE/70z39utvVg//
iAiCfIsYu7YP6oKrY+xPAYDDxiQFsmIFreNo3BMv2HupWERCcWre7lvyzl30DZiOaYxZ/Yowdrt1
7I+0kT/cu/laUnFZ3uOt60+Aj29nNlOc2jsvxp66GtyiceMmvlv2jkz92W99eJmG4gCAoMcw78I9
606YDhrkQGjsNJmHKBo7uDqnrsRYHI2Rf5i6t6BOl+/7yo+u3fo4t6w4+cae45EK0Fg/CIJ8u2qZ
xgNP6N0elwoNve3VQ2J8vcCZlubPE4dPDfdekhzGF7TUBwDAG+i5GuGt2wgFGICOwN0B13XUc6h5
Llz1wTy/Z+6ByY9qOyCx7M1nd8PObXjZf2HcSbluB0usWALA05s21VwnNHZwQMTY/cUtxzYe2RBj
NbVYMYgTEhTVe2LEhLOk5wTLzhrOepp3NHGWUa27Gypf5abEnBAjrv644Xppx197T3u9Jhyz0gd4
p83fiZ7n2EGCEtOhY9x5amswA+8/zqyyOTuiuaHA2OmnKwbdO1rgAEA49Pa05rv172mAAeh2HdhN
V79HHxf1quC6jxlvcsLXps/2BKaBjqbIq6g+G49hhIX/Ncbfc1fBdp+/9SciuI+tefOBQWUderfA
Jbkk6HltODqPt8fHRmjiHPCw086j81oR7E4/H15pdeqHZvo8E9dVBSODV3ur3tdWG+aEGAn6/ryp
d/xiZ2MTp3HniaYWBNR9c8Zt3yPn+j7rD83kBns1NLDx/D3LvOG73DZRk7DX+lPr7a/8aK8nsPbZ
w5t9Yucwiw8ehyAI8n+hehcMAJ+lC66GqT8FwJ3djPWfxA/amJOhI5waaGXzMnHY5PBBv+fqeDWZ
14HNeExjzuoXq3ofyvvhvzKmbreu/ZEWnLZtYKuXjYFVn79YU/ev89FjjLOWzoupp1ZZXQ7T91iz
P1CxaewvdyQaRxG63Yf201c0U87iNXWaGoYoWju4OqWuxFgcrZG/N8baVg8EAACYQb9Nh2fo7PFq
aGDde3OpfQsWaKwfBEG+XZhYXPHuseqEwoofM0cQ5FOhKApXPpCqeLG8vfvzeSlnfiwfzCII8oWg
qz/RWvOrcknlh8rPqpQP01IUpfqBpmmSJCUSifIrSZI0TSsUCuVnLpdLkiRFUXK5nCTJ4ydPUSRF
USRF0SRFUiTVq6cHSZIKhUKhUBQVFY0fP14lX1X09PTo6nnGMExtCYJ8fLL7c51nGZ28v7gFw5kA
BEGQ/zsSCfNJZbV597btO1W/AsC0KQGqXzEMAy0/cac8PY/Uu3v72qkvQhAlRcS6fouoRcELuuol
Hdt0MMl1lhs6m4YgSP2r2cXXXPL/CvXCXwJaXpwTGbzmmPmIm3V5HTGCIAiiTuM0HvVzCPKpsRyG
BzjPnulqFiPi2Hb96dC+SarvFUQQBKknal08tl99CYJ8TFTCdh/nXzJ7r/lvUlPUzSEIgrwPjdN4
BEE+OU4T3zWnfdeoL0YQBKlXyvvxEOQzwZvMCJHMUF+KIAiC1B2axiMIgiDINwQ9Bo8gCIIgXzt0
LxOCIAiCIAiCIAiCfDXQNB5BEARBEARBEARBvhrvPI2ncrInB8SeY35L3RdAXnbpQMyPc6PmXi9j
egk6grwnKmGzu9BrTza6GRVBEORzo6X//ho+85a89iNy3UMi76rs1YEpPVs1tuu7LZr5BeifxZeZ
KwRBkPpW6zSejj/7pntgYmip+oovU9791D+iOGNnNFvSRaeibHTCuTeem3LzlX04VXZwZfjY06XK
gzuVnzM9IPpw1sfr3+m4sMwzbxUfmgCZdn3tyM5NjHkcroF1u4GLT8XLAABAdnOKFcfW72xOZQKi
gwMFLZc8VVAJm92FHttSKs9mSM+ONrSZflte8R1kN6dYEZgKlv38h1Wrv2GFJ0Y1dF76WAEgizy6
ZvedqtqtXenDhS05LJWKlt+ebsPCMAzDcY7QwrHXlD3PxDQAAC169vesAe1sDXk6Asu2Q1ZeS68Y
cSjSbqwf08XOmMfhGdt7zjoWp2xskN+Z2ZilN+x4UXk4AAA6d68Pj936l3BFeZjb021YesOO3p5v
z1JtXAzDMJZtYIi8Mj8VCMvJ14trxkzGbOisw2697EV5xCUPFrXmcuynXiuorA357ek2LFbjaTdL
yhcUHRuqx242T7kXaSpFOfL1WlcOz/eQGACAitvclafz3cZYCgDo7H399dgOC8LKN9BcpRhO6Ojb
dBi25kYmpWV5OeZ4mPJfGsZce7de11onCPIVUEg2znzm5lf1574gLepTzngo+ePzCf7zIjwmPO8z
+82C44Xp5f9TTEoKV8x6vTuhvv7JqGtbwlXL7ub3zM3v+aTL0s926p/Ofxg0sbu9CZ+ra9a8Z8Cu
J4X1VVZQ7c7qHZ3xz+zp122XnLn599gmVS+N+8xDCw25qt27d/f14LMkiiDI/4napvGKkov3pVxS
dOHZB09EPwU6J0eGNdbvbs0x5Fb+DC9mbS/QTyp+LQcAoAokD1Pp5JeSTBoAQJpQFGcgcDap/Td7
VYv/LlVBx4dlnon+wNorfbS83/f78HGHwrNEuW/OzTE/5zdg2cOy8rVk8sFpc1Um8u8AMxh9ukhe
Qfp6XSe2epBvkb7Hov07fnJiAcgi/127KzSnzsM7Km7P4qDXcjIr/HmqciMqKyoqC3OYEHzh4oUT
O6Y0id495ac/o0ggY4MG95i4P915yp+Hj26fYP5w5ffjg1MoACrjlH+3vsvvGw5ZvvvA9hmOcUFj
h2+IUAAAnRsVlYE3a+3IU0lR8SbyjZzn4GSn/LlKKisqKgu3c3K0H7X9wqVLl84u7ykgTPr/du7S
pUuXLh6d5UqU52fPhUsVTszrJK4ZM9F0yNAOxJuLF2NIACh5uDrgj7fNZgSv8zSs+G+hsqKiskgy
6dCW48oTYYqYiNel7Batm7O0lKICbmhkgNPFRcU0gPz53r8elJE5WbkkAJV+6vDNstY/jnHhAGiu
0pb+f1+8dPHc4V97Sc//PGLhhSKNy5U0xMOYf04j5trr2Ly2OkGQrwTG8gpsExrcVvkXstaq5bvM
eD4M9ep07NK7WN9JDud3OB+eaWYUnjT/VHH183wqeILRE236N6yvfzK813Tn0OC2ocGtFzrhzQe3
uB3cNjS4zY4+laf+38379LzVyCLW9++7KW/A9vsJaXEhf3qmrvYasjX6/abdDJmp6s7qHZmWkIy7
Dhjc2sZMWH3o8DmHFppzVYt36O4Z6vk9vUOi9a7+SoEgyOdRS7dV9jrvhsIosD//xZ0C5bwXAIBW
PDsbN3JauMfUV3NPSwpoAKBTwlKmz4/oOTF84LKE/+JJZVh5duG2Da98JoX7LIrdGSGnAKic7MmT
otcdi5+46GXfaVGBx8TKi+TFCTmrVr7sMzHca37MlsdS5XnbmpurKkvL37Quyts/vM+c6NU3Sopo
+tm/r2dfk5Y8TRo8O+5MXlVIlq2gFVUckUoDQGGUKKGZQftc8RMRANCxMSWEnaApAQAgisn6ZVlk
H/9wnwUxW5/KFMrc+r9euPPNgIBXQU+zKj9vj6OZA6sVTVG0bWnUxkgq7sLbIVtyTmx9MeSgRFm0
7JsxvX7JqMqidkVXtuzM8t243b+ztR5PYNFm1B//7B5vJ1de0wVM6Nan8YXAOaff635vjGBVIgic
jN3YWddleICPSwtrE5MmPeYdPrvVz71VE0uTBs7Dt4eXAACdd2/j8PZWBrpCE3vPOScT5AAAtPjJ
tjEdbQx4fCO7nrOOK+8VkMYcDexhZ6zLE1q1H/lnmNoFBsZNoCTqn6kedsa6fAPbzn5Bj//H3nnH
NXW1cfy5SQgJSSDsoQwFkY2KiIo4UBFQK1br3hOrxa1V29phHXUPXFWrrbPuiXvgqFsgTFmy9wgh
IeOO948ECOEmDG1fbe/3wx/Juec8z3PODff3nHPPTYQENCMkkKWfWRLU0YzLNXcJWRmlvKutw7vs
zpd2DvPuywEAz90zgNf5RwEGAJjgxy4WY89WgeTm6rDw3xLuLvHsMPe6RLChj8Pwg3k4ACF8sXOc
jzWHZdS+/4obRY2Elyi7sHrdI5PBw3wg4VWccpkFTRIkYZwug8eEBocMnbB0Wi8DvLiwBCPK7l95
LO4we8+vyycND5u0ev3KcX344kKMEEZ9E/GHMGjXnQsbvpo4Zuq3+1b1h9g/zyWgAIqkuCSU6+7Z
Ti3dJsoSEvJpTl6uqgk4mixIwjhunk423gMGBQcHuXElcrpH0NjQ4ODg4KDu7QzQJEESZtA5VFkS
HBwcHNSjPZPEMtAcRozpyYi7EvUOkzz7OXxrmsfyQz8E8OorKE3xjaTXdxxIxACgOlGQAQ4erjzQ
0YtaEEMTPp0QV0sIEN/b/8c7IzODsqISHPCsM8cfEv5TJrjSQfuQ4qY9R4wNCQ4OHRE+f7gTraqw
SEJoKwcddsjjp1tqGb0mx4SC4pMBoSF0uuqPRgO8qGjWrOTvjqRNWyEInZfw1anyR7ez5qxK+Gye
YPKeklQ5AJlKArl8k6cEKqRVp++hAWNshzkxOUyaqZ3J/Fl2QywJMQF4UdGs8PRrYgAAwKq3Lo5b
JyBALjqwI/tqIQEAwpTCr1fG9ZsZN35bUayympZUgbSmEgRB6HSETgMEAVC+piM0BIAkryAPST03
2J3eGuWtpzpq05asYTsOLxrgbGlq5Rq8/PDGfnGbd0TLxNemt3WYd0+mrHV5irXzkidyErHDM7cF
cDqFjetmzXP+4rM2mk0qb64OC/8tBQUSoWxKCtVoJM3ye4u9Q3akVp2bam87bH+2phz+n1ILkqga
9ZrMl+KButxnv93Ugzf4sDI9VTyIcLCcfl2uNs4uy58qyMzqCKxpp3n1Q0iU3F/zmZsZm23qOmTp
jF68gfsKscxtAVz/mV+P9HO1tzBTZSBYGkmcdVaA5Kypf1pclj+VN3b0fp9mCgqKfxSd03gCe/Ko
Us/HeICfsWtW2Y382v9uTFbANt+yyevCElP8zrvIWIwQlm8/LHKc4nZzr8c6H8WhX4uSMQBZ9f7t
2ckd7Y5Feh8Zxbx/IPeuSNU838Bq61qP8yvN0Dt553MJqKmKjCys7tn+zF7vo1MMBL9nnSkktDZX
IhXt2ZGb6WZ/Yo/32fkmosvpm19hnce4bh6gz/F1OLfFcZipWmV9Tid7hSBNgRPoq1hJR1/rAY41
z5IxgpDHp6EdO3L0AYga4Y7IUnqI86V9XvuCaTcO5T1UPkeAK8Q2bQ9sc5lti9S9nmVdRV5Zo2sF
nHlr3Jd40hwHO5+NMA/qZlgTK0xAAQj0ZaykrQ9fLURdoOlv4mo69e5RP1ngdBq9aHqAhermBN1x
5p41rlHzF59v1US+EXgxve/eJ0k5WXdnyHZNing++PibjLyM0wMTVn7zZzEuvLRw1G7G4ugCUfFf
i9lHZ664KASourn0i/WVEy9miiri9/k+mTNp51uMKDy2YPYdz30pQtG7c8Pzfpiy4aX6/QWyJlB9
7+vhixICjyRXit5dHF++dviX50qIpkIixI++GTb3ZcCBxPLymF9sz06df7qE0Old329QX+mj+0ko
ECU3rrxCU69FpWNAFD1+mOUX3Lt2nBm9NwlSI4MNPJc/eHd+ehsaACp4WTX6ZHJx5sWRlTuW7RFo
3C+pebbx2z+r/JdsnN3FWBz76i0KAHhefEI5zdHFiY7KKtNurt95E+0wckRXJmLc2c9FL/P0+i1X
EspRYHSa+/ulkwt9GZXXDp0pbDN20Xh75YwaMW5jw8ELcgtwwAviE0poLl5u+mo+0SRBEspx81Dt
HVS6c/Z0ZSoPyxLjUjBzN3fL2v90PC8+oRxxcLInpFKpVCqVKTAgtwxAaxs2uhfj9ZVzF9aEb83w
+e7QSl8DtcN4XnxCOd17/o9jzOL277orBjQlLkmu7+rpTNfRi3oYfBMeiEVirOTivjPo50umOsmL
i6rQtNMnnjEHTBllTwMdQ0p393CUV1cWJd/evvq3RIOeQ/qaElrKEZ12yOKvvW/VaPSaHBMKik8a
AqW72O1b53luuanidtbWDMMffnS/uLGdb17+/ucoTqqSZPJNnhLUgpXUpMvZnZTL5wAAwLIzHtOb
2+SeFqJGuGtvcY2/47lIjy1BjIoKACDPNMhrNglJXqF9J11dbtC+qbh1giY/eynp2r+3YW0BYtKr
r2fZq5dZrH5jh0LUhacyAJA8vHDbeMQoXwWJ2AEAYDlVbpteFMQd+uozzSYqLQAgEUpms6QQgEya
hX03x177yslo5JGsnIuz7HQmk0p06vgHSi2Y/TSiIuk1QTT2JemjKfekqMY55mf3ZyRmdQUGzXdK
VF5aMn6beOLlrPLsGwtYKXXL32hyhvHXNxOysh/OUUQ2zkAaQXLWSgio78Ua5yhyRxQUFJ8I2q5V
AACEsPJqHKOvH4fJ5/d3ll1/JFE93MTgDB5oaMWiGbWzGNsVnr0RKxCETiMqimVlCoZbqOPRJRbt
6CBPKYuq4U8O4RozEHMv84F8UXQKDgDAMBgYYMBFgGnJceEpCitAllL+gG4ysZ8Bj46YuVotHsdv
Q2hvDgAA0qSyW6jx9FAun45w7cxmBzIeRQuF2vQWYXh11M9MFUtk1U/S2T099X092UmCaqlELChg
de5ARwAQPc60ZR0W++nrI7S2XYycMHmhctWAYRDUl2vBotGR+td6TK2VNbqmDs/L2FcqfJhJEDWi
J+n6fXxYDQ5rh5CIJcDlcREAPH1zT/3aB3Uf1D1sxnCcuXuN+/UFi841vkOsE6Ly96Es1eNrNJPJ
V2QAAAy3foG2TACOa+9uNib9xgyz1QPEsGsPdyI7Mx9n+a++fT9yjCObxnYaNthbnp1Vitc8OH5e
b+yK2Z2NGfo2gSsit41wxAmgMRg0aXF6WoHU2G/Zxfgbi9zVtvWRNpHc/e2EfMz3y/zN9ej8TnPW
hptfPni5lGgiJPGDg78LP/9maYAFk9kmdN5Yq7sXoiW6vXMCgnvmPojOx8pvXU0PWzyuPCoqB6v+
64GgU3CgqfacTM8/fOWwDkYca/+hAZYFWWqL5wDKTdtvbSaunNrBxdUJ0l/HCgkARbIgGVW8/s6L
pccy7jBoTYLf1kubAnkAej7fRl1bG1C44wuvNg69ZqmehkQTXrwR63ft6VM3oZaUlFQjfBM+Aoqk
uGTM2N3TVu2/Fi9MSCimOXu6quorkgXJmKGbp50yQ8YyBQkihquXa93WQkWyIBlF437qymWz2Wy2
gfn4syJSywAANJthY/oyHn43YXNWjzUHF3k1nOUrkgXJmLFHz2kLZrgVHt9+Kq88MT4bHD3dDHT1
oh4a34SPSKqrMo7vu2kxce5EFyuktKgg/tSJN7whU8IsEZ1DKrs738mQZ2zlOujnd703RZ2e60TX
Vq7LDnn8qgAbjx40NSYUFJ8KBBq17Y3qyfCpsWtiCAAAOquLK1MPgGXDdePTu/jxLeiAsA082kBR
iYIgU0lS+QaylKDeswyXAt2ABQCQdz2lr/Lh/MU5b5p6OF/xtvIJzXjyII4xk2bpZtq3LQCQpwqk
NZuEPK/QrFVLbT7A0K4YzYGorqrWM+SpXUhoPEMuVFdVE+yAscOQaxeey6Hm8YXbpiNGdcFIxQ4A
9HzHzQpoy2UZ9tZsUnf1kpK1baYUapVmbfz/UgsNSHuNkPnSbElK7ThjD0nM6g6s+U5lj85fo32x
YmEPCzbHLnDmF161VvR8x071MaIBy6mHj7lmBtIYrWetthf4Ey2OKCgoPhF0TePzn5bFmvIH2COA
MHr58Sqelb1WbtVSw9xEr0aEooYmKxZamsblzFkSN25r3sNK0AcQVyjEwvJVEbGD5sQOmvf2RCFR
Xd1wZx0AABA4SISozEjPVBkLQnfpYdHbGtHdXFypkJvqW6kyA8TKQp+olJc1tq4CsXXmcDKr45Or
Ys0M/YwRY3dDm7dVseniZC7X2xwBAGDQsLzSDeuSxq1IHLe2IB4FgtBqrpmVCY1rLJsX6IE9eS2p
ThbGmfL72DRX/BEOjwuiKhEBQHNc/ERGENLz47gN69Dbz9j9s8eNBQvPqn+nV5Mg/EmXpYQSvPzI
EI05CYIgNFrtICMI4DgO+hw0Yf+svt6uLq6uAd8/kRMEgYuKimqs2lir7rwadR2/MMyFgVhMOHB1
mVVURICDtevgFRfzaWoPXhNkTejCgrG6PQEAACAASURBVAKpraO9Ku+g2zs6EAW5DVcmGoeEVeXl
CwuPjLDi8/l8vlnvzaloZZkQdHkHxLhfsE/C/Uc5t68k9By5cPSA3GvXc14+eNEuaICNrv8JBFGd
NBoNwXFc7aQTZRdWr4tGfcPD/aDG0K4dVxH3Mh4FLEuQKKR7LTj/7MWLF0+urgum3f556wPl3g2G
dd9Fvz3OyHpxeCLz0ryQ6ccLCcCF5ZXAMTGpOxE1Lx6/VnA6dXXVw3LiEyroGpNKNFmQjBm6eqju
emPZ8QlCuotX7c14aVJcKmHj4V6Xj2FZgkQhzTPizOO/lERvDOWSWgYAAMQyZKgfXc4OXHdgbkeN
o8quuXi6sD1nRQyAWzv3nH6diBq4ejoxdPRCzQDCN+GDuOLJoQOvO82a1c3c0pJVmnvr2MlEy5FT
g410Dymj56prDx9e/76vAc04MHxOT1NEa7lOO+TxqwJsNHrKsHWMCQXFJwPCCFnQ+fHhLo8Pd3n8
m/c3nRrpEQI01cUQQQBwgiAVPlL5RshSgnrD+jQ2YBIpAECb4I73D3e5H2HSnE0tUhEqM2ZaqD/6
oyXTqCGr2SQtzCs+DAjXkKuoEqklV7ioqhq4hlwE9HuMGc64duGl6K8Lt8xGjPKik4pdgwA1m9RN
zAjSttAsKSRIpVlXrvF/Sy00IO81QeKrRaeZ3KzurIOsg6ROCUlpqdTavq0udVGOGWnzOpo8a81x
REFB8VGjfcqC1Vx/LK7JLZw6/bX/lNeD91dWV1RejdOch5eWKwx4DLpIWsAyCo9wObvd7ftOikM7
8p7Jgc1lsC0tduzyvrHH+8Ye79v7vbf01WuUKQAAGBgymFWKctXFhSjOEqVVEbqbc4z0mOWyQtXi
PVFcIgcjPR1b8vQceG4yyaVokbGXYRsa0EwNfbmiq4/EqCPXiQ4AgOUUffu72G2i89F1bsdXWete
lGxRZTXo3fwMxbEVZ99Um/nwHbSPvQYMJ18f3utb91Tfta8FervpkWs9by9ceEa5cxnhcDlEZXnd
w1mEuKISVd7Tfx/Q2A2j5zzrtjM6Pjkp6fFPvZgAgPAsLFhF+bWnQ5b7+n5cEYaVpr7jfbbu/PN3
hUnHh+b8MHzZ9dovBNfSBDeysmLlZmSrdhlgOe9ywNLavImBQrhmZtwOC+6UVioRiYXXZ9ngurwD
IJb9B3V8fmnDmde+QwJMeg7rl3Fp1/kn3AED1TZ6toSaZxu//bMQk/61opMRj2c28mg5WhTzJheX
Jwve4ibdgkO6de3atUdQaDcrojg1rbLiYkRPv9F7UjAApkWX0V9P765X8eZVGgp067bWSFXWO9W5
RjOObPmzyHrklGAjkCfFpeDm7h5W6uOhKC8TAs/YSBk1nn/nZjxh16N7W2UdNDUuUcJw9XKp+4TK
kwVvcVO/0CE9u3fv3r17d79O9lyE1LISvLS4DNfrOnyYQ6NxkScL3uLmbu5WNJrNqPljLeMjvzua
jXTwdGXp6oUaNL4xH6m4setI4aAvJ7Sn0SytzYuvRZ5Iazd2Sm8D3UNKtOkWPKBXr6CZY/z1si6d
eyFXxUNWrsuOlviVNB49JTrGhILiXwyp8JHKN06WEtRBt+S4sCTPk8j2q9MQOhC4lvkhi0tnVspL
Gt60J00V2GQ1m4Q0rzDRGdL7w+jo52Pw8k503YPoROWTaIFJl672dAA93zGfM6+d2n3mlsXIL9zo
5GLXUNM1mtSVa2nbLClESKXZorFgvAcfKLXQgLzXGImvhs1oNDrgmNaTTm5Wd9ZB1kFSEANzc3Zh
tq7fbqhFZ5xNnrUWOKKgoPg40XoZVqSX3SjhLtzYRbVaf7jTlj60pw8rywkAVHzlZlWhDBdmFh97
CT26cOhFZT9seHc6A1XQaDwenUkABqDvatJbVvbrLbEQA1QkPn8iP1rL82n6Lia9FeXHomuqcaL8
bdFPW/IeVzXRnOVm2p9WcShKLMRAnFu2/56iRy8jHdN40Od0tq15Eo9082LRAICm7+cGT17LOrhw
lKvEhBgVoYRCgUtEsuf3Kt6ihJYrI0ALKzP1EFGFXIwSBADb1aSHpPToS0Yfn5Z8Ka7BwMXL3W4v
nrj+ZppQgUmLY89efqMwNOJp9JfebvrudZ2eX32hAABAzAKHdn934LvIx3kSVFYqOLVyc7TdZ0M9
mrvmoAWioqxCoZBJa6pL397ce+qNAlWgwO47Nkx24pdDAiEmL3q0ceLgpZdLAE89MKHfpB3PS+Q0
trE5n0Vg6jkVaRODwMmj6Cd/2PxXKYpXCQ5+uzc/ZMrQ2q8A0Aq73/gwyeFvtz8vRUFR8mzPolUX
8nDd3gFoDgMHml08eNdrSD8ewu41LCB+z8GKfkGaw0NnsegVeblVcrKMsw48/cDKyBTD4PVRD5Xc
2z7cHEt4FSfOECRW0yyYpdG3b109uW3uzB3xrG6hfS0MndsSgnM/R3x36MLV8wdXT1p9XW4TOMCT
AQyvL8Z4wb11s386fPLoruVhAxfeNR6//adgQ8AyBYnVNFMi9851JTdf5MiA1cW/q37OyR9/+P38
ucM/Txy8/D43dOVcP9XqujgxLh3sPNzr9rJjGYLEasScUXRXZeTG7bhiBallJZJEQRpu7e7W+EkD
LEOQWM1wUd7C5/b/ara3pKKS4Lp6tqPr6IU6CM/EmCHLy2eNmjPMHAGapbUFlv2u2GPCpK7MJoaU
7uzuzABArEI+82O8u3T+lUIZT+Ny3Xa0xK+k0eip0D4mFBT/ZkiFj1S+cbKUoB4mb+xg9suT747G
y6oxQl5Vcz9GgrLpBgA0HtNKr+ZZjEwiR9Oelj5ruKNdz9m4J1bxx22JUIEXJZbdywXQkmmQ1mwS
0rzCxFBXSB8AXvCShXYXIqZuu59RLipLv7t12rI7HosjeusDADC8R49kHf7phPnIkc50LWKnYU+j
SR1a2jZLClsnzS3iQ6UWGpD2mtSXutwjFu0cWIIbl9NENaVxJw5db/CtLlrN6g6sSad1OQar18ih
xJkNO1+USsU5d/efqv2B08bQSOMkSl9duBxbQTR51prviIKC4uNE61zy1aOKmk7mg8zqCmhd+5u2
eVt2uwyAYdABShYtig3bVEbv7zDHi85wtPphOPNBZELQzLjpl7CB0216MAExMIxYYGP55t2YuTEh
q7KfGXDdG9yLU4NtOG+upX502ufhcZOPiN0ntxvXFmmiOYs3N6KNXfy70XNihm8p1Q9uv7Qb+a1+
FQjD01kf4Rv1tFXWQpw8eXzQ79SBrnzPcLZc1Ae5vDF+6Nfp5xScbjaIWP0b9RrSkso0b39To5cZ
wzeVFBAA+txAbzpmye9jrSvYRui5zb9w6wfHB4t6teHoG3UY/EvpsKMXVnVpNCOnOUyN3BCq+vk8
Wvs5xy8uMDoz2cuUbeg4ZEv5iONXf+zR8IF89QfYEIRuNetWUz/uqhewbOcM+sFB9pYdh0VKuwW5
0kSlGBgGbzy1lH0g1I5n5h3+tPveU0s96Hrdvz3+Y5vzX3QwYpv5/lQx7uCaEPV9k2RNgDfgl/O/
ON+Y4GzItQ09wF50du9oqyZHCuGHbL34k92lsR2NuaaeM27w+/pZ0ZrwDkB3CRpoa+A/tD8fAeD0
HtaHYxQ4SPkTZ2qwAiZNMzsbZjdod6amjteh3LRN7/v9jiXBvZT0GTWoE0MU+yo+XpCKKgS7JwQF
BY+cs/mp6dgd189EdKTTXRedPv+df8UfC0Z/MeOnc5Xdvj57d1eoEQLA8F526siX7RO3hU+c8d2Z
ih6rrzz49XNrmnKHN6qI2zMpNCQkJCQkJHT09tc40DvM+/34ki55+8NHj52/L8Vp7vH7J6bWbvRA
U+KS5ExXr7qvbANpkiAVReP3TlYZCRn85dEMMallpYVUQaJUz9WzY6OPGkiTBKm4lYe78tNGd5sR
EWKEMJyV+/m19qIBNL6xEaLnOS28jwEA0EytLfUQlv+UCa70JoaUsHF1MUYAgNY2dGhXeubFcy8V
0iSy8jtnddnRGj8A2eipyrWPCQXFp4P6s/FTXgdEZD/XMRkCAG3CRybfpCmBGojDwPbbwvTfnEgJ
mxUTtDztqIj/XYRVRzoAy2jqGMO8M0kh85LWxiBtGuYMiIHRV+EWeg/SwuYIFtzEba2VhSSpAmnN
piHNK3SG9CHQ915++doi4/MzfduY2fqFXzJfdu1cRO0mIIb7qFEdEc9RIxzpoEXsGhhr1KQObW2b
JYUtleb/Y2rRENJek/tSl3uDwd9uDspY6W1q5jn1Ct2x9kGLJszqDKxpp3U5hlHoL8cWsA4Gt+Xb
DdxSZNlW03s9XLI4qx/vmPfV3peyps9a8x1RUFB8lCBVVQ1+U6QOHo/6EaW/A0JwMmkHp/2+oaxG
2ktBQUFB8Qmg8VBr47fKkroXda/VwXEcAHAcV39BEASGYSKRSPkWwzCCIFAUVb5msVgYhuE4rlAo
MAw7c+48juE4juE4geEYjuED+vfDMAxFURRFq6urp02bphZXPZS+U1B8zOA4TlN+NQUa+71PwJul
ORcnfPgFJPgHHVFQUCgRichv/Gro8q7de9XfAsC8L8PV3yIIAgBabyj5T3mtWUTxwUgMOAsA8Phw
F80jFBQUFBQUfyeUvn9AKB2n+MCgceuHrMBXHFze2zDr9OajWb4L/f+edbd/zBEFBcXfg9ZpPKVM
H5z8m28nnUe7jWy3uj+b+pUqCgoKCor/C5S+U1B8vDBcxoR7L1rga5EqZNr3nnHs8Ox2f8/2zX/M
EQUFxd+D1mk8xQfHJsj5dpBmIQUFBQUFBQUFBQUAADDbh629ELZWs/jD8485oqCg+FugFt4oKCgo
KCgoKCgoKCgoKD4ZqGk8BQUFBQUFBQUFBQUFBcUnAzWNp6CgoKCgoKCgoKCgoKD4ZPivTuMJ2cmf
YxbcUzT4maD/CHjGll68gfsK/7m+SxN//7K/RzunwbtSmvpl4tbygTqFZ24L4AUfKH5PM38/zevv
J9MdCgoKik8XWcXK8KQDOR/1lZaSg2YhPjmC57U6FtUs/xj4B1IpCgqKTwqd03gCjbn+bs7SuMAZ
MSFL3665KRa+5/VfUvnDwqT9ma218sHjAfWQiPRnhRffokSDwo8GvDh6y+RejqYG+gamjr2mbH9S
9v7RVZ4d39b7mxcogFxwau3+hyVEg8IPBVHwx6Kvbtuvunj3t8nt6ZpHPzRNxK/WU3WaaEXK3zpo
HzHv01n53S/b0BE1GM7Lnio0a1FQUPytPDkoGLSzXF1ASx+kDVyc80r4IbQPFW1a8Np/Sv1fwPK8
hH9s2oGKNi143fubgtQGHon0i0l9pgp+SXi/rn14qq9OszH+/FhpfVxE/q/Bhg7z7ha+x5W2Hi2S
10yoK3aLeB9xRGO+8+SGHNRxpv7ZVIqCguJTQMc31eMpl9K+/osVPttlkx1dnF22ZXf6GpbLht5M
nVN/nbC5E2fasdsimuXN4m+IB9RDwjOeFV5sxx/qzEDeK86/A+mrNUPCjnVY+0fMtU5GVTGH540Z
Npn76tJ0u/fqu1G/FUesuZ4MgGrByXX7uoZNDzCn1xd+KLC8zGyab/jnXnbN+Zk9AqDxuJMWktNE
/PL6nqqVEnWtCtRKm0DNVBNO/128Z2cR/sQL2YcGqz4LCEKjU/kIBcU/S1d/Pm97xWORSaghAAAQ
8gdPq838rL0N9Y0/iPYhjOAIj5XeKjsIgtDeS6taCIJAYfmVVMuFLrVeUfHVx1KC1tqr1t8It/+k
Efywk1eKx02xRAAA8JzzJx7bjP4hwLKDxftcaVXU61QrTyp1xW4+7ymOTdCyVIqCguK/gHZprak6
eVvRd7xdmBOTw6RbOJnPDWIlPhMWEyDNK9+8PiFkVsygxSlr7kiqCcBLiueEJ68+nDb56/ghEYlL
LogqcPTWztgRR0XKddviu6kDvitIk4oO7Mi+WkjgJcVzZqesP50xc0X84HkJEaerygkAgMrkwuUr
4/rNjBu3NW+9xqb3lsZDZl+YUvj1yrh+M+PGbyuKFQMAgFx0YEf21TzRrm8SNgnw9KtvR+woK5Gp
4gRovnEi51nOV8vi+s+MGbY6888MTPuSasupurZlZ8GI7fvCe9oaGhi27Tl34wL356cu5+AgSfhj
bj8nU44B377HlMgXQgLwzG0BXP+ZX4/0c7W3MGvff8WNIhwAiLLodWHuZmy2mdtn6x6W4wAAkpur
w8J/S7i7xLPD3OsSwYY+DsMP5lXfXB0W/lsKCtB847LUUxGBTqYcNq+Nz7jtzyrV+i6/t9g7ZEdq
1bmp9rbD9mfjWs1yOoWN62bNc1leu9SvUShLP7MkqKMZl2vuErIyKh8D0NWpFJQkKsUD9Z7mpKvZ
vx9V12sgSu+tGepqxmabdBz8/d1iArC0TT14gw8rP0OKBxEOltOv3CEdNC3jQ5TcX/OZmxmbbeo6
ZOkMzc3wRNnjTWN82vA5PDPngYvPZSqUfSezQ9JfNTtVL3dN8rPjsw1MnPovPJMhVxULX+wc52PN
YRmp2Wm2R5LIa0e4BU3UogQAhM6og06nYWmbenC6jgkP7epqa2bWPnDp8Us7pwR4tLcxs/YesztG
Qh6wlv42OukNPFNQUAAAMDuYDOBX33mjUli8pPJ2BiuopwFDKYiFBAAoiit3bUwMnR0TuiJtb5wC
B+Ll7/Ej/hApAIBQnP8lZsrFGhwA8JrfVsetfql5tx2hIXS66o9GA7yoaNas5O+OpE1bIQidl/DV
qfJHt7PmrEr4bJ5g8p6SVDkAgDC16LvVgkGzYkKXp+58JVfe0xRnlvz0Y/ygmTHBy1J3vJAp//eb
UFuE6euG3I+uqq4tEAvK7jJ4vuaqt40dkco6XlQ0Kzz9mjJVwKq3Lo5bJyBIm78PLP+JY6yjT11W
XSfxzDMnnncYP7GrXr2WQSP5k9350s5h3n05AOC5ewbwOv8owAAAE/zYxWLs2SqV6YaSl4eTykFj
45r8v67YrXNEKkwkIn5dTtq8MVrakkX+3uKohKx5s1IpCgqK/xpap/FYkSRVbtDZqa4CYhvsfHWp
uZVMtGdHbqab/Yk93mfnm4gup29+hRIAgKGEs+2v6z3OrbKg330XGYd072ZYEytMQAEI9GWspK0P
v726N0yWb2C1da3H+ZVm6J2887kEIRHu2ltc09PxXKTH1iAkK0+tcmviaWS/Rrhrb3GNv+O5SI8t
QYyKCjXrdO68Ne5LPGmOg53PRpjWr1pLm21cWL79sMhxitvNvR7rfBSHfi1KbiyGrQVNfRVT06VP
T25tAb3DovvFN+faS+59PXxRQuCR5ErRu4vjy9cO//JcCQEAaHKG8dc3E7KyH85RRC7bI0AJ4ZUl
47ZUT7ySVf7u+gLL4ny1GSCj9yZBamSwgefyB+/OT29TN8DVzTZeeGzB7Due+1KEonfnhuf9MGXD
y/q8htlvc+y1r5yMRh7Jyrk4y46m1SyWU+W26UVBzM/d9Ooa1xe6P/tm2NyXAQcSy8tjfrE9O3X+
6RJCV6cASKJC+mj2tM5+V7X7C2jaO17E9XflOTdmYbsnLrsirD9UByNA01Qdjcen8tKS8dvEEy9n
lWffWMBKSWiQ9RHCSwtH7WYsji4QFf+1mH105oqLSoeN7ejsL1TdXPrF+sqJFzNFFfH7fJ/MmbTz
LQYAgApeVo0+mVyceXFk5Q6lnWZ71Bl5K5uQghfT++59kpSTdXeGbNekiOeDj7/JyMs4PTBh5Td/
FuOkAZP1l+SkN88/BcV/C7pBUA99wfPKEgIAiJwXFan2JkFt1O7Xyqr3b89O7mh3LNL7yCjm/QO5
d0WIuwdXnlqdhQEhqnr8DnJjq/JwIKrEsaWc7h2bcYuWQOkudvvWeZ5bbqq4nbU1w/CHH90vbmzn
m5e//zmK1wh3RJbSQ5wv7fPaF0y7cSjvYQ1ATVVkZGF1z/Zn9nofnWIg+D3rTGGz1LZtdzP7+LJo
5ZWNQKOjq2x7m9gRAAAEqSMgkfV6c2pobd5q9HzGj3d6cupCHg4A2NvTp2I7Txznpjae4keN5I/p
N6iv9NH9JBSIkhtXXqGp16LSMSCKHj/M8gvuzau13EjyGskBmXHyjjfgH7tit8IRkAhTQ6MqtEph
M2g68kYxtEwcNZvTmptKUVBQ/JfQOo0n5LiURmOpTamUSJPKbqHG00O5fDrCtTObHch4FC2sIgDo
LF8PfSYA09J0pA88eyNmeRn7SoUPMwmiRvQkXb+PD6uBM4bBwAADLgJMS44LT1FYAYq3lU9o/ImD
OMZMmqWbWaCteu2Wx0Nu33iyyr5p37aaphrTfOOAIHQaUVEsK1Mw3EIdjy6xaNeMrKaZEBKxhM7h
NNpHJbn72wn5mO+X+Zvr0fmd5qwNN7988HIpAaDnO3aqjxENWE49fMwLsvJw2aNzV+mjVy3sbsHm
2gVOG+HR9Kav5hsHGoNBkxanpxVIjf2WXYy/schdu3kdZsfNCmjLZempf0pqC7GHB38Xfv7N0gAL
JrNN6LyxVncvREua6FRzoiJ32n3q/IH2XLaZ77wlI2jXLz1V3dZuJo3GR/bo/DXaFysW9rBgc+wC
Z37h1SAOhOW/+vb9yDGObBrbadhgb3l2VimuxY6u/tY8OH5eb+yK2Z2NGfo2gSsit41wxAkAAD3/
8JXDOhhxrP2HBlgWZOXhLfGoK/JWNiEqfx/KUj1nSTOZfEUGAMBw6xdoywTguPbuZmPSb8wwWz1A
DLv2cCeyM/NxsoDJ+9uck05BQQGIQw8Tx4yKB2UAuPTuM6mXv7G12ixenlIWVcOfHMI1ZiDmXuYD
+aLoFJzV0dCzvDqmkqiKF+Z1sRgorvqrnKhJE6XbG/rULTIrIdCobW9Uz8ZPjV0TQwAA0FldXJl6
ACwbrhuf3sWPb0EHhG3g0QaKShSEHmfasg6L/fT1EVrbLkZOmLxQBLKU8gd0k4n9DHh0xMzVavE4
fhuiOWqLo4bGw1wkl/+S4QB4afmVTG5Ydz2FAgAAIXMEQCbrZGht3nrobuMmeL04dS4bByzxz1Mp
/pNGtVOTJOkDEvnjBAT3zH0QnY+V37qaHrZ4XHlUVA5W/dcDQafgQFPt2+cbyQGp8QZN/r9X7JY7
AiARpoZGVWiVwubQZOSNYmhaHNVp1FzjuNZUioKC4r+E1usIokdj4rhUoVlFXKmQmxpYqVQTsbLQ
J17Ky6CBiprwGTVZqIJtFOiB7X0tmSISxpnyp9kgQLpjCQAACByk1ajciGOhqccq3iceqLUvM+Zq
s09K840jhiYrFuK/X8uZc0aub8//4nObMFONWq0HYRuwMLFYCtBgJk8ICwqktl3sVUsbdHtHB+Jc
biGufNhRCYIAjuO4pLSkpo27baNFEO003ziBWEw4cLVm7S8RASuz2J0/j/hpTbidWq0GNMdsY4iq
vHxh4cMRVieU6QmmIPzLKsVMXZ1qSVTaYLSxtRS/KJNpljeTusEvlVr3aqslTtDnoAnbZs2+HFcs
J7DKXLlDEKEhxc05iYSoqKjGqrO18rOJGHUdv7ArAJ4JAAiiSupoNATHcaIlHnVG3oBmN0H4ky7n
HxlS/1HG0tSOKp+irf2PUxolCxgn7S/A+590Cor/BDQz4xCngqiXsjCXijvlvMk+DRYzxRUKsbB6
VUSF6pKLgVc1BgY8P4fcZ6kK41ipZ0+7/syUYwKFU57E2t3aTGPmiDBCFnh+06m+FC9SOwoACNQ+
LY8gADhBAIOG5RVvOCxMFxEEjpWgzG4EIRGiMiMDU2VNhO7Sw8IFAKAptSUIOcbw78vfe6IsdaA1
/XFZsU9bfy7xXAF0AFJHjb98hdCcN9VC2vz9oDmMmtT9pyPnMmf3OfVnTv+Vn9uonQtS+ROCcb9g
nwU3HuVYXEnoOfHX0exTv1zP8Up80S7oe/XGjdCQA7yqgMQ4AZz68fhYrtjNdESqZVpOUNPNtdKS
BKPZ4kgOaRe0pVLQ4Ft/KCgo/u1ovd7TrdiODElMWp2UETk3UodvLRUb6THLZYWqPWxEcYkcjPSM
ayupCktRNo+hB/Rufobi2Iqzb6rNfPgOWl2pYPEY+kKFtsXQ94hHBYtLZ1bKSxrtvtMBp9nGcZG0
gGUUHuFydrvb950Uh3bkPWvZPVxdMDp09tJ/Hf1U+YgeAGBvt/a3G7KvytKKlZuRrVocwXLe5YCl
tQXJOCMGZqasguw8nXu4GoIYWTXTOGClqe94n607//xdYdLxoTk/DF92veFqvhotMKsGwjUz43ZY
cKe0UolILLw+qw1HZ6daEpU20PycIq6ZKYtGowOOaflkNgViYG7OLszO1xInGrth9Jxn3XZGxycn
JT3+qRdTs0Ituk8iwrOwYBXl135WZbmv78cVkX/WW+BRZ+RktKJJ05AFTN7fD3HSKSj+GyB6ffx5
2c8rbv1VWeVlWv/MFgAAsLkMtqXFjl3eN/Z439jjfXu/95a+egii19WDlfSm8N47A39nhmdnXv6b
kgdpNF8P/SYu4c0Ayyn69nex20Tno+vcjq+yVt6qNDBkMKsUtV8DQhRnidKqiOaoLUEAq6NZMFJx
NUF0+S8kuA+XBaCcCZE6IoeG0IHAG175W9C8+dBshk/q9/bP4yeOnSkPnTykwe10UvmzQRDL/oM6
Pr+04cxr3yEBJj2H9cu4tOv8E+6AgY4tmcdpMa5ZrWX8Y1dsMkfkIGQi3szmpG1bHvmHFcfWpVIU
FBT/NrT/07ONxvRj3D2VeysHVWB4WUZp5I2aDj6Gbd1M+9MqDkWJhRiIc8v231P06GXERwAwyf0n
EiFGVGUUH3sNPbtw9ADYriY9JKVHXzL6+DQt80xnfi+oOHpLIlTgxYmld7IbHm5pPI3QczbuiVX8
cVsiVOBFiWX3cjUrMPUQUYVcjNavx7KabRwvKvthw7vTGaiCRuPx6EwCyKdQrcNo8MLZJqeXLDwe
VypTSAqe7V62ReD9eWiH/pNHgE2XeAAAIABJREFU0U/+sPmvUhSvEhz8dm9+yJShFmTh6fcaOVhx
at3OF6VScfadA2c0HxWjs1j0irzcKjla13eDwOYax1MPTOg3acfzEjmNbWzOZxGYjr4336w67H7j
wySHv93+vBQFRcmzPYtWXcjDdXdKS1QkPdVE8fTQtltZYmnZi52/nIXQsB4si3YOLMGNy2mimtK4
E4euFyj1vBmmAACA1WvkUOLMhp0vSqXinLv7TzX8QVqioqxCoZBJa6pL397ce+qNAlVokXnd/WX3
HRsmO/HLIYEQkxc92jhx8NLLJerH62m+R92Rk9KKJk1CGjBpf7WcdAoKChKMvE39Sou2P8J79+Jx
Gh7SdzXpLSv79ZZYiAEqEp8/kR9dAQBg7cEzel32ytaoCwv0nY28c0uuiHnd1B+qby2EGBWhhEKB
S0Sy5/cq3qIEhoO+i0lvRfmx6JpqnCh/W/TTlrzHVc1WWzp7cB/m/SPZ901NB9vWR0jqiBQaj2ml
V/MsRiaRo2lPS58JAVrSvCUgZkMmDXq3ZeFhadjkgRqb00jlD4DmMHCg2cWDd72G9OMh7F7DAuL3
HKzoF6T5xFwTOqXF+Hvxj12xSR2RQiMT8WY2J23bisg/rDi2LpWioKD4l6Fjck1zH+70Uzfs5NaE
gbPiJu6t4IU4fhPApLF4cyPa2MW/Gz0nZviWUv3g9ku76SEAgOixCvJnz48dtrmcNdBhjhcdAECf
G+hNxyz5fdSfutMG2+jL2RbM6LSwOfHzb6AmJhqHWxhPIxADo6/CLfQepIXNESy4idtaaxynefub
Gr3MGL6ppKB+Ht9c4wxHqx+GMx9EJgTNjJt+CRs43aaHlpXdVmHQ/cdrp0YLtw5xNDQw9Rz/p/HS
i0em2tF4A345/4vzjQnOhlzb0APsRWf3jrYiDQ/hD9l8fL7+geC2fNugbTXOrhpKzwqYNM3sbJjd
oN2ZdQrebON63b89/mOb8190MGKb+f5UMe7gmhADzTr1NNusOgg/ZOvFn+wuje1ozDX1nHGD39fP
iqa7U1qiIuupBszOnWBnsB2/zaBfGXOPrA81BO7gbzcHZaz0NjXznHqF7qh6yqIZppQYhf5ybAHr
YHBbvt3ALUWWbRvcLNELWLZzBv3gIHvLjsMipd2CXGmiUvJ8QHd/wTB446ml7AOhdjwz7/Cn3fee
WupBflem+R51R05Ok03Un7REELrVrFvan7VRQh4wWX+1nHQKCgoy2LwQH5qMZxzirJkJIAaGEQts
LN+8GzM3JmRV9jMDrrsRAADN2tDXhObVicdFAPS5AS40jpuhS+M70urPxk95HRCR/VzLNaYOhrPl
oj7I5Y3xQ79OP6fgdLNBxCIAtuG8uZb60Wmfh8dNPiJ2n9xuXFuk+Wpr6WfmLce9+horf8pNCbkj
UlhGU8cY5p1JCpmXtDYGaWME0KLmLcJw4OThXIn5qEkBbI0jpPIHAHSXoIG2Bv5D+/MRAE7vYX04
RoGDumoORRM6pc14PR/xFZvcESlkIt7c5qRtWxF5k+LYIlqVSlFQUPzLQKqqan+bpCE8Xu2XnTYD
vKR47rdVob84DdV8xpkQnEzawWm/b2jD77fTAk4ATXkdwmoOfv/2bYjHhp7vd6WjoPgIwHGcpnwS
FI393ifgzdKcixOMNCt9lLQi8lY0oaD4tCAaPkPb+K2ypO5F3Wt1cBwHABzH1V8QBIFhmEgkUr7F
MIwgCBRFla9ZLBaGYTiOKxQKDMPOnDuPYziOYzhOYDiGY/iA/v0wDENRFEXR6urqadOmqcVVT4v0
nYKC4oOAU+JIQfGfRyQiX/rV0OVdu/eqvwWAeV+Gq79FEAQ0vy9ODf8przWLmiIu4vV6zTIliQFn
NYuaxf5Y//2aZZ8Qjw930Syi+A+Cxq0fsgJfcXB5b8Os05uPZvku9P9EcuhWRN6KJhQUFP8srdB3
iuZAiT6FVihxpKCg+NBonca3SI1I78bn33w76TzabWS71f3ZjX4rjRQi/3XBjgtlb4pwPVPu0NG2
M7yZ1L14ik8ehsuYcO9FC3wtUoVM+94zjh2erf5rQh8zrYi8FU0oKCj+WVqk7xQUFB8AShwpKCg+
NB9mUz0FBQUFBcV/BKLRLnqNt8qSuhd1r9VR30tf94KgNtVTUFBQUFD8S/mwm+qptUAKCgoKCgoK
CgoKCgoKik8GahpPQUFBQUFBQUFBQUFBQfHJQE3jKSgoKCgoKCgoKCgoKCg+GT7oNJ6Qnfw5ZsE9
RYPHBP8dyCpWhicdyPk39AzP3BbACz5Q/G/oiy7wjC29eAP3FX7U/ZQm/v5lf492ToN3pZD9Xu0/
iPjkCJ7X6lhUs5yCguI/A15SPCc87TL5F+Z8BCikUb+nTliSsOS2lOxH0CkoWsl/JS+ioKD4d6Fz
Gk+gCXey5y2PC5wRM/jr1I33JNUf6hInqfxhYdL+zFaZQ0WbFrzu/U1BaoN5D5F+ManPVMEvCa2y
+ZEjv/tlGzqCIAiC0Oj6fDufz7+7kqXQrPUPUXl2fFvvb178PfO9JozLBafW7n9Y8v85x03E1gqI
gj8WfXXbftXFu79Nbk/9KAMFBcU/C5FxKblvxLvoGs0DHydlT3K3JjAnz++wqpd+be5CZF5OHri5
tFypCrj06I8xky/UKLMDvLzkq/CU40V/n2IQ6c8KL75F39cBlnd73bge7U3ZTBbftsuwlecz5ACg
lH6m/ZRL9ZonPDqM677qFYpnbgvg9duVU7eaIbs00djuq/v1eYFa2qCE4bzs6f8rbfioqJfylmcU
NU+/dmcy1AZacf8rOwaCIAiNxuRZuQ348sDrKgIAgBC+/m3hZ13sjdn6XJvOI368lV+bsqJ5d36Z
1MvJlM1kmzoPXHg6XXmyQfFwQTuG4egz1ap6AABE6aFQtp7XdzGqxENx/ys7huHoU/eXOTPUTy6C
IAjDPuKBoi6eWug2c26LG1vGUjf20NerX7qX/LXCi8V0nnurom40FPe/smMw2s27K1EVVJ8eZajX
YanyU6StFyqwpHW+THbYsSoAADx9W2+2fs9NaTgAEMWHhxrquSx/pmqgfUgRGl3fyK7b6LV3CnEd
5SrI7ZDFX/OMfPTuJTU5JhQUHxs6pvFE2rX0JdfRXpM6ntnmHjmeV3w5beVtqcY9w9Z9uAk2d+JM
u6FtEc0DzQRBoLD8SqraPzAqvvpYSujozacOwp94oVqhUMhryhLPztE/Nnb0lqQm79+27uw0gVG/
FUf2zPDU+lOF7wPRhHG54OS6fdEl/5/7ME3E1gqwvMxsmu9nn3vZWfD0NA9SUFBQ/K2gkmtPZCxM
ePX1e09E/wmIkhI50s6ory3TmFWXPCC2zlyjLHGSAgAArxA9zSWy40XKXViyzOp0PtfbrOlMQ737
LRkKIuNZ4cWU9xy9muffDxl5mDb1WEyRsDT58mLLy1M+W/1UqjqKZR+dt0RtIt8CatMGJbKk9d0p
nQF1KW9pRoGnH1gZmaTAimLe5Cob4UUJCUWIy/SDV69dPbvny/Yp+7+csT0BAywt8vPAmUfyvb/c
fvzU7umWT38cOe1gDg6AF5yf1Wfw90+MR3y///fd893SIyeP2RiHAgBRmpBQQOvg5cZW84gmC5IV
bBdPJ2XigRclJBTRnDzdnMfvvhoVFXXp+/5cutnQDZejoqKirp1a6EtXxXPgalQtZ5d2r2psme44
YlQ3evK1a6kYAEiergnf+rbD/IPrBxrX/rfgRQkJRRiWdWzHGeVCGJoal1Sj5+rVkaGjF7XQjE34
NEJcLSYAFG8O/fqXFCspKsUA8Pzzx+9KvSZM6soE0D6k7rN+uxZ17fLxnwfIrnw79uur1VrLlWix
Qxo/04F89Pw6NjUmFBQfHdonvtKqEzfkAePtx7jrm3D1HDytvhnNS7teEoMCXlI8Z1bS13uTPwtP
3J1OCFMKv14Z129m3PhtRbFiVWtFceWujYmhs2NCV6TtjVPgyt16da1Sqg7syL5aSOAlxXNmp6w/
nTFzRfzgeQkRp6uUa+qVyYXLV8b1mxk3bmve+sYb9RGmrxtyP7qqbmlRLCi7y+D5mqveClOLvlst
GDQrJnR56s5XclTpvZEjvKhoVnj6NWXMWPXWxXHrBARpczWInGc5Xy2L6z8zZtjqzD8zsNaIa6tA
6AwGg8Fgcm18pyz8ok38X6+r0jb14A0+rBwyxYMIB8vp1+V45rYATqewcd2seS7Ln8qrXu6a5GfH
ZxuYOPVfeEa1xA+E8MXOcT7WHJZR+/4rbhThAECUPd40xqcNn8Mzcx64+FymAgBAlnoqItDJlMPm
tfEZt/1ZJQEAkpurw8J/S0HxzG0BXP+ZX4/0c7W3MKu3U3J/zWduZmy2qeuQpTMabmvHM7cF8LqN
nR3UqaO9pZXL4B/uFhPQIOD7UVqNyx4s8eww97pEsKGPw/CDeTjI0s8sCepoxuWau4SsjFKudBNl
0evC3M3YbDO3z9Y9LNdQZ4J0NCQJf8zt52TKMeDb95gS+UKoDKlRnHUdByB1TTZWajTyIr+32Dtk
R2rVuan2tsP2Z9eHiqVt6sHpOiY8tKurrZlZ+8Clxy/tnBLg0d7GzNp7zO4YCZCeLJIRwwEj+4SQ
NlejiY5QUFB8JMiksgZvZQ3eNok0qewOahIx1CD2YUX9ZZpAX19KHzcvpt/cxCUXRBUEaFM9cpVv
pLMAIM4s+enH+EEzY4KXpe54IVNecBo3V0eaV755fULIrJhBi1PW3JFUE8Trk0mLbskkr7I+X5R+
say+JsOe64GL43IJAKhMEGZ24PuUVr0UAgCRliqhO3Ed6QBksq6ek0S+KmqQ1ZBW1ugaWr3rm4RN
Ajz96tsRO0rO7owdcVSk7Frx3dQB3xXUh6ib6hs79haFbdo9q4etIZtr1Wn81j/2T3NSKO/pAsLz
H9TuasTiC63a761KGxgMBoNBp9NaJy5apFO3UpA2aayDzdG7lgqu7M6Xdg7z7ssBAM/dM4DX+UcB
BgCY4McuFmPPVqmkPOGuRkZBlhc1gCi7sHrdI5PBw3wg4VWccpkFTRIkYZwug8eEBocMnbB0Wi8D
vLiwBCPK7l95LO4we8+vyycND5u0ev3KcX344kKMEEZ9E/GHMGjXnQsbvpo4Zuq3+1b1h9g/zyWg
AIqkuCSU6+7ZTm1nHlGWkJBPc/JyVU3A0WRBEsZx83Sy8R4wKDg4yI0rkdM9gsaGBgcHBwd1b2eA
JgmSMIPOocqS4ODg4KAe7ZkkloHmMGJMT0bclah3mOTZz+Fb0zyWH/ohQO0Hr5Sm+EbS6zsOJGIA
UJ0oyAAHD1ce6OhFLYihCZ9OiKslBIjv7f/jnZGZQVlRCQ541pnjDwn/KRNc6aB9SHHTniPGhgQH
h44Inz/ciVZVWCQhtJWDDjvk8dMttYxek2NCQfHRoXUajxWIk+Wcrh3r/+15HbiO1ZLkUgIAAFeI
bdoe2OYyy7pq197iGn/Hc5EeW4IYFRUAACCr3r89O7mj3bFI7yOjmPcP5N5V/khebavZDmprW5gs
38Bq61qP8yvN0Dt553MJQiLctbe4pqfjuUiPrUFIVl593Tradjezjy+LFgIAAIFGR1fZ9jaxU/4/
1wh3RJbSQ5wv7fPaF0y7cSjvoXLHYCNH9ebU0NpceVRYvv2wyHGK2829Hut8FId+LUpu8p74h4WQ
lyedP3g519HbzUDzWC1YTpXbphcFMT+73Fv6xfrKiRczRRXx+3yfzJm08y0GAIAKXlaNPplcnHlx
ZOWOZXsEKCG8tHDUbsbi6AJR8V+L2UdnrrgoBKLw2ILZdzz3pQhF784Nz/thyoaXGjvK0eQM469v
JmRlP5yjiFy2R4ASlZeWjN8mnng5qzz7xgJWivplXdWkkOi192lKVtbDRfQ9k5ZdEQKoBdxVTWY0
jCf7bxKkRgYbeC5/8O789DY1j74ZNvdlwIHE8vKYX2zPTp1/uoQghFeWjNtSPfFKVvm76wssi/Mb
6nDVTZLRqL739fBFCYFHkitF7y6OL187/MtzJQRoiVOJmMy17rEi8SLsuzn22ldORiOPZOVcnGXX
8D8RL6b33fskKSfr7gzZrkkRzwcff5ORl3F6YMLKb/4sxslOFkCjERM0GnwAACA91/VHdXeEgoLi
oyE7N0f9bV5+vvrbJiCwJ48q9XyMB/gZu2aV3civFURMVsA237LJ68ISU/zOu8hYjFz1tKl8Y52t
qYqMLKzu2f7MXu+jUwwEv2edKSS0NlciFe3ZkZvpZn9ij/fZ+Saiy+mbX2Gdx7huHqDP8XU4t8Vx
mKlaZX1OJ3uFIE2BE+irWElHX+sBjjXPkjGCkMenoR07cvR1yHpdTmKLqGc15JU1ulbAmbfGfYkn
zXGw89kI86BuhjWxwgQUgEBfxkra+vDVQtQFmv4mrqZT7x71kwVOp9GLpgdYqLIkuuPMPWtco+Yv
Pt+qiXwjWiEuZNLZhFKQNSHTwRKiqZCIFguuvt+gvtJH95NQIEpuXHmFpl6LSseAKHr8MMsvuHft
ODN6N8goaCR5UZ1FAACoebbx2z+r/JdsnN3FWBz76i0KAHhefEI5zdHFiY7KKtNurt95E+0wckRX
JmLc2c9FL/P0+i1XEspRYHSa+/ulkwt9GZXXDp0pbDN20Xh7ZaqDGLex4eAFuQU44AXxCSU0Fy83
fTWfaJIgCeW4eageulO6c/Z0ZSoPyxLjUjBzN3fL2vwBz4tPKEccnOwJqVQqlUplCgzILQPQ2oaN
7sV4feXchTXhWzN8vju00lc9p8Tz4hPK6d7zfxxjFrd/110xoClxSXJ9V09nuo5e1MPgm/BALBJj
JRf3nUE/XzLVSV5cVIWmnT7xjDlgyih7GugYUrq7h6O8urIo+fb21b8lGvQc0teU0FKO6LRDFn/t
jspGo9fkmFBQfHxoncYTMkxCpxmobcGisekGgImVy/0Mg6C+XAsWjUitfEIznjyIY8ykWbqZ9m0L
ACBPKYuq4U8O4RozEHMv84F8UXQKrt6Kob5DhWEwMMCAiwDTkuPCUxRWgOJt5RMaf6LKplmgrVpl
FThqaDzMRXL5LxkOgJeWX8nkhnXXUygAABA9zrRlHRb76esjtLZdjJwweaEyP2jkiBStzVWHETqN
qCiWlSkYbqGOR5dYNFjf/PsgKn8fykIQhMbg2vf/MWvg3hPLO2vd3q3nO25WQFsuC314/Lze2BWz
Oxsz9G0CV0RuG+GIEwAAev7hK4d1MOJY+w8NsCzIysMRlv/q2/cjxziyaWynYYO95dlZpTjQGAya
tDg9rUBq7LfsYvyNRe4aLvV8x071MaIBy6mHj3lBVh4ue3T+Gu2LFQt7WLA5doEzv/BqFCPDbcCg
diwAVofJEWFw/dJTOdQHrKf+eWxkXO0YSB8c/F34+TdLAyyYzDah88Za3b0QLZE9OneVPnrVwu4W
bK5d4LQRHg281zwgGQ3J3d9OyMd8v8zfXI/O7zRnbbj55YOXSwktcWp3rXustHrRBsOtX6AtE4Dj
2rubjUm/McNs9QAx7NrDncjOzMdJTxY0MWJ1kJ/rOnR2hIKC4uMhOfltalq6VCqTSmUZGZnp6Rma
NbRDCCuvxjH6+nGYfH5/Z9n1RxLVrhwGZ/BAQysWzaidxdiu8OyNWEGmejpUXkNnZSnlD+gmE/sZ
8OiImavV4nH8NoT25gAAIE0qu4UaTw/l8ukI185sdiDjUbRQqO2CiTC8Oupnpoolsuon6eyenvq+
nuwkQbVUIhYUsDp3oCM6ZL02J6Ej9a/1mFor60gheF7GvlLhw0yCqBE9Sdfv48NqcFg7hEQsAS6P
iwDg6Zt76tc+qPugbpcUw3Hm7jXu1xcsOtf4DrFOatMGBEEQmsnkKzKA1ogLqXTqVgrSJlp1UGdI
4pYLLicguGfug+h8rPzW1fSwxePKo6JysOq/Hgg6BQeaat8f3SgvUj+Ipx9YGfnWZuLKqR1cXJ0g
/XWskABQJAuSUcXr77xYeizjDoPWJPhtvbQpkAeg5/Nt1LW1AYU7vvBq49Br1r6XlQQAoAkv3oj1
u/b0qZtQS0pKqhG+CR8BRVJcMmbs7mmrlgXhhQkJxTRnT1dVfUWyIBkzdPO0U6adWKYgQcRw9XKt
S9QVyYJkFI37qSuXzWaz2Qbm48+KSC0DANBsho3py3j43YTNWT3WHFzk1XCWr0gWJGPGHj2nLZjh
Vnh8+6m88sT4bHD0dDPQ1Yt6aHwTPiKprso4vu+mxcS5E12skNKigvhTJ97whkwJs0R0Dqns7nwn
Q56xleugn9/13hR1eq4TXVu5Ljvk8asCbDx60NSYUFB8fGidxiP6dAMMrxV2AAC8BpMAndPwUy0V
oTJjpkXDqay4QiEWlq+KiB00J3bQvLcnConq6uZuPidwkFajciNNmw0gCDnG8O/LL31clooRGY/L
in3M/LmEchoPDBqWV7phXdK4FYnj1hbEo0AQJM4JbXqoszliaLJioaVpXM6cJXHjtuY9rIR/6L8c
4U+6LCUIAsfkonzB9W0TtN+Lr4MQFRXVWLWxVi2YGnUdvzDMRal1CKK63tJoCI7jBOhz0IT9s/p6
u7q4ugZ8/0ROEASBWEw4cHWZVVREgIO16+AVF/Np6s9sNQRBAMdxXFJaKrW2b9usB/AYljbm4tKy
ZmwDVRpXP4lEVV6+sPDICCs+n8/nm/XenIpWllWKS0pq2jjYknsnHQ26sKBAautor2pCt3d0IApy
1b82pVGcpK6FoGusiGZ40QaCIDSa6n8BUQ4E6cnSbKU5YmrobN6Sk05BQfH/BMfx5JSU23fv3b13
721qGq55HdBF/tOyWFP+AHsEEEYvP17Fs7LXja7F5iZ6NSIUJVO9Zqo8gYNEiMqM9EyVuQZCd+lh
0dsa0d1cXKmQm+pb1V73rCz0iUp5WWPrKhBbZw4nszo+uSrWzNDPGDF2N7R5WxWbLk7mcr3NEYAm
ZF2T5lXWTCHYvEAP7MlrSXWyMM6U38dG+3SxIQiHxwVRlYgAoDkufiIjCOn5cdyGdejtZ+z+2ePG
goVnmycbKmrTBoIgCLz8yBCNbKWZ4oKTSSdDp1K0QG0brkw0DglrueACYtwv2Cfh/qOc21cSeo5c
OHpA7rXrOS8fvGgXNMBGa84LSo8AUJ8X1UGUXVi9Lhr1DQ/3gxpDu3ZcRdzLeBSwLEGikO614Pyz
Fy9ePLm6Lph2++etD5R7NxjWfRf99jgj68XhicxL80KmHy8kABeWVwLHxKTuRNS8ePxawenU1VUP
y4lPqKBrTCrRZEEyZujqobrrjWXHJwjpLl61N+OlSXGphI2He93SBJYlSBTSPCPOPP5LSfTGUC6p
ZQAAQCxDhvrR5ezAdQfmdtQ4quyai6cL23NWxAC4tXPP6deJqIGrpxNDRy/UDCB8Ez6IK54cOvC6
06xZ3cwtLVmlubeOnUy0HDk12Ej3kDJ6rrr28OH17/sa0IwDw+f0NEW0luu0Qx6/KsBGo6cMW8eY
UFB8hGi9pNGtOR2Z4pdqP4NVnVadzjFwafhtMSwunVkpL2m4sZzNZbAtLXbs8r6xx/vGHu/b+723
9NVrrqYBsHgMfaFC/Qbh/9i767go0j4A4L+ZDXbJRZYuEUXBwLMVMFBAwAC7O0/POtvz1NOzW7H1
7HhN7ETFODEJEQSku2uBjZl5/1hiY3YXUO/0fL4f/8DZeZ55nt8zM8/zTOwqoyjgNOX3xgpuRJZc
+xvr3U2XA5XfTEOkZC0/LnAa7XByndPpZebK94Nr4BgDKFJ+Q+qTkyUVGRyDabOaXdzhtLK1+MjO
tKpv2/wXYDjOAJJQGShMz8SEk5WeWdk6wtS3j8Kz6N8BkIRtGDo9pMOu4PfRUVHPVruyAQCI3NhE
vX7rLr9MzIw63Tdllf/C21Xf+KkCpm1szM1MTq/VY9jClMRMHb5Rva6DYLp8vm6TOQ9yC6VKBEW3
p1jq8I04Gclp9FunjQZpYGbGSY1PrrxcRaQkpoCpuYncYaFQTtpNW5DqYoXVYit1QNtYtGj3EPXJ
697oCIJ8b4jy288E5amZ4ye+dRn31vdAYWlB4Y1wxXl4br5YW4/JoOv1at/La+sz2cXiqi8qobKT
SuKKKfXJdQxY7Hxh1bmays4RgQFLzddMsRrqOQnLrgaXGLbSt8QBN9Jvr1ty46lAYq/bmAGgqVtX
UKeVZTA6dNQXhBVcfFfKb8trWOvTO7Nx+7Z6b+89rPyufRUYdhMD1ra8P3fuBemTy5iOrg5VmF/9
SjglKCiUSO/pfw663oG26yTU9hS0Seh7W2MNgapHhwuAmfb0avry6oYLb9v3cWvQpX+P+Ku7Lz/X
7eUh/Z6EOisP2bT8f5lExd9LWhvo6fEHncyXZIW+SyVF0RExZIMOvb07tGvXrrOnTwczKjs2rrAg
cFaXjkP3fiQA2CZthi6e2IlV8O5NnAQY5lbmWHFSYmVbS+KPbf1flvmgcb0NQBQV/pE0bt7CTDYe
4vy8ItAzNJCWmkx/cPc9ZdO5k5V0HUls+IcypmOrypszACCKjoghjTr69OnSqVOnTp06dWxtq4vR
5ixF5mbnkax2/v0bKsVFFB0RQxo7NTfDcYshs4ebvg/4/WQy1qSlI0ddLWTgPEMeVnBn97FMr59H
NcJxU3Pj7JsBZ+Lsho/rqq0+pJRlh969XF09Jw9zYSVdvfRKVFkeuuXq8lFRfinl6EmpiQmCfIOU
j+sqHP0RXuzgU0nnooXFFZK0qOy150rsexu3lt/lWQ6GXYiCE/fLisRk1oe8h6kAAFqODboK8w7e
ExQRICkRXD6THqziCXZabAeeKxScvFdWJCazP+Q+SFZcoRKD69uN/ehY8iMjI1/rms6LEkhKJJRY
TJaVCF8+LIiRUKomurge24xVHhIqLBNJ4l7khhQBaEpOZuWt2pB4Pl4ixnE9PQabAvpp8T8CN7Fr
yIm4cy2upDw3/MyR23LUJuNcAAAgAElEQVQvJgEAcLsP9xOe2XgkoogQZT3dNNp3wbUchVUqUQV5
BWKxsKK8NDfm7r5z78QSsQTI2EOjeozZ+TJHhHMNjXkcitBYWY7roL7UhQ27XuVWCFKCDpxT/h1y
ybtLJ1/nSST5Ids2XmH6+nVWPQlVxuBwGAVpqcUiCafHSL+yo8t3vMyVgDgnZO+8ZVfSSC3XQb7i
c+t2vcqtECQ/OHRB/t022mhou48dwji7asvfuRKyOOLw8n3p3uP6mmDqysml27T6WKncSr3QNhYt
2j1EfXL1FUEQ5D9A/CnvTo7u3E1tnh2V/mu9tRv+4klhPgUgEVy/W5wpJIsSsk+9hs5tdBh0vV7t
e3mtZg26ivNPBZeXklR+TNbqrWnPijUk5zgZ9cQLjtwSFBEgSM078FDc2dVAzTQetHR+si5//h7r
0IqDAwCu1dEJnr8VNmlW+fig+m5dQZ1WZrOwkgKRQEJRAFzHBp3Lck++ZnZrW/17eLWg7fHrIqf7
v45efzeuSExUZIddvPZOrG+gp1Bfht3EPetav7zxSvryIN+9b6fEQ78HPEsrkwhzI84t3RJs06+v
/ItkdUfbO9B2nep7Ctok9esH69HhAuANPTz4gYeDWvXpoYdxXfu7vd97uKCHp2J4akYU6q6hkJ8O
LQ34qN97/a0nUg93+BsTkW/CBfERH0pxE3Zu8P17N85unzF553tOB5/uJvoOVlTEpT9n/X7kyo3L
h1eMWXFbZOHeqyUTmK0GD2sFD9dNXX307Mndi/w85gYZjtyxurc+EAkRH0pxIyr1wW2pu69ShMBp
49JOK+XsH6uOX7509M/Rvose6fosndGx8iax4EP4J7Bp0bz6WXYiPuJDKWbMzAqqzOTO/fBsMW3O
UmUfIuJI8+ZOym8aEPERH0qZzaS38HV7/jLVuaygkNJ1bGnHUFMLWZheA0OmMC2dM2R6f2MMcFNz
EyI5MbvFqDHt2BpCynBo7sAEwMy8+3VkJl69/EYsLY/ycvX5qCi/lFL0KqmOCYJ8i9T0NVhjH/st
Xozgvz72n/l+8tFCnq/9Wg+OwvUpTNvgl2kmrMdxftMj5twlrc2lC/VnzbEwfZc4bEao97LkEG3d
5nJX6TThGvw81YQdHOc3/f3sO5IGDRQ/r2bake8sIlt1NzSVOeCYDqbzumHXNr3vu/jTJbFOBwtM
IPtyuyyOwfhh+mkXorxnRq0NxSwNADQlZ9qbrfJnPw6I9JwcPvEq4THRok7T0C9M13f5Fs/4pc5G
/JbjrzPsq55BrKHfe9O5BdxDPjZ6fOdpLzrtO7eghdI6AADAclu4axLjsJetadP+ARUdPB3xklyC
1Wn56T8sLw9uYsDlt19dMOLwGm+NT/Ib+Gw8NYdzuLcVz8Zja5apldLmcDPtqGVdzPQtvY/rzD62
3kf+zK8Bx23MBP5FPxuvPYn63tsCV9tcHd7UUNeo5aQ7vO4dzXCM12fL6dlah3pb8aw9t5c7OMr3
2bTR0Ou18fJGhzujHPR1rX0Ocedd3DfUDAN15cR4NJvWECtVW6kX2sZSXEmKbg9Rn1xDRRAE+f69
eVpQ3trYi1+9AG/X08gyJu9+HgBTuwnkzJsX5rc5j9Gz4fRWDNperw69PFd/5gxTreC4AdPCxx4T
NB9rN8IK05CcozdjlqXN+8Sh00P9t+Zq9W60oAP9rf5KGLOlgxbGM+hSeUEfa9xSjwdarZswpP9X
360rqMvKuLOLkcHreP/NORkUgJauuzODMOV1M1dXWCUsp9lX7q2yfzzP1VJHy6CJ78bc/ievLGuj
NCPHG44P2OBT+UAk3mj66cA5BhfGtjLi6tv32Zo/8PSNPzrLv5Av+248hjHMptyT/1USZfS9A13X
qaGnoEtSv36wPh0uAKOZp4e1tkvfnjwMQKdr/246Bu5e0p84k1EzokhQeaVG+tA2o/vKnfN7u0p1
G+LVmlkS9ub9+4hYiThizyhPz96Dpm95YTR85+0Ls5oyGI7zzl/+3aXgxJyhgyetvlTYYfHFoN0+
BhgA03nhuWM/N/qwfdroSb9fKOi84vrjgwPMcekT3hJx+N4xPt7e3t7e3j5Dd7wlgdFk5vHT89uk
HZg2dPjs/R8bzzj96Mz4qgc9JB/Do0Rsx1bVX9kGFVERsRLJ+31jKzPx9v35ZLyANmdpDrERHypY
ji2bKu1qUBEVEUuatWgu3dsYTpNmeRtgTAfp8/wqayEH5xkaYKyWE6Z10wYA3MjclIVxXMaNcmRo
CCll4djMEAMA3MqnbztGQuCl1+KKKLrlDy6qy0dl+QHoole5XHVMEORbhBUXFysuAwAAPb1/80cW
SApw6dmdKD+8MibGu8WGLkoTQuSbRJIkjuMAAJKwlW3d3i1ICRxVOUAjE7Z3a3V77KdbkzRegf9X
fS/lRBDkX6HwsrTyf6VLqv+o/lsWSZIAQJKk7B8URREEUVJSIv0vQRAURUkkEunfHA6HIAiSJMVi
MUEQo8dNlOYsLQFFUZvW/0kQhEQikUgkpaWlEyZMqCmWjH+3f//voiLORu3UabS/L0dxToMgCIIg
ACUl9BeGFfrl3Xv2yf4XAGb+PE32v9Iv81B5wcll3FvFRf+iA2EuBxSXfTueHW2juOiHJQlf32cJ
ueTwoq76See3nExqP9cFjRcRBEG+Id9W//5f88HtIgAaGCAIgiBfmcpp/L/aA1HpbzN2Xsl7l0Wy
jHT7DrWe5MxG9+K/D8xmw6Y5z5vT3iS2iG3bddKpo1Pt0G0JBEGQb8i/2r//N6XfjRlzWdJhkN2K
ntx6fW8rgiAIgtSNymn8vwqzaGOxvo2F4mLkO8Bu5Lf2it9axcUAAIDbzXlSMkdx6bfneykngiAI
8i2w8HS476m4EEEQBEG+HnSnFEEQBEEQBEEQBEG+G2gajyAIgiAIgiAIgiDfDTSNRxAEQRAEQRAE
QZDvBprG0xGcHajXakWYpOaPbxAZv9VVz2N/ptwvHX3jvscyV6LIzyx04YUJTe3s7KyNtC2m3RMp
foogCIJ8EZTw7J+hcx6KP/Oc/V365zvZig/Hf+7Zwq6x7+6PhOJnX8gXqhSZsN1Nr/eh7M/M5uur
XX2/m+ogCFJ3ZWVlsv8VCOT+W03lNP60PxdTpNVlyydSccX6Krw40sr5t1cSAFHEubUHnuR8/VOR
zIZqtv5P+sdq+j36GsERJd74Y2T3ltYNDEwcveaejqI/CGpB8u739r4Hsz6ncLxBRz4mJMQFLW79
bX6vJIIgPxJKEno7cfqCcPdJod4LYtbcFRR9zvkNAMoKV82NOpBQ31y+eHlAtkjUp5DMwBgJJbfw
m0FmB28d62pvpK2lbWTvOm7H87zPLx3tEOvLj3yojBPzfrlvuyww6K+xjb76LwppKL+KUYSGVLS+
atC+YZ9TWVHQz5YM2TkD02HhC7HiWgiC1MbHmBg1/62mcho//GKpWCwWizIP9tZp80dYhVgsFpc9
nWevMkFdGfRYcmzvpJZMAFHE2XX7g3O+2AUCFSjZDdVs/Z9Uh5oq9kP/fXUITu1QuTdmeEx+YDfv
QlhGdtTZsQ3SUwX1DSuZn5tf37QIgiDfGPLj1bjFj8BrarNre1oem8orvf1pzRPRZ51+ubqjJ9v0
tcIUl9fKVygPyBaJig/JDPwooeQWfiMq3qzp47dfMupEaGZBZtiJIYVb+o89kvy5dacdYn35kQ+R
lpCMt+83oJWNiR5L8UMltL0o7UJ6GspPP4qgNKSi9VWD9g37zMpivNFXSsVVhFHrO2neKRAEofHy
1Zu370IFgjKBoOztu9BXr98orgEAaqbxGM5gMplMJgPHMMCZVX8DAJRFnpjRo7GRjjbPtvO4gFfy
l8ypnIer+zrydXSMm3nPHNlez2N/piRuc2c936PSaZD48ayGphNvi6Ds7gq/aX9FBs1v2WTG7bKI
Dd0a+h9Oqzn7UnnPNg9ra8nT0eM7ePx6KUH2ih6ZsN1Nr8PwqZ6tm9qamjXzXRWUTdEnIRO2u+m0
9hvRwVzPpqO9zIZK767wm/bXRwltKkVU3umBDRr+8lAIAECm7ump13pVuMzTY8JPF+Z7NuXr6ho3
8156K52QblfXZfLiQR0dbU34jXouuZMlfKxQU/pUlaVttuiFWHkFACoveJ1fcz6Xy3fqt+5JvmJv
Vfx695iONjyudoPGPedeiJc+uq3cXkTc5s467YZN82nnaM3nN3JfcPrqrnFuLRpZ8M2dh+0JLdO8
Am3caGpNgqYyAwCAWDY4OwIGKEY7NI62xWliWIOIPvjH1RYb/re6X9MGWlpGziOWz/cwxgAAqII3
+6d0d7S1sm7cYeja+2nSJidiN3Xtsen53bXDXB1Mjaw6TjwVKwEAMv3UhLbNW44+mfx4aftGdnZ2
dk16b/tAAACQidvdXddHfLq+enTPFuZ8G6/tkdJGos2/HgRhhyZ2b9umla0BE9c2trVz/OUWehof
QZDPVl589r64+0gbv8ZsHTbDpLHxDE/Oh5CibAoq0vK3rI/0nhLq9evHNQ/KSikgc7KnT4tecTRu
7OL3fWZ9mH+lpICU3NsVNvBkifTclh0U2+v3jLiKkkM7k29kUmRO9vSpH9efj5+85L3vzMhZ54ul
nX9hdOaipeE9JoeP2Ja2XuGh97qWhy7/oo+Zi5eG95gcPnJ7VpgAAABEJYd2Jt9IK9n9W+TmCPLT
jZiBO/NyhJXlBKh95lRKSMovC8N7Tg7tvyLhf/FEHWaeGhXf3LorY+CO/dO6WOtr61t1mbFpTvOX
566lkDR9dx06WdohVs3Ip/aZC2PPzXJvbKTD1bNsO2JHSKFM3UUPf3X23hlbfGm8rXX/A8mkymxl
BjbSlPUc7Ugr9VFCUyq5UcThlE8y+T+6VV1roHIfrunryOdyGzT1XRmULR0OKQxQrz+gDZqK+FA5
j9b0c+JzuUaOfRZMUnwY/kuNlOhHd0AVvdo1oq25DsdAJp9ab5Gm5FURrkMSmVICACadOkjnDAy8
foNJFfVVanS5LSPIfwpJkiEvXx0/eer4yVMhL1+RJN3sSc00XqXSh4v950W6H4suLEkMHJm/1v/n
SzWPMFEFV38dtVM48U5qcfrTFTY5iZqezGF23RwRG9Bbu+Wix4mXJ1pWFYcqujp3yB7mr8EZJdl/
/8o9OXlJYJFcOpBkUq77XnxMSnoyj7F3zMLrRSqTECnFTptfZcQ8i63XhgAAa+A9pFfpjcAQEQCV
e//mm8YDBjSvfnpM8PS3/jNeux36kJ8futH64vjZ56XxkETHGy6+G5mU/GS6OGDh3mgXuZqWq0hV
WdrQP5uHKK9AFV2fP2Jr6ejrSfmJt+eYZqfLN2rx3QWD1xeODkwoKXi/v/3z6WN2xRAq24vMZnTf
9zwqJSloknD3mFkvfU+/i0+LP+8RufS3/2VrXIFUFTeFWkdINJRZitVNJjizRgyli7ZSi6uMPAAA
UHnPHn9s18/HRPGeC5lybGyfnTDndkxq4outzW6O8t8QWjmyEIdunnXWZMGliNTwbQ5BCzbcLwfA
LUYeeRMZvstX323tq/iEhISE2Ntznapan8y49suYvaJ+6+98yog4Pd6BoTb/upGEbhq/CV949014
XNgeH8uem9582OXNVlwLQRCkjoissliR9k+NqwcAmHVvhxsLjM2EJXt3piY42Z7Z63xxdoOSa5+2
vJFQAEBIKAfrg+tbXFpmwghKDAjHOnXQLw8ripQAUJLXYWVWbXmNZEcThDBd22zb2haXl/IlD9Iu
p1JUWdHufdnlXewvBbTY5oklpcmsXJ/yKOVfXrR7X3a5i/2lgBZbPZkFBTK5M3Rnrmk+vyVu7+tw
cZaR9GIuAEBFrTMvyt9xtMR+nNPdfS3WtRUfOZgV/eXeApfEvgktb9Oti27VAkaTeY+y786wLVPR
d9epk1UxxFI5MFDOPPPUnKkPWu7/WFSSeMk/bdW4Da9rhnXsHlvCbv7S2GDQsaSUwCk2uMpsqwc2
HWRuzn7GaIemVJjsKGKiJS6TfzuZh/0lcYl6s24n5qfcmULsGb3wuvKAD4DppphVNeX4FF6dP3K7
YPS1pPzkO3M4HyPlBr0qR5jK+aitL/3oDgAkEa+Lh56Nzk4IHFS4U5pPrbeotuT1TEKrHoNJuvrS
NHrtto8g/2F1nsaXBf11RjRs5UIXYxaD13r62mnG1w5fy62aPQmfXb7FHLrkl7aGDBa/w6DeTev5
ZA7GcVlx/1HAMHsuzm3c39dZlJyUK39SYzr18rLjAHCajJ3lB7evvhCrSsJqP2KKm5Uuh0VXV80b
AgDADHsP8Si9EfhKTBU9vPGi0YAB1fM4qHh8+HjRgN8WuJmw2ZY+M4ebBV0JLgMAYLUfPr6tAQ6c
xp3bGmckyTxpoD6VtLTEE5oVhE8v3WAMXTa3kwlX18Z9wsAWcuEtf3z6Mmv4kqk/GTK1LNyXBGwf
aE9SKtuL6dTD3ZoNoOPYtYNFgx7D+luzANNv17k5lZyQToCGFUhVcVOqtfoy01ERbaUWL1YVQwAA
IAtyC1hGfF2lWXzypSPBbeb/2d9WCxh818W/9888fuKVdJ6NafdZvWdSWxMtlmXfgV1EsTHZyvuC
PCIjp+XqM38Mbm+pzTIwMmCpz5+W5O3mvh3by3BZcKccAED08X2CY3dXIwxY1m4uRtHhiV9u5Igg
yA+MEpEVOM5Ret61IirvnsRwoo8uj4Hp2vCnujOfBhcVUwAMTvsWWmwAtqnRoLYQ8k7AaWXYvqLo
SQJFlZc8/6TVrS1HroNlanu4aetiwDbVaaYnziwAcUzhc5w32kvHkI2bOvHdrWXXrnt56PM3HFuZ
v1F3K8WslNU+c8AwBk4VZAvzxEwnH/uT803svtxb4FSZoIyho6OluFxl3/0FOtk6ZA44k4lXZH+K
y6gw7Lgw8P2dec1VZ68mW5ph2GeMdmpVKvqNdho/28NWl8tvP3P+QPz21Rd1e8JNKT7Cp5dv4oOX
zO1swtWxcZ88uJVcOVSOMGnyUVdf2tEdAADLZdrS/k0MdMxd+rqZZiSlkXXZorqS1zMJVXi8L6fy
zXi8wdjrQoD6DCbp61ubRkeQHwzd1FYdqigjo8La3rayu2XY2jekMlIzK2c7VFluboVFQ+vPP7S0
dCSRB6Z0d3Zs5ujotvK5iKKomhut8pimFsaC3DxhHZLIqGUqA88hniU3At8UPr7x1Nbf37G6D6eK
09KLMo8NNOPxeDwev+uWWElhnsJX82AYkKTcF51rTEW7QqEgJ6fcsqG10lgHAACokqyscjNLc2nR
MIN2I+f6NWPQtleW3OwUwzAcr6wQJi2r7Mf0K2iOm3RFskxdmVVQGW0paYvn5tKEqCaGOM+IJ8rN
KVFsTSIjNcvQvhGvcnrPtmtsmZ2WUTlBZrCYlUcEzuGyxUKRYmpFGM/Vx1Vf9lKB2vzpMNvMvxby
SsazTV5cAABOR68ukScOvs4tSX1w+LKga0+Hzz+uEARBAGPhbJKsULq8KCgUi4y0zKrO9mYmWlSh
KE9+nQY8ZnmJRMzVc29BPH9bVhpdFG7E62aheMFUFkVCRalEZMA2UTH7/ZzygDT/EonQUGX+tGqf
OabfYMlcU6PwlOnzw0dsS3tSCEqT7vrDuNocQiCoUFisfqwlVe9OtvaZU5jJqEM3FprdmuXW0NzR
d0lgOs6VXUtObbJVVo/RDtSlVKowLa1NBbl5QsXltVQV/NzcCnNbKxXl/EIjJdrRnXQ8gGGVRx6O
YyRJUnXYovqSy6l1Eow35loFJUXmH+ujcKDUcjBJ0tb3SzQ6gvzX1HUajxmYmXFS45Mru1siJTEF
TM1NKrPBtI353IykVPlJC4bjDCAJDadyOZKwDUOnh3TYFfw+Oirq2WpXdY8SC1MSM3X4Row6JKlR
6w3pewz1Kr5+NiDwsaX/AJl5JabL5+s2mfMgt1CqRFB0e4raEQ1ALVLRrmCpwzfiZCSn0T9HhOmZ
mHCy0jMrgy9MffsoPIukbS/juja7klrHDdNWV2ZVVEVbStri/AY0IaqJIcbv0tXh9dVbij/GwjCz
MClMSCyuXCxOTsjgW1SN5FTjcLREFRpn9aAxfwzH8Vr+dh1m0KhpI0b04dkTFgYa/3Z5fY/qhy4R
BEE+A8OMa88sC42r7pWplDux/ttyBQYsdr6wqhOhsnNEYMAyrFqpcmGuhKvHZAGjQ0d9QVjBxXel
/La8hpr6FI4eU6tITPOsGwB8VnkqcXQZ7EJRjpoLpkp0ap05WVKRwTGYNqvZxR1OK1uLj+xMC6nb
PVx1mE1+aqX1NviF9G1+ACBitvW06bO/2JSm764aa8mqRyerfiAnh8iNTdTrt+7yy8TMqNN9U1b5
L7yt8hdf6pCtjHqMdupUKlUk6SlZunwjTt0HqDIwbWNjbmZyuopyfqGREu3ojn5fr8MW1ZacTj2S
aEZXYPr6folGR5D/Gg3nV2Xa7mOHMM6u2vJ3roQsjji8fF+697i+1e8fa7kO9CX+t373u0JCnBPy
v1vREgDATewaciLuXIsrKc8NP3PkdobC+ZLB4TAK0lKLRZLq2Q1VkFcgFgsryktzY+7uO/dOLBEr
nDgk7y6dfJ0nkeSHbNt4henr15mlMUn9NlRF132od+Gh9ReN/f2byU76uD1G+pUdXb7jZa4ExDkh
e+ctuyL//LyMmgJwNKWizVbLdZCv+Ny6Xa9yKwTJDw5diJArK7f7cD/hmY1HIooIUdbTTaN9F1zL
0dBe9Vb7uKkvswy51qGJtlKLG9CFSCY/p8lLvcMWDlt561OxRFzw4fyC0auelAJuO3Bcl9dbfr+Z
JgayIGTz6ktGo0a1V3N1GQAAmA4t7KPv3E4WA4C4pETxxokMDfnjJrZWFWEvP1aApKSghL4friR8
/Ncl3tgNe06dPx2wqF9j7crFVO6bK9fCCmp1JQBBEIQG12BYD2bQudR7KRIxQebF5wbcKW/SVt/K
yagnXnDklqCIAEFq3oGH4s6uBjwMgCh79LysiKCK47NPvYUubXRYAFzHBp3Lck++ZnZrq6VxJMF2
4LlCwcl7ZUViMvtD7oNk+Y/rWh4lLAfDLkTBiftlRWIy60Pew1TFFdgsrKRAJJDU3Jrk1DpzMitv
1YbE8/ESMY7r6THYFKg9ddeRge/cqQ3Oz597OjxXKC7LCNmzcGuE8wCfJj1r23dr6mRpRj61HxiQ
sYdG9Riz82WOCOcaGvM4FKGm7rXPVlY9RjsqSkVTU0XiF0e230sSVOS92rXxIvj4debQD1BrkRUA
AHBcB/WlLmzY9Sq3QpASdOBcmFw5v9RIiXZ0R6v2W1Rfclr1SKIRbYFp66ui0RHkh6ax81Wi12vj
5Y0Od0Y56Ota+xzizru4b6hZzS1Qgz6bTv7CPtjLQt/cdUUk2wgHAND1Xb7FM36psxG/5fjrDHvF
W58ctzET+Bf9bLz2JFTNwlhuC3dNYhz2sjVt2j+gooOnI16SK3/A4mbaUcu6mOlbeh/XmX1svY++
5iT121A1ne5D+hhImijM4gHjeW8LXG1zdXhTQ12jlpPu8Lp3NFMV1ZoCJOprSEWbLcbrs+X0bK1D
va141p7byx0c5Z+y1u+96dwC7iEfGz2+87QXnfadW9CCob696q32caMts+TNshb8MdfknmaTbx3l
aCu1OG2IZDLETPz3393dKXK1T1M+v9mAQ9iAMR10AXCbCScCp1Ws79nEplGHGaE9jwcua6PygnUV
RuOJ62fC1i42DR0c2/Td/ErdPF59/np9lqyyPudtb9Wo3fhTn+hjJqXlNrj789E2pjZ2do3sm7bs
5PPz4TABQOmznTN/2fe6vk8CIgiCAN7cv/HqDsTZbZEeU8JH7yvQ87b/zY2Nc/RmzLK0eZ84dHqo
/9Zcrd6NFnRgYQCAsTgZ6VNnh/Xfks/xaDi9FQMAQEvX3ZlBmPK6mdeiS+Ea/DzVhB0c5zf9/ew7
kgYNFD6uY3mUYNoGv0wzYT2O85seMecuaW2u8Dnu7GJk8Dref3NORs08vraZM+3NVvmzHwdEek4O
n3iV8Jho0Vljn1EH2p3+uHluaNG2Pvb62kYtR/7PcEHgsfE2eK37btpOVgbNyKf2AwNWp+Wn/7C8
PLiJAZfffnXBiMNrvKsuKdOodbayaLty9ZVSUSq6mipg/9QadvW24Vl6HWTOOLbeR1/FALUWWUkZ
+Gw8NYdzuLcVz8Zja5apldz48DNHSjVoR3d0ar9F9SWnpzGJ7LvxGMYwm3JP6U0ZBfQFpquvikZH
kB8aVlxcrLgMAAD09PQUF9UVGb+1q/Ot0bF3p2o+j9cJmbC9W6vbYz/dmqTxMu+XJHo+33lug0vP
lyo95Y3UkejB9MYz9M6/39hR5evectH+l1r8XyV6u9rnD/2dp2c7aQNQotynyz0GZa9J/sv3C76V
iSBIfSi8bqr8X+mS6j+q/5ZFkiQAkCQp+wdFUQRBlJSUSP9LEARFURKJRPo3h8MhCIIkSbFYTBDE
6HETpTlLS0BR1Kb1fxIEIZFIJBJJaWnphAkTaoolo079O5mTPWN5sc/Gxn31FT6hIs5G7dRptL+v
/PfbqUBSIP3NWiDKD6+MifFusaEL6kuR7x5JkjiOAwBIwla2dXu3ICVwlIHiSt+kepS8HkkQBJFV
UlKiuAgAlPrl5s5tZf8LAJFhcj8dL/1iDJWzKEQWJRbkRBxee950eFBTNO74bILHFx7bTjzfVsXe
h6INACBMiYsvsE3PKLC31RFmvg+68kzoPvMnTU//IwiCaOIy7q3iIk3CZ71dr7hM6oPbRcVFtXIg
zOWA4rLvyLOjbRQXIT8gSfj6PkvIJYcXddVPOr/lZFL7uS51uEb2b6pHyeuRBEGQr0nFRAqRQybs
8XH+PdNz7f+m2tfmrgOino77+ued9Hkqdj4UbQAA0Ou37X8FW/YsHLE2T6xj1qhVz7X31nW1+IED
giDIF1KnKSjt3WWR5wAAACAASURBVPj0uzFjLks6DLJb0ZNbuweEqPS3GTuv5L3LIllGun2HWk9y
Zv+4V2mR/wxms2HTnOfNaW8SW8S27Trp1NGpdt9JN12PktcjCYIgX9PXfKgeQRAEQf5zKKWn6BX+
K11S/Uf137Jkn6Wv/oP69h6qRxAEQRDki/iyD9WjC2kIgiAIgiAIgiAI8t1A03gEQRAEQRAEQRAE
+W6gaTyCIAiCIAiCIAiCfDfQNB5BEARBELUo4dk/Q+c8FMt9DcB/g7Bg6bSoQyn/hZqRCdvd9Hof
yv4v1EUdMn6rq57H/sxvup4VH47/3LOFXWPf3R9V/HT7P0VwdqBeqxVhEsXlCIJ859A0HkEQBEF+
MJQk8kHyzEXh7pNCfRfHbnpYVvqlpkRlhavmRh1IqFd2kpLNc952/S0jVm7eQ30KjOo2PmJjZL3y
/MaJgn62ZGAYhmEYztDi2bQd8Pv1JLHiWv+QwosjrZx/e/V15nsaMhdFnFt74EnOv9PGGspWD1TG
iXm/3LddFhj019hG6EcZEAT5GtA0HkEQBEF+KFTczU/zb0tcxzS9sL15wEi97GtxS+9XKNwzrN+E
iuLqjp5s09cKU/ygljAMMvOvx5I1SySCG88qqP/waAXjjb5SKhaLReV5Hy5O1zo1fOjWKI33b+vX
OhoY9FhybO+klip+DfbzUBoyF0WcXbc/OEem4f9BGspWD0RaQjLevt+AVjYmeizFDxEEQb6E/3DH
iCAIgiCIkoriM3dEbiNthzXXaqDLatjS7LehenG3c0IlQOZkT58StXhfdL9pH/Z8ooo+Zi5eGt5j
cvjI7VlhgsrU4uzC3Zs++EwN9VkSty9cTIJ8qo/Fh3Ym38ikyJzs6VM/rj8fP3nJe9+ZkbPOF+dT
AACF0ZmLlob3mBw+YlvaeuUH9TF2eyfsUXBxadUCQUReEFOvvXHlf4tis35fEeE1JdRnUeyuNyKJ
dOtKGyKzsqZM+3RTWmaidNuv4esiKNrkMqiUkJRfFob3nBzaf0XC/+KJrzJVpoMxmEwmk8nWtWg/
bu5gy/d/vy2O29xZz/eoNGTix7Mamk68LSITtrvptPYb0cFcr9miF6Li17vHdLThcbUbNO4590K8
SJoXVfRq14i25jocg0Y9l9zJIgGAynu2eVhbS56OHt/B49dLCWIAAGHsuVnujY10uHqWbUfsCCmk
AKDs7gq/aX99lJAJ2910XSYvHtTR0daEX5NPzqM1/Zz4XK6RY58Fk+QfaycTtrvpdRg+1bN1U1tT
s2a+q4KyKZAr8KNbKjMXPp7fssmM22URG7o19D+cRoLw04X5nk35urrGzbyX3konAACovOB1fs35
XC7fqd+6J/kK832KNhplkSdm9GhspKPNs+08LuBVkbRISuWsrjgA7abpYiVDaSuih786e++MLb40
3ta6/4HkmqIScZs767QbNs2nnaM1n9/IfcHpq7vGubVoZME3dx62J7QMaBuLJmIkEHR7CG1yGRoq
giDI9wVN4xEEQRDkB0JkCKJFOu2a1jzqq9dE1760LDqXAgAgxQILq0Pbm00xL969L7vcxf5SQIut
nsyCAgAAEJYe2JEc3dTmVIDzsSHsR4dSg6Q/gluVampDmfvwhDBd22zb2haXl/IlD9Iup1JUWdHu
fdnlXewvBbTY5oklpdWsW82qE9/2fV5wEQAAUJLg4GLrrg1sKAAAqrxoZ0Auw9vh6v5W+3vjd46k
PSkHAJoN1WQnQ2Vy6adF+TuOltiPc7q7r8W6tuIjB7OiNd4T/7IoUX7U5cPXUu2dnbQVP6tCpBQ7
bX6VEfpns4cLBq8vHB2YUFLwfn/759PH7IohAAAkEa+Lh56Nzk4IHFS4c+HeCAlVdHXukD3MX4Mz
SrL//pV7cvKSwCKgMk/Nmfqg5f6PRSWJl/zTVo3b8FrhiXJJdLzh4ruRSclPposDFu6NkFCFV+eP
3C4YfS0pP/nOHM7HSKVH0CWZlOu+Fx+Tkp7MY+wds/B6EYBMgdvJPFqukHm0y+aI2IDe2i0XPU68
PNGy/Olv/We8djv0IT8/dKP1xfGzz+dQVNH1+SO2lo6+npSfeHuOaXa6/DS++C5NNEofLvafF+l+
LLqwJDFwZP5a/58v5VCgopxSArpNq48VzVaKum8Ju/lLY4NBx5JSAqfYyI+0yWxG933Po1KSgiYJ
d4+Z9dL39Lv4tPjzHpFLf/tfNknXWABKEYtQCj4AANC2dc2n6iuCIMj3Bk3jEQRBEOQHQgmJMgau
LfOoL85laAMhEAIAAFPbs7uuCQenYguf44ZjvXQM2bipk1F3KwAA0ce8W+W8sd66hkzMuJWxB68k
+CMpm4op+zQ9U9vDTVsXA7apTjM9cWYBiGMKn+O80ZV58t2tZVauREr0Dfs3K7v2t5AEIHPzryfo
+nViicUAABhLZ8LCJr921NLCcKs2Bo0JUab0IoLShmipTF75McbAqYJsYZ6Y6eRjf3K+id0/804z
VXi8LwfDMJypa9vzjySPfWcW/aTy8W5W+xFT3Kx0OZInpy+zhi+Z+pMhU8vCfUnA9oH2JAUAwHKZ
trR/EwMdc5e+bqYZSWkkxnFZcf9RwDB7Ls5t3N/XWZSclEsCzmTiFdmf4jIqDDsuDHx/Z15zhU2y
2g8f39YAB07jzm2NM5LSSOHTyzfxwUvmdjbh6ti4Tx7cSqmMTKdeXnYcAE6TsbP84PbVFyKoKTBL
dryplLnMZ1Dx+PDxogG/LXAzYbMtfWYONwu6ElwmfHrpBmPosrmdTLi6Nu4TBraQ23r5Y5polAX9
dUY0bOVCF2MWg9d6+tppxtcOX8ulVJRT9abVx0rlVlRhOvVwt2YD6Dh27WDRoMew/tYswPTbdW5O
JSekk7SNBRoiVo2+rauprQiCIN8ddAQjCIIgyA8E02JoE+Iycc0QgCwnyoChoyW3WkWJRGioayI/
lRUUiAVFpctmFUhn6wQBrUpr+/A5RUJFqURkoKOQpxyKEhFMl+68fWfyYj3MGc/ysttauehSL8XA
AAAmTqRlbzha9KmEokgiR8LuQFGg9Bo+RT/HUZG8CqbfYMlc8vjNlOkXRFq2vMEDLPyMZNJ+PRhv
zLX0Y33koq/pOQCqJCur3Ownc2kkMYN2I+e2AyATAADDKgOC4xhJkhRo6Ugit0+Zei08W0QRhami
hp4UhZmMOnSjfO3GWW5Lk7g/DZi1es00m5rc5WEYkCRJluXmVpi7WtXqRW+mqYWx4F2e9LqQWtLM
ZfcgqjgtvSjzyUCzM5X7mJhyySsUsHPKLZtb02+dNhpUxuOMCus2tpVJGLb2DalLqZmkvkzC6nJK
rzHQbroI1MWKKsqg3Ur1CmpgGIbjlccCJg0EbWMpplKMmAy1yevS6AiCfAfQ3XgEQRAE+YEwzHWa
sgWvZX4GqzSu9JOOdjO+3ISYo8tgF4py5CeUXF0m19Rk527nO3ud7+x1vn/AeWt3ltI8WiWOHlOr
SCx7g1AZRQGnKb83VnAjsuTa31jvbrocqPxGNyIla/lxgdNoh5PrnE4vM1e+H1wDxxhAkfIbUp+c
LKnI4BhMm9Xs4g6nla3FR3amhVTfpf3HYTjOAJJQGShMz8SEk5WeWdk6wtS3j8Kz6Of+krANQ6eH
dNgV/D46KurZalc2AACRG5uo12/d5ZeJmVGn+6as8l94u0wxoTxM29iYm5mcXqvHsIUpiZk6fCP5
60K1hOny+bpN5jzILZQqERTdnmKpwzfiZCSn0W+dNhqkgZkZJzU+ufLtcCIlMQVMzU3khr0K5aTd
tAWpLlZYLbZSB7SNRYt2D1GfvO6NjiDIN62+ZxoEQRAEQb5HHP0RXuzgU0nnooXFFZK0qOy150rs
exu3lp/WshwMuxAFJ+6XFYnJrA95D1MBALQcG3QV5h28JygiQFIiuHwmPVjFE+y02A48Vyg4ea+s
SExmf8h9kKy4QiUG17cb+9Gx5EdGRr7WNVcJKIGkREKJxWRZifDlw4IYCaVqoovrsc1Y5SGhwjKR
JO5FbkgRgKbkZFbeqg2J5+MlYhzX02OwKY23xL8i3MSuISfizrW4kvLc8DNHbmco1pPbfbif8MzG
IxFFhCjr6abRvguu5SisUokqyCsQi4UV5aW5MXf3nXsnloglQMYeGtVjzM6XOSKca2jM41CExspy
XAf1pS5s2PUqt0KQEnTgnPLvkEveXTr5Ok8iyQ/ZtvEK09evs+pJqDIGh8MoSEstFkk4PUb6lR1d
vuNlrgTEOSF75y27kkZquQ7yFZ9bt+tVboUg+cGhC/Ivh9NGQ9t97BDG2VVb/s6VkMURh5fvS/ce
19cEU1dOLt2m1cdK5VbqhbaxaNHuIeqTq68IgiDfHTSNRxAEQZAfCtbYx36LFyP4r4/9Z76ffLSQ
52u/1oOj8Kg7pm3wyzQT1uM4v+kRc+6S1ubShfqz5liYvkscNiPUe1lyiLZucwP5ZOpxDX6easIO
jvOb/n72HUmDBoqfVzPtyHcWka26G5rKzIiYDqbzumHXNr3vu/jTJbFOBwtMIPtyuyyOwfhh+mkX
orxnRq0NxSwNADQlZ9qbrfJnPw6I9JwcPvEq4THRok7T0C9M13f5Fs/4pc5G/JbjrzPszZTeQ9Dv
vencAu4hHxs9vvO0F532nVvQQmkdAABguS3cNYlx2MvWtGn/gIoOno54SS7B6rT89B+Wlwc3MeDy
268uGHF4jbfKb9WrYuCz8dQczuHeVjwbj61ZplZKm8PNtKOWdTHTt/Q+rjP72Hof2cfXNeK4jZnA
v+hn47UnUd97W+Bqm6vDmxrqGrWcdIfXvaMZjvH6bDk9W+tQbyuetef2cgdH+WtOtNHQ67Xx8kaH
O6Mc9HWtfQ5x513cN9QMA3XlxHg0m9YQK1VbqRfaxlJcSYpuD1GfXENFEAT53mDFxcWKywAAQE9P
T3ERgiAIgvzwKPm3VZX/K11S/Uf137JIkgQAkiRl/6AoiiCIkpIS6X8JgqAoSiKRSP/mcDgEQZAk
KRaLCYIYPW6iNGdpCSiK2rT+T4IgJBKJRCIpLS2dMGFCTbFk/Lv9O0kBXvnmcfnhlTEx3i02dFGa
ECLfJJIkcRwHAJCErWzr9m5BSuCoyqs4ZML2bq1uj/10a1K970T/I76XciII8p9UUkJ/7VmhX27u
3Fb2vwAQGfZG9r/SL0FR82IZgiAIgiD/NS7j3iou+hcdCHM5oLjs2/HsaBvFRT8sSfj6PkvIJYcX
ddVPOr/lZFL7uS7/5vUgBEGQHxyaxiMIgiDID+RfnZpS6W8zdl7Je5dFsox0+w61nuTMRvfivw/M
ZsOmOc+b094ktoht23XSqaNT7dCLmQiCIP8aNI1HEARBEOSfgVm0sVjfxkJxMfIdYDfyW3vFb63i
YgAAwO3mPCmZo7j02/O9lBNBEEQjdCUVQRAEQRAEQRAEQb4baBqPIAiCIAiCIAiCIN8NNI3/EYky
C3NV/BIpgiDIt4QqTCsUyH0TPIIgCIIgyI+uztN4KuPNfK8LtwsUlyPfC1H829XLnkfF1b0dK6LX
eB09EUfKLSSLLs3YsfTqjzTMpo0DgiBfBZlz/87KfcklP9ApBvmaBGcH6rVaESap+eMbRMZvddXz
2J/5Pe3132OZK1HkZxa68MKEpnZ2dtZG2hbT7okUP0UQBPk6VH7F3cNl2zc+UejeGI4zxm/uKr9M
qjRm49i/Tf8cPbaZ2usCtVwNAMjSd6cfHb+WGJ8jZhkatfTqPHV8EzMWgDh599ALr9r137nE3kD6
k5+CD6v8QxruGjtG/92CcXHdTgzpW/lboMSLNXv26PodmWNdWUlx8u6h52/k1pytcav2W453a6Yy
Bl8WmfP384D9EeFpQpxn3Gl4z+n+ZjoYlMWE7dsW8jy2DIxMu471mOLD58ikKY8N37f1xbO4MqyB
Wdfxvab05mvJfApAFUeGHT8S+uJDscOcKb97cTQnEWacWRduMWOEq0FEoOxyNapbraHiJyrQ17Q2
VESDppp0VK9WkXHs57OX+L1ObGipX7uS1Ert9+d/Ef2hJH64LID2AN8yoDhg2NWKX6fP78IAAHFy
+Nq5zyQjBy8fwGfLry1D/HL9oY2l3Y+sdqwOb961C5NPGK442dNZdTKVPiuwZM7fzwP2hYelidkm
5t3H95zoYSRTBLU7J/1+Qp+hhgOtrj6ryp/nMzdNVCS/+vjgTuRr/c475topnk3pP1V9qNIFtsnI
Xp3mBh54Nmyeq/YXPHx/ZKf9uSOvVMgvY3fe/OHpr/b12gmUFF4c2eIPu8tv1rQnI85t/tti8mQ3
46/cdqKaDdVsXXF//JpkCqD4EfI1giNKvLF+2abzweHJQtNOI5dv/3OEo7biOrUiefd7x2U2N29M
Nq134XiDjnwcBETsJreenxQ/QxAE+VpUdnLdV8/uSlFAVdxbcvBGixFbRxnhgOE4BpmKawIA6NgM
WarLbaRpAFDL1UDy8cilPx8aTfx9bLfGHGFy3Ik/b62kdHdONWcDAFDZd+8f7Gr+az2GdJhWz7VT
53au/HUbDMNwjWX5Qqj0sC1/xlouHHHGVa/s3ZPfl14/1WT8FMes06uC03oNOLTTVBL6dNXv1883
GTO6SVWZxBln/ghO7zXwyG5T8v2zVUtunLcfPar6UwDhh+e/LYm1Gd9z00oLMz1GLZJQefdfBJl0
2PETm74daVW3Wu1uP9PXtGUtflFIkk4bDZpq0lG9miTm1P2bGTjwZZZ9EbXdn/9FKg8lVQc4Jimu
Tkxmfdyx6Emhr/+f/lVzeCI7cM1LbIRPP5n9EIDV2stBd2l0SKGjh6E0ZfHzB2lG7i7NNc3hKQCa
o/gzAkulh21ZE2e5aMQZV/2KsCe/Lb1ztenwQTaVG1G7c9LvJ/QZmmeqPdDqjq7K9MH5DPQZ0m26
toiM45MvP9KxaSIpzGVTije0VHyq+lBVdQYz8h1tNe1AWGLnznYqTwBIHQy/WDqEpIDKO9rPfm+X
58+XODEAwxmMeu0EdAx6LDlmrtuSCVAacXbd/nZ+E92Mv2rTUSCq2VDN1v9JMgVQ/EgR/ZH4X1aH
4NQOlXtjhsfkmKH7LuzyakhFX9xzL1VAOdZ9UAgAQObn5lM2iksRBEG+eSp7bQzHGAycwcBwDKT9
O4OBYdJTJCWMuXj9F78d/bwPLt6fWEgCCBNPLr17N5kEINKCghYP3+3Xa8eoSdevfBDKDexquVp5
YmCgoPPPHt7N9bS1WIZNHKcs8/S0IsqkK2Fspw4Gr3Y8+rtOD4RXw6V1wRkMHMcxMu3VXM8T6zZf
nDV6/9A+BxfviXpx8db8sQdH9tn788rQ+AoAgOKIV+sm7RvkuWPoiPMHg4ukdzDLot9tnrp/UK/t
g4f/b/8j6UJ1lapIK2V17zTU1UALxw1/auFiI0hLFZOCvKRcoy6eFjwWk9+2RReL4sQkojoJmZr4
Ns+6zyBzfQbOa9XOu0XR2zfFNXlSgkdHQ1kj+s31tzbXY0hbRkMSsvjJrXQHd3teZTuWhx+/NKXP
9v6+h3//K7mQAjLt1VyvS/ek8zhJyt4he7aFEDKtVqM4LOSPMQH9ewVMXRLyvmbeB6Ciporje4CC
oOujBt58XgQAorDthwfPfptSTBcNumrSUL2a6OPLgAdGQ/34yqMHKuPNfK+T6zefnzHywHC/I9Ig
AH3j0qmKDJXxZr7n6R37r84ZfWBYn8qDgjaYyrVOrWlwAICidy9Wjg7o32v3lEWPt8/YsfSqgKx1
5nIZSak+lNQd4AAAQBUmHlh8L66D94pxFjVjI7IiJTwtpVSxPdktnbrxU4KfVb5bQWXEPPpg2MPL
jAkgTos59OvhoZ47ho66ePRFKSkNu+exP/44OcLryJFIMc1RI7PLCRM+BMw+NMRz+6DBp7ZczhRQ
0uSKAalGUfqdprqPcOVxcJzXsklrXn5iSs3HanZOVfsJbYYaDjQZtPsSzSlFbl+qDg6pXP0q4lcb
9o3dliwGAIDyZ7dGjHj0QfxPRxtwfv+tkw/v8vFrqUVzbNJ+qvpQBdVnME7rpu2KPjyIrt2lREQT
DGcwmUwmk4FjGODMqr8BAMoiT8zo0dhIR5tn23lcwKsiud2aynm4uq8jX0fHuJn3zJHt9Tz2Z0ri
NnfW8z2aTwEAiB/Pamg68bYIyu6u8Jv2V2TQ/JZNZtwui9jQraH/4bSa1qPynm0e1taSp6PHd/D4
9VKCdDeWIhO2u+l1GD7Vs3VTW1OzZr6rgrIp+iRkwnY3ndZ+IzqY69l0tJfZUOndFX7T/voooU2l
iMo7PbBBw18eCgEAyNQ9PfVarwqXOZsKP12Y79mUr6tr3Mx76a10QrpdXZfJiwd1dLQ14TfqueRO
lvCxQk3pU1WWttmiF2LlFQCovOB1fs35XC7fqd+6J/kKeztV/Hr3mI42PK52g8Y9516Ilz66rdxe
RNzmzjrthk3zaedozec3cl9w+uqucW4tGlnwzZ2H7Qkt07wCbdxoak2CpjIDAIBYNjg7AgYoRjs0
jrbFaWJYg4g++MfVFhv+t7pf0wZaWkbOI5bP95De6KcK3uyf0t3R1sq6cYeha++nSZuciN3Utcem
53fXDnN1MDWy6jjxVKwEAMj0UxPaNm85+mTy46XtG9nZ2dk16b3tAwEAQCZud3ddH/Hp+urRPVuY
8228tkdKG4k2/3oQhB2a2L1tm1a2Bkxc29jWzvGXW+hpfARB6kblNF4dIje2rNniUz8fXesguPj4
erxM55z/Yf+mpIbzJ168M2V519JT617G0k0u1K9GpGUlCE1atqi5kcdp0myAr1Xl5BMw874eY2wT
9gXESiddn4ssY/zksfXE1GM7Wokv3dwb1WjR4cknz/Vrk/jk2MMyUhB3YEUoY9iw07dnbB3GDNr4
5IUAQJB46PeQUi//o3d+2TffLGrLzcAUSn2luO3dVs93NMEBAKictPfZJq1aaOF6Fq2bFL+4l1Ek
IQrDol4WWLRxqrmBQBYKinV0DaWP6mLsBkbM4vyymiwr0t5GamnHP5rht8O/z+HfDibkkxqTZETG
6zdqVBVYojBLu82a8zNPbHEmL988/FxYvaJ6lODToT9el3sNOHZjyurB2kUy7ymAipoqD/ENu3ef
6Jj817GU4uiXB+7rDJvX2ppHFw26atJQtZo4+8K2KKtp3TpW7T2KCAHV0nPbqSnHdrfDA28efi6k
bVzFVMqI/AzdDn8em3I8oDVxWe6gkKVcayuZWSNVGndw9ZsKL/9jN6auGcxITajabu0yV6bpUFJN
kH566Y2/bdxXzmrEq81JgmnWw8PwQ1BsHgkAVOqjjwkOzXvYYlCRdmzp/ZhWXvtvzNwzXe/p+qAn
hQAAQJSUNey+88qYMabRao4aKE8+suxhUhvvgzdnH1vrVHLiSkBwGQXqAoJb2vv1szHCAUhxxrP3
r8QNOzjVhFjlzql6P6HNUMOBVo1uX6JoTymyqoIztmEqffUBAFjOPe0hJC5aDADiyKdJet2aOhD/
dLQBYxnwWIohq0b7qapDFQDUnPRYps3sBVGR6AX5r6z04WL/eZHux6ILSxIDR+av9f/5Uk51zKmC
q7+O2imceCe1OP3pCpucRJVXOCsxu26OiA3ord1y0ePEyxMtq84kVNHVuUP2MH8NzijJ/vtX7snJ
SwKL5NKBJJNy3ffiY1LSk3mMvWMWXi9SmYRIKXba/Coj5llsvTYEAFgD7yG9Sm8EhogAqNz7N980
HjCgefU5Q/D0t/4zXrsd+pCfH7rR+uL42eel8ZBExxsuvhuZlPxkujhg4d5oF7malqtIVVna0D+b
hyivQBVdnz9ia+no60n5ibfnmGany5/ni+8uGLy+cHRgQknB+/3tn08fsyuGUNleZDaj+77nUSlJ
QZOEu8fMeul7+l18Wvx5j8ilv/0vW+MKpKq4KdQ6QqKhzFKsbjLBmTViKF20lVpcZeQBAIDKe/b4
Y7t+PpWvUNYgU46N7bMT5tyOSU18sbXZzVH+G0IrJ9ri0M2zzposuBSRGr7NIWjBhvvlALjFyCNv
IsN3+eq7rX0Vn5CQkBB7e251j0FmXPtlzF5Rv/V3PmVEnB7vwFCbf91IQjeN34QvvPsmPC5sj49l
z01vPuzy1vT0GoIgiLzajNCVMC19Rze21GE1aGnfwlCQLTuLw3AGThSmFeaLOE2H++/b3NZW+R4o
aFiNEoqFwOZyAYDKOHe6b9fN3l03+w4OiqgeMzB43vNcbUOCDtQMamuHEj5YvM2762bvrpu9u+3e
/JwAAGAYtWqjzwTg2Fo58LnOPRsbMwHTMW3WkMrOKKXYliO3DZ3hzmPjTAvXRo3ExVmFlCg06jnT
cWg/E10Gw6hNxxmzHCwoSn2lalRkX1z3d9lA977WGOBGfWY6S86eGeGxY+TcMM6I7l4WMr0SQZIy
90cxDCOImuqSeUXZFYIC7Ra/nfrldEAH7u1bex+WUWqTUAUleQTXsHqiwjT3GNTQhMvUb/bTwG7Y
m2cZmgZllcThsS/xZsOGmPO0WCZtWro0UuxJK8nWVBmu232Wq9Xju4v+DOcM79XfFqeNBn01FfNS
EQ0gEs7ef2DhOslNW+WOzjD6qYMBG4Bt1by/K7x5llFG27gaMc26+5jp4MC2tGjMkz8oZCnXWoY4
PPYV5jB0iAVPi2XSppWbfXVL1S5zJZoPJXri17uvno8RUwxG1SSMSjxxapDnDn/fS3fySm8v2O3v
uWPQ9JCkmjEbZtvLyS7q47NsCsi8J0H5Tl5NzXAQhUY8KG0yfLgVj8Uw6vRT9wbJz8PEAABMs+59
rfhcJpOh7qgRvn3/SNJs1AhLAyam06T1uP7aL258KqY0BoSM/+u4X8+dE1fGW4136SJ9zl+B3M6p
cT9RylDtgVaN9kSB0Z1S5JJVBYcIVVF9AABgOzt2xuKfRxEgTH/+muvibkr+O9GuGxWHahVVgcVY
DYxYBdmlbZL59gAAIABJREFUNNdKkC+nLOivM6JhKxe6GLMYvNbT104zvnb4WnWDC59dvsUcuuSX
toYMFr/DoN5N6/nUOsZxWXH/UcAwey7Obdzf11mUnJQrP/1jOvXysuMAcJqMneUHt6++EKtKwmo/
YoqblS6HRXfoat4QAABm2HuIR+mNwFdiqujhjReNBgyoufJX8fjw8aIBvy1wM2GzLX1mDjcLuhJc
BgDAaj98fFsDHDiNO7c1zkiSedJAfSppaYknNCsIn166wRi6bG4nE66ujfuEgS3kwlv++PRl1vAl
U38yZGpZuC8J2D7QnqRUthfTqYe7NRtAx7FrB4sGPYb1t2YBpt+uc3MqOSGdAA0rkKriplRr9WWm
oyLaSi1erCqGAABAFuQWsIz4uopDCzL50pHgNvP/7G+rBQy+6+Lf+2ceP/FKOs/GtPus3jOprYkW
y7LvwC6i2Jhs5X1BHpGR03L1mT8Gt7fUZhkYGbDU509L8nZz347tZbgsuFMOACD6+D7BsburEQYs
azcXo+jwRHRuQxCkzjSec9XDMIwiZe/NGDrN2Sg5e/rB/APFWg5N+k909TGt+bSa+tUwDpsLorIy
ADZmPnTEtaEgfnJj+M6aFQAAt2g1Y3Lc7J1BT7fZyX2gHqbVc33ld3dJkWkynwJgGGCVowEMw4Ai
KWCxiIQ3Ozd9SigkKEKYK9FvA1BWIBA1MGkgXRPTauLRtgkAgLpKVRIX3Flz9a6Z+9pRpmwAqvjT
3pWR5vPGr+3FE8eEbf/92iG7kdPaVl2RZeA4RVVHl6IoBlNmqEKQBNO6/wQHKx0Aneb+7iGrXmRI
fNQloSSkBBhMmjbH+SbaFdHlajojWcLCMhHfWsMrbvI1pYWZNPNzfbbsntXCfnymimhM4dNVs6c9
SyEvumhUNMrbfVNv9G4HQwwypKuRJTcWHTsUTgAwOy+busBBNgvckK9dEVterNy4ZMmN+TWpFnaU
TUUDA7mDQoFcrcmSGwtrcp5eVi42suTTNFAN9ZkrqM2hRIOi8KZdtv7MOjn3/qaL/DWDjZiAWfXv
t8udoCTpJ2c/hp+HjGrOwFgcY5n9ETNr2qv53/ceF/m0jg7OshnaTRcDKMspFeSnrukfLR1tkQTl
VCT3son6U4EgTyA2MTWp3NMwU0t9CC4toOR2KLqA4I3Gj7kyVpz97uWmVYEnG40e5yi/s8rvnJKE
N4r7iSLFDEepPzarqDhR0JxSaKmoPlR+uyfLopsbvuVJ1hhJ7DsDhxX2eFn0vxLtOqI7VGuOaNWB
xRk4IUYj3a+KKsrIqLBuY1vVGLb2DalLqZkkGDMAgCrLza2waFH1nbGfQUtHErl9ytRr4dkiiihM
FTX0VHmplGlqYSx4lyesQxIZtUxl4DnEc+aSwDe/5d54auu/ouZ0QRWnpRdlPhlodkZ6TBFiyiVP
/j0DwDAgSbkvOteYinaFQgE7p9yyubVi3yZFlWRllZv9ZC4tGmbQbuTcdkBlPKZpryxS9oveMAzD
8aqDWlpWmU9VrKA5btIVybJcNWVWQTnaybIfS1s8N5cmREUUVH4hKc4z4olyc0ookH/Uj8hIzTK0
b1R1r4Jt19gy+00GIb1jxWBVn0w4XLZYKKLbF2RhPFcfV7lvxVWZv6oIMNvMvxYyX3EpAHA6enX5
7cTB115TzN4evizousHh848rBEF+OF/4xEEWFWRpNx7/p/NUouLT5ZvLlwWbnvVqp/TN4upXY1ia
NdYOffuu3LMHV/Faaw3MrE+v8U9P7d8tNqKgIQBw2BxKWFIKYAIAAJS4tJTkmig90llHRNzLdVsy
3LcNW9RYCyuIWD4sHAC0DbVZBaUFJJjiAEDkxqSXGFvZ4uoqBQBAFAdvvHye7bJmfhM+DgBAxCa8
kTSc36MBFwdus1beP/0d8Cx7UlsraavgPF2D0sz8CgBdAEqUnycxaKhdPb7ADPX4DEFePgX6GADg
OAaYpiTaWtogLq+gQE8hKmRedhnHgMvGBHgtfnlFy4DLyivJI8CCZuYCADQ1pUUkh51+rNXUKu3c
2YxOk81xumhMHEdTTWV00SBDz72KyRL9n737jori6gIAfmcLvSlIF5BeRBBEioAoKtVC7MYSu0YT
NdbYjTUaW6xYEjVq7NgVG4i9oAKCgCAKIkiRXpad8v2xlC2zFDWJ+XJ/B87ZmXnz5r37pr2Z2dkN
gzZtAACGJunc4aHWsyKmRtQ1CiPRaSPzcyuUNJU12Bo35JepIfUJpV7wLAdBEKzBlKq1eM4191QU
PpR9oKCt/KCJyMtcSvM2JRmEgku/DuZm3Ok/5s5acn6/9dAxTgo8DXUDDQBhqQqXQ7TRMjSSuYrD
UfMKbLvvxIvo/NQyz67uGgAAyprKysauK/b5WIklFw87+66gbqpqa1V+Xkk+BfocAGDyc8qglbkW
0djlJjIr43qGqrePriqHr+vi5GfxOCqhnLGr7fkCyK6c1FPZ9ST4zayIUF8luRkSbo1taPVYdxQm
hSy7FFZyql8/nWPtb8VfkXxe8EbLr58JB4R/e7Q/Atum2jC1kT1YdaVQSY/l6zno8yE09fWV3r7K
FEI7RQCgsl5ngV6w6EsoAIRKGx3lnDdvKbAUW8EIDocLNNWSiztk3M+DJz8YcS3msJMmJ29PkMVe
6RQNBFmvc1V1tLktmKVBsxek0XNwwJS5R7YV3DQKmyt20Y9Q09FRs5p+OX5VJ7FzJTqj4TObJudi
T1B9XlspJzObBEuWK9+Euq6u0vt3uRSYcQBA8PbJvQ9GPpZs7dWGI/vNgZZpdtwIFZ1GyiyPvGiL
iFpcpzVbiOoROl6+1gvOXsobPULi7fJcfUPd4huvS5mu2gQACDMzcnQM9aUXIUNJSbGmuoYB1rML
cU3kT3A4nKaPywAAQGia25hzk/dOG1Oi1WlhxHfd1KRTIIRQk5rqLrQQ/TZh7fcXz7yoJAmempYi
H2jWuydNJFMy6/+19rOtF489Kq4gmZqi/Nt380hVBemOCEcz4Acfi6RXqSQAAKFp4u5Qcnnv06R8
ISWsen3j1sk4Dfcu0i+saimmrKqcpIU1ZFVJ0ZMzyekkQ1Kg4GznJUw+frGggqaK4x+tm3PzQXFT
laIrHm6OOFDttuxHO/26wxLXSMe4IjPqbomAYaqyUqPjqLbmWlym6uWt9FdlwGlr5qr79vzx7FKK
LkmIvZTYytVNg6ibSqi38/esuLjrWVoZXZ31IiKqpqOnoQLrLHVFILRaG6uX5tT/qiuZc+X467xq
sjT5yfGb4OZjyG+lqaeQH3unqEpQlXH9eWwh++GI38G6M5V89FRuaY0w70n87VeSydhqyoIqurjx
fmlQwIpF7mrnrh1NJlmjwWOrpmyubNEw9pg35dyNGWevzzh7fXr4RAOlzj0PXqztmzWg8u5cyS2l
6LKk2OO3OG4+hipsjfsRCNZgytRafBaFDtbuTOqxk7mlNcL8J/ExaezxB3mZy2rmpiSHRme/uV8r
XF5x9bbYlxIboeHp4Jr7OPwS6RloKrofpOBi5yl4fuBETikFZHHOha237klm1fhWo+ji4MtNPnTk
XSnFVL5KOHCmvFNQ3S9NykFUvI1Yc+1kXAUJdGnKi7vpKhZWqvVbDdvKyXVjXU8U6zY0tgy5jW5o
9Vh3FKy7FFZNVp9raeut8PzwNWVvv9acfyLa7OqjzYZtUzXkNb7TAwC6PDeXMTLV/MxHLCRJpfuo
Qdwjy9bfKyDp0oS9i3a+C/qm7idcARS9+4dQx9ZsfVpMCfMfHLuUTAIAR7edmVJC5Lm0sqqC+D9/
u5wj1aHnKilxi7LfltaQ9esiU1RYJBQKqqvKC1Kv7Dz6VEgKpb7mQz49dfBxIUl+eLBx7WleSD9P
fpOzfNyC6qh1HxxUvGfNyTZhYbbi5wzK3b7uV7lv0eaHBSQI8x/s+GHBacnn58U0FECpqblYs1X0
HhAiPLp6y6OC6orM63tOSH73SdlvaD/Bn2t/Syihat7fXjciZPa5/Cba66M1P26Nl1mMROuwRFum
xTXZQiSWn/34+UFxc4YsvZReSgqLko7PHrHsVjlwTPt/4/V4/eKL2UKgix78svyU9vDhbvJuldfh
Wbe3SI68nCkEAGFZWSMX6pvIn6Nralwd9zClGsiyojI5+3URwc3fT2mN+nn7oeOHt83tY1n3AAVT
EHv6XFxRsw64CCH0mU+KePaec8eq3V28t3/Pbd/vF3Sb6+0mcysemk7GMRnQb9UYrYSth4f32tB/
2MkTxZZzVnqI3wEQIfTbT5lsXnv6zNEMXRzWTzX1l9Hb+gbuXnK02nvxVyMdJHt84t+N9/0lpN+V
J03dauI5dZ7cm4icuWvo1xHnavRdzIiqYhpU241b6qZ4/uTIgG3frn9nO6v3gHZE45Wikh/vOleQ
e/fa5MCNffw39vHfGDbxQaZuhxkLrUv3Hx7aa/Pw6Y8EAaHTgtSIquwzm65fTCGBpz9kcVeTRxfG
BPw6dkVWu6lB/c0JqJ9KKHtN79OXG7ew/+ahUx8JQ0Mm+SkTrLPU4xt07kQlxRXVHgz5uubwdOGA
LcNnxnPDgsZ4KICy+bCpZrm79g/qvW/DXcKgNfvpAKFmMX6xK//8ieFB4QuOkUamEslYa5qRfGtS
6MUHDdFmcs9fP5hrPX64gXJbp4n9ibMbHqW3ZosGazXFFlermclkcVSV3tz6oe+vw2cnKg0IGuOh
wNq40nM1B0swWWqdJv5uWlXzsYtdFS6cGB4UPv9YpVYjp2MsmQOVIhVkaP6mJAfPYljIJNusraue
1r4SnW8y9eTEKR3lzK9q2sNHQaBl06ND7XZHqJlPXOXd5vaFccGbB30TGatmYqMtUanGtxpQMR27
0tfo4cWxgZtHzI5XGNz3u+4Nv/LOimvrMX+6fsr6/QN7bBm3NF1vfN9Rzrz6rYZ15RT7hr+YulnY
M2Tb0Fjiz7Yuse9SWDVZfa6Ob7fWhLltF0MC/olos6vfR7Fi3VQb3+kBMGXZ8W8N3Dri3fi/mHqP
tRFrrSOHW2uotQ3eo/zDyZ2D9etjTmiGrjv4ncLuHoYaBt5LEhW0OQAAaiGL1vd6Nd9JW8dx9Hmu
hfStTyWfkWN0TvYzCdieUbea833mbBnH3RtgqmfTd1t15152nLICyS4PR1/lxQIvfQ2joAOq0/av
CdZoepaPW1A9Vb9BoZqklVQvHgitoI1nlpucHWrTSk3bcVyklp+7vryzpoYCvNZoYi7WbAmt0PWH
pynuCTTWattrU5W1neTZi0bguqOzlfcEm6jrOE2677Hz6Oz23Mbb66M1P26sZSZjF7TXGXlO4p25
kq0jG22ZFmcNkViGhG5Y+JWtHonLg210dGy/2kN8NbKzGgDHZMwfZyZVr/G3MjHvPOWZ/4EzC1ya
fFCAazl2zVTY4GViZm3n0vuXR4314xvPXz30x2VtjwZZGJt3Gn0onT1mIoo+A/3ujjDRM2nXztzC
xtEj+Nu9cRUA5Xd+nfrdzsfNfd8wQug/jigtlfy5sDrq6urSo9C/H5l6Z9ry6gnh/k7i357765Gx
V8dsVFiwv6uNnA5gCwhfbRxwNkrsN8+47TzWh3uatzxnJid29jcZPY4MCGR9C9o/gaEZQvS7T1T+
wXF/pg+duKSX6LXdTfucQUYth/H/y9BZh48uyey8ZZ6FqvSkfwYj+VVh2UHRmPoP9Z/Fib6lTNO0
+AeGYSiKKisrEw1SFMUwDEmSos9KSkoURdE0LRQKKYoa8c1YUc6iEjAMs27NSoqiSJIkSbK8vHzM
mDENxRLzGY7v9KsNvk6XRry8MvEz9BvF0Rmbuna4PCr90rhGrmN+fjV3ZznNaH3q7nyZp7xRC9Vc
n2w5Rf3487Xusg/O1ZKI9j/U4v+omifLg3/S+PXwNHsVAKam4PaingPyVmT+HtLcwz1C6F+qrIz9
YUWp47KDk6v4IAAkxsWKD4peByx3L4v+L/Gs3CZ0PvLbgexVE40+6kbbxxHGR7/VDend7JvAjeKb
zzgzfYb02P8LVP7RubeY4QEDnRTyoh7dyNUPc2zyRkK9zxpk1GIY/78KmRW/67LaiPXmX0gfHv2f
YYQV+Ql7Vx3XG3oDL8F9uoqbJ26ajj3uKufsEqMNACDISntVZPoup8jCVFWQ+/zG6TuC7lM7NvX0
P0IISZKzo0X/rwgFp0l9+m2OvV9o5K8jPfEvw3eeNMxORfG/e8xuJm5rv75tdm05OCRLwNc3Dlwc
FGzQ/GstGOR/Fsb/L0LGR77rOD/Ar03ztwWEmo/O2B7stDi316pjEy3kPTCPmk+1+5q7Hhpack4u
MdoAAKDeZ+OxovXb5wxbVShU1Tfv4L/q6mpfuS8NRgghdvhQPUIIIdQCjMxT9FKDojH1H+o/i/t3
P1SPEEIIoRb6vA/V48U/hBBCCCGEEELoXwO78QghhBBCCCGE0L8GduMRQgghhBBCCKF/jU/oxtcU
Xt9wbNKgPYtPfZDzq8cIIYQQQgghhBD6nOS8TLQZPkRGbX+s8d3qQGcDNbGLAXT+vbvbwhPiswUc
rTYeQ/0nh+mrElD1Mn7nhvt30iqJ1vq+o3tMCNRRlJMSqOrMRynXIxMfa3huntGOpXxsCdjyF0fn
37u7bWd8XLZQQdfAb7T/2J7aCnKyQgghhBBCCCGEvlgffTeeLswpI2wtu1hoaKk0ZMK8i1u/8qX2
mGF/Rn6/e57xm/Dzh55TIMz586eYdx69f7v8/e75Rq9+vXD8Jc2ekso5MP63pYeycnOLC6olX/4r
wpqALX/xmZh3cetXpGmPHfbnle/CZ+slbog8m8mwZ4UQQgghhBBCCH3BmtWNF2QkbZu2Z1CvTQMG
HlofkVvBUHHb9i88UVQVc2lU/9OX3jd0gauzy/l+HoO9NRU5nFYd23cxqch+K6Tevn5S2DZ0gIEG
l6PVoVNQ+5InsaVVbCkZjk7fDeP3bgnu56jI/hvBbAlotvzFu+UMo+Exsfswby0lDkfL0cpZ68Pr
LJo1K4QQQgghhBBC6EvWjAfJqzJ/WxD1JqDf7vWGvIxn6+ae3tZ65Owpo5bz9i3I77p/oQVfLK2y
m89yt9rPTH728zzdju0VmYKKUlW1VqLH3AmF1tq80g+VCkNYUhIEoakFAPK/a0/wZRPQxSz5U6BV
XzeOkUU/I1FSYc6d54+EZl/bc4HgymaFEEIIIYQQQgh9yZq+Gy948jyatB0+zEiTR6haOX/TV+X+
hXSJm92sqvNOrr5X2b9777YEUDQt+pV6AAAgCIKixOYXT/lxGs+/Fv3q9wP9/H8du/SV8eguXq2k
JyOEEEIIIYQQQl++prvxFYUVQl0tXa5oiNAz0oDC8iLZbrI4YVHkirNX9LvPH66nAABcDodh6u96
MwzD5dUtVyqlLLrswqytYb02h/XatvYmKT1VRDZ/bvVF6bk45qNHnr7+/b5fHEvDzxx8QdXPjRBC
CCGEEEII/Vs0/VC9amtVfl5JPgX6HABg8nPKoJW5FgF50gnrUKUxayOOK3RZMctKhwMAwNFS0yzP
/VANoAbA1HwoJDXNVLhsKVlw1EN+mRoiPVYCW/46vb+d2qcuAZmVcT1D1dtHV5XD13Vx8rN4HJVQ
zthpfuzdf4QQQgghhBBC6J8hr/fcQNHFwZebfOjIu1KKqXyVcOBMeacgC7k9YLri4eaIA9Vuy360
06+7RMBpa+aq+/b88exSii5JiL2U2MrVTYNgS/lx2PMXS0BUvI1Yc+1kXAUJdGnKi7vpKhZWqvJq
gBBCCCGEEEIIfbGa0YFWMR270nf3xotjD5TTGjruQ/pO7q5KyHkzHJX8eNe5glzOtcmB10RjuJZe
m3a4D1nctWT9hTGHKqG1nu/UoP7mBJXEntK06QsLMnj6svmLT+faesyfLgxfv39gjpCvo+c9vu8o
52ZUHCGEEEIIIYQQ+sIQpaWl0uMAAEBdXV16FEIIIfSfxzASr4eRHRSNqf9Q/1kcTdMAQNO0+AeG
YSiKKisrEw1SFMUwDEmSos9KSkoURdE0LRQKKYoa8c1YUc6iEjAMs27NSoqiSJIkSbK8vHzMmDEN
xRKDx3eEEELo71dWViY9CgBkjssOTq7igwCQGBcrPih6t/tH3PtGCCGEEEIIIYTQPwO78QghhBBC
CCGE0L8GduMRQgghhBBCCKF/DezGI4QQQgghhBBC/xr/lm58Rezmhftfybwenyk6u+KnG4USrxf6
t2EKo5eFOjsO+e2NTPUQQgghhBBCCCEJjXTjmdJHvw5zszK3MLftMuFgikB6egsJb890GXq0WKbH
LTg9wnrytRrxUVTyqS0XMqiGEeUxS35M8ghtR0gXiWjVM0C4bnZEfn22NSkHxnrZ29paOgQsvlHA
AACTd3VBT3srGxun0FW3ixnWNCDMf3ZizTj/bgvuCOtyAgAybomThq6ZpaWlpaWlTdcVj0ixic1A
515ZFNzB0tLSwsF/RsQb1rnpzEM/nXHc9fDIqKrTkrX+FJ9aclmCiOHW396QaCcAaGgsee3bODpj
UzfXxc8+uXQIIYTQ/5ma3OICPD4ihP6vMMXZxRUt7C8gVvK78eXX5o0+YbcjNj09LWYuuerbcNl7
4S3B8DyXXtsRpiXxg+5ykC8kuvH0uyMbk0LmBmtXsBRJudN3Q0q27HkhSs28/3PuOs7C2y+S4/Y4
n523M5EC8snmOdF+R5+nxO1zPTM3PIViSUMlbft2/tUaoiq7Unq14rstjElNS0tLS0u5udCt/tfm
GckfGGIniPrpu3u9TiSlpaVcGZe7YObRhqsNDeiC90Vm9jbK0rVuLrklkVPyz62u2HyvZrcvQgih
Lw+TEzsr4MTlIunx6B9R8+rJ8gV3X6S1vFGqk1cE7PsjTfKkjS45NWXz/LN48syGNWIIob8EnX8t
cunOzDLcGX0yud346ltHrjhMndZJgwCObvAPczspFAoBmPzriwM72NrbOvacdymHBhCcHmHh3rt/
SE93R88Jx95QTO7eULvvogQAZNxSN78Nr6pOjzBx9u1i77N493yviaerqNdHx3dqZ+7g3rdvF/uJ
V2oAAATPw0d4tzc3cx1/LJMW3l/db8GVt6dnDNkkuknLvD8XUdI9xIzDXiSiTWCgytmTon48Q1gP
+Xmmf2sCVO3atxOUVTJMcVw80zXAThGU2vt7FMU9r5FNA1z76ccvhs/qYcwVDwEbQV11lt7PiV7e
x9XBwc45dPWdEoYpkBgEAACqtFSgpduKD8AzClu+bbQDRyaA5ZfnTz6QFrMiuPfAAFGt16wd0nHm
HSHQ2Tt6WX8XXQNM7q5gr5WJFFQl7Brh6ejYoX3ngVueVMgtiVSJ60kvGgQnh1p/Fy0EYN7tDHT/
KYECwekRFt4Dv+7dy8PRY/yxTBoAqDfHJrq1a+fgPmBrvOiegHgxHkbVN9bjmwu9Jp6ukl2KbJ5s
WJLR2Wdn+Nlb21g79Vl7v1RuvRBCCLVE1IJNQb6/SP5t/EHe01TlqWv779+fLG/nXaeZyQCALn96
8PyMwVv7dt84oP+BZbte5oqeghNmbv1qw6hV6Q2HsYqkZb1+359CMzmxswKOnsurn0DdX7Fl5Kas
hhvVwsytX60Xr1HIsJvJf999bDr/3u2l3+z4quemAQMP/XIqt4JhXh84GOa/sU/dX+9u6/vNSxQ7
bZWdRSw/ABDk/Lk63nBKD29NyfGNaH4T1KOqM+/H/b7s8JSNGS2KVmVq3IbJuwb02DRg8J+/Xiyo
rh3NlCY+2zpz3/CgX3+KrBvHQn6y6pz9Yzb2nZPwjx3yPyKGfz/2LUgod7sWZm7tv/WXu7W3iYSZ
8cv671h0qkD28UoxwodrdgxY+EK8IQrPnfhq0PW4RmeT65MCS+ffu7101PawHpsHDzu242qhZBEa
3ZTY1yj2DKtexm+cvGtAz00DBx/ZcrngUx9C/qQqf5pPXHTjuwX2qfI3apbAcq2+7uGRdG3XHZl7
p6iF5HbjS7NzlU1NVUQDvPajfp7kpgiV15dOf9QnIiHp+fnBST/8eK4EAJgag4Hbz1+9d3FM9pKf
owR6IWGW0ece1VCvr0Yph/Y25QAj1B5wIO72YnsOAFRcXr4wa2xUamLMai9O7abGVNMdF1xNeHGs
56NtJzK4Hj+eXtnLuN/GI9OdeQAAwsRnGSY2bTkMa5EAiNb2tmUJz6sAADi6nkOCbRUBqPTDR/L7
DHTmMRXlVWqa6gQAECqqihXlVYRMGlGOzVRbnR8FaxakjbqYkBh30OP8ot9TopeLD76mAQBUAmbO
qF7m7T9+xR93Coy7hThrV0kHUC1w1fYRlr6LLp47Himq9dzhfvqx996QJTejXpY/vfGcrI59mO/h
a80l05+967b1QUL8vcXqWzderZJTEtGiZbG1nSymUtlvRcSV24eCnm07kUFDReRPC9+MiXqZeHNN
D3UGAECiGFtKptc1lhMXgH0p0nnKIZ2sInLZwszRV16kxO3rGDF3d3qLn1NACCHEwm/5tPNRP5y/
8e00d77l2FFno344HzV9/SA5T1Opmgya3zPQXO7ZQq1mJgMy5bdTKy8RvRaP+vPS1N1r3FrdvbT0
t5y683Im78q13R93bkco+q+adj7qB9HfuYO+ti07uH885l3c+pUvtccM+zPy+93zjN+Enz/0nDYb
OTzi+oyzor+rYyY4q7n1aKdWF2K2WcQPckzhtfs3dDsP7aggNrIpzW2COlTOgfG/LT2UlZtbXFAt
78E+NuS7w8tisjuH7Lk0decsg5dbzh9/SQOAIOnuwh+fVXv7rzs2ZVGAkvRcdeQnI1MPXbuY0+zy
/xVaGsN/gLwtiN+c7Zp+n7J57q3ikL4/hunUrltU3pll58++lDo54zsHWKvFJj8orhtBl969nq3d
3d6hqVWSfUX6hMAy7+LWr0jTHjvszyvfhc/WS9wQeTazYSGNbkrsaxR7hsKcP3+KeefR+7fL3++e
b/Q6rmV6AAAgAElEQVTq1wuitfrjsVWZPTifgD1DtkU3V+O7BTlT5W/UwB5YnnbICOOEfXGv8dz+
07ToKEemxjxoG7bYnA+E6YCBtuujE4SBQCgbGLYigGPk76/3x7O3tH9oWLut52Kz2l1nQjaZcyGR
ULe2b8sX5UBnPE4wC11qwgOOhb254isAACA0O3S2VSb4ZpZGFZllMlsNXVxEaWg0sjJyNLXUSj6U
0KBWl6gyds2Ew+1XX+qkALTkSk4QdfszsTSNET5e1d1+Ow9AwWPJtd+HaoKoOmTyzZjk6BsBLssB
BGVE6P1o8cE+byloxwFQ6Tjt3JM+0cf275vt94vdmvM7LGUC2NdDaoGEno83vfR+rs3NmrFzLO9H
vUwsTXXo6sIHno1vp+M/9u/1gS5LLdD1E7CXpG7R0iUf+E5m0YFSSwYAINQtbYx4wNU30q3ILKOp
ikcJpqL2srRtx88CkC2GutjsVBrLUqTylHftSCoZWXo31iRopREXiI7zI0/VKDf5pARCCKFmIDgE
FwhgCA4BQHC4XI5or8wAACNIPXn+wvn0NwIV+349540306p5fXD+fdNtI0dYMtk3bm7ZnZScT6mZ
WQz4oWdfe8WGHoKgecmqXp85U+E5b0iQgwIAqFjZTVhAXEylKhlQAABCwb6z5qPN0fccgr1a1c/T
bBwOl9twgKGzH80cnazbSyUnruB9EaddsHc/vdcnzr7NKSQ1O3nOmudsrgSlCY+2bY6NzRRwdQx7
TOo12leTB1CZ/HT7xof306uINoY9JgaM9dPkAdVIpaqzy/l+HoO9NRU5oNixfReTZy/eChlHbn2C
mudPzhbYzPBVae4sdOmtS++sw4K1CFGjVMUfOHXqauZ7Rt1pQM8fvjHRePdo5pis4ONf9dQAILN2
DDtXPXPiDKe6JjCuWwxAadyDTesfx74DfVcro9KG8QAAHJ2+G8aP0OImb/89jv3KPgBA0Y3z323j
fPtbsJdmTdymP1ZkdNywhP+mQNurl6EWnwDX9l6G8WlvKLCsit73jD9s6Iyw1o0drpkKeclqUh5u
u649uB/nYLrkBABgiz+TzRYEd5BNSQAIs1P3b7h1NaEcdI2DpgaM9Kg/YZRUtxoPV306e1RK2/5q
Gbdzc4sIs949540308hhWeI3FZek4rNxg4v4s50lT+9v3BD7NIfRc3W0L3+WFzBuhVvynOZlPsNd
JpbytyAtOdt1Pab49a55V9M6B6/5xrBhXaSrs+KziT7S/TUFR/uuOsdj7lT0CFUlAJic1OikVt2m
6fPYgknkxM4e9VzDm5t8p8Z/w4jA97ekm6Bh/8ARZCTt2XT35otyWrON5zD/Sf30VXJjZaOtVVd6
htHwmNjdx1tLiQNKjlbOWgmvs2gwqY1MI5uSvDWKNUOaev2ksO3AAQYaXIAOnYLaP70cW/q1FcvF
Tbb9A9ueRGJdqg/ON8NVkqWqr1q7DOGjn/duVQjeM8OED1B159LYbcoL9/tZ5f2t0W5it8A6Vf5G
DQD0W/bAKjnbdCq5dj3ZfZwD+7aImkNu7DQM9CozMytFA2TiH/N3PRaIdYKBIMQGAAAYiqIAgCB0
Q8JMbhzYfLk6qI+lTHsShOi/BQgen6AoBgjWIgEAQ1M0l8ery5V5f/b7KfcH7Fnuow4AhJq6alVZ
BQMATEVFjaq6EiGTpjH8TvNvJCUnJyfH7xuqK1ZwYQ3jPOvCk2fPnj17kf50tSMpPvizDx8A6Jx7
J6PfKLXrNnrp/pvH+z5bvTeRbiSAdbjWXd1yYnZdznUJHdZL4+6Ji0+1fT1VgPlwYvbC3JGHIy9f
2DzQSKzdJEsiWjSATMnZ2k50gtAIBhhGsr3kFkOEbSmfTlFDW72uWgghhP4yVMHLStt5h77dt8q6
4uTN82IvxWE+JIWve2M2a+zJyAmLfMsPrX74ku1GSuPJqOz3GQJdx/YN18+VrGy/CjGuO1kmDHr3
HGmasXPbSzmP+LcQXcnt2HPDHxP3b+4gPHVxxwvzuXvHHzzax+X1rf1RlXRF2q4lz7hDhhy+PGXD
EN6NtbfuVwBUvN6z+EF5QNi+yO92ztJ/sf7imSym8Uopu/ksn2WnywEAYPKzn+fpdmgvduWCqbj5
Z3Lrvh3txG4aNDFLdU7iKw1z87oZqOL3Ki4rjk/9Y70THXFx793mPu3LVKTv+elxVcBX+y9MWD5Q
pUT0St96BF9Ti9/kYbqVn99Yu8zf92eVJj/cdU11yA/ObbUMna1K71/NKSGp4rgXD4sMXex5UJ39
JFFR5VX0lH6bw0L3Ltyd8UHmrgwAyE0mzDux8YXxpK7uLP2mJlYqcewpq7P3z7+W2iEg/MLU7ZPV
b6+5cav+JnMjqA85ap1X7p9wYJszFSGxLYiTjY94H54pT9u9PLY6IGz/hYkrBnLfZtQ1QfMyl9XU
FiRfxbvD8y/cM+m+9Hvzhj5bI3j63Xq2SrrxspAGAOZtdEqGtUM3U0JuMKmySjO/X0+PHKmXzNIE
9aoyf1sQ9cYlaPfFaftX2Zf9cXpbTCUDjQWEY2TRr4+JNgeAFubcef5IaNbZviHEcjcl+WsUa4Z0
cUWpqlorRQAAIBRaa/NKP1SyrGWs+wfWPYm4uuCMMnvLXn0AAL6TvwU8SEsWAoAw8fYb9a421tTf
He0mdgusU+Vt1AAAIDewfD1bi4oX4t80Qi0nd1NW8hnonxC+63klAJ1/ccPqB4LWfJ61r/vb0xEZ
JFBZEadSOvs58gGYitfpOSTUpJ29kO/k2pYDhG5wP/0ju3L8+1jL9OI5Zm5OmRcuZJFQlRr/slpe
23E5dI2gbiLX0Ei5IL+GvUgAAHR+XpWBUe12KkjcPHqd6vJ9k2xF+zhC09kJoi8nVzOVzyLvand0
VJBN8xF4Nl1cMw7//rQcmKJb23fc1fcSH4wRnX8InoRPXXoqUwDAlOXnV6uoqbEFsF5drfkdu1pe
237bqrtDGz8/4a6dlV7e2gQwVUVFAh6fB5UvYh7mkPVvtpMqSe2iZbC0HaGlBa/TC2mmODH+Dcu+
CgB4Fp07vBG1V8rzdCEASzHEG4trKbMUifxagGft5Zp5+XIODYLkjSEhv6YJPrzNkf7yIEIIoc+J
ZxQywtJIld/a0aJ9q4o88Y4fweFyqOLs4g81SjZDw3b+4moqc4wHaCIZIxAKQEFZGQCYnKOHe4u+
xz7wRkL9lyy5WkE/eJs+uLGr4ey2eRjB9Xkba78S3LXum8Bc7Q4uGjwAJVNjax1lJ3/LNjwgVPVs
zZi8nHJGwejrjYOndNdS4PAMvc3NhaXvi5maZy/u8uwG99FV43K1XdynfG9tyDCNV6pBdd7J1fcq
+3fv3bbhRJd8+TQi1axfoKb0ua8I2yxMUVkhpdyqvvvBM+g5wExXmadh27F/VyL2Tg7LF1bZCONf
PuTYDhlkoKXI13Vx7GLOXoQmcNT8vvc2vnll7sp4paE9+ppygKMdOtWJPPLnsJ6bv54RpzTML8CQ
oAtL8qorilTaLzz03eFtnZUvX9oRxdKCcpJRGUeuXTf0Huejwn5W2sz4A3vKmmcJ18uthg411uJz
tT06+rXOvBsn/qtEcvD0/YL1VTmgYGRoqSW5LYiTjY8YYfzLR4T14EGGWop8XZcOPhb1bdq8zGU0
vQWxEz7eevZ4qpDhcus6YczrPw4N6LU5LORUZGH55dlbw3ptHjD5gdhPHxOmPezbvUi5k8cAXXjr
xgf7ABt9jvxg8vT9ehvrKPN4XJYmqCd48jyatB0+zEiTR6haOX/TV+X+hfRSpsmA0K9+P9DP/9ex
S18Zj+7C/qiOxKbU1BolmyFF05J3oiiKpVFY9w8E255EYra64FDP5FQfAAAUnOw8iVd3X1AgeHf3
sXKX7nr0PxPtlpGzUdeRF1iC31qbX5RXzt7/QM0j/6F6jcCfdyeOH+lkUUrxDXou2jvRnAPQfcmm
mJFh7X8V8A37rDsQqglCACIvYqrvtqQcxV6/nOqqCABEmx4BnRwK+9iy7GVVey1cHtHf12JjG8e2
JLd+fyaJ3zHQfdY4n2Wn7ixx5wPPwcc1KzpeONiLtUhAvXmSaum9RAEAgCk4Mm/hrXTjzK6OAMDR
G7oncoHbtHX+Xw9y2CtQthsXfsiSyxQclEnTWX4c5FALXLnj9oiv21sRWu36rj5gELByx52GQQ0C
ADhmE/esyf62j8O8cprb2vP77RMt1dSkAwj1e96GWi/29HNQ4/Rw4ROK3X1NN733accFAMNBc78a
OMHGVNG+W4f2nPL619ZKlUSDPaagLNN2nC4Tv986zN1ynZ6DIY/Ql54BAABUAxatOD3A12KjrpM1
X6UtAEeqGB943UXFPrYGgG0pModKpmh/WM+0JfeXd2w86KoBi5dHft3Dbg1Hy2H8lj0mT1Z0Xm5x
/vxEYzm7ZIQQQp8PQRAMLX6TppX99LXkkcPXZ+0qVbS26jvWO1ivYWq9xpMRSgrKUFNZCaBAGAwe
dm4wCG9dGPprQwIA4Bh2mDI+bdqvN25vbCcxoXGEov+aybO8Gk486GyxqQAEAUTt4YMgCGBoBvh8
KiP213XpGcUUQwkKSA0XgMqiiprWuq1FKQlFq56uVgAAjVWqlrAocsXZK/rdVw3Xa7hFwFTd//M5
EfyVm5pYynqsswAwJE0Cl8dyjOTo6KpUJ1fJHFjZCYora3TatmE5F2sZQte2n/edBVeN5/TR4QEw
pek7liYa/DB6VQ8tYWrcpsXn9rT7eoIOTfHa9h1jbawKoOoQ1v3Bsvs5pL+F9LV8iiVZtXnh1ovq
I7ZatyIgR5SMLrswd/+eeAqA57lg4pyuLPFn7Xmwrn4l+eUVH96u6JssOj+iKca+uPD8rBN76/N3
l8pGGgES24IUifjQZRfmNJR8cmWVUNtIh6UpGzSeuZTmbEEsGIZj47XhW/7BGdfWndRZMVCbB4Rx
3z5bulMM+e7gtJvw7aDhDlyCr9RG7BSL0Lfp4XDv6s2SYOfkmPcmg7uqEQCVssEsqb/vBiCnCepV
FFYIdfV0a9dJQs9IA2LKixiJm2psAeGYjx55epQw7+nDdcvOHDQf8Y2d5GotuSmRGbHSa5Q06QyH
czkchqlfLMMwXB7L6aac/QPLnoSVnOpD7UU+vmFXH876W+9Hki+falovseBUJv8j0W4hto26YduX
H1gOl0MJsRf/SRrZtRCtvGadeDJLclyb7ssuxS2TGKXSedbJHT3EVgo6NyqaDF0seuZFsd8fqf0A
AMB3c7IvQEWS7jdn0nYZ1cQu8p+uYcYVS6A77sJjUQ5thx1KHSb6CACq/t94/XLgWqlXkAZLkWri
D101GXVM9MA7oTPqXPkoiekAOt2XRSaJlZktDQCAyuBjLwZLjOE5LXt8XWJMQ2k5+gGrriavapgk
NQgAwDMJXXU+VGKkTAB5nVY9PQUAErX+5tzrbwAAwHLW7aTahIROj5VR6StrhwBgSmoYALCUBNhK
ztJ2Sk5TIxKnio0AlrYwG7Tr8SCxJCBdDLCoK3ZydwAAqaXItC+VlF1oYGog2qtw2k2PigUA1kUb
9910s+8m0WcAWPvsYv1nhBBCfyu6pOi9iuXolU4Tqer0iIuLFsToHQnoJPMis8aTcY30LVWePXla
1aubspxrzgBA6If2GH37UPhWoTYDZgCgpKDECMrKAXQBAIARlpfTyroyz3a2EJX2cPX6nO4bh8y1
VCSKEhYNiQcAlVYq/KLyIhr0OABAFaS+K2tjbMpprFIAAFRpzNqI4wpdVsyy0hE7+aczE07G6vb5
tg3LyZacWQCAUFFUAWFVNQPqUlWkC/MqlTSVFYgKDjA0a0dWjKKmMr+wrJACQ5b+SAtQmXGHbyra
GGcfPZLjMd6A8zIjljSb1a21MgeUbTsEdby37U7e2G/UdbgVhR8YEN3H4BDA1jxEK9lk9LOjj1Lf
12wYtGkDADA0SecOD7WeFTE1oi7CdMkH2fi7EoRsEFhXP0dNZWVj1xX7fKzEu359p4bWf5Z+tTY7
gm2JIBOfkF+mhtRNqrmnovCh7AMFbZtqAnmZS2neFiSDUHDp18HcjDv9x9xZS87vtx46xkmBp6Fu
oAEgLFXhcog2WoZGMtd7OGpegW33nXgRnZ9a5tnVXQMAQJktmIxYX5m1CTrVTVVtrcrPK8mnQJ8D
AEx+Thm0MtciGrswRWZlXM9Q9fbRVeXwdV2c/CweRyWUM3Zij7dIb0rUU9k1KvjNrIhQXyW5GRJu
aprluR+qAdQAmJoPhaSmmYpMRNj3DyaFLHsSVnKqXz+dY+1vxV+RfF7wRsuvnwkHhH97tD8C20bd
MJWjJTew1ZVCJT2xLxOhlmtqv9Ji5MNlnp6bDWZOcmQ5aAEAXZW4fZCLnY3zuMSB6ybIfnmejVKX
OdPo7Wtus/wCiSBx++qXgxf2lvnqC/pCMWXvFMNmD9LDBkMIoX8R+m3C2u8vnnlRSRI8NS1FPtCs
t1GaSKZk1v9r7WdbLx57VFxBMjVF+bfv5pGqCtI9Eo5mwA8+FkmvUkkAAELTxN2h5PLep0n5QkpY
9frGrZNxGu5ddJp1BiEfU1ZVTtLCGrKqpOjJmeR0kiEpUHC28xImH79YUEFTxfGP1s25+aC4qUrR
FQ83Rxyodlv2o52+xKlPzZOjz4r9XLu2qaseU/XyVvqrskZmAQAgtFobq5fm5Nad85A5V46/zqsm
S5OfHL8Jbj6G/Faaegr5sXeKqgRVGdefxxbKnh0BAPA7WHemko+eyi2tEeY9ib/9ij1ZE6iiixvv
lwYFrFjkrnbu2tFkkmukY1yRGXW3RMAwVVmp0XFUW3Mtnno7f8+Ki7uepZXR1VkvIqJqOnoaytQM
CJZkxh7zppy7IXqr//TwiQZKnXsevFjb4xJhjT/BFgTWlAoudp6C5wdO5JRSQBbnXNh6617+x4SC
dYmy8RGfRaGDtTuTeuxkbmmNMP9JfEya3OWyZy6rmVuQHBqd/eZ+rXB5xdXbzYuAhqeDa+7j8Euk
Z2DtD0U1GUzWJqin6OLgy00+dORdKcVUvko4cKa8U5CFnC+c1CIq3kasuXYyroIEujTlxd10FQsr
VaKxTYnrxrpGKdbOwpoht62Zq+7b88ezSym6JCH2UmIrVzeWx1tZ9w+sexJWTVafa2nrrfD88DVl
b7/WnH8i2uzqo82GbaM25NXNwpEXWLo8N5cxMtX87B3R/xTZfWzLNNxrrcXrvOTBmyXiYySpu045
eGeK9NgmELr9Nq3TTWG5fkRD53lbPc0/8ViO/j6EVo+ZP0iPRAgh9GXj2XvOHXt9++K9Bz/QSoZt
g+b2dJO5FQ9NJ+OYDOi3SuX271sPH8mqIhVVTZwd5qz0sOQCSD7YSei3nzI5LXl9MQAARzN0cZhw
x+1fRsfkVXG0Ldr1WvzVYAfJExhGcH3exvqn0DitOyzbxPoN2gY8p86Te18Kn7nrMFfTpY+Vi1lm
VTENJu3GLXXbtunkyC0CRUPjnrN6D2hH8JjGKkUlP951riCXc21y4DXRGK6l16Yd7ibvE0/cVA3e
btKQtir7zKYbSj+aTlZhn6X2i9V8g86dqMNxRbSjNgEAfF1zeLpwQEQuo+E8IGiMhwIQ5sOmpq/d
sX/QJkUzz3YGrdlPzAk1i/GLXTf+cmL4LtBzdbA1JQqlk0ijUm5NmVk2OiLYvfaJWCb3/PWDudZz
Vxgoq+pO7J80d8Mjz63uMxaW79x7eOgKAaHRumNo6LQgNYIAr+l9ctdeWdg/WqDcqmP/kO/92LqW
hHKzkkmSs1KxBIE1JQHmE1d57958YdxvFaSypnO/blO1m1wmG2XZJbLGx9Oy/glVVfOxoibYDXqu
1ia6RJV4huJYMpdtDmhsC2oWnsWwkEkph7euemq61sWED8A3mXpyonSqeqqmPXwUYp7Y9OhQu7kR
amzBfN8wB2sTNDzvoGI6dqXv7o0Xxx4opzV03If0ndxdlchtmF0W19Zj/nRh+Pr9A3OEfB097/F9
RznzoOp1szYlcXVb39RObBkS+kMWdy1Zf2HMoUporec7Nai/OcESf1W2/QPNticRPTokhbX64gm4
Or7dWp+8b9vFkIB/ItrsGkLH1m1k3air0upmYQksADBl2fFvDdw64t34T0KUlkr9AkktdfWm3uGO
EEII/ffUv2JU3qBoTP2H+s/iaJoGAJqmxT8wDENRVFlZmWiQoiiGYUiSFH1WUlKiKIqmaaFQSFHU
iG/GinIWlYBhmHVrVlIURZIkSZLl5eVjxoxpKJYYPL5/+cjUO9OWV08I93cS3QP9u5CxV8dsVFiw
v6tNc7uF8glfbRxwNqq8YevgtvNYH/6fu/HC0KKfgAOg8g+O+zN96MQlvUSv7W7a52wO1HIY/78M
nXX46JLMzlvmWahKT/o/V1bG/lSD1HHZwclVfBAAEuNEX0KuJXpvINtlFYQQQggh9A/hWblN6Hzk
twPZqyYaSd6t+0sJ46Pf6ob0bvat3UbxzWecmT5Deux/DJV/dO4tZnjAQCeFvKhHN3L1wxyb/xtJ
n7U5UIth/P8qZFb8rstqI9ab/9f68J8dduMRQgghhL4khILTpD79NsfeLzTy15Ge+JfhO08aZqei
iN2Wz4bb2q9vm11bDg7JEvD1jQMXBwUbNP+qDDbHPwvj/xch4yPfdZwf4Ff/0hD0sbAbjxBCCCH0
heFrdZvlLz3yL8ZRVVSWHoc+BVffx2exj4/06ObB5vhnYfz/GjyXccHyfpMPtYjsKyAQQgghhBBC
CCH0hcJuPEIIIYT+KRWxmxfufyX5nnoAYIrOrvjphryf3fp3YAqjl4U6Ow757Y1M9RBCCKFPgt14
hBBC6D+FKX306zA3K3MLc9suEw6mCKSnt5Dw9kyXoUeLZXrcgtMjrCdfqxEfRSWf2nIhQ+ynjctj
lvyY5BHajpAuEtGqZ4Bw3eyIhp9Jrkk5MNbL3tbW0iFg8Y0CBgCYvKsLetpb2dg4ha66XcywpgFh
/rMTa8b5d1twR/xXa8m4JU4aumaWlpaWlpY2XVc8kvi576bRuVcWBXewtLS0cPCfEfGGdW4689BP
Zxx3PTwyquq0ZK0/xaeWXJYgYrj1tzck2gkAGhpLXvs2js7Y1M118bNPLh1CCCFW2I1HCCGE/kvK
r80bfcJuR2x6elrMXHLVt+Gy98JbguF5Lr22I0yrOa8rIl9IdOPpd0c2JoXMDdauYCmScqfvhpRs
2fNClJp5/+fcdZyFt18kx+1xPjtvZyIF5JPNc6L9jj5PidvnemZueArFkoZK2vbt/Ks1RFV2pXQ3
lO+2MCY1LS0tLS3l5kK3+lcFMZI/IMhOEPXTd/d6nUhKS0u5Mi53wcyjDVcbGtAF74vM7G2UpWvd
XHJLIqfkn1tdsflezW5fhBBCfxfsxiOEEEL/IdW3jlxxmDqtkwYBHN3gH+Z2UigUAjD51xcHdrC1
t3XsOe9SDg0gOD3Cwr13/5Ce7o6eE469oZjcvaF230UJAMi4pW5+G15VnR5h4uzbxd5n8e75XhNP
V1Gvj47v1M7cwb1v3y72E6/UAAAInoeP8G5vbuY6/lgmLby/ut+CK29PzxiySXSTlnl/LqKke4gZ
h71IRJvAQJWzJ0X9eIawHvLzTP/WBKjatW8nKKtkmOK4eKZrgJ0iKLX39yiKe14jmwa49tOPXwyf
1cO4yddNC+qqs/R+TvTyPq4ODnbOoavvlDBMgcQgAABQpaUCLd1WfACeUdjybaMdODIBLL88f/KB
tJgVwb0HBohqvWbtkI4z7wiBzt7Ry/q76BpgcncFe61MpKAqYdcIT0fHDu07D9zypEJuSaRKXE96
0SA4OdT6u2ghAPNuZ6D7TwkUCE6PsPAe+HXvXh6OHuOPZdIAQL05NtGtXTsH9wFb40X3zMWL8TCq
vrEe31zoNfF0lexSZPNkw5KMzj47w8/e2sbaqc/a+6Vy64UQQkg+7MYjhBBC/yGl2bnKpqYqogFe
+1E/T3JThMrrS6c/6hORkPT8/OCkH348VwIATI3BwO3nr967OCZ7yc9RAr2QMMvoc49qqNdXo5RD
e5tygBFqDzgQd3uxPQcAKi4vX5g1Nio1MWa1F6dC1DVjqumOC64mvDjW89G2Exlcjx9Pr+xl3G/j
kenOPAAAYeKzDBObthyGtUgARGt727KE51UAABxdzyHBtooAVPrhI/l9BjrzmIryKjVNdQIACBVV
xYryKkImjSjHZqqtzo+CNQvSRl1MSIw76HF+0e8p0cvFB1/TAAAqATNnVC/z9h+/4o87BcbdQpy1
q6QDqBa4avsIS99FF88djxTVeu5wP/3Ye2/IkptRL8uf3nhOVsc+zPfwteaS6c/eddv6ICH+3mL1
rRuvVskpiWjRstjaThZTqey3IuLK7UNBz7adyKChIvKnhW/GRL1MvLmmhzoDACBRjC0l0+say4kL
wL4U6TzlkE5WEblsYeboKy9S4vZ1jJi7O73FzykghBDCbjxCCCH0X0emxjxoG9bfnA880wEDbR9E
JwgBCGUDw1YEcIz8/fWeP3tL64WGtYs6F5t17ToT0tucC0CoW9u35YtyoDMeJ5iFhprwQNHC3lxR
9AQ2odmhs60yoWBmaVRRXCbTzaOLiygNjUZORDiaWmolH0rEZqyMXTPhcPvVczopAACI38cliLqn
viXTyCV8vKq7va2trW2Hb/7MY6CuOmTqzZjk6KUBLs6dhx/KLcq+Hy0+mPNW1OdU6Tjt3JPLi7zI
a7P93MeeyKphC6AUQs/Hm35wP/d2VM3YOZZPol4mPkx16OrCB56Nb6c36/v3ChywMrqgtFTAXpK6
RUuXnLXtZBHqljZGPODqG+lWFJfRVPqjBNPQUBMeKFnatuMDgGwxxFFpLEuRylNiBjFSycjUu7Em
QcFGXFDuOD/y1ATTJp+UQAghJKNlV6oRQggh9K+mYaBXeS2zEtw1AIBM/GPxHbslY/j1nWAgiHkZ
1AgAACAASURBVIYeMQAAMBRFAQEEoRsSZrLjwGaj6qDVllyQenkZQYj+W4Dg8QmKYoBgK9KETorA
0BTN5fHqcmXen/1+yv0B+076qAMAoaauWpVXwQAAU1FRo6quRMikaQy/0/wbV783qbuKUN9rFdYw
zrMuXP1ONIWMXXBVbFCEzrkXkWLQz6/b6KXdhvdd7DFub+LuRgJYh2vd1S3nwK7LuS7jV1omTT5x
UajtO0UFmA8nZi/MHRMVGaj+aK7L6ob0kiVpIFlyModl0YTEJQ4WDDCMZHvJLYaIWJ3kVrDlFDW0
FaXHIYQQaoZGLoIjhBBC6P+Nks9A/4TwXc8rAej8ixtWPxC05vOsfd3fno7IIIHKijiV0tnPkQ/A
VLxOzyGhJu3shXwn17YcIHSD++kf2ZXj38da5gYqx8zNKfPChSwSqlLjX1bL60RyOXSNoG4i19BI
uSC/hr1IAAB0fl6VgVHty9UEiZtHr1Ndvm+SreguO6Hp7ATRl5OrmcpnkXe1OzoqyKb5CDybLq4Z
h39/Wg5M0a3tO+7qe4kPxohe2C54Ej516alMAQBTlp9fraKmxhbAenW15nfsanlt+22r7g5t/PyE
u3ZWenlrE8BUFRUJeHweVL6IeZhD1r/ZTqoktYuWwdJ2hJYWvE4vpJnixPg37I+s8yw6d3gjaq+U
5+lCAJZiiDcW11JmKRL5tQDP2ss18/LlHBoEyRtDQn5NE3x4m1P7NQyEEELNhN14hBBC6L9EI/Dn
3YH3RzpZWFr6rOMt2DHRnAPK3ZdscjsT1t7eIfig5bpVoZoAAERexFTfDnaBR+xWzumqCABEmx4B
nRyC+9jK9OIBVHstXG6829fC1ufH6Eouh/1uLb9joHvMOJ9lD4QAADwHH9esx/FC9iIBUG+epFp6
1z4/X3Bk3sJb6ZEzujq2b9++g//KhyTPedo6/5uDHCwdR8d/tXq8JZcljcTSm0ctcOWObre/bm9l
3215ppm1QZDEoAYBAByziXvWGO7v42BhaeGxsHTyxomWamwBrNVQaxVPPwc11x4ufEKvu6+pVkef
dlwAjuGguV8lTbAx7TQjQa89p7xITkk02GPK0nYKXSZ+z9/gbmkX8Gty/bMMUlQDFq0w3u1rYeu7
8BGhQsgW4wOvttiiKMouRQZTtL9fp0VPmwy6asDi5cZ7etg5uI6612vJNyZP1oSOPZgt95l8hBBC
LIjS0lLpcQAAoK7e1ONoCCGE0H+P1O+AyQ6KxtR/qP8sjqZpAKBpWvwDwzAURZWVlYkGKYpiGIYk
SdFnJSUliqJomhYKhRRFjfhmrChnUQkYhlm3ZiVFUSRJkiRZXl4+ZsyYhmKJaebxXXB6hGPkqOc7
eojd16bfHRj09evFVxd3YPlKXkVSdJxmFy+jmthF/tM1/oiebcXS2ZdSfXtW0EH/MzuDNKSnAEDN
06WhW5yP7e2Hv3X270AlrfKbq3v87Dh9bDCEEJJVVlYmPQoAZI7LDk6u4oMAkBgXKz4o+mIT3o1H
CCGEUJPIh8s8PTcbzJzkyNKHBwC6KnH7IBc7G+dxiQPXTbBsug8PAEpd5kyjt6+5zfKjY4LE7atf
Dl7YG/vw/xZM2TvFsNmD9LDBEELob8B+LEYIIYTQf5livz9S+4mP4HVe8uDNEvExktRdpxy8M0V6
bBMI3X6b1ummsLxbnYbO87Z6mjfragD6EhBaPWb+ID0SIYTQXwO78QghhBD6x6jYenWUHgcAyg5e
LtLjEEIIIQQA+FA9QgghhBBCCCH0L4LdeIQQQgghhBBC6F/j/64bL0h7u3h4dNduDw68anhhTuX5
x47BKS/Yfzu1QTOTfTlYK/vp6KxXgxzv/5kvPb4Rf1FJ0GfCZP1+x3F0ZmELG+cj1oTP6F+3PSKE
EEIIIfS3aLIbT5Vt7XOh88xc9tfj1xOWXtj+5tEH6dF/N6Y6YmXCHSOr8EPO/U2I0stPvEKS41ve
DWhixi+ystJT/2JUUkqQ44NjoiB8vpII7yV4WZ2zsKj/O++/pqjJn6D9kjWxLiEpX8jGhRBCCCGE
0JerqVfcCeOyTr/lkm+zrhXqh2lLT20gLDu3441jLxO31p/Ui/tUdPXbd0SHYQa2hhwAYDysftHl
2nChpX0o9boZ2X2Rlf0nfd6SaBiH33Luplg3SBDy2uFfoYl1CUn5QjYuhBBCCCGEvlxNdLuoeyff
CUMdvrUrPHGhkgYAYN7svu04NquYAQAgHzz37RwXdTcpqHtCTHVZ+JBrk45V00C9jEj4utvl9g6X
fQY8+yNeKP0kb03FhZ/udXO9aO94tc/0jGelAADA1MTuju3jdbm9Y6T/yMTILBoq8+Z5XVt6nwYA
APL67Cv+qz8Igc68lDSqR6SjY2TP0ck334vlLSxYFfxg/2sycs61LhPfvKOh6nbKxIVZryQ68fJn
F9Mwo0xRyQeSlZVJ0KCmYLH3taUPaACgc1+PcLy5JYUBAColtY/bk8vlwFYYJuv3O+1DH00Pu+LY
M+kpKZugjkxlgSXsLI0VI2Syfr/jODBu7ZRbvXwiO/ndWxcjoAGAqXm441FApwv2naIm7CgsYQ8M
G5aS1JFtU9HT3bJLl8ThEVxu3R+HebP7dvu+sQvHxPTqEtnJ796as7kHZt8J9LvayePm9wdLqtgX
BMCQCQeefuV92d7hcrfhiZdEIxtpL7lT2VqBNSXbSLGVkKWBmogGSxUk1xAhW8XZigEAUFa8f3qM
R/sLTg0LYqtaY2tCM9ZPljID24JY6l4juXGJlswUZ3/rcm2ZaD9AVx8cfin019KWXphDCCGEEELo
/0ij3Xim5P2JK5xefYx699ZKPJGdLufcmetmf+mGo6+S+sQjPXYOUqq+/2LSyjLPX7o/i/cP71Oz
Y1JCpOQjsvlnni+4o77yWlDCrU4B71PmhBdTAGXXE787RIw70jP+kfc4pez5696XqWj39oebV4pq
AKDqw9U7/MBgLeHj5AlLit1W+z150nWuYc6c5e8+1Hcz+DrzL7qPNOUFretxJ9yU9cZwZSOzs5Et
KuEuUdlCmQQNQVLQ8vWgH98vpwA+xLx/TlVE36ykAApiP2Q7t+msKrcwVA5p9aPvg/O21s/YEwCw
VLayqbCLI19Vak7yuHyr55Gv6T9+fp1CQdmNpOl7ybDdPZ7EeIzWEbyX7VvLI1OSeixtCgBsS28S
XUh4rPC+cqfHwUHUgVnP47q5nI/uGb21zctfUi4Wsi+o/FbS1J3Cfrv8E576rezwYdHMjAyKpUHF
F846lbWZWFOyjqwnr4EaiQZrFUBsDTG/yVJxecUgU4rLQ12vPvTfFSjc//PrFIq9ak2uCY2vn6xl
Zl0QyNQ9vZPExiW6HU9o6oZ0oaKuFgkBmKL86OcqAQHq+HADQgghhBD6D2Pr69bLj8yK0TIIcebo
9jB0zXx7Ml7mjJ4FdfdEtrC3zQRXBR6Xb/+13TDt98eu14h3ljk8DqemJvN1tUCj1YRwv31j1bkA
iq7WBw47hppwOUqqPbpp1LyrLKK5br31ITo3TgjVsbl3WhmEtIeHx96WBViNd1Pk85W6jTBscy/3
YZVY1k2gWzo7a1GbnYDXybdV7sPC91TN7ajKnuOMi2/m5VDk0weldr46WoTcwvA6GA1xU1JRhEdy
ErBpOuzieB2MBrTnc4Bj1lFLO6/qPU0/jnzPDbUa01FRSUXZc6Ch9efoJ7G1KQDL0iVnK3073q72
u/GWLk9v1AAAcK10PA04AFzLzq30NHVCeyrzANQcW1kxVVnvGbYFUQ/O5vD6WA2z53MVlDwnOy4K
VKWbaC/WqezNxJaSfWQd9gaCxqLBXgXRLEPclFQUOcosFZdbDJ6r6bc9VNVVlFz9tXXyqt7TrFVr
ek1odP1kLTPrgmqzklN3MQTfN7hNRVRuPAll998/MzEIsMTn7RFCCCGE0H9ZI9+NpyvOnSg0CLJ1
5AGhrR/qkfTLicLvO+pIJ5PCCPPzaAMH5dqMucomRhD58tVol1exQgBF/XW3XQL7Ou2tfhn+051f
srn2Ae1mzDQzBFBQZl7+Hr/wemmhEKjSKqFxG4YBBRejAN6zqwk25NX8VoFuNhxhfJ6w4NFj93Oi
83iGZFoVlwGoiBWgEYwwt4Wza7MVtfkJND102y/Pf5yjeONlq7DVhkrn02Jy1NPiVXymKXGYGvbC
1GtRaVnDnltNK0kmk0UAMAxNU0UfaD2rutk/E9Y2leiBiZYudbFBw3j3vY7dFeqHmTdiE4EA4NR9
W54AAhiaYVsQTRYU0m0cFEXXqQh1rb5jAACg0fZiaU1GwNoKLClZZ6/PWl4DqdWnkIkGw1oFJqtu
OsiJMFsxGAAAgqgNPgcIhqFpYZ5s1UopfjPXBNb1s5QkZMvMCB7JppR6ZybrmlBH3cfQZ+mLqwnW
RVEfDHvZWMhcWUAIIYQQQui/RP7ZOpX69lQclRobY72tdgynVWb0HB1HDgE0I+d8G4Dgt2nDyc2q
IkFFAQCoqrc5oOPX7rcntnX9N6boVaWqv93OoQ5UccnBWQ8mr1GJWtPmdXjsomfGfxxxsVMnCo/e
9zsOAAA8rdAA4ofzr6tvKwaFq3MJunUrntlo94uztD7mTJ7gtXB2pui1bFF1lZudgNDR8TFPvRYO
iR2MVmm24npW7vsjt1BVZ5UpIacwYp009gRysIddkVfRaGPVI7ittDj5OdUUqDb6fEaLMC9Y2/Tz
Y1sQwdPW5hS8F9CgwgGAmurEpzV6ndS5bxppL9bW1GZrBfZ1uJpldt3aOeQ0EEfu4xVyqyCWgq3i
7LVoIzZXHfYVjL7RzDWBfXbqGkuZVdlSSlyPaIKaTogPufb866IHSgET1ZreHBBCCCGEEPp/JvdU
nX56MjurU/vol73T03unp/dOT/AYpJR3IlLQuq2yYkr+9TdkdVHpueN5eaLnYDkcRa7wfQ4ppLie
XxlyzqXueVpD0WTK8ZTDebr9/RXF7sEyr489HTbrVdwHmlDit9bgMBQDwJQWC0mSFlSTRRn5hy+U
kiRNAgAQdiGGiidTz7U2CGpHAHA9+upXnUz5Pa6GAvrDs9cr1+eyP4jLrqWzsxZVvLJyEtTjqHh7
/4+9+45vqmofAP7ce7OaJt2LLkYZpbQFoWW37FGWgAq+KrJkKIrwgvxURMWJAuqLoiAo28EQFWTP
MstoC6XQFmhLS6F7JB1pcsfvj7TJbXKStiwZz/fDh09y7jnnnrvOc0/uqOzA5sLgvh6OFBPR3y1t
U5amq1drBhrQmHoziBFXu8KDuLEI6IgYb8POq+su6qsrq07+fsv4hLZQUrb/oKYRr7urw9Y2vfdI
M2K6DvfR77i2JdXAGarPrYqf/Hlesa0NWoM4lbgViDmJiSbEDWR6HT8RcRHEiGvYfjPEiItG3hNI
iMWJbSbmtKyuhvngEqdKug3z0my+usetycAWde7nQAghhBBC6MljcxhfuO0ftu84f39TBqXHuLGO
Z7feKuzVen5UxZKheyNiEg8xjp7GS2Ny99HPyfZMPzBhY6VDj5AVbzse+++h8LD9k36nJ38fPrTO
tUC6w+sdZ3vnvt53d0jEse/K/BfN8XIAOmJq6Fg6a0LUvv7TMqrbe7akOeNz1Ewr3yEtqDZDmwQy
AABOvdqtnO1wcNahDmF7Y94pcOri4mFzEQgaWZzYVPHC6sKJGcyooJ6eTRzc+nWXUgDKzj5dHKTd
op2lANCAxtSbQcyRtNqVfUgbi8Spb8g3E5jNE/d36Hl6jU7VkgEAqDyf/sHCzCS9ZeaGsblN6yF6
Nj4oaGeX+QX1Df4p4oxU0SHLpjK/TzoQ3unoewmun3wb1JqxsUFrkKeStgIxJzHRjLiB7CMtgng6
cQ3X0wwx0qKR9wQiYnFim4k5yUQ9ifjnB2UX375qodlAnxYMAAiXlh6JmJt3hzsmQgghhBBCjzZK
o7H4m1s11Grx3bsIIfQvMhR/PjTZ+fuer7WkAPiTCw594Nhpz9uutn9kQOj+Eeo+qmT91Zhi+mD6
LMbzPADwPC/+IAgCx3Fardb4leM4QRBYljV+VigUHMfxPG8wGDiOGzdhsrFmYwsEQVi86FOO41iW
ZVm2vLx80qRJ5maJYHxHCCGEHjyt1uLlUDUs4nK79p3EXwEg+cJ58Vfj+65sXRNDCKGHA1tZnfzL
tV0efsOMd9RXFu0+4zDmmQa8MwIhhBBCCKHHkO1X3CGE0L+Pr9w4+ejXBZ5zv20aaPzZUekxb4ur
ygkfkkcIIYQQQk8mHMYjhB5mtHLCrzET6iRRaifsuRBCCCGE0BMLb6pHCCGEEEIIIYQeGTiMRwgh
hBBCCCGEHhk4jEcIIYQQQgghhB4ZOIxHjyEhe82JsIlZRXX+ClT9qq/dfP+lI736xK1PN5es3Hku
bEjqFU6U70nCZ6ePCTv9a4FlOkIIPWB300U3MNvDg7iwd+8OuvT71BJ0j9zhCc8d7An30CN3PCL0
ULIzjDdo/vn+xtliy+Q7xmqXzIqPfu/21TqHrXD9ryu9JiZ9mdzIDuhxVVm6cPaVHzPuaG2w2iWz
4ntMiO8xMT7qlQsj37++PE6nF6fX/ov6v5tr/pcoTukxIb7HhIRpe6pF1d3rHeC+u8sGC7rtnyad
8Gu1clOHZwIpzZ747kNTLmKMqWVeIaL1jGsJoUcYp/1uxD+d5+SS/4qtyV12rffKPeqi6yn4UC6s
5dT7jLucGhMWt9m4Eu5dSwynkrq32hEUZPq3s9+iEtYy16Oknn0JWXhIDi6EHh923vds0O744UbY
wMBIt7vquMUoCnKLd171nh1c+/MBW/HPCZ1A22mGPQLAPWtbw9z3OTqoxk0JdPC/05lQksEzQ99t
T/EGNv1szvs/ZSr92kz0MafX5KIoivJ7mQcAbtc3l7a3arNyqIIGoGjxfO/DDnB/mRtsOaVBeN3N
W1T4C02CfWkAELq2WuLFtGEAA7SRunaFQLV5xzAnIoQeNYYL2X/eZNib2QeKfEa5W041e0hiwT3q
ouvptR7Khf033duWOPmvPNahj7z2K0XZ2g6PhHr2JWThITm4EHp82OyWL8f0TYrVaVc+f2D62sxX
Ox5YeJoHAOB1G1/aPWxZ2Y01J8JGxc8ff7R/1L4uA+KWnaoWAAD4rN2Xx/ffGxa2d8DElKN5lteU
KVlkCHUkVlNem1CRVHRIoo70FGcCACiKyxj538yjWgDgzm9MHrwoP6s2VPMF+a9OvfL2ipQR0y9/
f10w5Jd+t/jykGmJQ965tuKigQcAgIqMgo8/ujRoSuLgeVeXna02AACALqd46aLkmKmJg+akfnKw
slzgT/2c9MwGrXFqVeKNEf+Xk8SCdYUWc6xpBwCAkB2X/ca8i/2mJD79QcbmdM44zboGGzlJiXrt
6mVZ/+QKQGgw8AX5r05LXbQlfco7l4a+njxzi6bYchUDRVMMQ0kV0jbdPaNddVdv1uQwphv/0TRQ
FMUwFEMDRQEYPzOiUTwbJ9oBNut44K5uT3qxz57Qdnuink3ccNEgmq+QveZE6LCzs0btCxtwOYEl
7QMCm7Q+YXTPPSHt9vR5KXl3tnEzWdVZmf929wMfGvc0YA++ta/f58UGwk5lMUcAqwYLAKAtXTcr
tmvoP+17n1ocW23cfa2qqmUo/GxI3LpMdu+8Az2m3bjFQ9Xx1GnvZafXOUMkFddX/PPRqT6ddoWE
7R8xKyNRY84tlOa8ZnngaDjrpQbhxqrjYZOzSwUAADbuUnTnC7HGvRIA9IXv9zzwYRwPAHxu5riw
o9+mCgDApaaNiIzfUw6kVjVgi5iRpgr6Mz+cHRTxT0jE4ak/FJUJAFCzQtJO1VnPlTVrSchecyLs
uQtfzjg2MGpvhGmFC/q45WcGRfwT0unwK4su/Iv37yGErHCntt0yDGv3Wtuirf9UGgOVdV90+GTD
YwEA2OgSBf35VedHdN8TGra338vJe7N5aGhvX+uOu2gr5oJWTbUMfFYZzO5rz2y1sIRwSdpYsQab
XbF1l94ghJbUst6mxru7redeFy0xn4swtHBj1fHQp8+/Nyl2YI+9Eb1PLfo7d/1bJwb33h/R9ejM
jWVV5BnZOKmws71sTiVtBWJOUqJoJyRsoHrWBmER6u4hBtKCk5oB0OATHnt7QgP2T0KbgTQjwrLr
rU/SwNZpEkKogWwO40N2HwqLVqin/dZ/xXi/YT24w/tLDABCScGRS8pBg9Q0AFcgRHwSdeBY/98n
U5vmXDmkhcpzKVM/KI38vHd8fK//87097+NbVqNM/64eTS8VxZYBAIDAxsZqAqLdAi1zgXtn/9ea
a1fs0JZl5H17Wjr+Zc9A8c+dvKHC13/1N8HT/Cp+/F9WSpvATcvbrxsjO7L65iEtQJVm+fLc8u4t
tq5ov3GCMmn9ja25Aui0Pyy7mRHS9Ncf2m9700274/rS8/xTXZzhYtklFgD4C/EadYRLW66cUKF4
ji3MvyEKZcX/W6sNmhCyb0Xo550MP6/KS+EAqgk1EHMSE80IDWYFAOCqbyl9vv4sdPu7HuzBnO21
o3RLHHs9ruCYRhne7I5+9JR0Ee0AYxS601emf6rttqRv4sV+K0fof5ietLfubVHcbbbVO9FxO4Nb
JxL2gfJjl19fYRj5Y7+khN6fhhcvmJORwUGldZ069+H94Oi+Ej0AVBXvPyEdPMTFYGOnMs2xvYTQ
YAqATS0tH9Zp/5l+Pw42rPsiM5Wzu39KPd7d1eXlppKYxf1PrGxKvOpALF7w16X5J9SfHohJOhYx
KC913spS00aknL2GWh041dZLbf8GM5lLdFf+3OlyDqA4Nu8SV3HkaCUHUHi+OKeDZ2dHcqugvi1i
QiyuPXR51k/sqFX942O7TvSozhOdekg6W65nEza90nl61z3HBvz2Ir/hi8xUDjQHk2ev4Uau6h9/
rOtEWXndx2kQQv8moSxv6z564Ai/4cNdkrfmXLdxeDKRjYsFxC5RezD5jU3UK78NuHi25yuKnHcX
52mVjejtAe68i7bDuqlU3ThSZJXBvJLua89stbCEcGk7cFh3xXa69HpYtcSEsE0BgDT3evFFVNdP
eu470X/jGG793EsX+nTceWTAke88ry5J3VVEnhHxpMJ6g4pnTpxK3EzEnMREE1sbyM7aIC4CiPaQ
FkcJC26rGQ084al3T7C/fxLbTJwRWC379QjCyQPxNAlvbkCowUix0BIljR7iWXE49yIL2tN5iYFN
BrWkAIBp5RntTwPQzUY3HwD5BxPYM5tvage1mhIpl0oVfcb5ep7KPVNVtyqedXJ9Orhyx6lqHoAv
LN6ZoRrZVWowXXo0oaT9X/QNPJv1xo+FDjEBz/rWHYtKlAN7q7wUNJ9WtLvKZXyMylVCeYZ7DnDR
xqby1anFRxm3cX2UaobyaOsz5wUXPwF0V4r2s66Th6hcGEoV6DGtr+R4bJmutVsUVXYsXQB9eWyy
pHdnJZ9KqFA8R4m4IRTF0EJJfnWRQRIyJGjjXK/mDOiJNZBykhNrERusEQAkygFRShUFMm/HYLUh
t8RcBABA4PZ+m9jnlYReUy5O3MYNndl8jA8FACCwu79JqHkGfuKFTxLtntxY4U5uzTEMbzO1k0zC
SENebPuCe97mg3pxHZJwv+cjFUo5nCXsA1zc37clI1q9ECJlZIpur4YtGOzIk+vkIob7wJHcCwbQ
nc894dpkaCjY2qlq50jb2oUlnZq+1t9RrVR06ufukV+Vx/O2qmoYcnFaQtN6fVamrtrJderK3msn
iyIQ4cDhSUtdZ01akUREu+aeKcrj9McPVw54xb/0aP5tjk2I07SN9nChyK2CeraIqXJicf7c3jxm
WKtJT8kVSoduz/m2blhQlYT7PRsqpYFu9pSLe35VHs+f25tPxbSsqed53+CG1YMQegAK9mbHujQZ
2oH26u/bKevmtotWZ/QExH67Tg9G7BLlnVqv/yVsWCBDKxz793HS36os4ZnIBvf2DUPszSwziRGb
2uAM97VntlD/ahcjdcV30qXbR9qmAIS51y2muTmlbc2z8S07JhzSAwAwrTy6NaEBmJadXb2dPYYN
cJAAqMJcWwlV2XkCaUbEkwr724s4lbyZSDnJibXIGwjsrQ3yIhiLGM9tHAgLbrMZDTvhqX9PsLt/
EttMnFFNVTaWXYRwmnRHl54QekI17KF0dZRv1IdX9ie1Ljlc7DuwTRADt8STGbm3O5dcos/NNxSe
Pddlh/EgFFjBtVQLoDRnFAQ9J+nR22XFr0VXBzRhThTld/LvoRLOGIAR9NuXpixPEwDoqCmhH0TQ
tJvrmI63Z59Sf9DbQWquoo6KEkNFWfn8mSXGOXIchJdzFRRb7ax0N47uKCa4m1cwQFGKQe+u9Knp
sigfL7lwTl/EuPXvRH0SX/kKV3ZW5bIogKrIJFRojpWCfvtXV0SNdHtnNr9+V/arW/Xypi7PjfYd
6Q6lpCaBEyEnRUo0qSglNRgs+1zBomOkmEFvhL3XgapIynp5NefnL60Z5FKSmFlh73W4s+5RMBTk
803aOdTsLIxDoB/szdXxILNqjoGwD2hYqoj3bCev2SJql6cnAQi6M6Q6JaP8BkkS9ye1YfcXuA6O
bEMbLlpXWM/rmGpRVM3i0kAJAs8b8olVifZPe4iLpgX3p9v/pLu68qMTS3KYkEHNZ89p5isqZHng
0IbzpKXmFaIyVpy7eoV+XHDutvzQVddRn/sqdl6Lva2+dlEZ9aaCFmwcdCY2ml2z1MSpGk5azHu3
qm3kHaAABIHnuZIS3iviLupBCN0nfMWOrUVNYoLDJEC5+wzrennJ1qKZT3lYZrNAjAVX0yd2TD9v
AJD7LD7ecTCpS5Q5CFfXXHzvoKbIAJymyuDvKQgg69iw3v7uumg7xe333vVmuI89swXiaq8vcACI
uuK77NJJiNu0zimGce4WPzY4+a869VRfmem7cEM0ESgAuvZpeQooEHiBNCOeLbQ+qQAA/cQyQwAA
IABJREFUu9uLsDWFauJWIOQkFjdVbWsDqUw5rNaGQFwEIbt2OthYw6RmCAANO+FpeHAn7p/kc7nq
s9Y5LU7SiHtCLcvTJMvTSoSQHfUfzQAAoPIYGsV+uTOzJE4xaJrK8ijT624WMG6uUjdXSbOJXXbN
dbHMYCYIoGjjMZhK/ydZRZ2iBs9QKUArAAAlGzWn/ShRTi63cO1Zpp13+YY9FT2fcTS9EUXMQSVx
8Pb66uM61/mqEyQyjaGYhyYMAAj5N8o1rip/Z6msuDqXgyYSABDyC/Tg7ORKUc26uEhXlvyh17hG
BjWnQU+qkDc9z1u3kbxWd1vhPH2mx0yOTTt0Y86ynCaLm3Yg1kDK2bmakNi1togjscFA/DmTwLGd
9xjvlHUHKqNHKRu4jW2jpJ6edG52FQtKGQBwVTdvg0fvmq68DkpC2ge4A+50YV41D0oaAPS65AS9
d4QjuU6JbNgg6r87M3XH5TEr1QzFkyqsE+oaity2BiMXF0rSKx37tV3xn3ZcadnGuXGvLlIeXuTl
YJpuceBQPHGpJRUU8IKNGAeUh0dUi7QDKyE53O8zZ1emW+XaDblFjh6fNaVstcq8fsgZ7E/lD7nQ
Bbd1HDgSNnHDUYybG11wS8eBVY+BEPpXcWk3/7jApZ2Pbb28JoV2zToyzyOMttcX2YgFzX+OD64d
vxG7RM/MlecXJPpv+K1jWzVV9Pvp3lsAAEDi0oDevsHIvZkdQkmmdVNFvXd9Ge5jz2yBvNrrCRxm
FON6T7r0OoQrxG1675FmREncCScVauaGne1F3JrupK1A3od1hOJeNSVsbCDa5u0VNhdBlIO04OSl
sHq7FNjawRoc3MnFyedypJyNOUmzP75ACNlj51CmaTljyLvNGjgAkHQb5qXZfHWPW5OBtU+Hc8m3
/0zSc5wh8edr+xnvAR2lXZ/2qdqWuuaCngO+ODHz06W5xLtoGIehvWRH1mUdcXcfGlDnx1szrvrP
9bllUYFLp3mrj2RvyCDVAyBv6xZdXbRqf0UZB6y2Yvuvt2JLQB7sFm0o3hRbVc4LxWl5H3+Vc0ID
ihD3fnTJz7sryjiouFn042FDt57OrhQwAa59pEVrT0t6R8ppGxXawucVLfwic0s6a6BptZqRCcDZ
qIGYk5hoQmywi421RUDLhw1z1R7OPWzxkpdGMO8ATLfRvvSOtNUJeo5nU7ek/pLv9Uw/OakxDGkf
YLoO99HvuLYl1cAZqs+tip/8eV4x2KqTajvUV74tbYdbk5jmlI0KLedao84ea60xVREQiwuZmxNe
mJt+oZinFFI3J1oQ3bsBAFYHDnGpFR4BDvLUgoM3WF2JZseW/HyLVtHKnj1lBzYXBvf1cKSYiP5u
aZuyNF29WjNgo1XiwvYzEKfSETHehp1X113UV1dWnfz9luXDjfWsZxM6IsZH2H3NWM+p33KMfyFW
KCnbf1DTiHcsIYTuMT5hW052ROiRq8OvXx9+/frw60ldxyjyt+6tdiP2RY2IBcQuUdCUGliWr9ax
JRkFv/yjYVmeBYC76e0JGluc2FTxwtrIYHIfe2YLxNVeX+AwI3fpd9cV29qm9x5pRsSTCvvbiziV
uBWIOYmJJsQNRLz4ZEJcBDHiGrbfDDHiopH3BBJicWKbiTktq6tBPnkgjC8QQg1jZxgvdx/9nGzP
9AMTNlbyAMouvn3VQrOBPi1qfyujPZnrS090Cd83aTszYUnb3ipw6tVu5WyHg7MOdQjbG/NOgVMX
Fw9y/d5dPNrr+fDert7kQ1a4FZv9U6HLG8MclT6eMwfA1vV5qdbPzwNQSqeZs3y9EzKfn5EYMz8r
Tqlq5wzg4PT6DG957LXR0y+OX1fRbnzzF/wpUKhnzPQLvJQ59tXEUV8Vyge3eKuzlAIARtG3sxz8
Xft4UTYrtEES5LNwlOzo8uSBUy5O/psbMNm3m4xcAzEnMdHMVoMbzDHUe4yPdv2+SgMAiJ+NnxAf
NTPrTP0RV7QDOPQIWfG247H/HgoP2z/pd3ry9+FDSb//ApD3AVV0yLKpzO+TDoR3Ovpegusn3wa1
ZsDRRp1MK98hLag2Q5sY32pIrJBM1GBiZGtEVSSk4nSH1zvO9s59ve/ukIhj35X5L5ojvpgDYHXg
EJda2af1/KiKJUP3RsQkHmIcPS1/jqaCeno2cXDr111KASg7+3RxkHaLdjY+akJqVZ3C9jMQpzr1
DflmArN54v4OPU+v0alaWrSnvvVsou7d9uuJzJaJ+ztEnf6pUG58RKTyfPoHCzOT9JaZEUIPSuG2
f9i+4/z9TV2B0mPcWMezW28V9iL1RY2IBcQukY6YGjqWzpoQta//tIzq9p4tac74HPWd9/YkjSxO
bKp4YXXhxAxm97FntnBHgcOM2KXfXVdsc5vWQ/RsfFDQzi7zC+o7FaGIMyKdVNjYoDXIU0lbgZiT
mGhG3ED2kRZBPJ24hutphhhp0ch7AhGxOLHNxJxkNk4e6p4mCZeWHomYm3eHOyZCTxZKoyFfrlWr
xXf3AICh+POhyc7f93ytJQUgZK85OSQ24MjPge6NGloi9KSpc+A8aQSep4wvIeSupI4Yq5lyInKk
RceC0KNHqHsrs/VXY4rpg+mzGM/zAMDzvPiDIAgcx2m1WuNXjuMEQWBZ1vhZoVBwHMfzvMFg4Dhu
3ITJxpqNLRAEYfGiTzmOY1mWZdny8vJJkyaZmyViFd8RQujfUuc0iT+54NAHjp32vO1q+0cGhB5d
Wi35DV8Wcbld+07irwCQfOG8+KvxfRgNe26araxO3XJtl4ffpju/46XHhHjLJPTwObG2o2USumP3
4sB5hHEp115ZDNMXBXVWVe36KScnvEUnR8s8CCGEEHoyWZ4mVRbtPuMw5rsGvDMCIdSgYTxfuXHy
0a8LPOd+2zTQ1q0y9cPxIXrC3JsD5xHGBPm90Db5k5H7MrW0b+fArxc3DXgi1wNCCCGELFmfJik9
5m1xVTk9iVc+EGq8ht9UjxBCCCHCXfQWX40ppg+mz2J4Uz1CCCH0RLm3N9XjxTGEEEIIIYQQQuiR
gcN4hBBCCCGEEELokYHDeIQQQgghhBBC6JHxCA/j+YL8V6df20F+tB8hhBBCCD1WhOw1J8ImZhXV
eSFF/aqv3Xz/pSO9+sStTzeXrNx5LmxI6hVOlO9Jwmenjwk7/WuBZTpC6BFh+031rHbJ3KvbS4Gi
KIVaHtLBY9Kznh2ML4+sLF04/3aTmcFTm9/RuyTvqrhwPS7vkqvHiNY2Wn6PKm9A4UZlRgghhB4S
Bs0/q0q8nm8a6WY55c6w2iVzr/6tavLTwiatzH8pSrj+V8qkP9mhc0PntcM4eXfnJ7WnZEABzTDu
vqoBQ/2mdFHITOm1aG+vSb6FqxN4cxIAABX6fMjKwfLar/d6B7jv7rLBgm77p0kn/MJXfukR4EVp
9sQP/la54u/glpb5nlCmFRLOm9ezORH/+BtCDykbg2EjSjJ4Zui77aGyuPLQX9nvLKr+aH5ApCOA
g2rclEAH/8bHIaO7Ki6kx+X+1dxluK1h/D2qvN7yQmMy3ysCwAObF0IIoceUQbvjhxthAwMj3e5Z
TKEoyC3eedV7dnDtXX5sxT8ndAJtI1jX58HHu/s+x7s6PzGdklG8gU0/m/P+T5lKvzYTfczpNbko
iqL8XuYBgNv1zaXtrdqsHKqgAShaPN/7sAPcX+YGW05pEF538xYV/kKTYF8aAISurZZ4MW0YeFIv
w1tS164QqDbvGOZEhNBDqp74StEUw1BqT9XTE5uXfZKyKtarU4yc1mtXL8ttMT/4lQDIjrv55baS
yyW8ytf5xfGBz7VghLy86QtKfHpIbqZU5WrpoKgmY921mw6X55Txru183pvs2UqwV5wCgZQIAABc
+XcfZOzI43WX057J8Fv5PIDAXTmQsf1oWYZeGtY34MNnndzstk0Urqzm0rRquajyH99wl13LW7ox
P+42x7g6xoxp+monGV2QP2N+kXNH6nIi6+UkZJfUZF4xll3wQfnIpUFDHAG48q/npesmhP2fT8GM
BcVeXSWZKbqiSjq4b8D8p9Wu5hZYNaAFQwFUZBR8tSHveDZLuToOeS7w1Ug5Y54pP+ittlPVZSvX
3dp1TQ9uqhH/aTo1XEoDGPJLLRKhIH/GeyVN+0uvx1fe0lJBvQI+fNbpUQnXCCGE7p/LMX2zbui4
k88fSHq9FbXsms/3fT/oSgOv2/jy4d86d1+uvjTsb4cRTtq49GqtwvnFjzq80U1OAZ+1O2XB0uz4
PPCJaPreoja9vOuEFEoWGUIdidVMCXZRAQBARVLRIYk60rNKnAsAiuIyJv9OzV7YrJeaO78xZf5N
zx/f8gpkAAD4BsQ76ygpBdDlFC/fcPtAuoFXO0QNCZjVV5G0JnmJtNlv49RSgKrEG2N/lXz6qV9w
MSlWiuY4I8i0TOQYbR1taXJOUqL5/ISyarBSWVh/1DaekjGMtE13z+idV6/eFMDHnC7OyDAAAlAU
AEUxDFXn+Uk27vLwN2t3gHlR34+RXt9++cNlORfywbWtz9T3270ULq2tTMheczJmm6y/tORguf/6
3cHu+632AYFN2pD0wY95KSXg/VTAvM/bxgTQANxVizpblrzT/6Liq74fdqUB2INvHfrMLWLPOy63
LXcqqDvHkKckFg3u+S4AaEvXzcrcfFBb5eH20kcd50TLaTv7p6Hws2Hnf81kuXkHenRus+WHpi7H
U6d9r968o03TmhwAxOL6in8WXVzyV0meXtqyX8uPPmrewakmt1CaM6PvFe86B06Pv2Y6pluuSUnW
qhPDTjc9tjrAhQI27lLfN7hPTrSPlgIAgL7w/b6J9NK+H3ah+dzM8QNudN4a/UYbiktNG/VS+WuH
Ow5WWbfKYv2QtoiZdXEKBP2ZFRcW/JSfDcruA1VlAgBA1fHUad+rf1nAzZtt3jGWKo1rqbVq/ckh
u1TjvDQHLlYWM05jjStc0Md9n/j+moJsQdn9OTfNpqpRh7r+x1M0c4TQfdfgZ+MZeZdQWXpqRaUo
TSgr/t9abdCEkH0rQj/vZPh5VV6K8adNgWWCA1d+HvbH/7kbDtz4Ot1p4Uft/lrcPDLn1o9nWNNT
ScTixMQajOr1T9rNDaODhrbeNtPdgwLgqlKqXBcuCt/6pkv5/pztN81PPNmrhzgV6lauK1u2vJCJ
af33yvCVg+m9P+ccM56K8IYKX//V34Ss+MKc2Wa/xbFC64BVi0L/mO/FHMpcfsHcAkIDOIAqzfLl
ueXdW2xd0X7jBGXS+htbcwUA00yDp/lV/Pi/rJQ2gZuWt183RnZk9c1DWoDqckIiAHDVt5Q+X38W
uv1dD/ZgnZWDEELoiRWy+1BYtEI97bf+K8b7DevBHd5fYgAQSgqOXFIOGqSmAbgCIeKTqAPH+v8+
mdo058ohLVSeS5n6QWnk573j43v9n+/teR/fKraMKf5dPZpeKootAwAAgY2N1QREuwVa5gL3zv6v
Ndeu2KEty8j79rR0/MuexjF8Dfvxjhglddoflt3MCGn66w/tt73ppt1xfel5/qkuznCx7BILAPyF
eI06wqUtZyNWmubYQvRDOzFGk6ItMScx0YzQYFaABkdtjr0eV3BMowxvdke/zUu6iHaAMQrd6SvT
P9V2W9I38WK/lSP0P0xP2ltcJz93m231TnTczuDWiYR9oPzY5ddXGEb+2C8pofen4cUL5mRkcFBp
XafOfXg/OLqvRA8AVcX7T0gHD3Ex2NipTHNsLyE0mAJgU0vLh3Xaf6bfj4MN677ITOXs7p9Sj3d3
dXm5qSRmcf8TK5v6ks57icUL/ro0/4T60wMxScciBuWlzltZatqIlLPXUKsDp9p6qeuuSUsyl+iu
/LnT5RxAcWzeJa7iyNFKDqDwfHFOB8/OjuRWQX1bxIRYXHvo8qyf2FGr+sfHdp3oUZ0nevhC0tly
PZuw6ZXO07vuOTbgtxf5DV9kpnKgOZg8ew03clX/+GNdJ8rKr+KNDQj9C0jdGRnlqGRAx1WKwwpF
MbRQkl9dZJCEDAnaONeruTEYM4qObWVSAIWvKsSF6djFxYsBykEZ6gd5BQZzn0EsTky0RaIaOdwl
wIF2b+Xc3tmQWyKaZL8e+1MBKKnjpHmt5nSRyynav6NzS06fa4z3EuXA3iovBd2gO+kZRWSoXAYg
83Z/thPEJVQYTJNIDahOLT7KuI3ro1QzlEdbnzkvuPgZ13btTPm0ot1VLuNjVK4SyjPcc4CLNjaV
16cSEo2lBkQpVRTIvB2D1XVXDkIIIQSUNHqIZ8Xh3IssaE/nJQY2GdSSAgCmlWe0Pw1ANxvdfADk
H0xgz2y+qR3UakqkXCpV9Bnn63kq94zFZXaedXJ9Orhyx6lqHoAvLN6ZoRrZVWowh71alLT/i76B
Z7Pe+LHQISbgWd+60dRuvCNGSd2Vov2s6+QhKheGUgV6TOsrOR5bpmvtFkWVHUsXQF8emyzp3VnJ
246VhLBOitHkaEvKSU6sRWywRqgvagvc3m8T+7yS0GvKxYnbuKEzm4/xoQAABHb3Nwk9JsT3mBDf
Y+KFTxJtDP5t4E5uzTEMbzO1k0zCSENebPuCe97mg3pxHZJwv+cjFUo5nCXsA1zc37clI1q9ECJl
ZIpur4YtGOzIk+vkIob7wJHcCwbQnc894dpkaCjY2qlq50jbOkWVdGr6Wn9HtVLRqZ+7R35VHs/b
qqphyMVpCU3r9VmZumon16kre6+drDZvRMKBw5OWus6atCKJiHbNPVOUx+mPH64c8Ip/6dH82xyb
EKdpG+3hQpFbBfVsEVPlxOL8ub15zLBWk56SK5QO3Z7zbW3nDFtEEu73bKiUBrrZUy7u+VV5PH9u
bz4V07Kmnud9gxtWD0LonqrnpnoRobyCAwWjFMU5ysntndn8+l3Zr27Vy5u6PDfad6Q7WHZZFNR2
xBQFwAvm6cTixEQ7TM2hAATRr4r267E/FQBAQnM5+V+sLbuuFQSeK2BlnQXhbh6bc3ORVN1gDQDG
W6mIDSgtY6udle7G1UUxwd28ggF40TtEK0oMFWXl82eWGBvCcRBezpVThETLrVB35SCEEEIAAOoo
36gPr+xPal1yuNh3YJsgBm6JJzNyb3cuuUSfm28oPHuuyw5joBFYwbVUC6A0ZxQEPSfp0dtlxa9F
Vwc0YU4U5Xfy76ESzhiAEfTbl6YsTxMA6KgpoR9E0LSb65iOt2efUn/Q28EYE60R410FRYiSRSkG
vbvSp2YcQfl4yYVz+iLGrX8n6pP4yle4srMql0UBVEUmoUJzrBT027+6ImokKUaTmgSkaE4M8SYV
paQGg+VAyDJqU8ygN8Le60BVJGW9vJrz85fWnltJYmaFvdfhzk5QBENBPt+knUPNySDjEOgHe3N1
PMismmMg7AMaliriPdvJa7aI2uXpSQCC7gypTskov0GSxP1Jbdj9Ba6DI9vQhovWFRovmNSLomoW
lwZKEHjekE+sSrR/2kNcNC24P93+J93VlR+dWJLDhAxqPntOM19RIcsDhzacJy01rxCVseLc1Sv0
44Jzt+WHrrqO+txXsfNa7G31tYvKqDcVtGDjoDOx0eyapSZO1XDSYt67VW0j7wAFIAg8z5WU8F4R
d1EPQugeaPAhyOlOJelbdHUUd4q8Vndb4Tx9psdMjk07dGPOspwmi5t2FmWwj1y8mpDYVWZZtl7E
yk312J8KAFx23oL1FYPntV4YwFCawjnziszTrNEUAwJvb5ws5BeyDmqJ6XyF2ICnnCQyjaGYhyYM
AAj5N8o1rqoWolocVBIHb6+vPq7zu6fuPCFRPPhHCCGEbFB5DI1iv9yZWRKnGDRNZTl40+tuFjBu
rlI3V0mziV12zXWxzGAmCKBo4zGYSv8nWUWdogbPUClAKwAAJRs1p/0oUU4ut3DtWaadd/mGPRU9
n3E0vT9djBjvqhMIUdLfWSorrs7loIkEAIT8Aj04O7lSVLMuLtKVJX/oNa6RQc1p0JMqNMfKuo0k
xugOxBpIOclnMrVFHIkNBnvnEGKO7bzHeKesO1AZPUrZ4HM4Wyippyedm13FglIGAFzVzdvg0btm
WF4HJSHtA9wBd7owr5oHJQ0Ael1ygt47wpFcp0Q2bBD1352ZuuPymJVqhuJJFQrZ5s8NRm5bg5GL
CyXplY792q74TzuutGzj3LhXFykPL/JyME23OHAonrjUkgqqzgWsuigPj6gWaQdWQnK432fOrky3
yrUbcoscPT5rStlqlXn9kDPYn8ofcqELbus4cCRs4oajGDc3uuCWjgOrHgMh9OA04DgWhPLC8j/X
ZP5u8JgSXadv5/OKFn6RuSWdNdC0Ws3IhMa99ZNYnJgoJpNS2hJ9BWuzVzSyX4+tqabK+QpWywoG
A1+prT5zuCSNFTirCGvKTKllPtKquMTqSj177XRhnPHJQADgKo+crCzjBE16/qZ46N7R0TyMJzVA
HuwWbSjeFFtVzgvFaXkff5VzQlNbAAAA5G3doquLVu2vKOOA1VZs//VWbAk5ESGEELKBpuWMIe82
a+AAQNJtmJdm89U9bk0G1j4dziXf/jNJz3GGxJ+v7We8B3SUdn3ap2pb6poLeg744sTMT5fmip+q
NWEchvaSHVmXdcTdfWiAjevDXPWf63PLogKXTvNWH8nekEGqx1a8I0VJRYh7P7rk590VZRxU3Cz6
8bChW09nVwqYANc+0qK1pyW9I+W0jQptIcdoUg3EnMREE2KDXWysLQJaPmyYq/Zw7uG6ZwiNYd4B
mG6jfekdaasT9BzPpm5J/SXf65l+clJjGNI+wHQd7qPfcW1LqoEzVJ9bFT/587xisFUn1Xaor3xb
2g63JjHNKRsVWs61Rp091lpjqiIgFhcyNye8MDf9QjFPKaRuTrRgeZ+jxYFDXGqFR4CDPLXg4A1W
V6LZsSU/36JVtLJnT9mBzYXBfT0cKSaiv1vapixNV6/WDNholbiw/QzEqXREjLdh59V1F/XVlVUn
f7+VarE+61nPJnREjI+w+5qxnlO/5VzhAACEkrL9BzXG1+YhhO4/u8N4gd39TULPSYkjP846wrh/
+bZfpGOd6ZIgn4WjZEeXJw+ccnHy39yAyb7dGnPZnFicmChCt+/h7nwufdSSAuPb32yxX4+NqebK
C1p5/7cXtWPxpeFvX//D4NjZl6qwvNXLnPm23Hni8045W6/EvH7ls0TKz7k2CyVV3L417c0LTy8t
Vgxo9qrob2+SG+Dg9PoMb3nstdHTL45fV9FufPMX6v5lGkrpNHOWr3dC5vMzEmPmZ8UpVe2cyYkI
IYSQDXL30c/J9kw/MGFjJQ+g7OLbVy00G+jTojZI0Z7M9aUnuoTvm7SdmbCkbW8VOPVqt3K2w8FZ
hzqE7Y15p8Cpi4sH+fzBu4tHez0f3tu17ovsTYRbsdk/Fbq8McxR6eM5cwBsXZ+Xav38vI14R46S
CvWMmX6BlzLHvpo46qtC+eAWb3WWUgDAKPp2loO/ax8vymaFNhBjNLEGYk5iopmtBjeYY6j3GB/t
+n2VBqg5Vat5Nn5CfNTMrDOsZX4roh3AoUfIircdj/33UHjY/km/05O/Dx9q4729xH1AFR2ybCrz
+6QD4Z2Ovpfg+sm3Qa0ZcLRRJ9PKd0gLqs3QJsa3GhIrJBM1mHju14iqSEjF6Q6vd5ztnft6390h
Ece+K/NfNEd0KR4ArA4c4lIr+7SeH1WxZOjeiJjEQ4yjp+XFayqop2cTB7d+3aUUgLKzTxcHabdo
Z+M1H1Kr6hS2n4E41alvyDcTmM0T93foeXqNTtXSoj31rWcTde+2X09ktkzc3yHq9E+FcuMjIpXn
0z9YmJmkt8yMELo/KI2G/HOuWq22TEKNwRfkz1igGfJly+G1f6AEIYTQY0CoezeY9VdjiumD6bMY
z/MAwPO8+IMgCBzHabVa41eO4wRBYFnW+FmhUHAcx/O8wWDgOG7chMnGmo0tEARh8aJPOY5jWZZl
2fLy8kmTJpmbJWIV3w3Fnw9Ndv6+52stKQAhe83JIbEBR34OdG/U0BKhJ02dA+dJI/A8ZXz3FXcl
dcRYzZQTkSNx4IBQPbRay8vCRhZxuV37TuKvAJB84bz4q/EFITafq+oxId4yCTXexZnxiyzT/jUn
1na0TEIIIfQkYyurU7dc2+Xht0n099YaCU8YHgl4DnAv3YsD5xHGpVx7ZTFMXxTUWVW166ecnPAW
nerer4sQuv9sDuOxu79LeDUeIYTQw42v3Dj56NcFnnO/bRrYmJuQ68ITBvSEuTcHziOMCfJ7oW3y
JyP3ZWpp386BXy9uGvBErgeE/lV4Uz1CCCHUCILVXfQWX40ppg+mz2IP0031CCGEELrv7u1N9fjj
GUIIIYQQQggh9MjAYTxCCCGEEEIIIfTIwGE8QgghhBBCCCH0yMBhPEIIIYQeInxB/qvTr+0gv7oH
IYQQQjiMRwghhJ4orHbJrPgeE+J7TkzoP/PyzJ/zEzW1b+mrLF04+8qPGXVe2tcId1VcuB6X+1ca
a7Pwfa28jkZlRgghhP4FOIxHCCGEnjCUZPDMDkdXt9++ILAfX/TOoptnKwAAwEE1bkrgcP87/UvY
d1VcSI/L/SvV9uD5vlYuIjQm873yIOeFEELoMWDz78YjhBBC6HFF0RTDUGpP1dMTm5d9krIq1qtT
jJzWa1cvy20xP/iVAMiOu/nltpLLJbzK1/nF8YHPtWCEvLzpC0p8ekhuplTlaumgqCZj3bWbDpfn
lPGu7Xzem+zZSrBXnAKBlAgAAFz5dx9k7MjjdZfTnsnwW/k8gMBdOZCx/WhZhl4a1jfgw2ed3Oy2
TTS4t5pL06rlosp/fMNddi1v6cb8uNsc4+oYM6bpq51kdEH+jPlFzh2py4msl5OQXVKTecVYdsEH
5SOXBg1xBODKv56XrpsQ9n8+BTMWFHt1lWSm6Ioq6eC+AfOfVruaW2DVgBYMBVA55GF8AAAgAElE
QVSRUfDVhrzj2Szl6jjkucBXI+WMeab8oLfaTlWXrVx3a9c1PbipRvyn6dRwKQ1gyC+1SISC/Bnv
lTTtL70eX3lLSwX1CvjwWSe3O/txAyGE0CMLr8YjhBBCTzBG3iVUlp5aUSlKE8qK/7dWGzQhZN+K
0M87GX5elZfCGSewTHDgys/D/vg/d8OBG1+nOy38qN1fi5tH5tz68Yz58jWxODGxBqN6/ZN2c8Po
oKGtt81096AAuKqUKteFi8K3vulSvj9n+03z5Wp79RCnQt3KdWXLlhcyMa3/Xhm+cjC99+ecY1UA
AMAbKnz9V38TsuILc2ZPc8V1cazQOmDVotA/5nsxhzKXXzC3gNAADqBKs3x5bnn3FltXtN84QZm0
/sbWXAHANNPgaX4VP/4vK6VN4Kbl7deNkR1ZffOQFqC6nJAIAFz1LaXP15+Fbn/Xgz1YZ+UghBB6
QuAwHiGEEHqSUY5KBnRcpXgwSFEMLZTkVxcZJCFDgjbO9WrOAAAAo+jYViYFUPiqQlyYjl1cvBig
HJShfpBXYODtFycm2iJRjRzuEuBAu7dybu9syC0RTbJfj/2pAJTUcdK8VnO6yOUU7d/RuSWnzzWO
jSXKgb1VXgpa0pAr24wiMlQuA5B5uz/bCeISKgymSaQGVKcWH2XcxvVRqhnKo63PnBdc/Ixru3am
fFrR7iqX8TEqVwnlGe45wEUbm8rrUwmJxlIDopQqCmTejsHquisHIYTQkwFvqkcIIYQeB5SI5TR7
hPIKDhSMUlSIcnJ7Zza/flf2q1v18qYuz432Helu9fw2BXTNtQCKAuAF83RicWKiHabmUACC+ReC
euqxPxUAQEJzOflfrC27rhUEnitgZZ0FwTyzxnNzkVTdYA0AUgCw0YDSMrbaWeluXF0UE9zNKxiA
LzBXUlFiqCgrnz+zxNgQjoPwcq6cIiRaboW6KwchhNATAofxCCGE0CPGOFYXjCNnigLRELrRON2p
JH2Lro5KURqv1d1WOE+f6TGTY9MO3ZizLKfJ4qadRRnsIxevJiR2lVmWrRexclM99qcCAJedt2B9
xeB5rRcGMJSmcM68IvM0azTFgMDbGycL+YWsg1piHMODjQY85SSRaQzFPDRhAEDIv1GucVW1ENXi
oJI4eHt99bFvsOjeAd15QqJ48I8QQuiJhTfVI4QQQo+SRl5st00QygvL/1yT+bvBY0q0XHxCwOcV
Lfwic0s6a6BptZqRCSB6/Lx+xOLERDGZlNKW6CvYen6TsF+PrammyvkKVssKBgNfqa0+c7gkjRU4
q1G6KTOllvlIq+ISqyv17LXThXFltTm4yiMnK8s4QZOevykeund0NA/jSQ2QB7tFG4o3xVaV80Jx
Wt7HX+Wc0NQWAAAAeVu36OqiVfsryjhgtRXbf70VW0JORAghhACvxiOEEEKPhMbfLW+bwO7+JmEP
RSmc5KEdPL582zPcsc50SZDPwlE3ly5PXl0mOHipR0wO7NaYy+bE4jQpUYRu38PdeXX6qFu+6yaJ
0y0RK69vqrny9W95/7fXjf8tvrSGlnfu49LZV1uhBXA111An8/95Tny+7MPNV2I2MEHtnfyca7NQ
UsXtW9PeLM8TZJ0GNHs13Hy53EYDnF6f4b10w7XRv/JyT9XQ8c1f8KdAdF2dUjrNnOX73cbM5/80
sDJ5p35+bzkDRRMSwe7dAwghhJ4QlEZT9wfhWmq12jIJIYQQeuLV3Mpu+6sxxfTB9FmM53kA4Hle
/EEQBI7jtFqt8SvHcQDAsizP8yzLOjg4cBzHcRzLshzHjZsw2ViVqf4lX3xmnMqyrFarnTSJPBrG
+H6X+IL8GQs0Q75sOdzJchJCCCFki1ZrfKWqJYu43K59J/FXAEi+cF781fibPl6NRwghhB46dZ5+
v6d6TIi3TEKNd3Fm/CLLtH/NibUdLZMQQgg91nAYjxBCCD0OxHfd27n9Hod8dwmvxiOEEPrX4TAe
IYQQeigYx+F2RuBia3/60WAwmG6zN7LMhO4D2tPrhxVelqkIIYTQvWBxC70t+KZ6hBBC6F/W8NG7
WKOG/QghhBB6bOAwHiGEEHqU1Dt0rzcDQgghhB5pOIxHCCGE/h2NHW/bz29/KkIIIYQeGziMRwgh
hB529ofo9qcihBBC6DEjOX++Qc/QI4QQQgis/lC8BfHfcrdINKWLPxv/brzpg/FvxXMcZ0wx/m/8
G/KCIHAcZ/ws/l/M+BfmeZ6vqqrC+I4QQgg9riQA0Lp1a8tkhBBCCJEYR+B2vpqG6BaJ4knGIToA
GD+YUoz/Gwfk4s8syxo/W2NZ1vi/MZvxa0ZGBmB8RwghhB4vaWlpxg94Uz1CCCH0yCDeP2+daJ0H
IYQQQo8N/Lvx6K4JJUl79l0q5TWpOQGvzxniUXvuaCv9ccLmndp2UjlkZHv1/Vo6PuuPtVeiJw56
YKuPM7C0VNKAudnevob0fVvTW43q31whyo4QajjiINw60ZgiTrdOQejO2ernbaU/TjC+k7YvxneE
Hh52h/Fc+u8/Xx3wyiA34/HLJq3bqHthQqTUIlstPvfktsP5CmkFtBkxLExNAVRdO5PmEhnGniKm
t38AHZdQdnnnxs2HEq/maOV+Tw18adKznTzprN//O2tThkOPuSvmRTkk/zjtvX8MAz78eUZ49q+z
//trTviMnz4c5MJd+em1d/6u6Pv+upmdbK0kPnvr3DfXX2NNCZLWE777crTvY36LgyH514+O+s97
Nao2slGuYTFjw4DP/mPtJXFGW+m2CWUH1+xpPn5sC6Zucvm1gztO5oGUFvQV1V7RYwe3Vt7/fad+
QtnZX/7U9p3UrXZNCGX7lyxK9mzrVrMLyFv2e66736O1P+jP/LXLf/TIgPpbbXv7SlsMGFy0YcMB
+aT+vnU3JUJPNIqijDfS3wGLsnd7+R3jO8Z3AozvtTC+29i+GN8RenjYimB3gLt+Mrv5qLER8tx/
fo0rDe3vUnpm2wn9wJf4638R0+95Py3oim9pZD5eKlPHokvd9MEHWzIMjr4hoW0qrp6PPdN/SEdP
lTF3+fmDJ0t69jMVv1OUS+vuHQMUFAAwPk0fYPixXt4HwpCWKu3pn3ehXOh5336htsBVUkFDx/V3
ogCAvfnHsm1pM8e1uYe77h2qvPD3habPTfYXn/dSTu1iXnrpIWjcnRL01dV3OMoQo1wjx3T7ZePR
wsl9H8DZPEKPgjsew1uPzy0uv1sM6a1H+HcN4zvG9/sE4/uDg/EdocfMXXRHQsWVHb8m+jz9fGdP
CgBA0PGMUgIAjo50VaUhO2Fvcfexg70YNo+cXre2e8CQ8NNbf7b6atFIH2O/IhQd/fXvDL08ZMIX
C0cFyHhNiVbp6kQBDwBAqZ2klw7G5vZpWaeOO8D4Rk98c4SXqS9jU9fMeHu/3+Co0uMn2e5j+pbv
2pwojX7z42mdnapunPrnr70nkzNulXBOTSNHTJ48LNgYKgXttYO//7IzLvVWucyrRfu+/5k4KtSZ
An32sV/WbTt2JaeMdWzSJqLPyDHDO3rVRhXL5X0wDKlJuuYjumf/mVgumH6vv88kXkHNTZ9dPdWC
QTz1XyKUnTlH9xhfcynLHi5t04b8Zyb0NN6BJrqJznDu9+0O3QMu7bmoZRhdlXOvl54Nc6YAAKqz
j27ddZVVOjC0g1LLKWtqYosu7d93voiXUIbyIr7NMy/39pOAoD3yy+/FlFBQUO7SuYc0OeG2Rtph
/MQe7hQAX5q8+++zpTIFw1ayPr1H92uhpMDWfPnc+N0n04tSLl5PpXVOAEC7tY8ZGOJEkedbH0W7
vk1OHbvZe1QDfvhH6HFX7xjeOPa2yENMsRixiybWYWdS/TC+G2F8v+8wvtfURIyzGN8RQnbUf7Da
pr2ReDouKOq5zp4SAACmWYBhZ2JhgNfZdEXb7joahg7yU9hJv3eE4msXC9UtPcsr2Yry8qrijKt5
Dm3b+vApF65Ug6zLoEEBMgCgnVydzWVop5Aw+fmDh2+0kkgA7iZs8LePb/whx4ECyjF0+EtRfgAA
Qvn5Q4mBzrqsPWv/DvCC8hsH9px/MbIPe/3QH8dvNYvs0lu4fvzE4dVfSHx/eL2TAvRpv7w/f3M6
5xwU2TOMuZl8o1SQAgCfs3PZN9uvukaM/k9b6vbluAuX8p95Gmwur6xuu+4PQ2piVbPRygC15EiC
tme0U/1B7p4R2KqSm8mnYrPaDux+N/vtPWK4mk4Hd7d1B2rD8MXnd50PmfbKNCcKuKw/VhzMbjc6
kIbKhI2bC/vMeKWFAoArOv7dem1tfoNDuxEvBzpSAELFmZ9+iev0Sg81AJ+b6zhu/min08s+yxi2
YNqIaxvWJFV0763ibvy9Pj5o0vihKgqAy9278o9Lr7wUJrM1X9qn49DRT5XsKz/cduzoOrGZON96
Nz3l2da5OKVMCHCtNytCTzbr4bqtRBNb43mL9DuF8R0AML4/MBjfyXEW4ztCyI676C4pn8Hvrx4s
+q7u8kyfpLhzOa1GD28prc4pjD+e17TjUwGOttIpofLa0V3x+XxtDbRj695DOjT6Hh2hIvPYuq93
ZOgYWs8mvTNuK+MdPe2DYG9JmcYgUK4eHjIufdOsOb/f4EAS8sqKz4cBAPDljuH9Wp7ffzirpwMN
VZZ1NgJfknJkTwoAUB50jxeMYR4odffJs/02z/1VNfbd6LMzv4kv11QA5RM1/aswpyaeUrYyy7No
9obUpAuZbKdgw/m//0nXy0Imfv7JSD8GQBAEiqIABNZgEAQwVJTzLpEDX3vuVXcFTdlcXh/vxq64
O2BIia8KGuUATIt20tgEbVSvBxbn+ZxTW3Yn5FY6tOwZ4XbvL/U0mlBRCuogq4YImuTdG9fH0QBA
KYMHjO7sY/enalmb/sNCjeuQ8W3uUJLLQSBdmXCGix7fwnguzLgGBjhfqc3uExQIAMDrim/l8LQm
K4/voaaBcg1q4U6BoHJrGRQgBVrlyGTqABTXj+eHjnhaZdxEjHf3EHZXFhfWkrEx35qZEBDna7Xs
Vmh3D+psMQ+u9WdF6MlFHK5bDMWNg3NjNutJ4jwWiXcI47sRxvcHAuM72IizGN8RQnbYH8ZTNAim
IAzAC2C/U5f5hHWnLyRpubxzW+P8nu4vjd22j3lpkK+tdGXL3s/e9U1vQKk6Tly6qs+2D9/acJmj
PQYv/HJKezUNUKlU0pRQXqZh6SbBfYZ2O7z3dI65lK7KqUefdlt/i8/xrK2HNgZX4/mUIAgAdANO
hSQhr6z4XHzTHQAAMFIJQwNQEqmMNk3iK/PPb/1u35nL2cU6TgCgKsorAISyvHydQHsHh/gYu8Pa
EzA6cOjUF64u23J27/rLeyjaMSBq4rw3BgbKbCzvA2BIOX0pB6S/5QCwN1NuxWujez+oOE/7df/P
K90B2NxDa389O+blyAc1Y1toGnjRwVGjkc/OUeIjSkpTVQKAoCnm3cLJ11502af2n7nNKZw8ff1c
XRUsZ3HuX2edCKWlNy7u/C3PtG/Q7m1CjV9I87WnvvnawHNAP5g9E6HHhjEAWLzNTvzZejB/RyN5
jO/1rCAAjO/1r6F7AuM7QP1xts46wfiOEKpnGE+rVXyZhgcPY/TRa3iJ/Z/SBW3SXwc0PcdyV0+o
O/V1dqIi3eNTKgRfVTk5vf77dhpKn3n0aLp77xcjcv48cSDp+fDuzhQ4tAkJksSlJB6MLegycPQE
6tZRUZgXBJ536d7vqfU/JOUIwAAAUGpnJwr4grwCDlwq8/I0Au3ufA+DiVB86H8frUp06/vawrcj
/TN/mvrFUQEAgHLycJdTqUVpaYV8a28agNXraZmMBgBpsyFv/zBck3nlwtm9WzafjF3/Z58+MztK
yct7/+lTEqjhcyYbH5nTt1u7Jl7b64HF+RoSn54hVWuvcZEd7e679x3l6Ckpz9NDkIPlFGsSiaDX
C6Bo4JpSOhpKSjhoahUgqxK27eeHTBxtvImtUnsq3jJHHbS7R2Db/s8Pcm/gfI0YCfAWUbyR8zXh
cvMF725Wi4EQMjKNyW0xDsvrzWPrgz0Y3zG+14Hx3Qzje/0wviP0ELB7CFJuIe5ZsSk6AADgco+e
F0Kam/tWoeLK36t/OVNg6hH0N3b/ltxyRE8vRqKE6nIOgNNWCY5yg430RnU+9ulvXLju9fy8GWMn
vf1a+6ILqVoBACiffmP7N2HKz62YM+v9Tz5Zd7r2CaRalCqyf1eZVsvVfHXp0LmNgr+1Y9G7H3/w
7uozOtorIiKw3vuF+NvH1n1ntPznw9nWP+DWEipKSvUg6Esy4/etW/TzycraNafsNKSvL1N9ac07
7yxZvnzxO69N+eifWzwIZXE/vDHx1fd++DMuUytIGApotZOKBrCxvPedPjVBH9yh5h4ukAV3lKfE
a8xzptROfFmp9fLbSm8wfca5c7f0NV8E7aXLhgD/ejfLfSdp1U6SmlRpmUxAe/gYsjKqAQDAcPvM
0Uv2VwalDm2jjT1dIgAACJXp5y8VGvML2ltlCq+adybpbpyOz67Zc21gWvT0S9l+rqx2E+krKmrX
om2U0luqyTHtmwD1ztfm9mUzL1YFtnO8h8c5Qo8U+8Np66nGQbv4q/UkYimLzxb1kGF8x/guhvFd
DON7DZvbF+M7Qg8D+7940k2Hj236688rzzjKuUrWa+CYp8TvrtHeSDx9Nih6TM0rcIBy7DjqWR8V
BSAN7ea99Y8dGVS5S+QzMkpDThdVdbdkrcd+tAAAADyiZn0WVZNKqTtO+eQ99/Vbj126mlTqHBAx
dMDYPp4UZNcWoxTh/aJ8Dv6Va/xKN4mZ9d+iHzYcvJSQLHFr02/ctP+0rb+VfEnqsf2pAABAuVDd
X46qfe2oJdp/0MQxl7/fcfnQYU1Yr7GjmJWbrxunOIRNXPiOau2W2ORzR2+qmrTqMaSNIwDl0Cx6
RJ+Kk5eO/3W8lHf0DRkyY8LYVgyAreW9z/SpiYa2o2qjPIAsuKPi5wRNr941Vwoo584R1MbV60/J
WMcOo0Y9VfviE1vpRELppV2/sK41Py8xgVHPRQXK/Pz5nb+srZDKJTRXpVM+9bzoHsd/j6J9b9dV
e9I7jG5Rz05COXUd4LN21aoL7iqp1Oup6C5+KZZZ6qC8+o/vuW3zj+tUTnKKdg0MCagwpntGRzv8
8vP6eDeVBGjPsA6tCy1KWqD9hk6M2vvX2k0yJaWvqjI4dRw56qn6Xr0raduv1fr1P2W4qRiBCox6
tkcAY3++NravUBB7iI18qXGXChBCDSEe1ZvusReP8xswksf4jvHdDON7XRjfjWxsX4zvCD0cqMOH
D7du3doyGSFUP8ONPWuPeTzzQoSb3dtanjxCZdrfGy+2fPEZ/LEePY4s7nK39VUQBPEk41e+9plb
nueNKcY8xq88z4s/GD9zHMfzPMdxHMcZJ7Esa/zfOMn4leM4g8FgSsnIyBg2bBjGd4TuCMZ3GzC+
I/RvS0tL69OnD9RzUz1CyB5p08Ev96qKT34wNz0+OgyZ57Na/wdjPEINYXHZ3PRVnG5xjZ34FQBo
mjYlIoTuAsZ3MozvCD087N9UjxCyTx4Q1T/AMvFJJ20e1d8yDSEEAObb4ImIU42JpsG59UhePHS3
/oAQuiMY3wkwviP08JAAQFpammUyQgghhEisR9pipqmmG+bFX00pxhvmLdKNiYLo7npBEEz30hvv
nDd+Nt5jb8xjuqnelMiyrHEYj/EdIYQQeixRGo3GMg0AANRqtWUSQggh9MQzDrltfTWlGAfh4q8g
Gr3zPG/6amIcq2u1WtNwXah9Np7neblcbvxgeireYDAIgsDW4jjOYDDwPM9xnFarHTNmjLhVJhjf
EUIIoQdPq7X8uypGjY3Lxl/q8dl4hBBC6L6zuMtd/LWBN8Abs1n/b/xQE9TpmrDewDoRQggh9CjC
YTxCCCH0r7Eez5vG5BaJFv+bctpiqgEhhBBCj5nHdxjPXV3cPXD6fr1lui2NzX+v3O/51lc/m7Hl
9V6t/ALaPNV98Dt7Sy3vDW0c7vKnnVu8ccRgmf4EqG8935EneH0i9KSyGH4bv1onil9KL/5gSjem
IIQQQuixZG8YX/33OGdFr2U3+OrtL6jlvb/NMv61Wzbv+LKpAzq2adGsaatuL3x5JK/mj+DaSgfN
xpFKudq1hs+LW8prJtikz96z8JmIln5eXgEdRs7fcYO1n65L2ThjQPvWLVuFRk1edbHe2mvwNzeM
8lZ0XXyVs5wixuesGu5d23ZXV1eVXBr89lkWAISSM99N6N7S3z+gWWjM3G3XqmuLNH55CWzPF2yu
hzsglP41f3Z8399SslITjm2bH+1i57yv0culu7LxtQERHSM6dYgc8tZfmaZWkreXzfVpyNq14OmO
rVu2CukyZlFsQe1u1fj22NCoeuxul8Zp1HztrB8b69Nm/TaOa4TQAyIeYJs+W4y6TcNy8f8W43Nx
OgDQNG28o944kq+tCSGEEEKPIXvDeEoml1EymYyiHBwUtMJBQQEACKWJsdkdP9qdlJ559eAs+ocX
391TYS8d+LISjd+0nfklRrmbnlOJZmJNKDvw34FvpgxZ/f/t3XlYVFUbAPD33hkUZFFi3wXZHVxQ
MayEFDT3TB0RURLIFDU/JVekiEojUgpzyyU1y11TyhAyF3hMAckUQUGRRUVUZJNY597+uDOXO8sZ
oO/Levje3x/z3Hnv4SzvYZ6ZM+fOTHbpo4d5hxcMszYSaYu35KwL/uDpm9/n3r51Lq7X1smLkqs6
sKXMlH3zn811fXu394t7tM1byRXyrldVXk0c1T80IWqwGKD56raETJ/EX4vulV77xj9nYcTWIm45
1NnxakZsl5iHv0RWci2/1/Ax/Q0pAJG+gZ7qeYEOjUvw0lFWsGnuhw0Lf8rOvpJ1ZHrRsqX7K1gA
4nyR8im7tTFkfs6ob6/eLsz+euSlsCmJN7n3XTrUnw7oXD3keemsDrXblk9Sfkj5JNev+XGNEPrb
CBfVGo/VD0jH/IqdW71rwX9IHiGEEEJdj7anedrS2krf0sqYos2tLY2srLidWsp09OqEeb4W3QC6
2Y0c4VH/sKKR1RIHtrqqzsTCTK0lturqvuiQgEEevS1NbIeG77rOrfrZx8eTkiWxSWEDeomANnQJ
HDfImNISb7ly4DA9a3WQYzegTf1XLpak7UtTfAkgXZOzKdxPYmdp23/yR+fa9nGBKd37TqLB0iWD
xUorfmJ5AABgyw8sSzJa/cl4MwoAug1ceXhv5FCzbkAZDZgtleRfucFd+0waL0BzacoHU308XFzd
vPwituXU8G13pl1SHkj5BCDU35S23Ecimbgxr3DbZBdHR0eX1xLzZFrqIY6Lqby4IXiIg5WN28tz
duY28uHH9x9b9e9nQgPo2PkPtysvrWSAPF+EfDLlP/9YFLAwwqMHQA/P8LhZ9bv35LQCkPtD6j8A
W3dj//JJg5ztrCxs+o5991BBIwC5HlL5ttNK8wJAyDNp3ontas4nIT/EfJLr1/y4Rgg9X5TahjkX
Ub9VL8BRDwrP4jIeIYQQ6sK0Pc2LrOxsbe1sxCCysrGxtbNWKss0VRVl7Fy++UHQ/PEvCF5oqMeZ
6qdVT87ETRk5/NVxISt2ZVXKVzdsQ1mF8fSktGvF5SWnphVHL9p+hwGAltzM626vOGVvWCgdPXLs
rDUH8p5xm7iEeH3hzUfOfftUn4ufv/zwXSMPT+M7N0u4/Vr2UfrZxpnfZZeWXFihtyt0VYr8t/WY
kj3vbNBb/clEY0bpgnpSeU7T5cRPK0KiJ5iqvvQCaL5TUGbv4sjtyZLGW39h1Zh5OSN2ZhYU5P8S
2/Mr6bLT8rcbOtUuKQ+kfAKp/u6Bn2bm5h6d5+q+ILnw7t27hSlLPEVa6iGMiynbHfr6tm5RZ4ru
5R6NMK6oUKRUZ0joHNmXc1Ydvl5ZlbUzWXfmNDcRaJ0vnjCfLCN4p0XsJHGt+P1aFQvE/pD7X7xr
xsiYknHbs4rLy28eCXcEGQ1a6iGVV1D/f9CcZ9K8E9ol5lNAmB9iPgn1t/O4Rgj9LwnX29oJi/EL
cuEtX5VKhKIo7nJ67kAY5ytECCGEUBej7SU8ZfZazIbZ7iKgzMfGJMx0FVw5XHsi0rvfkFEr8/zi
Vgbym5Ga42IP6Xsro9Z8deLU/riAhwljpm/hrgamrSdEvTvB06ihLPf3B8aOJtezrjcDAFtTXZm9
Ifq01ZzEgwfjR5W8/8bq88/Icba5qUVXX596mnf2p5Qr92U9DPSaG5u4lR9lOj4qaoSNLtXdSbp4
Wo+UE5ebAYAp/nrRet3V66daqg5ec3m5+jPbj9rMDnZWv4C9teCrD056Lgrz5E4Rxvssdds+w8iE
t70MKaDN/JaGO575IZvbv+9Uu4Q8EPMJ7dSvhlSP5nExZcf3pHsvi5/urEfpWLw0eYQDnyAdx1HT
BjZnfDlDYjfykPMCqbMItM+XnFI+aeuA1xzSPk/6tby2siA1PjQmtbGuto4FUn+I/ZflfbM5a/jH
m9/yNhYBbegxZYHUoxuQ6yGWl1OdFyDkmTjvmtvVkk8FpfyQ86m5ftD6uEYI/a34pbX6AY+LCOPC
z7qrrNK5LXc+wi/mRSIRVwAhhBBCXZLWl/C0ne8IAAAQ2b/EHSgYTdp6Y9KWP0pOx80cPfvZ2f3B
8i09TXHKdNjsCO7PBoUmRB1wOfLLk0gncwoaC4+8H5WY0dpniE8/W0bc3NDQCgCUgWEvjwVb1ge7
iABsglfMSpqafK3FfxgpbmDcs6nySYtLZEpxJEBL+tGqnnbGNIDSyhBoEzPjZ8W1DMju7lq0QXdV
mtSKBi1fAM6XV2j5LS3DNmCNuerrIrb6wpqQTaYf/RxiI39XQPN4TStLy2pvXpgo+VpRA2U6iVLu
JHSkXVIedAj5VKZWvwaEejSPy/hBafkLri7CCzI4sjtbgyILl/yQEWjSWAs9DV0AAAXASURBVJL6
2dx5Y2MPZMT56JLmS04tnyKPxd9ubYn9MGgC2PtK342ZlLmvpxEFpP4Q/69k90rKbbz6ql9BTqiH
WJ6jNi/K+DwzxHnX3C4xn3Kq+aGI+dRcvzml7XGNEPoHURTFsm3PCtw6nA/ya3WWZblTNE1zx3xJ
iqK4IP/nCCGEEOqStC7j20H1cBi9ZLaDx/GMhmCpfvtx7qTiFYfsVtKb0Y9XpKdPNKcBqvac/+gE
AACIPQe6l2ffbgQXfQAAWvFKhBTv7jXQ5UZmTlOIf3cApiQzu1Uy3pYGUL4Wuamo8J6FvbVIVnQq
+XZzXqyfWywAND4pfSIO9Mpdd273DBON5RX3ZXcvXm70HKdYqsuxtZmfTInImrr/ZJCt6ta+nGK8
9As21gZ9J/2YHtVHuaTmfiruq7dLygMpn8pU61fXsXraxtXLpFdNdvkfAD2VzrMVad8X+cb4m1AA
eg6jVsWHHHszOf89n4Gk+QIg5bN777HRu8dGAwA0Xlz2mengxRrW1u3+X9GW1mbl+bfqWImGv27D
16O9vPq8KOPzTJx3Fe3lEwA050dbPgX4cSGEnhdKeVmuHucOSLfCktyxkHpEGOQ25NuaRAghhFDX
ov56vx1sxbFlEfFpJX+wALKnmTsPXOvt5dadHGfKDy19K/H8/SYAaCz+PiYxx/eNABMKgHn6qJLq
oa9LAVNfcHzdjkvyvXHaenK4z7mPP/21mgWmInXjd9UB4/rrkOMiZ2mI4w/x2/MbofXBybU764JC
X+4u72vN5ROn7jSwTHVm4toTpkEzBumIXBacyC+UyzsY7uS9PO36nhncpqqG8vJRg+xe8X0TKwvh
qyK25tK610NOv7r32LJBbW9WEMdrOCpi+uOkpZt+q2YAoKUi69zvim/U71S7pDyQ8gla61dHqIc0
LpHLmLH2Z7/47OJThqkvOPLFQfn3yFO9XPq0ph0487AVAKA+Py39sb2TpUjLfGnOJ0Dz3fSfb9Qw
AC33U9+LOtJ7YZiXmNwfUv9B7BUS5p4avfjb/GcssA3FpxMTf6pgyfUQysupzwsQ8kyYd1K7pHwS
80PIJ6l+hNA/gltjCw+Ed4VB4Wpc5ZiPALRdac/dikQi7hPy/Mfj+QoRQggh1PV0ehlPmftLfe4l
vt7PsbeD05DILN8tB5f3F5PjtMUIqXfh2nF9ezvYuY7e0DL32N5wBxoAdHzeWTv62jyJ24BhE2Kv
Dw2brNhCpCyk24+G3l853NPdc2Q8E3Vk3av62uK049wdn/dLCRnoKhmz0eD943Ev6sr7KnYdbH1u
oa+zvST0vM/Wo9Hews82a6ClfPOjihpjU+GlztXH5k+IyXhcuGOau6W5mZmZmfW4LSUMebxgFLA+
dcvgjMiX3N09JYPfiD9Tpri2vVPtkvJAzKfW+tUR6iGOSzxgxcEvB6WHetm7+UX99kqQv/w9lB4j
1h1c2JwwYejQF319/OZd8tu+eZYVBcT5IuQT2NqyS7vCvO3tHNxGx9fPO7k/zIHW1h9C/wFErosO
HX+b2jHVy8Ghj7d02xN7JwOKXA+hvJyGeSHlWfO8E9sl5ZOUH0I+ifUjhP6t+LW3cBGuvibnIhyV
pbswiLvxCCGEUBdG1dYqfS06z9DQUDWEEEII/d9TuVRe45XzAMCyLHdK5ZY7YBiGvyvEMExdXR3L
sjKZjLvL3TIMo6enxwW529bWVu5YBcMwra2t9fX1gYGBSh1SwOd3hBBC6Pmrq1P8Krqyzj4vUxQF
f2E3HiGEEEI8fhtc9YSCyin1klyEjwsL8KfUqWzC89fVc8di8X/z3TcIIYQQ+lfDZTxCCCH0vFHK
S3c+yMdVVukcWvELcwBKvzYnPObo6io+X4YQQgihLgffrUcIIYT+dpTyt9Brj3NLcUEppTh/llL8
whxXg0gk4iphWZZb2COEEEIIIYQQQgghhBBCCCGEEEIIIYQQQqgD/gSzxGwQrfcolwAAAABJRU5E
rkJggg==
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 24 Oct 2021 22:41:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 18:41:03 2021
Received: from localhost ([127.0.0.1]:41249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1memAo-0003Gn-Iq
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:41:02 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:44765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1memAn-0003GC-79
 for 51362 <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:41:01 -0400
Received: by mail-ot1-f49.google.com with SMTP id
 d21-20020a9d4f15000000b0054e677e0ac5so12277315otl.11
 for <51362 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 15:41:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9fmnX77FLhBhZDsyarrvY7n1KSSvzyPm+XPis1UuQF0=;
 b=kdYPlyCvE72G/cJR49PSLq2cDOfvwC5DCgR8FEgg8bIQOVMv1zb1O/qRp2EFEWi1Yy
 LBrVkFASu4tUtRjHSeGma2uCyw9P94w5vje25ATB+xxaMt9IVNTC4l/Kyjc9CyPddbnu
 sAGsWNmtvxOSp20mjfyObGM/TrZpvK172vXM0VLKLQZDyG3XnctKwADL9qLpbgwb3SlY
 tp9lRRrs3vfHtt7CNh7t/W8qdB6dwtw9gslwUqiKzDzwVmV4eYO75LYOIwts7FRP2XjE
 ALJGJAxmk84jFErF8y/rHHBj043GsXOjFmwsbyCYuNBVqwWQ5f5lDqxz+lWTrfKIjhRI
 ogIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9fmnX77FLhBhZDsyarrvY7n1KSSvzyPm+XPis1UuQF0=;
 b=CemGVJ6fcI6zoMAAnL+IlAkrwPBaJ8F3hY7ZxVKlisq7llXbwfyRjw7lL0wPQMFfp1
 DUengIUMRhJ1OlzxSLV22tj3VHwM96aLesHshL3dBs7e9DmFi2DN2LFoFmqL9+niDOLx
 rD5gRb2TLSPN+c7mLL3JZb4qwXZJxVyllHnYVTWYWWEt4EHoF3Kis5CocDOehb7KIWXO
 69iRIK1G1sr6Cq+AJ+NVFVxMh7ls3udKND50Xca4xLiaxr0Puef/pQZqHHvh1fEum/NV
 smcDEZzbOoftit+UtDkc8aDVh9BP6rxuvpt1waa3gNBgwxy0rKDLHTQod+ZrS9MVzTLP
 l0pg==
X-Gm-Message-State: AOAM530dTxCzqusP+ipyKC6/DkfsbF08tVL26s6Sn6M7yl6Y63ITG/b3
 QRe3sExT5DZQ5Odd97MYQBbsbRqW0SfNWpvUw3xR+lpe++E=
X-Google-Smtp-Source: ABdhPJxtPRrINQhXavAuk4lpzSZStSmLzVMy8sWR44yl4I6JMPsA2Hd6Amk9zSvfE7WrawYPhgOUE5co3VdJB4FkEn8=
X-Received: by 2002:a05:6830:922:: with SMTP id
 v34mr10924680ott.223.1635115255602; 
 Sun, 24 Oct 2021 15:40:55 -0700 (PDT)
MIME-Version: 1.0
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
 <CALmFPZ0tj1jtOXmOPZrvayYfXZjt0ekpk=bEzw9A3ydy=FL+4A@HIDDEN>
In-Reply-To: <CALmFPZ0tj1jtOXmOPZrvayYfXZjt0ekpk=bEzw9A3ydy=FL+4A@HIDDEN>
From: Jeff Spencer <jeffspencerd@HIDDEN>
Date: Sun, 24 Oct 2021 17:40:44 -0500
Message-ID: <CALmFPZ2-V+JAttpSmFpOqQRAsvmeVZgMYDjA4nMB3-SpJ+ybaQ@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000fa219e05cf20ef1f"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000fa219e05cf20ef1f
Content-Type: text/plain; charset="UTF-8"

Also, the snapshot_spec when colored is `font-lock-function-name-face`, but
when not it has no face property.

On Sun, Oct 24, 2021 at 5:37 PM Jeff Spencer <jeffspencerd@HIDDEN> wrote:

> Here is a somewhat minimal example. What is weird is it is inconsistent.
> If I save this as `test.py` and load it none of the `snapshot_spec` are
> colored, but they are just normal text. If on the line where snapshot_spec
> is defined I delete the tuple part of input_tuple it will be highlighted
> correctly and remains that way. Then if I go back up and I for example
> delete `| datetime` then it goes back to no color.
>
> ```
> from __future__ import annotations
>
> from datetime import datetime
>
> import pandas as pd
>
>
> def make_snapshot_temp(input_tuple: tuple, window: int, date: str |
> datetime) -> None:
>
>     snapshot_spec = pd.DataFrame(input_tuple, columns=["lead_id"])
>     snapshot_spec["snapshot_to_date"] = pd.to_datetime(date)
>
>     if window == 0:
>         snapshot_spec["snapshot_from_date"] = pd.to_datetime("2017-04-01")
>         snapshot_spec["snapshot_window"] = "all-time"
>
>     return snapshot_spec
> ```
>
> On Sun, Oct 24, 2021 at 7:45 AM Stefan Kangas <stefan@HIDDEN> wrote:
>
>> Jeff Spencer <jeffspencerd@HIDDEN> writes:
>>
>> > If you look at the link below it doesn't highlight the `post_split_...`
>> > variable but it does highlight the `df_train` variable below it
>> > correctly. The link shows my settings, but this happens when starting
>> > with emacs -Q as well. It seems the syntax highlighting got messed up
>> > with the addition of the f-strings code.
>>
>> Do you have an example file or snippet where font-lock fails?
>>
>

--000000000000fa219e05cf20ef1f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Also, the snapshot_spec when colored is `font-lock-functio=
n-name-face`, but when not it has no face property.</div><br><div class=3D"=
gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Oct 24, 2021 at =
5:37 PM Jeff Spencer &lt;<a href=3D"mailto:jeffspencerd@HIDDEN">jeffspen=
cerd@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" st=
yle=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padd=
ing-left:1ex"><div dir=3D"ltr"><div>Here is a somewhat minimal example. Wha=
t is weird is it is inconsistent. If I save this as `test.py` and load it n=
one of the `snapshot_spec` are colored, but they are just normal text. If o=
n the line where snapshot_spec is defined I delete the tuple part of input_=
tuple it will be highlighted correctly and remains that way. Then if I go b=
ack up and I for example delete `| datetime` then it goes back to no color.=
</div><div><br></div><div>```</div>from __future__ import annotations<br><b=
r>from datetime import datetime<br><br>import pandas as pd<br><br><br>def m=
ake_snapshot_temp(input_tuple: tuple, window: int, date: str | datetime) -&=
gt; None:<br><br>=C2=A0 =C2=A0 snapshot_spec =3D pd.DataFrame(input_tuple, =
columns=3D[&quot;lead_id&quot;])<br>=C2=A0 =C2=A0 snapshot_spec[&quot;snaps=
hot_to_date&quot;] =3D pd.to_datetime(date)<br><br>=C2=A0 =C2=A0 if window =
=3D=3D 0:<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 snapshot_spec[&quot;snapshot_from_=
date&quot;] =3D pd.to_datetime(&quot;2017-04-01&quot;)<br>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 snapshot_spec[&quot;snapshot_window&quot;] =3D &quot;all-time&qu=
ot;<br><br>=C2=A0 =C2=A0 return snapshot_spec<br><div>```</div></div><br><d=
iv class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Oct =
24, 2021 at 7:45 AM Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN" =
target=3D"_blank">stefan@HIDDEN</a>&gt; wrote:<br></div><blockquote cla=
ss=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid =
rgb(204,204,204);padding-left:1ex">Jeff Spencer &lt;<a href=3D"mailto:jeffs=
pencerd@HIDDEN" target=3D"_blank">jeffspencerd@HIDDEN</a>&gt; writes:=
<br>
<br>
&gt; If you look at the link below it doesn&#39;t highlight the `post_split=
_...`<br>
&gt; variable but it does highlight the `df_train` variable below it<br>
&gt; correctly. The link shows my settings, but this happens when starting<=
br>
&gt; with emacs -Q as well. It seems the syntax highlighting got messed up<=
br>
&gt; with the addition of the f-strings code.<br>
<br>
Do you have an example file or snippet where font-lock fails?<br>
</blockquote></div>
</blockquote></div>

--000000000000fa219e05cf20ef1f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 24 Oct 2021 22:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 18:37:57 2021
Received: from localhost ([127.0.0.1]:41244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mem7o-0003BG-UH
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:37:57 -0400
Received: from mail-ot1-f54.google.com ([209.85.210.54]:42650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1mem7o-0003B2-3n
 for 51362 <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:37:56 -0400
Received: by mail-ot1-f54.google.com with SMTP id
 l24-20020a9d1c98000000b00552a5c6b23cso12307593ota.9
 for <51362 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 15:37:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Uythkwes07o8az0LgDBb0bkzLQMs0j5iSTyyNGlzB18=;
 b=eGbvpGF8Cc98yPZUGsF13mINwsVLVv5c5olwrpXc23f1ua06f9fNCObYRb1g2MmnWg
 XOXXiKljGrDlPZ7iPw2ShRLVt8cFi2mhdtBw5dR6Rwa3VyJJ6zySrEnNzCidqehwHQJ8
 QefU0odJhEqdnvhsXTX4KReUFzldiTwKzVXn/DrKRf2E7P2mYehFdEn75v7MTn45UMl4
 amHQ6X9N7guBLJnb79P30RBZvmlPEm0nfY1Nie89mpmP+GS7+dL9DCsBADhtNHCMFBJj
 pB9q8bvE9jw7Uta9yS+KPtDR6jGtfcSVE9MFeCw2pXa8GHNJ7jzMx8T0io9/cbYEV+MR
 BQ6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Uythkwes07o8az0LgDBb0bkzLQMs0j5iSTyyNGlzB18=;
 b=GkTVT7Xl58O0WiJ8Xs9GGHeI8jrGjAxk4gvxVbtTMTZwIOiH+36VkzOf2NBRWMN6TI
 vEnDlwI8uPVyVV0D32tKXvx1Y8M9dhGrdek9oA7efZoixxHxjFbFj9kHhxIya1hcZn3W
 3ZfK8dl/tUgd9ilVSxfC8EgxTczzmGtzNw+a3kBwIzhBmRT3YtVeePxr1hxA7PFFWYZh
 XFNY5KcnGgFL9aAOzsKG8Tguyw6G7ZknvTVoxS6wCRAGN5svKPVCVvBV+xl7ZzznV+td
 Q4QouDOlg1CDo+6mjUFuP5PordUZ5Ky0ZwDg48YETOrQry8tLVd0QC693YA7uVkIvDJu
 cO6g==
X-Gm-Message-State: AOAM530COp4dBpCbq9jAHi/SVl3zzxtujot6I3A4of9rWcGLlFodsUeQ
 gYauJguV9xiPz7vkTRk0LO5OQuscxVWUixr/m7pekPWgAqJAZg==
X-Google-Smtp-Source: ABdhPJx6ObLdQHwfe6wGcmMEiCtZmxiuLNci1sKJo1zkVbKTKBTiGzOZJ/1+tSIjlKafC+Y/ji5jkNsWGJiRfKs2ET0=
X-Received: by 2002:a05:6830:922:: with SMTP id
 v34mr10915857ott.223.1635115070280; 
 Sun, 24 Oct 2021 15:37:50 -0700 (PDT)
MIME-Version: 1.0
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
In-Reply-To: <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
From: Jeff Spencer <jeffspencerd@HIDDEN>
Date: Sun, 24 Oct 2021 17:37:39 -0500
Message-ID: <CALmFPZ0tj1jtOXmOPZrvayYfXZjt0ekpk=bEzw9A3ydy=FL+4A@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ee567805cf20e4f0"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ee567805cf20e4f0
Content-Type: text/plain; charset="UTF-8"

Here is a somewhat minimal example. What is weird is it is inconsistent. If
I save this as `test.py` and load it none of the `snapshot_spec` are
colored, but they are just normal text. If on the line where snapshot_spec
is defined I delete the tuple part of input_tuple it will be highlighted
correctly and remains that way. Then if I go back up and I for example
delete `| datetime` then it goes back to no color.

```
from __future__ import annotations

from datetime import datetime

import pandas as pd


def make_snapshot_temp(input_tuple: tuple, window: int, date: str |
datetime) -> None:

    snapshot_spec = pd.DataFrame(input_tuple, columns=["lead_id"])
    snapshot_spec["snapshot_to_date"] = pd.to_datetime(date)

    if window == 0:
        snapshot_spec["snapshot_from_date"] = pd.to_datetime("2017-04-01")
        snapshot_spec["snapshot_window"] = "all-time"

    return snapshot_spec
```

On Sun, Oct 24, 2021 at 7:45 AM Stefan Kangas <stefan@HIDDEN> wrote:

> Jeff Spencer <jeffspencerd@HIDDEN> writes:
>
> > If you look at the link below it doesn't highlight the `post_split_...`
> > variable but it does highlight the `df_train` variable below it
> > correctly. The link shows my settings, but this happens when starting
> > with emacs -Q as well. It seems the syntax highlighting got messed up
> > with the addition of the f-strings code.
>
> Do you have an example file or snippet where font-lock fails?
>

--000000000000ee567805cf20e4f0
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Here is a somewhat minimal example. What is weird is =
it is inconsistent. If I save this as `test.py` and load it none of the `sn=
apshot_spec` are colored, but they are just normal text. If on the line whe=
re snapshot_spec is defined I delete the tuple part of input_tuple it will =
be highlighted correctly and remains that way. Then if I go back up and I f=
or example delete `| datetime` then it goes back to no color.</div><div><br=
></div><div>```</div>from __future__ import annotations<br><br>from datetim=
e import datetime<br><br>import pandas as pd<br><br><br>def make_snapshot_t=
emp(input_tuple: tuple, window: int, date: str | datetime) -&gt; None:<br><=
br>=C2=A0 =C2=A0 snapshot_spec =3D pd.DataFrame(input_tuple, columns=3D[&qu=
ot;lead_id&quot;])<br>=C2=A0 =C2=A0 snapshot_spec[&quot;snapshot_to_date&qu=
ot;] =3D pd.to_datetime(date)<br><br>=C2=A0 =C2=A0 if window =3D=3D 0:<br>=
=C2=A0 =C2=A0 =C2=A0 =C2=A0 snapshot_spec[&quot;snapshot_from_date&quot;] =
=3D pd.to_datetime(&quot;2017-04-01&quot;)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 s=
napshot_spec[&quot;snapshot_window&quot;] =3D &quot;all-time&quot;<br><br>=
=C2=A0 =C2=A0 return snapshot_spec<br><div>```</div></div><br><div class=3D=
"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Oct 24, 2021 at=
 7:45 AM Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN">stefan@marx=
ist.se</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"m=
argin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left=
:1ex">Jeff Spencer &lt;<a href=3D"mailto:jeffspencerd@HIDDEN" target=3D"=
_blank">jeffspencerd@HIDDEN</a>&gt; writes:<br>
<br>
&gt; If you look at the link below it doesn&#39;t highlight the `post_split=
_...`<br>
&gt; variable but it does highlight the `df_train` variable below it<br>
&gt; correctly. The link shows my settings, but this happens when starting<=
br>
&gt; with emacs -Q as well. It seems the syntax highlighting got messed up<=
br>
&gt; with the addition of the f-strings code.<br>
<br>
Do you have an example file or snippet where font-lock fails?<br>
</blockquote></div>

--000000000000ee567805cf20e4f0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51362 <at> debbugs.gnu.org:


Received: (at 51362) by debbugs.gnu.org; 24 Oct 2021 12:45:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 08:45:46 2021
Received: from localhost ([127.0.0.1]:38105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mecsk-0001Nd-Em
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 08:45:46 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:39597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mecsi-0001NN-KG
 for 51362 <at> debbugs.gnu.org; Sun, 24 Oct 2021 08:45:45 -0400
Received: by mail-pg1-f173.google.com with SMTP id g184so8147924pgc.6
 for <51362 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 05:45:44 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=mWQlwAIwM4eGpwPyTT1NaKFmiGSAFVO89G0NhqPLIL0=;
 b=VEKUxKcgSrwII0wUCsCdCJ6L/4VfYdFa34SygTa0+8skHsTUxiWTxvXvq8/lSgkCLH
 5HIKD3cB7Wt7E7Q8E9mnRYeu1N6eUk4Xmqi9lmV8BJKDBTTBNaa+K4VpBj89jqukbdO9
 i3IKUcV4LDTsL/84wnd5F4GdOSEyGcavQaTO9T6E9j+heS7LUkZXTE/BQ0wvz7x4IMqm
 nQjRyBvlIsko3S6V6CaYbmBk9OTcbX3AftXB5oh6mvJGwVML0+1J2rJ4vExCX0HMcNLQ
 ZqivNtF4Hg0a+DD5nLW4BAgmIDhmcvpbI820bGfnLyGsNYORfywtdixTzqj4iOaLjMa3
 XQKA==
X-Gm-Message-State: AOAM531UMiSXNCghV7yM8+0UqxTiB6vvIhf+SePWnqQfI+IAt0c75rKH
 9atGuCQzzTVKpUkdAtY2Vjs7qCREM8T26YhMfh4=
X-Google-Smtp-Source: ABdhPJxrdfi66g1X58nTPbtQN5oL0OCNr7UhusRS5RZf4nNhhFpaFpUwQoPc28hmgyEuA1vdT/5zSEDIBh2WfCHQmGo=
X-Received: by 2002:a63:330f:: with SMTP id z15mr5756264pgz.42.1635079538858; 
 Sun, 24 Oct 2021 05:45:38 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 24 Oct 2021 05:45:38 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
 (Jeff Spencer's message of "Sat, 23 Oct 2021 15:06:35 -0500")
References: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sun, 24 Oct 2021 05:45:38 -0700
Message-ID: <CADwFkmmT_V58u-3HTX1Q9VV42Qs+-1pufMSdSEPX45PapOa6dg@HIDDEN>
Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken
To: Jeff Spencer <jeffspencerd@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51362
Cc: 51362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Jeff Spencer <jeffspencerd@HIDDEN> writes:

> If you look at the link below it doesn't highlight the `post_split_...`
> variable but it does highlight the `df_train` variable below it
> correctly. The link shows my settings, but this happens when starting
> with emacs -Q as well. It seems the syntax highlighting got messed up
> with the addition of the f-strings code.

Do you have an example file or snippet where font-lock fails?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2021 20:07:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 16:07:07 2021
Received: from localhost ([127.0.0.1]:37397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meNIG-0004aC-5h
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 16:07:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:38016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1meNIB-0004Zl-Bf
 for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 16:07:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49584)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jeffspencerd@HIDDEN>)
 id 1meNI9-00036o-8G
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 16:06:58 -0400
Received: from mail-ot1-x329.google.com ([2607:f8b0:4864:20::329]:33662)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jeffspencerd@HIDDEN>)
 id 1meNI2-0001gL-3Y
 for bug-gnu-emacs@HIDDEN; Sat, 23 Oct 2021 16:06:56 -0400
Received: by mail-ot1-x329.google.com with SMTP id
 34-20020a9d0325000000b00552cae0decbso8945561otv.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 23 Oct 2021 13:06:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=sR0fmejZ8UNVVcXxZ6UZxg9FzqwZnjeNmSbBNglICk8=;
 b=NQNRsr0Fz0PeUufnS/PHrhK7Y2PUMjTzVP4FVX6Rp0MkMPhcxr6LLUEAHOcKq/w1Qc
 obsXr9CLjEG8Q1dS7ymBQbXAuR0lHIeWpfJJ9cgngIH3rkbv2rK9YoETmAkPh2hG7K76
 Sah568pvAS7xQJ1eYSE9F+jTRYG99qDyZG+uWd6QYE0q30IfxI4tGz55awXpM98BmnNj
 6rfqmn66ybjjoyWeaGO3nSzix0pOcMcocLMHjpeSTeYFYn0HpbkW5qH9y8sxS3JUk8km
 BhDPTxC81BD+NAXZFwrekmLqDelfyHUi7+Ef8QAFURTlZCw5YzMvG1w9kub1Geoe3VQH
 LJNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=sR0fmejZ8UNVVcXxZ6UZxg9FzqwZnjeNmSbBNglICk8=;
 b=IjiS6eegFB6IqcRbXvH34vnkuEwODoEUk92OvHNWs3o2SKHGWJAMjiTGvn7n3owQjT
 oepbgGoEIXENfb8fReFlbzI+csGDucRuU5vhtVuAz4ezV/OHCtFEUjU0jRNgjjx3iUZR
 m3hiL7P1fOePkboU8r/kM/wuIgSQU3DRvlGSEwrGGwriGYFEGZnQO5UXkKvnATZArT4T
 kRdyzWk/mYsgfpoZU4njcefnPti4FokOZ/OPmMgdBRQhQR7e7AIBxHQTfSfuY3mxDRCz
 iGtPM+ybw9beCV2YVR8t9SdW443A6mKPHNa5MeLuXGiQR2Cbq/+8SRBwNsyFi6aXGc8t
 36QQ==
X-Gm-Message-State: AOAM531GI7rEZoqsozjhjo2XHHree9nnH8RdzMf4FwZatMTdFQjf1Rfi
 Zfp9fxbsw8nY3xGcUGqNHUH3HlMdGXnkMy3VsWpZ45E37dyIOg==
X-Google-Smtp-Source: ABdhPJw+obPNsU0Il5pQooNE7/UP7ZVYOCc8SivfeW/9k+xrgbTLqK51bBjAQwYamxaJcrHeQJULRtdjyBo4wrVvXmo=
X-Received: by 2002:a05:6830:1d85:: with SMTP id
 y5mr6354120oti.316.1635019606801; 
 Sat, 23 Oct 2021 13:06:46 -0700 (PDT)
MIME-Version: 1.0
From: Jeff Spencer <jeffspencerd@HIDDEN>
Date: Sat, 23 Oct 2021 15:06:35 -0500
Message-ID: <CALmFPZ0B_E-BEzkTQw2K-fntBAnEV4Wbir8PymDnnP2HC52muA@HIDDEN>
Subject: python font-lock-mode in emacs 28 seems broken
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000dd413105cf0aaa4a"
Received-SPF: pass client-ip=2607:f8b0:4864:20::329;
 envelope-from=jeffspencerd@HIDDEN; helo=mail-ot1-x329.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000dd413105cf0aaa4a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I wanted to upgrade to emacs 28 for f-strings support, but it seems
something is off with font-lock-mode or at least isn't backward
compatible with past emacs versions.

If you look at the link below it doesn't highlight the `post_split_...`
variable but it does highlight the `df_train` variable below it
correctly. The link shows my settings, but this happens when starting
with emacs -Q as well. It seems the syntax highlighting got messed up
with the addition of the f-strings code.

https://emacs.stackexchange.com/questions/69049/emacs-28-and-python-mode-th=
e-syntax-font-lock-mode-seems-all-off

In GNU Emacs 28.0.60 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60
Version 10.15.7 (Build 19H1419))
 of 2021-10-20 built on MBP.local
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=3D/usr/local/share/emacs/site-lisp
 --infodir=3D/usr/local/Cellar/emacs-plus@28/28.0.50/share/info/emacs
 --prefix=3D/usr/local/Cellar/emacs-plus@28/28.0.50 --with-xml2
 --with-gnutls --with-native-compilation --without-dbus
 --with-imagemagick --with-modules --with-rsvg --with-ns
 --disable-ns-self-contained 'CFLAGS=3D-I/usr/local/opt/gcc/include
 -I/usr/local/opt/libgccjit/include -I/usr/local/opt/gmp/include
 -I/usr/local/opt/jpeg/include' 'LDFLAGS=3D-L/usr/local/lib/gcc/11
 -I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
 -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include''

Configured features:
ACL GIF GLIB GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF
TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: =CF=80

Minor modes in effect:
  display-line-numbers-mode: t
  bug-reference-prog-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  eyebrowse-mode: t
  keyfreq-autosave-mode: t
  keyfreq-mode: t
  winner-mode: t
  global-hl-todo-mode: t
  hl-todo-mode: t
  save-place-mode: t
  all-the-icons-ivy-rich-mode: t
  ivy-rich-project-root-cache-mode: t
  ivy-rich-mode: t
  global-auto-revert-mode: t
  pdf-occur-global-minor-mode: t
  which-key-mode: t
  highlight-numbers-mode: t
  beacon-mode: t
  back-button-mode: t
  cyphejor-mode: t
  whitespace-cleanup-mode: t
  clean-aindent-mode: t
  dtrt-indent-mode: t
  smartparens-strict-mode: t
  smartparens-mode: t
  evil-local-mode: t
  windmove-mode: t
  desktop-save-mode: t
  global-visible-mark-mode: t
  visible-mark-mode: t
  openwith-mode: t
  savehist-mode: t
  scimax-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  async-bytecomp-package-mode: t
  google-this-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  highlight-indentation-mode: t
  company-mode: t
  elpy-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  counsel-projectile-mode: t
  projectile-mode: t
  counsel-mode: t
  ivy-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-auto-complete-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/Users/spence/Programs/scimax/ob-ipython-upstream/ob-ipython hides
/Users/spence/Programs/scimax/elpa/ob-ipython-20180224.953/ob-ipython
/Users/spence/Programs/scimax/elpa/lispy-20211020.907/elpa hides
/Users/spence/Programs/scimax/elpa/ivy-20210930.1450/elpa
/Users/spence/Programs/scimax/user/custom hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/custom
/Users/spence/Programs/scimax/elpa/transient-20211013.2148/transient hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/transient
/Users/spence/Programs/scimax/user/bindings hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/bindings
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-exp hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-exp
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-emacs-lisp
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-emacs-lisp
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-css hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-css
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lob hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-lob
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-irc hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-irc
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-forth hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-forth
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-macs hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-macs
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-version
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-version
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-scheme
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-scheme
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-C hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-C
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-capture
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-capture
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ref hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-ref
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-clojure
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-clojure
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-mouse
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-mouse
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-ctags
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-ctags
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-entities
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-entities
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-archive
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-archive
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-screen
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-screen
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-bibtex
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ol-bibtex
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-haskell
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-haskell
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-table
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-table
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-eww hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-eww
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-man hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-man
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-org hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-org
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-num hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-nu=
m
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-plot hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-plot
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-rmail hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ol-rmail
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-awk hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-awk
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-groovy
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-groovy
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-octave
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-octave
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-faces
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-faces
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-colview
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-colview
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-R hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-R
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-refile
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-refile
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-timer
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-timer
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-mobile
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-mobile
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-fortran
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-fortran
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-shell hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-shell
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-perl hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-per=
l
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-sqlite
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-sqlite
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-sed hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-sed
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-list hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-list
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ruby hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-rub=
y
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-eval hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-eva=
l
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-habit
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-habit
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-clock
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-clock
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-goto hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-goto
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-html hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-htm=
l
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-src hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-sr=
c
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lisp hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-lis=
p
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-eshell
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ol-eshell
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ditaa hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-ditaa
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-pcomplete
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-pcomplete
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-lint hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-lint
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-latex hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-latex
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-sass hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-sas=
s
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-tangle
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-tangle
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-calc hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-cal=
c
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-java hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-jav=
a
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-icalendar
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-icalendar
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-mhe hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-mhe
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-attach-git
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-attach-git
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-md hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-md
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-beamer
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-beamer
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-element
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-element
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-protocol
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-protocol
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-gnuplot
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-gnuplot
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-tempo
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-tempo
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-latex hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-latex
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-w3m hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-w3m
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-id hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-id
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-man hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-man
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-feed hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-feed
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-julia hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-julia
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lua hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-lua
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-table hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-table
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ocaml hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-ocaml
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-gnus hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-gnu=
s
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-indent
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-indent
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lilypond
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-lilypond
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-matlab
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-matlab
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-datetree
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-datetree
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-docview
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ol-docview
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-python
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-python
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-makefile
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-makefile
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-duration
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-duration
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-agenda
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-agenda
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-dot hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-dot
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-js hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-js
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-publish
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-publish
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-inlinetask
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-inlinetask
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-org hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-org
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-keys hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-keys
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-core hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-cor=
e
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-compat
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-compat
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-odt hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-odt
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-info hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-inf=
o
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-plantuml
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-plantuml
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-eshell
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-eshell
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-ascii hides
/usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-ascii
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-loaddefs
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-loaddefs
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-koma-letter
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-koma-letter
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-maxima
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-maxima
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-bbdb hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-bbd=
b
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-macro
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-macro
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-sql hides
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-sql
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-attach
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-attach
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-processing
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-processing
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-texinfo
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ox-texinfo
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-crypt
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-crypt
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-footnote
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-footnote
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-install
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/org-install
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-comint
hides /usr/local/Cellar/emacs-plus@28
/28.0.50/share/emacs/28.0.60/lisp/org/ob-comint

Features:
(mailalias mailclient qp shadow sort mail-extr emacsbug sendmail
org-goto magit-patch magit-subtree magit-gitignore magit-ediff ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util ace-window descr-text tabify wdired company-oddmuse
company-keywords company-etags company-gtags company-dabbrev-code
company-dabbrev company-files company-clang company-template
company-cmake company-bbdb display-line-numbers xah-lookup darkroom
magit-extras vc magit-todos pcre2el rxt re-builder github-review a
forge-list forge-commands forge-semi forge-bitbucket buck forge-gogs
gogs forge-gitea gtea forge-gitlab forge-github forge-notify
forge-revnote forge-pullreq forge-issue forge-topic yaml bug-reference
forge-post markdown-mode edit-indirect forge-repo forge forge-core
forge-db closql magit-bookmark magit-submodule magit-obsolete
magit-popup magit-blame magit-stash magit-reflog magit-bisect magit-push
magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
git-commit log-edit pcvs-util add-log magit-core magit-autorevert
magit-margin magit-transient magit-process with-editor magit-mode
magit-git magit-section magit-utils face-remap eyebrowse loadhist server
epa-file dired+ image-dired init packages python-black reformatter
flycheck-yamllint org-indent appt diary-lib diary-loaddefs keyfreq
winner emacs-lock smart-mode-line-dark-theme
sanityinc-tomorrow-eighties-theme hl-todo saveplace
all-the-icons-ivy-rich ivy-rich all-the-icons-dired org-gcal persist
org-generic-id org-clock org-archive request-deferred request autorevert
alert log4e gntp ox-jekyll-lite ox-md wgrep-ag wgrep helm-chronos
chronos notifications pdf-occur tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw cedet pdf-isearch pdf-misc doom-todo-ivy vlf-setup vlf
vlf-base vlf-tune ibuf-macs which-key powershell realgud-ipdb
realgud--ipdb-track-mode realgud--ipdb-init realgud--ipdb-core realgud
realgud-zshdb realgud:zshdb-track-mode realgud:zshdb-core
realgud:zshdb-init realgud-trepan3k realgud:trepan3k-track-mode
realgud:trepan3k-core realgud:trepan3k-init realgud-trepan2
realgud:trepan2-track-mode realgud:trepan2-core realgud:trepan2-init
realgud-trepanpl realgud:trepanpl-track-mode realgud:trepanpl-core
realgud:trepanpl-init realgud-trepanjs realgud:trepanjs-track-mode
realgud:trepanjs-core realgud:trepanjs-init realgud-lang-js
realgud-trepan realgud:trepan-track-mode realgud:trepan-core
realgud:trepan-init realgud-remake realgud:remake-track-mode
realgud:remake-core realgud:remake-init realgud-rdebug
realgud-rdebug-track-mode realgud-rdebug-core realgud-rdebug-init
realgud-lang-ruby realgud-perldb realgud:perldb-track-mode
realgud:perldb-core realgud:perldb-init realgud-lang-perl realgud-pdb
realgud:pdb-track-mode realgud:pdb-core realgud:pdb-init
realgud-lang-python realgud-kshdb realgud:kshdb-track-mode
realgud:kshdb-core realgud:kshdb-init realgud-gub realgud:gub-track-mode
realgud:gub-core realgud:gub-init realgud-gdb realgud:gdb-track-mode
realgud:gdb-init realgud:gdb-core realgud-bashdb
realgud:bashdb-track-mode realgud:bashdb-core realgud:bashdb-init
realgud-lang-posix-shell realgud:run realgud-locals-mode
realgud-breakpoint-mode realgud-backtrack-mode realgud-track-mode
realgud-backtrace-mode realgud-attach realgud-lang-java realgud-track
realgud-shortkey realgud-menu realgud-eval realgud-cmds realgud-send
realgud-window realgud-utils realgud-init realgud-file realgud-core
realgud-reset realgud-buffer-helper realgud-buffer-breakpoint
realgud-buffer-backtrace realgud-locals realgud-buffer-locals
realgud-buffer-command realgud-buffer-info realgud-lochist realgud-bp
realgud-bp-image-data realgud-lang esh-mode realgud-loc
realgud-buffer-source realgud-key key realgud-follow realgud-fringe
realgud-helper loc-changes realgud-regexp realgud-custom load-relative
dotenv-mode k8s-mode kubel yaml-mode-expansions yaml-mode
dockerfile-mode sh-script smie executable company-quickhelp pos-tip
company-terraform company-terraform-data terraform-mode hcl-mode
org-sidebar org-ql-search org-ql-view transient org-super-agenda
isend-mode term disp-table ehelp counsel-pydoc highlight-numbers
parent-mode auctex-latexmk tex-buf latex-mode-expansions latex
latex-flymake tex-ispell tex-style visual-fill-column
git-commit-insert-issue glab ghub-graphql treepy gsexp ghub
evil-nerd-commenter evil-nerd-commenter-operator evil-nerd-commenter-sdk
html-mode-expansions sgml-mode facemenu jupyter jupyter-repl
jupyter-kernel-manager jupyter-channel jupyter-widget-client websocket
bindat simple-httpd jupyter-kernelspec jupyter-env jupyter-client
jupyter-mime jupyter-comm-layer jupyter-messages hmac-def jupyter-base
eieio-base color-theme-sanityinc-tomorrow beacon osx-trash
easy-kill-extras easy-kill-line-edge easy-kill-buffer easy-kill-to-char
back-button find-file-in-project find-lisp helm-gtags pulse which-func
imenu helm-ag helm-rg dumb-jump org-download org-attach cyphejor
whitespace-cleanup-mode whitespace clean-aindent-mode dtrt-indent
smartparens man evil evil-keybindings evil-integration evil-maps
evil-commands reveal evil-jumps evil-command-window evil-search evil-ex
evil-types evil-macros evil-repeat evil-states evil-core evil-common
windmove calc calc-loaddefs calc-macs evil-digraphs evil-vars frame-cmds
frame-fns avoid wttrin backup-each-save dired-filter dired-narrow
dired-ranger dired-hacks-utils peep-dired dired-x tiny desktop frameset
transpose-frame visual-regexp-steroids visual-regexp visible-mark
ace-jump-zap easy-kill-aj ace-jump-mode ivy-dired-history dired-aux
openwith expand-region text-mode-expansions cc-mode-expansions
the-org-mode-expansions python-el-fgallina-expansions
er-basic-expansions expand-region-core expand-region-custom todotxt
savehist scimax-editmarks kitchingroup cal-iso gitter scimax-journal
scimax-autoformat-abbrev scimax-yas scimax-lob vc-git vc-dispatcher
org-eldoc flyspell-correct flyspell ispell image-file image-converter
ol-eww eww mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-search eieio-opt speedbar ezimage dframe gnus-art mm-uu mml2015
mm-view mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start
gnus-dbus dbus gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
gnus-spec gnus-int gnus-range gnus-win gnus nnheader ol-docview doc-view
ol-bbdb ol-w3m scimax-ivy org-show animate ox-manuscript bibtex-hotkeys
scimax-notebook ivy-xref scimax-apps org-ql peg ts org-habit ag vc-svn
find-dired ibuffer-projectile ggtags ewoc scimax-spellcheck scimax-email
scimax-contacts pretty-hydra org-db emacsql-sqlite emacsql
emacsql-compiler scimax-org scimax-org-src-blocks ob-C ob-fortran
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs ob-R ob-plantuml ob-dot ob-org ob-perl ob-ruby ob-sqlite
ob-matlab ob-octave ob-shell ob-latex scimax-org-images scimax-org-latex
scimax-org-radio-checkbox scimax-org-babel-python org-id org-agenda
org-mouse org-inlinetask scimax-mode scimax-utils scimax leuven-theme
ws-butler undo-tree diff smex smart-mode-line-light-theme
smart-mode-line rich-minority rainbow-mode xterm-color pydoc goto-addr
org-ref-wos org-ref-scopus org-ref-arxiv org-ref org-ref-helm-bibtex
org-ref-helm helm-config org-ref-core reftex-cite reftex reftex-loaddefs
reftex-vars org-ref-glossary ox-odt rng-loc rng-uri rng-parse rng-match
rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox
org-ref-bibtex org-ref-citeproc org-element doi-utils org-ref-utils
org-ref-pdf url-http url-auth url-gw nsm ol-bibtex ivy-bibtex
helm-bibtex bibtex-completion org-capture org-refile biblio
biblio-download biblio-dissemin biblio-ieee biblio-hal biblio-dblp
biblio-crossref biblio-arxiv timezone biblio-doi biblio-core let-alist
hl-line helm-files filenotify helm-buffers helm-occur helm-tags
helm-locate helm-grep helm-regexp helm-utils helm-types helm-net
helm-help helm async-bytecomp helm-global-bindings helm-easymenu
helm-source helm-multi-match helm-lib async parsebib bibtex org-mime
pdf-tools pdf-view jka-compr pdf-cache pdf-info tq pdf-util pdf-macs
image-mode exif ov scimax-ob ob-ipython dash-functional ob-python
mustache lispy lispy-inline edebug backtrace lispy-tags mode-local
jedi-direx direx eieio-compat jedi jedi-core python-environment epc
ctable concurrent deferred ivy-hydra hydra-ox org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs cal-menu calendar cal-loaddefs hydra lv
hy-mode hy-jedhy hy-shell hy-font-lock hy-base htmlize ht help-fns+ cl
google-this f esup esup-child benchmark yasnippet-snippets yasnippet
highlight-indentation company-capf company help-fns radix-tree elpy
elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util elpy-shell elpy-profile elpy-django s
elpy-refactor diff-mode python tramp-sh docker-tramp tramp-cache tramp
tramp-loaddefs trampver tramp-integration tramp-compat shell pcomplete
parse-time iso8601 ls-lisp format-spec ido files-x etags fileloop
cus-edit cus-start cus-load elfeed-show elfeed-search message rmc rfc822
mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mail-utils
gmm-utils mailheader shr kinsoku svg dom elfeed-csv elfeed elfeed-curl
elfeed-log elfeed-db elfeed-lib time-date avl-tree generator url-queue
xml-query xml dashboard dashboard-widgets all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons recentf tree-widget
wid-edit counsel-projectile projectile grep ibuf-ext ibuffer
ibuffer-loaddefs counsel xdg xref dired dired-loaddefs swiper ivy flx
delsel ivy-faces ivy-overlay colir color easy-kill-mc easy-kill pcase
multiple-cursors mc-separate-operations rectangular-region-mode
mc-mark-pop mc-edit-lines mc-hide-unmatched-lines-mode mc-mark-more
mc-cycle-cursors multiple-cursors-core comp comp-cstr rect drag-stuff
button-lock bookmark pp tex crm texmathp avy flycheck find-func dash
flymake-proc flymake project compile text-property-search comint
ansi-color ring warnings thingatpt auto-complete-config auto-complete
popup aggressive-indent lisp-mnt mail-parse rfc2231 rfc2047 rfc2045
mm-util ietf-drums mail-prsvr cl-extra help-mode bootstrap diminish
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core gnutls puny
finder-inf tex-site rx realgud-recursive-autoloads advice info edmacro
kmacro package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc
paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads kqueue
cocoa ns lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 2043216 228309)
 (symbols 48 105694 65)
 (strings 32 512167 18150)
 (string-bytes 1 20837768)
 (vectors 16 199867)
 (vector-slots 8 5179121 222825)
 (floats 8 2849 1058)
 (intervals 56 35353 8745)
 (buffers 992 61))

--000000000000dd413105cf0aaa4a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I wanted to upgrade to emacs 28 for f-strings support, but=
 it seems<br>something is off with font-lock-mode or at least isn&#39;t bac=
kward<br>compatible with past emacs versions.<br><br>If you look at the lin=
k below it doesn&#39;t highlight the `post_split_...`<br>variable but it do=
es highlight the `df_train` variable below it<br>correctly. The link shows =
my settings, but this happens when starting<br>with emacs -Q as well. It se=
ems the syntax highlighting got messed up<br>with the addition of the f-str=
ings code. <br><br><a href=3D"https://emacs.stackexchange.com/questions/690=
49/emacs-28-and-python-mode-the-syntax-font-lock-mode-seems-all-off">https:=
//emacs.stackexchange.com/questions/69049/emacs-28-and-python-mode-the-synt=
ax-font-lock-mode-seems-all-off</a><br><br>In GNU Emacs 28.0.60 (build 1, x=
86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H1419)=
)<br>=C2=A0of 2021-10-20 built on MBP.local<br>Windowing system distributor=
 &#39;Apple&#39;, version 10.3.1894<br>System Description: =C2=A0Mac OS X 1=
0.15.7<br><br>Configured using:<br>=C2=A0&#39;configure --disable-dependenc=
y-tracking --disable-silent-rules<br>=C2=A0--enable-locallisppath=3D/usr/lo=
cal/share/emacs/site-lisp<br>=C2=A0--infodir=3D/usr/local/Cellar/emacs-plus=
@28/28.0.50/share/info/emacs<br>=C2=A0--prefix=3D/usr/local/Cellar/emacs-pl=
us@28/28.0.50 --with-xml2<br>=C2=A0--with-gnutls --with-native-compilation =
--without-dbus<br>=C2=A0--with-imagemagick --with-modules --with-rsvg --wit=
h-ns<br>=C2=A0--disable-ns-self-contained &#39;CFLAGS=3D-I/usr/local/opt/gc=
c/include<br>=C2=A0-I/usr/local/opt/libgccjit/include -I/usr/local/opt/gmp/=
include<br>=C2=A0-I/usr/local/opt/jpeg/include&#39; &#39;LDFLAGS=3D-L/usr/l=
ocal/lib/gcc/11<br>=C2=A0-I/usr/local/opt/gcc/include -I/usr/local/opt/libg=
ccjit/include<br>=C2=A0-I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/i=
nclude&#39;&#39;<br><br>Configured features:<br>ACL GIF GLIB GMP GNUTLS IMA=
GEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES<br>NATIVE_COMP NOTIFY KQUEUE NS PD=
UMPER PNG RSVG THREADS TIFF<br>TOOLKIT_SCROLL_BARS XIM ZLIB<br><br>Importan=
t settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-s=
ystem: utf-8-unix<br><br>Major mode: =CF=80<br><br>Minor modes in effect:<b=
r>=C2=A0 display-line-numbers-mode: t<br>=C2=A0 bug-reference-prog-mode: t<=
br>=C2=A0 global-git-commit-mode: t<br>=C2=A0 magit-auto-revert-mode: t<br>=
=C2=A0 eyebrowse-mode: t<br>=C2=A0 keyfreq-autosave-mode: t<br>=C2=A0 keyfr=
eq-mode: t<br>=C2=A0 winner-mode: t<br>=C2=A0 global-hl-todo-mode: t<br>=C2=
=A0 hl-todo-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0 all-the-icons-iv=
y-rich-mode: t<br>=C2=A0 ivy-rich-project-root-cache-mode: t<br>=C2=A0 ivy-=
rich-mode: t<br>=C2=A0 global-auto-revert-mode: t<br>=C2=A0 pdf-occur-globa=
l-minor-mode: t<br>=C2=A0 which-key-mode: t<br>=C2=A0 highlight-numbers-mod=
e: t<br>=C2=A0 beacon-mode: t<br>=C2=A0 back-button-mode: t<br>=C2=A0 cyphe=
jor-mode: t<br>=C2=A0 whitespace-cleanup-mode: t<br>=C2=A0 clean-aindent-mo=
de: t<br>=C2=A0 dtrt-indent-mode: t<br>=C2=A0 smartparens-strict-mode: t<br=
>=C2=A0 smartparens-mode: t<br>=C2=A0 evil-local-mode: t<br>=C2=A0 windmove=
-mode: t<br>=C2=A0 desktop-save-mode: t<br>=C2=A0 global-visible-mark-mode:=
 t<br>=C2=A0 visible-mark-mode: t<br>=C2=A0 openwith-mode: t<br>=C2=A0 save=
hist-mode: t<br>=C2=A0 scimax-mode: t<br>=C2=A0 global-undo-tree-mode: t<br=
>=C2=A0 undo-tree-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<br>=C2=
=A0 google-this-mode: t<br>=C2=A0 yas-global-mode: t<br>=C2=A0 yas-minor-mo=
de: t<br>=C2=A0 highlight-indentation-mode: t<br>=C2=A0 company-mode: t<br>=
=C2=A0 elpy-mode: t<br>=C2=A0 pyvenv-mode: t<br>=C2=A0 shell-dirtrack-mode:=
 t<br>=C2=A0 recentf-mode: t<br>=C2=A0 counsel-projectile-mode: t<br>=C2=A0=
 projectile-mode: t<br>=C2=A0 counsel-mode: t<br>=C2=A0 ivy-mode: t<br>=C2=
=A0 TeX-PDF-mode: t<br>=C2=A0 TeX-source-correlate-mode: t<br>=C2=A0 global=
-flycheck-mode: t<br>=C2=A0 flycheck-mode: t<br>=C2=A0 global-auto-complete=
-mode: t<br>=C2=A0 override-global-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=
=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 show-paren-mode:=
 t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=
=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-fo=
nt-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<=
br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=
=A0 auto-compression-mode: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line=
-number-mode: t<br>=C2=A0 global-visual-line-mode: t<br>=C2=A0 visual-line-=
mode: t<br>=C2=A0 transient-mark-mode: t<br>=C2=A0 abbrev-mode: t<br><br>Lo=
ad-path shadows:<br>/Users/spence/Programs/scimax/ob-ipython-upstream/ob-ip=
ython hides /Users/spence/Programs/scimax/elpa/ob-ipython-20180224.953/ob-i=
python<br>/Users/spence/Programs/scimax/elpa/lispy-20211020.907/elpa hides =
/Users/spence/Programs/scimax/elpa/ivy-20210930.1450/elpa<br>/Users/spence/=
Programs/scimax/user/custom hides /usr/local/Cellar/emacs-plus@28/28.0.50/s=
hare/emacs/28.0.60/lisp/custom<br>/Users/spence/Programs/scimax/elpa/transi=
ent-20211013.2148/transient hides /usr/local/Cellar/emacs-plus@28/28.0.50/s=
hare/emacs/28.0.60/lisp/transient<br>/Users/spence/Programs/scimax/user/bin=
dings hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lis=
p/bindings<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/=
ob-exp hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/li=
sp/org/ob-exp<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-202109=
20/ob-emacs-lisp hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/=
28.0.60/lisp/org/ob-emacs-lisp<br>/Users/spence/Programs/scimax/elpa/org-pl=
us-contrib-20210920/ob-css hides /usr/local/Cellar/emacs-plus@28/28.0.50/sh=
are/emacs/28.0.60/lisp/org/ob-css<br>/Users/spence/Programs/scimax/elpa/org=
-plus-contrib-20210920/ob-lob hides /usr/local/Cellar/emacs-plus@28/28.0.50=
/share/emacs/28.0.60/lisp/org/ob-lob<br>/Users/spence/Programs/scimax/elpa/=
org-plus-contrib-20210920/ol-irc hides /usr/local/Cellar/emacs-plus@28/28.0=
.50/share/emacs/28.0.60/lisp/org/ol-irc<br>/Users/spence/Programs/scimax/el=
pa/org-plus-contrib-20210920/ob-forth hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/ob-forth<br>/Users/spence/Programs/sc=
imax/elpa/org-plus-contrib-20210920/org-macs hides /usr/local/Cellar/emacs-=
plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-macs<br>/Users/spence/Prog=
rams/scimax/elpa/org-plus-contrib-20210920/ob hides /usr/local/Cellar/emacs=
-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob<br>/Users/spence/Programs/=
scimax/elpa/org-plus-contrib-20210920/org-version hides /usr/local/Cellar/e=
macs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-version<br>/Users/spe=
nce/Programs/scimax/elpa/org-plus-contrib-20210920/ob-scheme hides /usr/loc=
al/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-scheme<br>/=
Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox hides /usr/l=
ocal/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox<br>/Users=
/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-C hides /usr/loca=
l/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-C<br>/Users/=
spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-capture hides /us=
r/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-captu=
re<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ref h=
ides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/o=
b-ref<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-cl=
ojure hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lis=
p/org/ob-clojure<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-202=
10920/org-mouse hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/2=
8.0.60/lisp/org/org-mouse<br>/Users/spence/Programs/scimax/elpa/org-plus-co=
ntrib-20210920/org-ctags hides /usr/local/Cellar/emacs-plus@28/28.0.50/shar=
e/emacs/28.0.60/lisp/org/org-ctags<br>/Users/spence/Programs/scimax/elpa/or=
g-plus-contrib-20210920/org-entities hides /usr/local/Cellar/emacs-plus@28/=
28.0.50/share/emacs/28.0.60/lisp/org/org-entities<br>/Users/spence/Programs=
/scimax/elpa/org-plus-contrib-20210920/org-archive hides /usr/local/Cellar/=
emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-archive<br>/Users/sp=
ence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-screen hides /usr/lo=
cal/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-screen<br>=
/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-bibtex hide=
s /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-b=
ibtex<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ha=
skell hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lis=
p/org/ob-haskell<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-202=
10920/org-table hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/2=
8.0.60/lisp/org/org-table<br>/Users/spence/Programs/scimax/elpa/org-plus-co=
ntrib-20210920/ol-eww hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/e=
macs/28.0.60/lisp/org/ol-eww<br>/Users/spence/Programs/scimax/elpa/org-plus=
-contrib-20210920/ol-man hides /usr/local/Cellar/emacs-plus@28/28.0.50/shar=
e/emacs/28.0.60/lisp/org/ol-man<br>/Users/spence/Programs/scimax/elpa/org-p=
lus-contrib-20210920/ox-org hides /usr/local/Cellar/emacs-plus@28/28.0.50/s=
hare/emacs/28.0.60/lisp/org/ox-org<br>/Users/spence/Programs/scimax/elpa/or=
g-plus-contrib-20210920/org-num hides /usr/local/Cellar/emacs-plus@28/28.0.=
50/share/emacs/28.0.60/lisp/org/org-num<br>/Users/spence/Programs/scimax/el=
pa/org-plus-contrib-20210920/org-plot hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/org-plot<br>/Users/spence/Programs/sc=
imax/elpa/org-plus-contrib-20210920/ol-rmail hides /usr/local/Cellar/emacs-=
plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-rmail<br>/Users/spence/Prog=
rams/scimax/elpa/org-plus-contrib-20210920/ob-awk hides /usr/local/Cellar/e=
macs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-awk<br>/Users/spence/P=
rograms/scimax/elpa/org-plus-contrib-20210920/ob-groovy hides /usr/local/Ce=
llar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-groovy<br>/Users=
/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-octave hides /usr=
/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-octave<=
br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-faces h=
ides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/o=
rg-faces<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/or=
g-colview hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60=
/lisp/org/org-colview<br>/Users/spence/Programs/scimax/elpa/org-plus-contri=
b-20210920/ob-R hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/2=
8.0.60/lisp/org/ob-R<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib=
-20210920/org-refile hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/em=
acs/28.0.60/lisp/org/org-refile<br>/Users/spence/Programs/scimax/elpa/org-p=
lus-contrib-20210920/org-timer hides /usr/local/Cellar/emacs-plus@28/28.0.5=
0/share/emacs/28.0.60/lisp/org/org-timer<br>/Users/spence/Programs/scimax/e=
lpa/org-plus-contrib-20210920/org-mobile hides /usr/local/Cellar/emacs-plus=
@28/28.0.50/share/emacs/28.0.60/lisp/org/org-mobile<br>/Users/spence/Progra=
ms/scimax/elpa/org-plus-contrib-20210920/ob-fortran hides /usr/local/Cellar=
/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-fortran<br>/Users/sp=
ence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-shell hides /usr/loc=
al/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-shell<br>/U=
sers/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-perl hides /u=
sr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-perl<=
br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-sqlite h=
ides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/o=
b-sqlite<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob=
-sed hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp=
/org/ob-sed<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920=
/org-list hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60=
/lisp/org/org-list<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-2=
0210920/ob-ruby hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/2=
8.0.60/lisp/org/ob-ruby<br>/Users/spence/Programs/scimax/elpa/org-plus-cont=
rib-20210920/ob-eval hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/em=
acs/28.0.60/lisp/org/ob-eval<br>/Users/spence/Programs/scimax/elpa/org-plus=
-contrib-20210920/org-habit hides /usr/local/Cellar/emacs-plus@28/28.0.50/s=
hare/emacs/28.0.60/lisp/org/org-habit<br>/Users/spence/Programs/scimax/elpa=
/org-plus-contrib-20210920/org-clock hides /usr/local/Cellar/emacs-plus@28/=
28.0.50/share/emacs/28.0.60/lisp/org/org-clock<br>/Users/spence/Programs/sc=
imax/elpa/org-plus-contrib-20210920/org-goto hides /usr/local/Cellar/emacs-=
plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-goto<br>/Users/spence/Prog=
rams/scimax/elpa/org-plus-contrib-20210920/ox-html hides /usr/local/Cellar/=
emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-html<br>/Users/spence=
/Programs/scimax/elpa/org-plus-contrib-20210920/org-src hides /usr/local/Ce=
llar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-src<br>/Users/s=
pence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lisp hides /usr/loc=
al/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-lisp<br>/Us=
ers/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-eshell hides /=
usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-eshe=
ll<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-ditaa=
 hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org=
/ob-ditaa<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/o=
rg-pcomplete hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0=
.60/lisp/org/org-pcomplete<br>/Users/spence/Programs/scimax/elpa/org-plus-c=
ontrib-20210920/org-lint hides /usr/local/Cellar/emacs-plus@28/28.0.50/shar=
e/emacs/28.0.60/lisp/org/org-lint<br>/Users/spence/Programs/scimax/elpa/org=
-plus-contrib-20210920/ox-latex hides /usr/local/Cellar/emacs-plus@28/28.0.=
50/share/emacs/28.0.60/lisp/org/ox-latex<br>/Users/spence/Programs/scimax/e=
lpa/org-plus-contrib-20210920/ob-sass hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/ob-sass<br>/Users/spence/Programs/sci=
max/elpa/org-plus-contrib-20210920/ob-tangle hides /usr/local/Cellar/emacs-=
plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-tangle<br>/Users/spence/Pro=
grams/scimax/elpa/org-plus-contrib-20210920/ob-calc hides /usr/local/Cellar=
/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-calc<br>/Users/spenc=
e/Programs/scimax/elpa/org-plus-contrib-20210920/ob-java hides /usr/local/C=
ellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-java<br>/Users/=
spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-icalendar hides /u=
sr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-icale=
ndar<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-mhe=
 hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org=
/ol-mhe<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org=
-attach-git hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.=
60/lisp/org/org-attach-git<br>/Users/spence/Programs/scimax/elpa/org-plus-c=
ontrib-20210920/ox-md hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/e=
macs/28.0.60/lisp/org/ox-md<br>/Users/spence/Programs/scimax/elpa/org-plus-=
contrib-20210920/ox-beamer hides /usr/local/Cellar/emacs-plus@28/28.0.50/sh=
are/emacs/28.0.60/lisp/org/ox-beamer<br>/Users/spence/Programs/scimax/elpa/=
org-plus-contrib-20210920/org-element hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/org-element<br>/Users/spence/Programs=
/scimax/elpa/org-plus-contrib-20210920/org-protocol hides /usr/local/Cellar=
/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-protocol<br>/Users/=
spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-gnuplot hides /usr=
/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-gnuplot=
<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-tempo =
hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/=
org-tempo<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/o=
b-latex hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/l=
isp/org/ob-latex<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-202=
10920/ol-w3m hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0=
.60/lisp/org/ol-w3m<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-=
20210920/org-id hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/2=
8.0.60/lisp/org/org-id<br>/Users/spence/Programs/scimax/elpa/org-plus-contr=
ib-20210920/ox-man hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emac=
s/28.0.60/lisp/org/ox-man<br>/Users/spence/Programs/scimax/elpa/org-plus-co=
ntrib-20210920/org-feed hides /usr/local/Cellar/emacs-plus@28/28.0.50/share=
/emacs/28.0.60/lisp/org/org-feed<br>/Users/spence/Programs/scimax/elpa/org-=
plus-contrib-20210920/ob-julia hides /usr/local/Cellar/emacs-plus@28/28.0.5=
0/share/emacs/28.0.60/lisp/org/ob-julia<br>/Users/spence/Programs/scimax/el=
pa/org-plus-contrib-20210920/ob-lua hides /usr/local/Cellar/emacs-plus@28/2=
8.0.50/share/emacs/28.0.60/lisp/org/ob-lua<br>/Users/spence/Programs/scimax=
/elpa/org-plus-contrib-20210920/ob-table hides /usr/local/Cellar/emacs-plus=
@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-table<br>/Users/spence/Programs=
/scimax/elpa/org-plus-contrib-20210920/ob-ocaml hides /usr/local/Cellar/ema=
cs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-ocaml<br>/Users/spence/P=
rograms/scimax/elpa/org-plus-contrib-20210920/ol-gnus hides /usr/local/Cell=
ar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol-gnus<br>/Users/spe=
nce/Programs/scimax/elpa/org-plus-contrib-20210920/org-indent hides /usr/lo=
cal/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-indent<br=
>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-lilypond h=
ides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/o=
b-lilypond<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/=
ob-matlab hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60=
/lisp/org/ob-matlab<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-=
20210920/org-datetree hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/e=
macs/28.0.60/lisp/org/org-datetree<br>/Users/spence/Programs/scimax/elpa/or=
g-plus-contrib-20210920/ol-docview hides /usr/local/Cellar/emacs-plus@28/28=
.0.50/share/emacs/28.0.60/lisp/org/ol-docview<br>/Users/spence/Programs/sci=
max/elpa/org-plus-contrib-20210920/ob-python hides /usr/local/Cellar/emacs-=
plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-python<br>/Users/spence/Pro=
grams/scimax/elpa/org-plus-contrib-20210920/ob-makefile hides /usr/local/Ce=
llar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-makefile<br>/Use=
rs/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-duration hides=
 /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-d=
uration<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org=
-agenda hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/l=
isp/org/org-agenda<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-2=
0210920/ob-dot hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28=
.0.60/lisp/org/ob-dot<br>/Users/spence/Programs/scimax/elpa/org-plus-contri=
b-20210920/ob-js hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/=
28.0.60/lisp/org/ob-js<br>/Users/spence/Programs/scimax/elpa/org-plus-contr=
ib-20210920/ox-publish hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/=
emacs/28.0.60/lisp/org/ox-publish<br>/Users/spence/Programs/scimax/elpa/org=
-plus-contrib-20210920/org-inlinetask hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/org-inlinetask<br>/Users/spence/Progr=
ams/scimax/elpa/org-plus-contrib-20210920/ob-org hides /usr/local/Cellar/em=
acs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-org<br>/Users/spence/Pr=
ograms/scimax/elpa/org-plus-contrib-20210920/org-keys hides /usr/local/Cell=
ar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-keys<br>/Users/sp=
ence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-core hides /usr/loca=
l/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-core<br>/Use=
rs/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-compat hides /=
usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-com=
pat<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol hide=
s /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol<b=
r>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ox-odt hides=
 /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-od=
t<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-info h=
ides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/o=
l-info<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-p=
lantuml hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/l=
isp/org/ob-plantuml<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-=
20210920/ob-eshell hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emac=
s/28.0.60/lisp/org/ob-eshell<br>/Users/spence/Programs/scimax/elpa/org-plus=
-contrib-20210920/ox-ascii hides /usr/local/Cellar/emacs-plus@28/28.0.50/sh=
are/emacs/28.0.60/lisp/org/ox-ascii<br>/Users/spence/Programs/scimax/elpa/o=
rg-plus-contrib-20210920/org-loaddefs hides /usr/local/Cellar/emacs-plus@28=
/28.0.50/share/emacs/28.0.60/lisp/org/org-loaddefs<br>/Users/spence/Program=
s/scimax/elpa/org-plus-contrib-20210920/ox-koma-letter hides /usr/local/Cel=
lar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-koma-letter<br>/U=
sers/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ob-maxima hides =
/usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ob-max=
ima<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org hid=
es /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org=
<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/ol-bbdb hi=
des /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ol=
-bbdb<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-m=
acro hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp=
/org/org-macro<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210=
920/ob-sql hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.6=
0/lisp/org/ob-sql<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20=
210920/org-attach hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs=
/28.0.60/lisp/org/org-attach<br>/Users/spence/Programs/scimax/elpa/org-plus=
-contrib-20210920/ob-processing hides /usr/local/Cellar/emacs-plus@28/28.0.=
50/share/emacs/28.0.60/lisp/org/ob-processing<br>/Users/spence/Programs/sci=
max/elpa/org-plus-contrib-20210920/ox-texinfo hides /usr/local/Cellar/emacs=
-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/ox-texinfo<br>/Users/spence/P=
rograms/scimax/elpa/org-plus-contrib-20210920/org-crypt hides /usr/local/Ce=
llar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-crypt<br>/Users=
/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-footnote hides /=
usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/lisp/org/org-foo=
tnote<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-20210920/org-i=
nstall hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs/28.0.60/li=
sp/org/org-install<br>/Users/spence/Programs/scimax/elpa/org-plus-contrib-2=
0210920/ob-comint hides /usr/local/Cellar/emacs-plus@28/28.0.50/share/emacs=
/28.0.60/lisp/org/ob-comint<br><br>Features:<br>(mailalias mailclient qp sh=
adow sort mail-extr emacsbug sendmail<br>org-goto magit-patch magit-subtree=
 magit-gitignore magit-ediff ediff<br>ediff-merg ediff-mult ediff-wind edif=
f-diff ediff-help ediff-init<br>ediff-util ace-window descr-text tabify wdi=
red company-oddmuse<br>company-keywords company-etags company-gtags company=
-dabbrev-code<br>company-dabbrev company-files company-clang company-templa=
te<br>company-cmake company-bbdb display-line-numbers xah-lookup darkroom<b=
r>magit-extras vc magit-todos pcre2el rxt re-builder github-review a<br>for=
ge-list forge-commands forge-semi forge-bitbucket buck forge-gogs<br>gogs f=
orge-gitea gtea forge-gitlab forge-github forge-notify<br>forge-revnote for=
ge-pullreq forge-issue forge-topic yaml bug-reference<br>forge-post markdow=
n-mode edit-indirect forge-repo forge forge-core<br>forge-db closql magit-b=
ookmark magit-submodule magit-obsolete<br>magit-popup magit-blame magit-sta=
sh magit-reflog magit-bisect magit-push<br>magit-pull magit-fetch magit-clo=
ne magit-remote magit-commit<br>magit-sequence magit-notes magit-worktree m=
agit-tag magit-merge<br>magit-branch magit-reset magit-files magit-refs mag=
it-status magit<br>magit-repos magit-apply magit-wip magit-log magit-diff s=
merge-mode<br>git-commit log-edit pcvs-util add-log magit-core magit-autore=
vert<br>magit-margin magit-transient magit-process with-editor magit-mode<b=
r>magit-git magit-section magit-utils face-remap eyebrowse loadhist server<=
br>epa-file dired+ image-dired init packages python-black reformatter<br>fl=
ycheck-yamllint org-indent appt diary-lib diary-loaddefs keyfreq<br>winner =
emacs-lock smart-mode-line-dark-theme<br>sanityinc-tomorrow-eighties-theme =
hl-todo saveplace<br>all-the-icons-ivy-rich ivy-rich all-the-icons-dired or=
g-gcal persist<br>org-generic-id org-clock org-archive request-deferred req=
uest autorevert<br>alert log4e gntp ox-jekyll-lite ox-md wgrep-ag wgrep hel=
m-chronos<br>chronos notifications pdf-occur tablist tablist-filter<br>sema=
ntic/wisent/comp semantic/wisent semantic/wisent/wisent<br>semantic/util-mo=
des semantic/util semantic semantic/tag semantic/lex<br>semantic/fw cedet p=
df-isearch pdf-misc doom-todo-ivy vlf-setup vlf<br>vlf-base vlf-tune ibuf-m=
acs which-key powershell realgud-ipdb<br>realgud--ipdb-track-mode realgud--=
ipdb-init realgud--ipdb-core realgud<br>realgud-zshdb realgud:zshdb-track-m=
ode realgud:zshdb-core<br>realgud:zshdb-init realgud-trepan3k realgud:trepa=
n3k-track-mode<br>realgud:trepan3k-core realgud:trepan3k-init realgud-trepa=
n2<br>realgud:trepan2-track-mode realgud:trepan2-core realgud:trepan2-init<=
br>realgud-trepanpl realgud:trepanpl-track-mode realgud:trepanpl-core<br>re=
algud:trepanpl-init realgud-trepanjs realgud:trepanjs-track-mode<br>realgud=
:trepanjs-core realgud:trepanjs-init realgud-lang-js<br>realgud-trepan real=
gud:trepan-track-mode realgud:trepan-core<br>realgud:trepan-init realgud-re=
make realgud:remake-track-mode<br>realgud:remake-core realgud:remake-init r=
ealgud-rdebug<br>realgud-rdebug-track-mode realgud-rdebug-core realgud-rdeb=
ug-init<br>realgud-lang-ruby realgud-perldb realgud:perldb-track-mode<br>re=
algud:perldb-core realgud:perldb-init realgud-lang-perl realgud-pdb<br>real=
gud:pdb-track-mode realgud:pdb-core realgud:pdb-init<br>realgud-lang-python=
 realgud-kshdb realgud:kshdb-track-mode<br>realgud:kshdb-core realgud:kshdb=
-init realgud-gub realgud:gub-track-mode<br>realgud:gub-core realgud:gub-in=
it realgud-gdb realgud:gdb-track-mode<br>realgud:gdb-init realgud:gdb-core =
realgud-bashdb<br>realgud:bashdb-track-mode realgud:bashdb-core realgud:bas=
hdb-init<br>realgud-lang-posix-shell realgud:run realgud-locals-mode<br>rea=
lgud-breakpoint-mode realgud-backtrack-mode realgud-track-mode<br>realgud-b=
acktrace-mode realgud-attach realgud-lang-java realgud-track<br>realgud-sho=
rtkey realgud-menu realgud-eval realgud-cmds realgud-send<br>realgud-window=
 realgud-utils realgud-init realgud-file realgud-core<br>realgud-reset real=
gud-buffer-helper realgud-buffer-breakpoint<br>realgud-buffer-backtrace rea=
lgud-locals realgud-buffer-locals<br>realgud-buffer-command realgud-buffer-=
info realgud-lochist realgud-bp<br>realgud-bp-image-data realgud-lang esh-m=
ode realgud-loc<br>realgud-buffer-source realgud-key key realgud-follow rea=
lgud-fringe<br>realgud-helper loc-changes realgud-regexp realgud-custom loa=
d-relative<br>dotenv-mode k8s-mode kubel yaml-mode-expansions yaml-mode<br>=
dockerfile-mode sh-script smie executable company-quickhelp pos-tip<br>comp=
any-terraform company-terraform-data terraform-mode hcl-mode<br>org-sidebar=
 org-ql-search org-ql-view transient org-super-agenda<br>isend-mode term di=
sp-table ehelp counsel-pydoc highlight-numbers<br>parent-mode auctex-latexm=
k tex-buf latex-mode-expansions latex<br>latex-flymake tex-ispell tex-style=
 visual-fill-column<br>git-commit-insert-issue glab ghub-graphql treepy gse=
xp ghub<br>evil-nerd-commenter evil-nerd-commenter-operator evil-nerd-comme=
nter-sdk<br>html-mode-expansions sgml-mode facemenu jupyter jupyter-repl<br=
>jupyter-kernel-manager jupyter-channel jupyter-widget-client websocket<br>=
bindat simple-httpd jupyter-kernelspec jupyter-env jupyter-client<br>jupyte=
r-mime jupyter-comm-layer jupyter-messages hmac-def jupyter-base<br>eieio-b=
ase color-theme-sanityinc-tomorrow beacon osx-trash<br>easy-kill-extras eas=
y-kill-line-edge easy-kill-buffer easy-kill-to-char<br>back-button find-fil=
e-in-project find-lisp helm-gtags pulse which-func<br>imenu helm-ag helm-rg=
 dumb-jump org-download org-attach cyphejor<br>whitespace-cleanup-mode whit=
espace clean-aindent-mode dtrt-indent<br>smartparens man evil evil-keybindi=
ngs evil-integration evil-maps<br>evil-commands reveal evil-jumps evil-comm=
and-window evil-search evil-ex<br>evil-types evil-macros evil-repeat evil-s=
tates evil-core evil-common<br>windmove calc calc-loaddefs calc-macs evil-d=
igraphs evil-vars frame-cmds<br>frame-fns avoid wttrin backup-each-save dir=
ed-filter dired-narrow<br>dired-ranger dired-hacks-utils peep-dired dired-x=
 tiny desktop frameset<br>transpose-frame visual-regexp-steroids visual-reg=
exp visible-mark<br>ace-jump-zap easy-kill-aj ace-jump-mode ivy-dired-histo=
ry dired-aux<br>openwith expand-region text-mode-expansions cc-mode-expansi=
ons<br>the-org-mode-expansions python-el-fgallina-expansions<br>er-basic-ex=
pansions expand-region-core expand-region-custom todotxt<br>savehist scimax=
-editmarks kitchingroup cal-iso gitter scimax-journal<br>scimax-autoformat-=
abbrev scimax-yas scimax-lob vc-git vc-dispatcher<br>org-eldoc flyspell-cor=
rect flyspell ispell image-file image-converter<br>ol-eww eww mm-url ol-rma=
il ol-mhe ol-irc ol-info ol-gnus nnselect<br>gnus-search eieio-opt speedbar=
 ezimage dframe gnus-art mm-uu mml2015<br>mm-view mml-smime smime dig gnus-=
sum gnus-group gnus-undo gnus-start<br>gnus-dbus dbus gnus-cloud nnimap nnm=
ail mail-source utf7 netrc nnoo<br>gnus-spec gnus-int gnus-range gnus-win g=
nus nnheader ol-docview doc-view<br>ol-bbdb ol-w3m scimax-ivy org-show anim=
ate ox-manuscript bibtex-hotkeys<br>scimax-notebook ivy-xref scimax-apps or=
g-ql peg ts org-habit ag vc-svn<br>find-dired ibuffer-projectile ggtags ewo=
c scimax-spellcheck scimax-email<br>scimax-contacts pretty-hydra org-db ema=
csql-sqlite emacsql<br>emacsql-compiler scimax-org scimax-org-src-blocks ob=
-C ob-fortran<br>cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-al=
ign cc-engine<br>cc-vars cc-defs ob-R ob-plantuml ob-dot ob-org ob-perl ob-=
ruby ob-sqlite<br>ob-matlab ob-octave ob-shell ob-latex scimax-org-images s=
cimax-org-latex<br>scimax-org-radio-checkbox scimax-org-babel-python org-id=
 org-agenda<br>org-mouse org-inlinetask scimax-mode scimax-utils scimax leu=
ven-theme<br>ws-butler undo-tree diff smex smart-mode-line-light-theme<br>s=
mart-mode-line rich-minority rainbow-mode xterm-color pydoc goto-addr<br>or=
g-ref-wos org-ref-scopus org-ref-arxiv org-ref org-ref-helm-bibtex<br>org-r=
ef-helm helm-config org-ref-core reftex-cite reftex reftex-loaddefs<br>reft=
ex-vars org-ref-glossary ox-odt rng-loc rng-uri rng-parse rng-match<br>rng-=
dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util<br>ox-la=
tex ox-icalendar ox-html table ox-ascii ox-publish ox<br>org-ref-bibtex org=
-ref-citeproc org-element doi-utils org-ref-utils<br>org-ref-pdf url-http u=
rl-auth url-gw nsm ol-bibtex ivy-bibtex<br>helm-bibtex bibtex-completion or=
g-capture org-refile biblio<br>biblio-download biblio-dissemin biblio-ieee =
biblio-hal biblio-dblp<br>biblio-crossref biblio-arxiv timezone biblio-doi =
biblio-core let-alist<br>hl-line helm-files filenotify helm-buffers helm-oc=
cur helm-tags<br>helm-locate helm-grep helm-regexp helm-utils helm-types he=
lm-net<br>helm-help helm async-bytecomp helm-global-bindings helm-easymenu<=
br>helm-source helm-multi-match helm-lib async parsebib bibtex org-mime<br>=
pdf-tools pdf-view jka-compr pdf-cache pdf-info tq pdf-util pdf-macs<br>ima=
ge-mode exif ov scimax-ob ob-ipython dash-functional ob-python<br>mustache =
lispy lispy-inline edebug backtrace lispy-tags mode-local<br>jedi-direx dir=
ex eieio-compat jedi jedi-core python-environment epc<br>ctable concurrent =
deferred ivy-hydra hydra-ox org ob ob-tangle ob-ref<br>ob-lob ob-table ob-e=
xp org-macro org-footnote org-src ob-comint<br>org-pcomplete org-list org-f=
aces org-entities noutline outline<br>org-version ob-emacs-lisp ob-core ob-=
eval org-table ol org-keys<br>org-compat org-macs org-loaddefs cal-menu cal=
endar cal-loaddefs hydra lv<br>hy-mode hy-jedhy hy-shell hy-font-lock hy-ba=
se htmlize ht help-fns+ cl<br>google-this f esup esup-child benchmark yasni=
ppet-snippets yasnippet<br>highlight-indentation company-capf company help-=
fns radix-tree elpy<br>elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-p=
roc esh-io esh-arg<br>esh-module esh-groups esh-util elpy-shell elpy-profil=
e elpy-django s<br>elpy-refactor diff-mode python tramp-sh docker-tramp tra=
mp-cache tramp<br>tramp-loaddefs trampver tramp-integration tramp-compat sh=
ell pcomplete<br>parse-time iso8601 ls-lisp format-spec ido files-x etags f=
ileloop<br>cus-edit cus-start cus-load elfeed-show elfeed-search message rm=
c rfc822<br>mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail<=
br>rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mail-utils<br>gm=
m-utils mailheader shr kinsoku svg dom elfeed-csv elfeed elfeed-curl<br>elf=
eed-log elfeed-db elfeed-lib time-date avl-tree generator url-queue<br>xml-=
query xml dashboard dashboard-widgets all-the-icons<br>all-the-icons-faces =
data-material data-weathericons data-octicons<br>data-fileicons data-faicon=
s data-alltheicons recentf tree-widget<br>wid-edit counsel-projectile proje=
ctile grep ibuf-ext ibuffer<br>ibuffer-loaddefs counsel xdg xref dired dire=
d-loaddefs swiper ivy flx<br>delsel ivy-faces ivy-overlay colir color easy-=
kill-mc easy-kill pcase<br>multiple-cursors mc-separate-operations rectangu=
lar-region-mode<br>mc-mark-pop mc-edit-lines mc-hide-unmatched-lines-mode m=
c-mark-more<br>mc-cycle-cursors multiple-cursors-core comp comp-cstr rect d=
rag-stuff<br>button-lock bookmark pp tex crm texmathp avy flycheck find-fun=
c dash<br>flymake-proc flymake project compile text-property-search comint<=
br>ansi-color ring warnings thingatpt auto-complete-config auto-complete<br=
>popup aggressive-indent lisp-mnt mail-parse rfc2231 rfc2047 rfc2045<br>mm-=
util ietf-drums mail-prsvr cl-extra help-mode bootstrap diminish<br>use-pac=
kage use-package-ensure use-package-delight use-package-diminish<br>use-pac=
kage-bind-key bind-key easy-mmode use-package-core gnutls puny<br>finder-in=
f tex-site rx realgud-recursive-autoloads advice info edmacro<br>kmacro pac=
kage browse-url url url-proxy url-privacy url-expand<br>url-methods url-his=
tory url-cookie url-domsuf url-util mailcap<br>url-handlers url-parse auth-=
source cl-seq eieio eieio-core cl-macs<br>eieio-loaddefs password-cache jso=
n subr-x map url-vars seq byte-opt gv<br>bytecomp byte-compile cconv cl-loa=
ddefs cl-lib iso-transl tooltip eldoc<br>paren electric uniquify ediff-hook=
 vc-hooks lisp-float-type elisp-mode<br>mwheel term/ns-win ns-win ucs-norma=
lize mule-util term/common-win<br>tool-bar dnd fontset image regexp-opt fri=
nge tabulated-list replace<br>newcomment text-mode lisp-mode prog-mode regi=
ster page tab-bar menu-bar<br>rfn-eshadow isearch easymenu timer select scr=
oll-bar mouse jit-lock<br>font-lock syntax font-core term/tty-colors frame =
minibuffer cl-generic<br>cham georgian utf-8-lang misc-lang vietnamese tibe=
tan thai tai-viet lao<br>korean japanese eucjp-ms cp51932 hebrew greek roma=
nian slovak czech<br>european ethiopic indian cyrillic chinese composite em=
oji-zwj charscript<br>charprop case-table epa-hook jka-cmpr-hook help simpl=
e abbrev obarray<br>cl-preloaded nadvice button loaddefs faces cus-face mac=
roexp files<br>window text-properties overlay sha1 md5 base64 format env co=
de-pages<br>mule custom widget hashtable-print-readable backquote threads k=
queue<br>cocoa ns lcms2 multi-tty make-network-process native-compile emacs=
)<br><br>Memory information:<br>((conses 16 2043216 228309)<br>=C2=A0(symbo=
ls 48 105694 65)<br>=C2=A0(strings 32 512167 18150)<br>=C2=A0(string-bytes =
1 20837768)<br>=C2=A0(vectors 16 199867)<br>=C2=A0(vector-slots 8 5179121 2=
22825)<br>=C2=A0(floats 8 2849 1058)<br>=C2=A0(intervals 56 35353 8745)<br>=
=C2=A0(buffers 992 61))<br></div>

--000000000000dd413105cf0aaa4a--




Acknowledgement sent to Jeff Spencer <jeffspencerd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51362; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 May 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.